# This file was automatically generated by SWIG (https://www.swig.org).
# Version 4.2.0
#
# Do not make changes to this file unless you know what you are doing - modify
# the SWIG interface file instead.

from sys import version_info as _swig_python_version_info
# Import the low-level C/C++ module
if __package__ or "." in __name__:
    from . import _doordeck_headless_sdk
else:
    import _doordeck_headless_sdk

try:
    import builtins as __builtin__
except ImportError:
    import __builtin__

def _swig_repr(self):
    try:
        strthis = "proxy of " + self.this.__repr__()
    except __builtin__.Exception:
        strthis = ""
    return "<%s.%s; %s >" % (self.__class__.__module__, self.__class__.__name__, strthis,)


def _swig_setattr_nondynamic_instance_variable(set):
    def set_instance_attr(self, name, value):
        if name == "this":
            set(self, name, value)
        elif name == "thisown":
            self.this.own(value)
        elif hasattr(self, name) and isinstance(getattr(type(self), name), property):
            set(self, name, value)
        else:
            raise AttributeError("You cannot add instance attributes to %s" % self)
    return set_instance_attr


def _swig_setattr_nondynamic_class_variable(set):
    def set_class_attr(cls, name, value):
        if hasattr(cls, name) and not isinstance(getattr(cls, name), property):
            set(cls, name, value)
        else:
            raise AttributeError("You cannot add class attributes to %s" % cls)
    return set_class_attr


def _swig_add_metaclass(metaclass):
    """Class decorator for adding a metaclass to a SWIG wrapped class - a slimmed down version of six.add_metaclass"""
    def wrapper(cls):
        return metaclass(cls.__name__, cls.__bases__, cls.__dict__.copy())
    return wrapper


class _SwigNonDynamicMeta(type):
    """Meta class to enforce nondynamic attributes (no new attributes) for a class"""
    __setattr__ = _swig_setattr_nondynamic_class_variable(type.__setattr__)



import json
import uuid
import time
import dataclasses
import typing
import base64
import asyncio
import ctypes
from enum import Enum
from typing import List, Optional
from dataclasses import dataclass, field


class SdkException(Exception):
    def __init__(self, message: str, exception: Exception = None):
        super().__init__(message)
        self.exception = exception


class MissingContextFieldException(SdkException):
    def __init__(self, message: str):
        super().__init__(message)


class MissingAndroidContextException(SdkException):
    def __init__(self, message: str):
        super().__init__(message)


class BatchShareFailedException(SdkException):
    def __init__(self, message: str, user_ids: list):
        super().__init__(message)
        self.user_ids = user_ids


class BadRequestException(SdkException):
    def __init__(self, message: str):
        super().__init__(message)


class UnauthorizedException(SdkException):
    def __init__(self, message: str):
        super().__init__(message)


class ForbiddenException(SdkException):
    def __init__(self, message: str):
        super().__init__(message)


class NotFoundException(SdkException):
    def __init__(self, message: str):
        super().__init__(message)


class MethodNotAllowedException(SdkException):
    def __init__(self, message: str):
        super().__init__(message)


class NotAcceptableException(SdkException):
    def __init__(self, message: str):
        super().__init__(message)


class ConflictException(SdkException):
    def __init__(self, message: str):
        super().__init__(message)


class GoneException(SdkException):
    def __init__(self, message: str):
        super().__init__(message)


class LockedException(SdkException):
    def __init__(self, message: str):
        super().__init__(message)


class TooEarlyException(SdkException):
    def __init__(self, message: str):
        super().__init__(message)


class TooManyRequestsException(SdkException):
    def __init__(self, message: str):
        super().__init__(message)


class InternalServerErrorException(SdkException):
    def __init__(self, message: str):
        super().__init__(message)


class ServiceUnavailableException(SdkException):
    def __init__(self, message: str):
        super().__init__(message)


class GatewayTimeoutException(SdkException):
    def __init__(self, message: str):
        super().__init__(message)


def current_epoch_seconds() -> int:
    return int(time.time())

def get_success_result(json_response):
    return json_response["success"]["result"]

def decode_base64_to_byte_array(input):
    return base64.b64decode(input)

def encode_byte_array_to_base64(input):
    return base64.b64encode(input).decode('utf-8')

def certificate_chain_to_string(input):
    return '|'.join(input)

def string_to_certificate_chain(input):
    return input.split('|')

def handle_exception(response):
    if response["failure"] is None:
        return
    exception_type = response["failure"]["exceptionType"]
    exception_message = response["failure"]["exceptionMessage"]
    if "SdkException" in exception_type:
        raise SdkException(exception_message)
    if "MissingContextFieldException" in exception_type:
        raise MissingContextFieldException(exception_message)
    if "BatchShareFailedException" in exception_type:
        raise BatchShareFailedException(exception_message)
    if "BadRequestException" in exception_type:
        raise BadRequestException(exception_message)
    if "UnauthorizedException" in exception_type:
        raise UnauthorizedException(exception_message)
    if "ForbiddenException" in exception_type:
        raise ForbiddenException(exception_message)
    if "NotFoundException" in exception_type:
        raise NotFoundException(exception_message)
    if "MethodNotAllowedException" in exception_type:
        raise MethodNotAllowedException(exception_message)
    if "NotAcceptableException" in exception_type:
        raise NotAcceptableException(exception_message)
    if "ConflictException" in exception_type:
        raise ConflictException(exception_message)
    if "GoneException" in exception_type:
        raise GoneException(exception_message)
    if "LockedException" in exception_type:
        raise LockedException(exception_message)
    if "TooEarlyException" in exception_type:
        raise TooEarlyException(exception_message)
    if "TooManyRequestsException" in exception_type:
        raise TooManyRequestsException(exception_message)
    if "InternalServerErrorException" in exception_type:
        raise InternalServerErrorException(exception_message)
    if "ServiceUnavailableException" in exception_type:
        raise ServiceUnavailableException(exception_message)
    if "GatewayTimeoutException" in exception_type:
        raise GatewayTimeoutException(exception_message)
    raise SdkException("Unhandled exception type: " + exception_type)

py_callback_type = ctypes.CFUNCTYPE(None, ctypes.c_char_p)

async def execute_async(sdk_func, args, response_handler = None):
    loop = asyncio.get_running_loop()
    future = loop.create_future()

    def callback(result):
        try:
            response = json.loads(result)
            handle_exception(response)
            processed = response_handler(response) if response_handler else None
            loop.call_soon_threadsafe(future.set_result, processed)
        except Exception as e:
            loop.call_soon_threadsafe(future.set_exception, e)

    f = py_callback_type(callback)
    f_ptr = ctypes.cast(f, ctypes.c_void_p).value

    sdk_func(*args, f_ptr)
    return await future


class ApiEnvironment(Enum):
    DEV = "DEV"
    STAGING = "STAGING"
    PROD = "PROD"


class TwoFactorMethod(Enum):
    EMAIL = "EMAIL"
    TELEPHONE = "TELEPHONE"
    SMS = "SMS"


class UserRole(Enum):
    ADMIN = "ADMIN"
    USER = "USER"


class CapabilityStatus(Enum):
    SUPPORTED = "SUPPORTED"
    UNSUPPORTED = "UNSUPPORTED"

class CapabilityType(Enum):
    CONFIGURABLE_UNLOCK_DURATION = "CONFIGURABLE_UNLOCK_DURATION"
    OPEN_HOURS = "OPEN_HOURS"
    BATCH_SHARING_25 = "BATCH_SHARING_25"


class AuditEvent(Enum):
    DOOR_OPEN = "DOOR_OPEN"
    DOOR_CLOSE = "DOOR_CLOSE"
    DOOR_UNLOCK = "DOOR_UNLOCK"
    DOOR_LOCK = "DOOR_LOCK"
    OWNER_ASSIGNED = "OWNER_ASSIGNED"
    DEVICE_CONNECTED = "DEVICE_CONNECTED"
    DEVICE_DISCONNECTED = "DEVICE_DISCONNECTED"
    LOCK_SHARED = "LOCK_SHARED"
    LOCK_REVOKED = "LOCK_REVOKED"
    USER_PROMOTED = "USER_PROMOTED"
    USER_DEMOTED = "USER_DEMOTED"
    SETTING_CHANGED = "SETTING_CHANGED"
    TILE_ASSOCIATED = "TILE_ASSOCIATED"
    TILE_DISASSOCIATED = "TILE_DISASSOCIATED"
    DEVICE_DECOMMISSIONED = "DEVICE_DECOMMISSIONED"


@dataclass
class EncodedKeyPair:
    private: str
    public: str


@dataclass
class RefreshTokenData:
    refreshToken: str

@dataclass
class RegisterEphemeralKeyData:
    publicKey: str

@dataclass
class RegisterEphemeralKeyWithSecondaryAuthenticationData:
    publicKey: str
    method: typing.Optional[TwoFactorMethod] = None

@dataclass
class VerifyEphemeralKeyRegistrationData:
    code: str
    privateKey: typing.Optional[str] = None

@dataclass
class ChangePasswordData:
    oldPassword: str
    newPassword: str

@dataclass
class UpdateUserDetailsData:
    displayName: str


@dataclass
class LoginData:
    email: str
    password: str

@dataclass
class RegistrationData:
    email: str
    password: str
    force: bool
    publicKey: str
    displayName: typing.Optional[str] = None

@dataclass
class VerifyEmailData:
    code: str

@dataclass
class PasswordResetData:
    email: str

@dataclass
class PasswordResetVerifyData:
    userId: str
    token: str
    password: str


@dataclass
class OperationContextData:
    userId: str
    userCertificateChain: str
    userPublicKey: str
    userPrivateKey: str


@dataclass
class UploadPlatformLogoData:
    applicationId: str
    contentType: str
    image: str

@dataclass
class AssistedLoginData:
    email: str
    password: str

@dataclass
class AssistedRegisterEphemeralKeyData:
    publicKey: str

@dataclass
class AssistedRegisterData:
    email: str
    password: str
    displayName: typing.Optional[str] = None
    force: bool = False


@dataclass
class LockIdData:
    lockId: str

@dataclass
class GetLockAuditTrailData:
    lockId: str
    start: int
    end: int

@dataclass
class GetAuditForUserData:
    userId: str
    start: int
    end: int

@dataclass
class GetLocksForUserData:
    userId: str

@dataclass
class UpdateLockNameData:
    lockId: str
    name: typing.Optional[str] = None

@dataclass
class UpdateLockFavouriteData:
    lockId: str
    favourite: typing.Optional[bool] = None

@dataclass
class UpdateLockColourData:
    lockId: str
    colour: typing.Optional[str] = None

@dataclass
class UpdateLockSettingDefaultNameData:
    lockId: str
    name: typing.Optional[str] = None

@dataclass
class SetLockSettingPermittedAddressesData:
    lockId: str
    permittedAddresses: typing.List[str]

@dataclass
class UpdateLockSettingHiddenData:
    lockId: str
    hidden: bool

@dataclass
class TimeRequirementData:
    start: str
    end: str
    timezone: str
    days: typing.List[str]

@dataclass
class SetLockSettingTimeRestrictionsData:
    lockId: str
    times: typing.List[TimeRequirementData]

@dataclass
class LocationRequirementData:
    latitude: float
    longitude: float
    enabled: typing.Optional[bool] = None
    radius: typing.Optional[int] = None
    accuracy: typing.Optional[int] = None

@dataclass
class UpdateLockSettingLocationRestrictionsData:
    lockId: str
    location: typing.Optional[LocationRequirementData] = None

@dataclass
class GetUserPublicKeyData:
    userEmail: str
    visitor: bool = False

@dataclass
class GetUserPublicKeyByEmailData:
    email: str

@dataclass
class GetUserPublicKeyByTelephoneData:
    telephone: str

@dataclass
class GetUserPublicKeyByLocalKeyData:
    localKey: str

@dataclass
class GetUserPublicKeyByForeignKeyData:
    foreignKey: str

@dataclass
class GetUserPublicKeyByIdentityData:
    identity: str

@dataclass
class GetUserPublicKeyByEmailsData:
    emails: typing.List[str]

@dataclass
class GetUserPublicKeyByTelephonesData:
    telephones: typing.List[str]

@dataclass
class GetUserPublicKeyByLocalKeysData:
    localKeys: typing.List[str]

@dataclass
class GetUserPublicKeyByForeignKeysData:
    foreignKeys: typing.List[str]

@dataclass
class ShareLockData:
    targetUserId: str
    targetUserRole: UserRole
    targetUserPublicKey: str
    start: typing.Optional[int] = None
    end: typing.Optional[int] = None

@dataclass
class BaseOperationData:
    lockId: str
    userId: typing.Optional[str] = None
    userCertificateChain: typing.Optional[typing.List[str]] = None
    userPrivateKey: typing.Optional[str] = None
    notBefore: int = field(default_factory=current_epoch_seconds)
    issuedAt: int = field(default_factory=current_epoch_seconds)
    expiresAt: int = field(default_factory=lambda: current_epoch_seconds() + 60)  # 1 minute from now
    jti: str = field(default_factory=lambda: str(uuid.uuid4()))

@dataclass
class ShareLockOperationData:
    baseOperation: BaseOperationData
    shareLock: ShareLockData

@dataclass
class BatchShareLockOperationData:
    baseOperation: BaseOperationData
    users: typing.List[ShareLockData]

@dataclass
class RevokeAccessToLockOperationData:
    baseOperation: BaseOperationData
    users: typing.List[str]

@dataclass
class UpdateSecureSettingUnlockDurationData:
    baseOperation: BaseOperationData
    unlockDuration: int

@dataclass
class UnlockBetweenData:
    start: str
    end: str
    timezone: str
    days: typing.List[str]
    exceptions: typing.Optional[typing.List[str]] = None

@dataclass
class UnlockOperationData:
    baseOperation: BaseOperationData
    directAccessEndpoints: typing.Optional[typing.List[str]] = None

@dataclass
class UpdateSecureSettingUnlockBetweenData:
    baseOperation: BaseOperationData
    unlockBetween: typing.Optional[UnlockBetweenData] = None


@dataclass
class EmailCallToActionData:
    actionTarget: str
    headline: str
    actionText: str

@dataclass
class EmailPreferencesData:
    senderEmail: typing.Optional[str] = None
    senderName: typing.Optional[str] = None
    primaryColour: typing.Optional[str] = None
    secondaryColour: typing.Optional[str] = None
    onlySendEssentialEmails: typing.Optional[bool] = None
    callToAction: typing.Optional[EmailCallToActionData] = None

@dataclass
class CreateApplicationData:
    name: str
    companyName: str
    mailingAddress: str
    privacyPolicy: typing.Optional[str] = None
    supportContact: typing.Optional[str] = None
    appLink: typing.Optional[str] = None
    emailPreferences: typing.Optional[EmailPreferencesData] = None
    logoUrl: typing.Optional[str] = None

@dataclass
class ApplicationIdData:
    applicationId: str

@dataclass
class UpdateApplicationNameData:
    applicationId: str
    name: str

@dataclass
class UpdateApplicationCompanyNameData:
    applicationId: str
    companyName: str

@dataclass
class UpdateApplicationMailingAddressData:
    applicationId: str
    mailingAddress: str

@dataclass
class UpdateApplicationPrivacyPolicyData:
    applicationId: str
    privacyPolicy: str

@dataclass
class UpdateApplicationSupportContactData:
    applicationId: str
    supportContact: str

@dataclass
class UpdateApplicationAppLinkData:
    applicationId: str
    appLink: str

@dataclass
class UpdateApplicationEmailPreferencesData:
    applicationId: str
    emailPreferences: EmailPreferencesData

@dataclass
class UpdateApplicationLogoUrlData:
    applicationId: str
    logoUrl: str

@dataclass
class GetLogoUploadUrlData:
    applicationId: str
    contentType: str

@dataclass
class AuthKeyData:
    use: str
    kid: str
    alg: typing.Optional[str]
    kty: str = field(init=False)

@dataclass
class RsaKeyData(AuthKeyData):
    kty: str
    p: str
    q: str
    d: str
    e: str
    qi: str
    dp: str
    dq: str
    n: str

    def __post_init__(self):
        self.kty = "RSA"

@dataclass
class EcKeyData(AuthKeyData):
    kty: str
    d: str
    crv: str
    x: str
    y: str

    def __post_init__(self):
        self.kty = "EC"

@dataclass
class Ed25519KeyData(AuthKeyData):
    kty: str
    d: str
    crv: str
    x: str

    def __post_init__(self):
        self.kty = "OKP"

@dataclass
class AddAuthKeyData:
    applicationId: str
    key: AuthKeyData

@dataclass
class AuthIssuerData:
    applicationId: str
    url: str

@dataclass
class CorsDomainData:
    applicationId: str
    url: str

@dataclass
class ApplicationOwnerData:
    applicationId: str
    userId: str


@dataclass
class SuccessResultData:
    result: typing.Any

@dataclass
class FailedResultData:
    exceptionType: str
    exceptionMessage: str

@dataclass
class ResultData:
    success: typing.Optional[SuccessResultData] = None
    failure: typing.Optional[FailedResultData] = None


@dataclass
class SiteIdData:
    siteId: str


@dataclass
class GetLocksBelongingToTileData:
    tileId: str

@dataclass
class AssociateMultipleLocksData:
    tileId: str
    siteId: str
    lockIds: typing.List[str]


@dataclass
class TokenResponse:
    authToken: str
    refreshToken: str

@dataclass
class UserDetailsResponse:
    email: str
    emailVerified: bool
    publicKey: str
    displayName: typing.Optional[str] = None

@dataclass
class RegisterEphemeralKeyResponse:
    certificateChain: [typing.List[str]]
    userId: str

@dataclass
class RegisterEphemeralKeyWithSecondaryAuthenticationResponse:
    method: TwoFactorMethod


@dataclass
class AssistedLoginResponse:
    requiresVerification: bool

@dataclass
class AssistedRegisterEphemeralKeyResponse:
    requiresVerification: bool


@dataclass
class AuditSubjectResponse:
    userId: str
    email: str
    displayName: typing.Optional[str] = None

@dataclass
class AuditIssuerResponse:
    userId: str
    email: typing.Optional[str] = None
    ip: typing.Optional[str] = None

@dataclass
class AuditResponse:
    deviceId: str
    timestamp: float
    type: AuditEvent
    issuer: AuditIssuerResponse
    rejected: bool
    subject: typing.Optional[AuditSubjectResponse] = None
    rejectionReason: typing.Optional[str] = None

@dataclass
class LockUserDetailsResponse:
    deviceId: str
    role: UserRole
    start: typing.Optional[float] = None
    end: typing.Optional[float] = None

@dataclass
class LockUserResponse:
    userId: str
    email: str
    publicKey: str
    orphan: bool
    foreign: bool
    devices: typing.List[LockUserDetailsResponse]
    displayName: typing.Optional[str] = None
    start: typing.Optional[float] = None
    end: typing.Optional[float] = None

@dataclass
class UserLockResponse:
    userId: str
    email: str
    publicKey: str
    orphan: bool
    foreign: bool
    role: UserRole
    displayName: typing.Optional[str] = None
    start: typing.Optional[float] = None
    end: typing.Optional[float] = None

@dataclass
class ShareableLockResponse:
    id: str
    name: str

@dataclass
class BatchUserPublicKeyResponse:
    id: str
    publicKey: str
    email: typing.Optional[str] = None
    foreignKey: typing.Optional[str] = None
    phone: typing.Optional[str] = None

@dataclass
class UserPublicKeyResponse:
    id: str
    publicKey: str

@dataclass
class LockStateResponse:
    locked: bool
    connected: bool

@dataclass
class UnlockBetweenSettingResponse:
    start: str
    end: str
    timezone: str
    days: typing.List[str]
    exceptions: typing.Optional[typing.List[str]] = None

@dataclass
class LocationRequirementResponse:
    latitude: float
    longitude: float
    enabled: typing.Optional[bool] = None
    radius: typing.Optional[int] = None
    accuracy: typing.Optional[int] = None

@dataclass
class TimeRequirementResponse:
    start: str
    end: str
    timezone: str
    days: typing.List[str]

@dataclass
class UsageRequirementsResponse:
    time: typing.Optional[typing.List[TimeRequirementResponse]] = None
    location: typing.Optional[LocationRequirementResponse] = None

@dataclass
class LockSettingsResponse:
    unlockTime: float
    permittedAddresses: typing.List[str]
    defaultName: str
    tiles: typing.List[str]
    hidden: bool
    directAccessEndpoints: typing.List[str]
    capabilities: typing.Dict[CapabilityType, CapabilityStatus]
    usageRequirements: typing.Optional[UsageRequirementsResponse] = None
    unlockBetweenWindow: typing.Optional[UnlockBetweenSettingResponse] = None

@dataclass
class LockResponse:
    id: str
    name: str
    role: UserRole
    settings: LockSettingsResponse
    state: LockStateResponse
    favourite: bool
    colour: typing.Optional[str] = None
    start: typing.Optional[str] = None
    end: typing.Optional[str] = None
    unlockTime: typing.Optional[float] = None


@dataclass
class EmailCallToActionResponse:
    actionTarget: str
    headline: str
    actionText: str

@dataclass
class EmailPreferencesResponse:
    primaryColour: str
    secondaryColour: str
    senderEmail: typing.Optional[str] = None
    senderName: typing.Optional[str] = None
    onlySendEssentialEmails: typing.Optional[bool] = None
    callToAction: typing.Optional[EmailCallToActionResponse] = None

@dataclass
class OauthResponse:
    authorizationEndpoint: str
    clientId: str
    grantType: str

@dataclass
class AuthKeyResponse:
    kid: str
    use: str
    alg: Optional[str]
    ops: Optional[List[str]]
    x5u: Optional[str]
    x5t: Optional[str]
    x5t256: Optional[str]
    x5c: Optional[List[str]]
    exp: Optional[int]
    nbf: Optional[int]
    iat: Optional[int]

@dataclass
class RsaKeyResponse(AuthKeyResponse):
    e: str
    n: str

@dataclass
class EcKeyResponse(AuthKeyResponse):
    crv: str
    x: str
    y: str

@dataclass
class Ed25519KeyResponse(AuthKeyResponse):
    crv: str
    x: str
    d: Optional[str] = None

@dataclass
class ApplicationResponse:
   applicationId: str
   name: str
   emailPreferences: EmailPreferencesResponse
   oauth: typing.Optional[OauthResponse]
   lastUpdated: typing.Optional[float] = None
   owners: typing.Optional[typing.List[str]] = None
   corsDomains: typing.Optional[typing.List[str]] = None
   authDomains: typing.Optional[typing.List[str]] = None
   logoUrl: typing.Optional[str] = None
   privacyPolicy: typing.Optional[str] = None
   mailingAddress: typing.Optional[str] = None
   companyName: typing.Optional[str] = None
   supportContact: typing.Optional[str] = None
   appLink: typing.Optional[str] = None
   slug: typing.Optional[str] = None
   authKeys: typing.Dict[str, AuthKeyResponse] = field(default_factory=dict)
   isDoordeckApplication: typing.Optional[bool] = None

@dataclass
class ApplicationOwnerDetailsResponse:
    userId: str
    email: str
    orphan: bool
    foreign: bool
    displayName: typing.Optional[str] = None

@dataclass
class GetLogoUploadUrlResponse:
    uploadUrl: str


@dataclass
class SiteResponse:
    id: str
    name: str
    colour: str
    longitude: float
    latitude: float
    radius: int
    passBackground: str
    created: str
    updated: str

@dataclass
class SiteStateResponse:
    connected: bool

@dataclass
class UserForSiteResponse:
    userId: str
    email: str
    orphan: bool
    displayName: typing.Optional[str] = None

@dataclass
class SiteLockSettingsResponse:
    unlockTime: float
    permittedAddresses: typing.List[str]
    defaultName: str
    tiles: typing.List[str]
    state: typing.Optional[SiteStateResponse] = None
    favourite: typing.Optional[bool] = None

@dataclass
class SiteLocksResponse:
    id: str
    name: str
    role: UserRole
    settings: SiteLockSettingsResponse
    colour: typing.Optional[str] = None

@dataclass
class TileLocksResponse:
    siteId: str
    tileId: str
    deviceIds: typing.List[str]


@dataclass
class TileLocksResponse:
    siteId: str
    tileId: str
    deviceIds: typing.List[str]


class Account(object):

    def __init__(self, resource):
        self.resource = resource

    async def refresh_token(self, data):
        return await execute_async(
            _doordeck_headless_sdk.refreshToken,
            [self.resource, json.dumps(dataclasses.asdict(data))],
            lambda r: TokenResponse(**get_success_result(r))
        )

    async def logout(self):
        return await execute_async(
            _doordeck_headless_sdk.logout,
            [self.resource]
        )

    async def register_ephemeral_key(self, data):
        return await execute_async(
            _doordeck_headless_sdk.registerEphemeralKey,
            [self.resource, json.dumps(dataclasses.asdict(data))],
            lambda r: RegisterEphemeralKeyResponse(**get_success_result(r))
        )

    async def register_ephemeral_key_with_secondary_authentication(self, data):
        return await execute_async(
            _doordeck_headless_sdk.registerEphemeralKeyWithSecondaryAuthentication,
            [self.resource, json.dumps(dataclasses.asdict(data))],
            lambda r: RegisterEphemeralKeyWithSecondaryAuthenticationResponse(**get_success_result(r))
        )

    async def verify_ephemeral_key_registration(self, data):
        return await execute_async(
            _doordeck_headless_sdk.verifyEphemeralKeyRegistration,
            [self.resource, json.dumps(dataclasses.asdict(data))],
            lambda r: RegisterEphemeralKeyResponse(**get_success_result(r))
        )

    async def reverify_email(self):
        return await execute_async(
            _doordeck_headless_sdk.reverifyEmail,
            [self.resource]
        )

    async def change_password(self, data):
        return await execute_async(
            _doordeck_headless_sdk.changePassword,
            [self.resource, json.dumps(dataclasses.asdict(data))]
        )

    async def get_user_details(self):
        return await execute_async(
            _doordeck_headless_sdk.getUserDetails,
            [self.resource],
            lambda r: UserDetailsResponse(**get_success_result(r))
        )

    async def update_user_details(self, data):
        return await execute_async(
            _doordeck_headless_sdk.updateUserDetails,
            [self.resource, json.dumps(dataclasses.asdict(data))]
        )

    async def delete_account(self):
        return await execute_async(
            _doordeck_headless_sdk.deleteAccount,
            [self.resource]
        )


class Accountless(object):

    def __init__(self, resource):
        self.resource = resource

    async def login(self, data):
        return await execute_async(
            _doordeck_headless_sdk.login,
            [self.resource, json.dumps(dataclasses.asdict(data))],
            lambda r: TokenResponse(**get_success_result(r))
        )

    async def registration(self, data):
        return await execute_async(
            _doordeck_headless_sdk.registration,
            [self.resource, json.dumps(dataclasses.asdict(data))],
            lambda r: TokenResponse(**get_success_result(r))
        )

    async def verify_email(self, data):
        return await execute_async(
            _doordeck_headless_sdk.verifyEmail,
            [self.resource, json.dumps(dataclasses.asdict(data))]
        )

    async def password_reset(self, data):
        return await execute_async(
            _doordeck_headless_sdk.passwordReset,
            [self.resource, json.dumps(dataclasses.asdict(data))]
        )

    async def password_reset_verify(self, data):
        return await execute_async(
            _doordeck_headless_sdk.passwordResetVerify,
            [self.resource, json.dumps(dataclasses.asdict(data))]
        )


class ContextManager(object):

    def __init__(self, resource):
        self.resource = resource

    def get_api_environment(self):
        env = _doordeck_headless_sdk.getApiEnvironment(self.resource)
        name = _doordeck_headless_sdk.getApiEnvironmentName(env)
        return ApiEnvironment[name]

    def set_cloud_auth_token(self, data):
        _doordeck_headless_sdk.setCloudAuthToken(self.resource, data)

    def get_cloud_auth_token(self):
        return _doordeck_headless_sdk.getCloudAuthToken(self.resource)

    def is_cloud_auth_token_about_to_expire(self):
        return _doordeck_headless_sdk.isCloudAuthTokenAboutToExpire(self.resource)

    def set_cloud_refresh_token(self, data):
        _doordeck_headless_sdk.setCloudRefreshToken(self.resource, data)

    def get_cloud_refresh_token(self):
        return _doordeck_headless_sdk.getCloudRefreshToken(self.resource)

    def set_fusion_host(self, data):
        _doordeck_headless_sdk.setFusionHost(self.resource, data)

    def get_fusion_host(self):
        return _doordeck_headless_sdk.getFusionHost(self.resource)

    def set_fusion_auth_token(self, data):
        _doordeck_headless_sdk.setFusionAuthToken(self.resource, data)

    def get_fusion_auth_token(self):
        return _doordeck_headless_sdk.getFusionAuthToken(self.resource)

    def set_user_id(self, data):
        _doordeck_headless_sdk.setUserId(self.resource, data)

    def get_user_id(self):
        return _doordeck_headless_sdk.getUserId(self.resource)

    def set_user_email(self, data):
        _doordeck_headless_sdk.setUserEmail(self.resource, data)

    def get_user_email(self):
        return _doordeck_headless_sdk.getUserEmail(self.resource)

    def is_certificate_chain_about_to_expire(self):
        return _doordeck_headless_sdk.isCertificateChainAboutToExpire(self.resource)

    def is_key_pair_valid(self):
        return _doordeck_headless_sdk.isKeyPairValid(self.resource)

    def set_operation_context(self, data):
        _doordeck_headless_sdk.setOperationContextJson(self.resource, json.dumps(dataclasses.asdict(data)))

    def clear_context(self):
        _doordeck_headless_sdk.clearContext(self.resource)


class CryptoManager(object):

    def __init__(self, resource):
        self.resource = resource

    def generate_key_pair(self):
        response = json.loads(_doordeck_headless_sdk.generateEncodedKeyPair(self.resource))
        return EncodedKeyPair(**response)


class Helper(object):

    def __init__(self, resource):
        self.resource = resource

    async def upload_platform_logo(self, data):
        return await execute_async(
            _doordeck_headless_sdk.uploadPlatformLogo,
            [self.resource, json.dumps(dataclasses.asdict(data))]
        )

    async def assisted_login(self, data):
        return await execute_async(
            _doordeck_headless_sdk.assistedLogin,
            [self.resource, json.dumps(dataclasses.asdict(data))],
            lambda r: AssistedLoginResponse(**get_success_result(r))
        )

    async def assisted_register_ephemeral_key(self, data):
        return await execute_async(
            _doordeck_headless_sdk.assistedRegisterEphemeralKey,
            [self.resource, json.dumps(dataclasses.asdict(data))],
            lambda r: AssistedRegisterEphemeralKeyResponse(**get_success_result(r))
        )

    async def assisted_register(self, data):
        return await execute_async(
            _doordeck_headless_sdk.assistedRegister,
            [self.resource, json.dumps(dataclasses.asdict(data))]
        )


class LockOperations(object):

    def __init__(self, resource):
        self.resource = resource

    async def get_single_lock(self, data):
        return await execute_async(
            _doordeck_headless_sdk.getSingleLock,
            [self.resource, json.dumps(dataclasses.asdict(data))],
            lambda r: LockResponse(**get_success_result(r))
        )

    async def get_lock_audit_trail(self, data):
        return await execute_async(
            _doordeck_headless_sdk.getLockAuditTrail,
            [self.resource, json.dumps(dataclasses.asdict(data))],
            lambda r: [AuditResponse(**item) for item in get_success_result(r)]
        )

    async def get_audit_for_user(self, data):
        return await execute_async(
            _doordeck_headless_sdk.getAuditForUser,
            [self.resource, json.dumps(dataclasses.asdict(data))],
            lambda r: [AuditResponse(**item) for item in get_success_result(r)]
        )

    async def get_users_for_lock(self, data):
        return await execute_async(
            _doordeck_headless_sdk.getUsersForLock,
            [self.resource, json.dumps(dataclasses.asdict(data))],
            lambda r: [UserLockResponse(**item) for item in get_success_result(r)]
        )

    async def get_locks_for_user(self, data):
        return await execute_async(
            _doordeck_headless_sdk.getLocksForUser,
            [self.resource, json.dumps(dataclasses.asdict(data))],
            lambda r: UserLockResponse(**get_success_result(r))
        )

    async def update_lock_name(self, data):
        return await execute_async(
            _doordeck_headless_sdk.updateLockName,
            [self.resource, json.dumps(dataclasses.asdict(data))]
        )

    async def update_lock_favourite(self, data):
        return await execute_async(
            _doordeck_headless_sdk.updateLockFavourite,
            [self.resource, json.dumps(dataclasses.asdict(data))]
        )

    async def update_lock_colour(self, data):
        return await execute_async(
            _doordeck_headless_sdk.updateLockColour,
            [self.resource, json.dumps(dataclasses.asdict(data))]
        )

    async def update_lock_setting_default_name(self, data):
        return await execute_async(
            _doordeck_headless_sdk.updateLockSettingDefaultName,
            [self.resource, json.dumps(dataclasses.asdict(data))]
        )

    async def set_lock_setting_permitted_addresses(self, data):
        return await execute_async(
            _doordeck_headless_sdk.setLockSettingPermittedAddresses,
            [self.resource, json.dumps(dataclasses.asdict(data))]
        )

    async def update_lock_setting_hidden(self, data):
        return await execute_async(
            _doordeck_headless_sdk.updateLockSettingHidden,
            [self.resource, json.dumps(dataclasses.asdict(data))]
        )

    async def set_lock_setting_time_restrictions(self, data):
        return await execute_async(
            _doordeck_headless_sdk.setLockSettingTimeRestrictions,
            [self.resource, json.dumps(dataclasses.asdict(data))]
        )

    async def update_lock_setting_location_restrictions(self, data):
        return await execute_async(
            _doordeck_headless_sdk.updateLockSettingLocationRestrictions,
            [self.resource, json.dumps(dataclasses.asdict(data))]
        )

    async def get_user_public_key(self, data):
        return await execute_async(
            _doordeck_headless_sdk.getUserPublicKey,
            [self.resource, json.dumps(dataclasses.asdict(data))],
            lambda r: UserPublicKeyResponse(**get_success_result(r))
        )

    async def get_user_public_key_by_email(self, data):
        return await execute_async(
            _doordeck_headless_sdk.getUserPublicKeyByEmail,
            [self.resource, json.dumps(dataclasses.asdict(data))],
            lambda r: UserPublicKeyResponse(**get_success_result(r))
        )

    async def get_user_public_key_by_telephone(self, data):
        return await execute_async(
            _doordeck_headless_sdk.getUserPublicKeyByTelephone,
            [self.resource, json.dumps(dataclasses.asdict(data))],
            lambda r: UserPublicKeyResponse(**get_success_result(r))
        )

    async def get_user_public_key_by_local_key(self, data):
        return await execute_async(
            _doordeck_headless_sdk.getUserPublicKeyByLocalKey,
            [self.resource, json.dumps(dataclasses.asdict(data))],
            lambda r: UserPublicKeyResponse(**get_success_result(r))
        )

    async def get_user_public_key_by_foreign_key(self, data):
        return await execute_async(
            _doordeck_headless_sdk.getUserPublicKeyByForeignKey,
            [self.resource, json.dumps(dataclasses.asdict(data))],
            lambda r: UserPublicKeyResponse(**get_success_result(r))
        )

    async def get_user_public_key_by_identity(self, data):
        return await execute_async(
            _doordeck_headless_sdk.getUserPublicKeyByIdentity,
            [self.resource, json.dumps(dataclasses.asdict(data))],
            lambda r: UserPublicKeyResponse(**get_success_result(r))
        )

    async def get_user_public_key_by_emails(self, data):
        return await execute_async(
            _doordeck_headless_sdk.getUserPublicKeyByEmails,
            [self.resource, json.dumps(dataclasses.asdict(data))],
            lambda r: UserPublicKeyResponse(**get_success_result(r))
        )

    async def get_user_public_key_by_telephones(self, data):
        return await execute_async(
            _doordeck_headless_sdk.getUserPublicKeyByTelephones,
            [self.resource, json.dumps(dataclasses.asdict(data))],
            lambda r: BatchUserPublicKeyResponse(**get_success_result(r))
        )

    async def get_user_public_key_by_local_keys(self, data):
        return await execute_async(
            _doordeck_headless_sdk.getUserPublicKeyByLocalKeys,
            [self.resource, json.dumps(dataclasses.asdict(data))],
            lambda r: BatchUserPublicKeyResponse(**get_success_result(r))
        )

    async def get_user_public_key_by_foreign_keys(self, data):
        return await execute_async(
            _doordeck_headless_sdk.getUserPublicKeyByForeignKeys,
            [self.resource, json.dumps(dataclasses.asdict(data))],
            lambda r: BatchUserPublicKeyResponse(**get_success_result(r))
        )

    async def unlock(self, data):
        return await execute_async(
            _doordeck_headless_sdk.unlock,
            [self.resource, json.dumps(dataclasses.asdict(data))]
        )

    async def share_lock(self, data):
        return await execute_async(
            _doordeck_headless_sdk.shareLock,
            [self.resource, json.dumps(dataclasses.asdict(data))]
        )

    async def batch_share_lock(self, data):
        return await execute_async(
            _doordeck_headless_sdk.batchShareLock,
            [self.resource, json.dumps(dataclasses.asdict(data))]
        )

    async def revoke_access_to_lock(self, data):
        return await execute_async(
            _doordeck_headless_sdk.revokeAccessToLock,
            [self.resource, json.dumps(dataclasses.asdict(data))]
        )

    async def update_secure_setting_unlock_duration(self, data):
        return await execute_async(
            _doordeck_headless_sdk.updateSecureSettingUnlockDuration,
            [self.resource, json.dumps(dataclasses.asdict(data))]
        )

    async def update_secure_setting_unlock_between(self, data):
        return await execute_async(
            _doordeck_headless_sdk.updateSecureSettingUnlockBetween,
            [self.resource, json.dumps(dataclasses.asdict(data))]
        )

    async def get_pinned_locks(self):
        return await execute_async(
            _doordeck_headless_sdk.getPinnedLocks,
            [self.resource],
            lambda r: [LockResponse(**item) for item in get_success_result(r)]
        )

    async def get_shareable_locks(self):
        return await execute_async(
            _doordeck_headless_sdk.getShareableLocks,
            [self.resource],
            lambda r: [ShareableLockResponse(**item) for item in get_success_result(r)]
        )


class Platform(object):

    def __init__(self, resource):
        self.resource = resource

    async def create_application(self, data):
        return await execute_async(
            _doordeck_headless_sdk.createApplication,
            [self.resource, json.dumps(dataclasses.asdict(data))]
        )

    async def list_applications(self):
        return await execute_async(
            _doordeck_headless_sdk.listApplications,
            [self.resource],
            lambda r: [ApplicationResponse(**item) for item in get_success_result(r)]
        )

    async def get_application(self, data):
        return await execute_async(
            _doordeck_headless_sdk.getApplication,
            [self.resource, json.dumps(dataclasses.asdict(data))],
            lambda r: ApplicationResponse(**get_success_result(r))
        )

    async def update_application_name(self, data):
        return await execute_async(
            _doordeck_headless_sdk.updateApplicationName,
            [self.resource, json.dumps(dataclasses.asdict(data))]
        )

    async def update_application_company_name(self, data):
        return await execute_async(
            _doordeck_headless_sdk.updateApplicationCompanyName,
            [self.resource, json.dumps(dataclasses.asdict(data))]
        )

    async def update_application_mailing_address(self, data):
        return await execute_async(
            _doordeck_headless_sdk.updateApplicationMailingAddress,
            [self.resource, json.dumps(dataclasses.asdict(data))]
        )

    async def update_application_privacy_policy(self, data):
        return await execute_async(
            _doordeck_headless_sdk.updateApplicationPrivacyPolicy,
            [self.resource, json.dumps(dataclasses.asdict(data))]
        )

    async def update_application_support_contact(self, data):
        return await execute_async(
            _doordeck_headless_sdk.updateApplicationSupportContact,
            [self.resource, json.dumps(dataclasses.asdict(data))]
        )

    async def update_application_app_link(self, data):
        return await execute_async(
            _doordeck_headless_sdk.updateApplicationAppLink,
            [self.resource, json.dumps(dataclasses.asdict(data))]
        )

    async def update_application_email_preferences(self, data):
        return await execute_async(
            _doordeck_headless_sdk.updateApplicationEmailPreferences,
            [self.resource, json.dumps(dataclasses.asdict(data))]
        )

    async def update_application_logo_url(self, data):
        return await execute_async(
            _doordeck_headless_sdk.updateApplicationLogoUrl,
            [self.resource, json.dumps(dataclasses.asdict(data))]
        )

    async def delete_application(self, data):
        return await execute_async(
            _doordeck_headless_sdk.deleteApplication,
            [self.resource, json.dumps(dataclasses.asdict(data))]
        )

    async def get_logo_upload_url(self, data):
        return await execute_async(
            _doordeck_headless_sdk.getLogoUploadUrl,
            [self.resource, json.dumps(dataclasses.asdict(data))],
            lambda r: GetLogoUploadUrlResponse(**get_success_result(r))
        )

    async def add_auth_key(self, data):
        return await execute_async(
            _doordeck_headless_sdk.addAuthKey,
            [self.resource, json.dumps(dataclasses.asdict(data))]
        )

    async def add_auth_issuer(self, data):
        return await execute_async(
            _doordeck_headless_sdk.addAuthIssuer,
            [self.resource, json.dumps(dataclasses.asdict(data))]
        )

    async def delete_auth_issuer(self, data):
        return await execute_async(
            _doordeck_headless_sdk.deleteAuthIssuer,
            [self.resource, json.dumps(dataclasses.asdict(data))]
        )

    async def add_cors_domain(self, data):
        return await execute_async(
            _doordeck_headless_sdk.addCorsDomain,
            [self.resource, json.dumps(dataclasses.asdict(data))]
        )

    async def remove_cors_domain(self, data):
        return await execute_async(
            _doordeck_headless_sdk.removeCorsDomain,
            [self.resource, json.dumps(dataclasses.asdict(data))]
        )

    async def add_application_owner(self, data):
        return await execute_async(
            _doordeck_headless_sdk.addApplicationOwner,
            [self.resource, json.dumps(dataclasses.asdict(data))]
        )

    async def remove_application_owner(self, data):
        return await execute_async(
            _doordeck_headless_sdk.removeApplicationOwner,
            [self.resource, json.dumps(dataclasses.asdict(data))]
        )

    async def get_application_owners_details(self, data):
        return await execute_async(
            _doordeck_headless_sdk.getApplicationOwnersDetails,
            [self.resource, json.dumps(dataclasses.asdict(data))],
            lambda r: [ApplicationOwnerDetailsResponse(**item) for item in get_success_result(r)]
        )


class Sites(object):

    def __init__(self, resource):
        self.resource = resource

    async def list_sites(self):
        return await execute_async(
            _doordeck_headless_sdk.listSites,
            [self.resource],
            lambda r: [SiteResponse(**item) for item in get_success_result(r)]
        )

    async def get_locks_for_site(self, data):
        return await execute_async(
            _doordeck_headless_sdk.getLocksForSite,
            [self.resource, json.dumps(dataclasses.asdict(data))],
            lambda r: [SiteLocksResponse(**item) for item in get_success_result(r)]
        )

    async def get_users_for_site(self, data):
        return await execute_async(
            _doordeck_headless_sdk.getUsersForSite,
            [self.resource, json.dumps(dataclasses.asdict(data))],
            lambda r: [UserForSiteResponse(**item) for item in get_success_result(r)]
        )


class Tiles(object):

    def __init__(self, resource):
        self.resource = resource

    async def get_locks_belonging_to_tile(self, data):
        return await execute_async(
            _doordeck_headless_sdk.getLocksBelongingToTile,
            [self.resource, json.dumps(dataclasses.asdict(data))],
            lambda r: TileLocksResponse(**get_success_result(r))
        )

    async def associate_multiple_locks(self, data):
        return await execute_async(
            _doordeck_headless_sdk.associateMultipleLocks,
            [self.resource, json.dumps(dataclasses.asdict(data))]
        )


class InitializeSdk(object):

    def __init__(self, api_environment, cloud_auth_token = None, cloud_refresh_token = None, fusion_host = None):
        self.sdkApiEnvironment = _doordeck_headless_sdk.getApiEnvironmentByName(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_ApiEnvironment(), api_environment.name)
        self.sdkConfig = _doordeck_headless_sdk.buildSdkConfig(self.sdkApiEnvironment, cloud_auth_token, cloud_refresh_token, fusion_host)
        self.sdk = initialize(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_KDoordeckFactory(), self.sdkConfig)
        self.accountless = Accountless(accountless(self.sdk))
        self.account = Account(account(self.sdk))
        self.helper = Helper(helper(self.sdk))
        self.lockOperations = LockOperations(lockOperations(self.sdk))
        self.platform = Platform(platform(self.sdk))
        self.sites = Sites(sites(self.sdk))
        self.tiles = Tiles(tiles(self.sdk))
        self.contextManager = ContextManager(contextManager(self.sdk))
        self.cryptoManager = CryptoManager(crypto(self.sdk))

class Doordeck_Headless_Sdk_kref_kotlin_Byte(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_kotlin_Byte_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_kotlin_Byte_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_kotlin_Byte_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_kotlin_Byte())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_kotlin_Byte

# Register Doordeck_Headless_Sdk_kref_kotlin_Byte in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_kotlin_Byte_swigregister(Doordeck_Headless_Sdk_kref_kotlin_Byte)
class Doordeck_Headless_Sdk_kref_kotlin_Short(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_kotlin_Short_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_kotlin_Short_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_kotlin_Short_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_kotlin_Short())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_kotlin_Short

# Register Doordeck_Headless_Sdk_kref_kotlin_Short in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_kotlin_Short_swigregister(Doordeck_Headless_Sdk_kref_kotlin_Short)
class Doordeck_Headless_Sdk_kref_kotlin_Int(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_kotlin_Int_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_kotlin_Int_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_kotlin_Int_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_kotlin_Int())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_kotlin_Int

# Register Doordeck_Headless_Sdk_kref_kotlin_Int in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_kotlin_Int_swigregister(Doordeck_Headless_Sdk_kref_kotlin_Int)
class Doordeck_Headless_Sdk_kref_kotlin_Long(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_kotlin_Long_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_kotlin_Long_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_kotlin_Long_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_kotlin_Long())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_kotlin_Long

# Register Doordeck_Headless_Sdk_kref_kotlin_Long in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_kotlin_Long_swigregister(Doordeck_Headless_Sdk_kref_kotlin_Long)
class Doordeck_Headless_Sdk_kref_kotlin_Float(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_kotlin_Float_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_kotlin_Float_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_kotlin_Float_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_kotlin_Float())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_kotlin_Float

# Register Doordeck_Headless_Sdk_kref_kotlin_Float in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_kotlin_Float_swigregister(Doordeck_Headless_Sdk_kref_kotlin_Float)
class Doordeck_Headless_Sdk_kref_kotlin_Double(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_kotlin_Double_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_kotlin_Double_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_kotlin_Double_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_kotlin_Double())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_kotlin_Double

# Register Doordeck_Headless_Sdk_kref_kotlin_Double in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_kotlin_Double_swigregister(Doordeck_Headless_Sdk_kref_kotlin_Double)
class Doordeck_Headless_Sdk_kref_kotlin_Char(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_kotlin_Char_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_kotlin_Char_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_kotlin_Char_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_kotlin_Char())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_kotlin_Char

# Register Doordeck_Headless_Sdk_kref_kotlin_Char in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_kotlin_Char_swigregister(Doordeck_Headless_Sdk_kref_kotlin_Char)
class Doordeck_Headless_Sdk_kref_kotlin_Boolean(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_kotlin_Boolean_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_kotlin_Boolean_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_kotlin_Boolean_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_kotlin_Boolean())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_kotlin_Boolean

# Register Doordeck_Headless_Sdk_kref_kotlin_Boolean in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_kotlin_Boolean_swigregister(Doordeck_Headless_Sdk_kref_kotlin_Boolean)
class Doordeck_Headless_Sdk_kref_kotlin_Unit(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_kotlin_Unit_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_kotlin_Unit_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_kotlin_Unit_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_kotlin_Unit())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_kotlin_Unit

# Register Doordeck_Headless_Sdk_kref_kotlin_Unit in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_kotlin_Unit_swigregister(Doordeck_Headless_Sdk_kref_kotlin_Unit)
class Doordeck_Headless_Sdk_kref_kotlin_UByte(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_kotlin_UByte_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_kotlin_UByte_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_kotlin_UByte_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_kotlin_UByte())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_kotlin_UByte

# Register Doordeck_Headless_Sdk_kref_kotlin_UByte in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_kotlin_UByte_swigregister(Doordeck_Headless_Sdk_kref_kotlin_UByte)
class Doordeck_Headless_Sdk_kref_kotlin_UShort(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_kotlin_UShort_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_kotlin_UShort_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_kotlin_UShort_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_kotlin_UShort())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_kotlin_UShort

# Register Doordeck_Headless_Sdk_kref_kotlin_UShort in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_kotlin_UShort_swigregister(Doordeck_Headless_Sdk_kref_kotlin_UShort)
class Doordeck_Headless_Sdk_kref_kotlin_UInt(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_kotlin_UInt_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_kotlin_UInt_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_kotlin_UInt_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_kotlin_UInt())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_kotlin_UInt

# Register Doordeck_Headless_Sdk_kref_kotlin_UInt in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_kotlin_UInt_swigregister(Doordeck_Headless_Sdk_kref_kotlin_UInt)
class Doordeck_Headless_Sdk_kref_kotlin_ULong(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_kotlin_ULong_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_kotlin_ULong_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_kotlin_ULong_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_kotlin_ULong())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_kotlin_ULong

# Register Doordeck_Headless_Sdk_kref_kotlin_ULong in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_kotlin_ULong_swigregister(Doordeck_Headless_Sdk_kref_kotlin_ULong)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_PlatformType(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_PlatformType_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_PlatformType_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_PlatformType_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_PlatformType())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_PlatformType

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_PlatformType in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_PlatformType_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_PlatformType)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_api_AccountApi(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_api_AccountApi_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_api_AccountApi_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_api_AccountApi_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_api_AccountApi())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_api_AccountApi

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_api_AccountApi in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_api_AccountApi_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_api_AccountApi)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_api_AccountlessApi(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_api_AccountlessApi_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_api_AccountlessApi_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_api_AccountlessApi_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_api_AccountlessApi())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_api_AccountlessApi

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_api_AccountlessApi in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_api_AccountlessApi_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_api_AccountlessApi)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_api_FusionApi(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_api_FusionApi_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_api_FusionApi_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_api_FusionApi_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_api_FusionApi())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_api_FusionApi

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_api_FusionApi in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_api_FusionApi_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_api_FusionApi)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_api_HelperApi(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_api_HelperApi_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_api_HelperApi_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_api_HelperApi_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_api_HelperApi())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_api_HelperApi

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_api_HelperApi in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_api_HelperApi_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_api_HelperApi)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_api_LockOperationsApi(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_api_LockOperationsApi_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_api_LockOperationsApi_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_api_LockOperationsApi_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_api_LockOperationsApi())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_api_LockOperationsApi

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_api_LockOperationsApi in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_api_LockOperationsApi_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_api_LockOperationsApi)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_api_PlatformApi(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_api_PlatformApi_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_api_PlatformApi_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_api_PlatformApi_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_api_PlatformApi())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_api_PlatformApi

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_api_PlatformApi in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_api_PlatformApi_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_api_PlatformApi)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_api_SitesApi(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_api_SitesApi_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_api_SitesApi_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_api_SitesApi_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_api_SitesApi())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_api_SitesApi

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_api_SitesApi in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_api_SitesApi_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_api_SitesApi)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_api_TilesApi(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_api_TilesApi_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_api_TilesApi_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_api_TilesApi_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_api_TilesApi())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_api_TilesApi

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_api_TilesApi in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_api_TilesApi_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_api_TilesApi)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_config_SdkConfig(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_config_SdkConfig_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_config_SdkConfig_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_config_SdkConfig_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_config_SdkConfig())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_config_SdkConfig

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_config_SdkConfig in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_config_SdkConfig_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_config_SdkConfig)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_ApiEnvironment(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_ApiEnvironment_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_ApiEnvironment_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_ApiEnvironment_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_ApiEnvironment())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_ApiEnvironment

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_ApiEnvironment in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_ApiEnvironment_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_ApiEnvironment)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_storage_SecureStorage(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_storage_SecureStorage_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_storage_SecureStorage_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_storage_SecureStorage_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_storage_SecureStorage())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_storage_SecureStorage

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_storage_SecureStorage in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_storage_SecureStorage_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_storage_SecureStorage)
class Doordeck_Headless_Sdk_kref_kotlin_Any(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_kotlin_Any_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_kotlin_Any_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_kotlin_Any_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_kotlin_Any())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_kotlin_Any

# Register Doordeck_Headless_Sdk_kref_kotlin_Any in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_kotlin_Any_swigregister(Doordeck_Headless_Sdk_kref_kotlin_Any)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_config_SdkConfig_Builder(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_config_SdkConfig_Builder_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_config_SdkConfig_Builder_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_config_SdkConfig_Builder_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_config_SdkConfig_Builder())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_config_SdkConfig_Builder

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_config_SdkConfig_Builder in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_config_SdkConfig_Builder_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_config_SdkConfig_Builder)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_ApplicationContext(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_ApplicationContext_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_ApplicationContext_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_ApplicationContext_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_ApplicationContext())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_ApplicationContext

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_ApplicationContext in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_ApplicationContext_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_ApplicationContext)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_context_ContextManager(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_context_ContextManager_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_context_ContextManager_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_context_ContextManager_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_context_ContextManager())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_context_ContextManager

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_context_ContextManager in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_context_ContextManager_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_context_ContextManager)
class Doordeck_Headless_Sdk_kref_kotlin_collections_List(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_kotlin_collections_List_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_kotlin_collections_List_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_kotlin_collections_List_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_kotlin_collections_List())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_kotlin_collections_List

# Register Doordeck_Headless_Sdk_kref_kotlin_collections_List in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_kotlin_collections_List_swigregister(Doordeck_Headless_Sdk_kref_kotlin_collections_List)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Crypto_KeyPair(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Crypto_KeyPair_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Crypto_KeyPair_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Crypto_KeyPair_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Crypto_KeyPair())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Crypto_KeyPair

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Crypto_KeyPair in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Crypto_KeyPair_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Crypto_KeyPair)
class Doordeck_Headless_Sdk_kref_kotlin_ByteArray(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_kotlin_ByteArray_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_kotlin_ByteArray_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_kotlin_ByteArray_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_kotlin_ByteArray())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_kotlin_ByteArray

# Register Doordeck_Headless_Sdk_kref_kotlin_ByteArray in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_kotlin_ByteArray_swigregister(Doordeck_Headless_Sdk_kref_kotlin_ByteArray)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_crypto_CryptoManager(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_crypto_CryptoManager_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_crypto_CryptoManager_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_crypto_CryptoManager_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_crypto_CryptoManager())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_crypto_CryptoManager

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_crypto_CryptoManager in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_crypto_CryptoManager_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_crypto_CryptoManager)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_exceptions_BadRequestException(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_exceptions_BadRequestException_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_exceptions_BadRequestException_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_exceptions_BadRequestException_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_exceptions_BadRequestException())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_exceptions_BadRequestException

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_exceptions_BadRequestException in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_exceptions_BadRequestException_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_exceptions_BadRequestException)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_exceptions_UnauthorizedException(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_exceptions_UnauthorizedException_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_exceptions_UnauthorizedException_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_exceptions_UnauthorizedException_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_exceptions_UnauthorizedException())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_exceptions_UnauthorizedException

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_exceptions_UnauthorizedException in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_exceptions_UnauthorizedException_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_exceptions_UnauthorizedException)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_exceptions_ForbiddenException(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_exceptions_ForbiddenException_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_exceptions_ForbiddenException_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_exceptions_ForbiddenException_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_exceptions_ForbiddenException())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_exceptions_ForbiddenException

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_exceptions_ForbiddenException in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_exceptions_ForbiddenException_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_exceptions_ForbiddenException)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_exceptions_NotFoundException(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_exceptions_NotFoundException_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_exceptions_NotFoundException_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_exceptions_NotFoundException_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_exceptions_NotFoundException())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_exceptions_NotFoundException

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_exceptions_NotFoundException in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_exceptions_NotFoundException_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_exceptions_NotFoundException)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_exceptions_MethodNotAllowedException(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_exceptions_MethodNotAllowedException_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_exceptions_MethodNotAllowedException_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_exceptions_MethodNotAllowedException_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_exceptions_MethodNotAllowedException())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_exceptions_MethodNotAllowedException

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_exceptions_MethodNotAllowedException in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_exceptions_MethodNotAllowedException_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_exceptions_MethodNotAllowedException)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_exceptions_NotAcceptableException(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_exceptions_NotAcceptableException_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_exceptions_NotAcceptableException_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_exceptions_NotAcceptableException_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_exceptions_NotAcceptableException())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_exceptions_NotAcceptableException

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_exceptions_NotAcceptableException in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_exceptions_NotAcceptableException_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_exceptions_NotAcceptableException)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_exceptions_ConflictException(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_exceptions_ConflictException_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_exceptions_ConflictException_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_exceptions_ConflictException_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_exceptions_ConflictException())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_exceptions_ConflictException

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_exceptions_ConflictException in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_exceptions_ConflictException_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_exceptions_ConflictException)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_exceptions_GoneException(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_exceptions_GoneException_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_exceptions_GoneException_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_exceptions_GoneException_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_exceptions_GoneException())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_exceptions_GoneException

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_exceptions_GoneException in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_exceptions_GoneException_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_exceptions_GoneException)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_exceptions_LockedException(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_exceptions_LockedException_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_exceptions_LockedException_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_exceptions_LockedException_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_exceptions_LockedException())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_exceptions_LockedException

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_exceptions_LockedException in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_exceptions_LockedException_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_exceptions_LockedException)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_exceptions_TooEarlyException(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_exceptions_TooEarlyException_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_exceptions_TooEarlyException_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_exceptions_TooEarlyException_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_exceptions_TooEarlyException())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_exceptions_TooEarlyException

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_exceptions_TooEarlyException in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_exceptions_TooEarlyException_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_exceptions_TooEarlyException)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_exceptions_TooManyRequestsException(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_exceptions_TooManyRequestsException_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_exceptions_TooManyRequestsException_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_exceptions_TooManyRequestsException_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_exceptions_TooManyRequestsException())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_exceptions_TooManyRequestsException

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_exceptions_TooManyRequestsException in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_exceptions_TooManyRequestsException_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_exceptions_TooManyRequestsException)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_exceptions_InternalServerErrorException(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_exceptions_InternalServerErrorException_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_exceptions_InternalServerErrorException_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_exceptions_InternalServerErrorException_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_exceptions_InternalServerErrorException())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_exceptions_InternalServerErrorException

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_exceptions_InternalServerErrorException in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_exceptions_InternalServerErrorException_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_exceptions_InternalServerErrorException)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_exceptions_ServiceUnavailableException(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_exceptions_ServiceUnavailableException_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_exceptions_ServiceUnavailableException_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_exceptions_ServiceUnavailableException_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_exceptions_ServiceUnavailableException())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_exceptions_ServiceUnavailableException

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_exceptions_ServiceUnavailableException in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_exceptions_ServiceUnavailableException_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_exceptions_ServiceUnavailableException)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_exceptions_GatewayTimeoutException(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_exceptions_GatewayTimeoutException_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_exceptions_GatewayTimeoutException_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_exceptions_GatewayTimeoutException_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_exceptions_GatewayTimeoutException())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_exceptions_GatewayTimeoutException

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_exceptions_GatewayTimeoutException in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_exceptions_GatewayTimeoutException_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_exceptions_GatewayTimeoutException)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_exceptions_SdkException(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_exceptions_SdkException_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_exceptions_SdkException_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_exceptions_SdkException_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_exceptions_SdkException())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_exceptions_SdkException

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_exceptions_SdkException in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_exceptions_SdkException_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_exceptions_SdkException)
class Doordeck_Headless_Sdk_kref_kotlin_Throwable(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_kotlin_Throwable_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_kotlin_Throwable_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_kotlin_Throwable_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_kotlin_Throwable())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_kotlin_Throwable

# Register Doordeck_Headless_Sdk_kref_kotlin_Throwable in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_kotlin_Throwable_swigregister(Doordeck_Headless_Sdk_kref_kotlin_Throwable)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_exceptions_MissingContextFieldException(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_exceptions_MissingContextFieldException_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_exceptions_MissingContextFieldException_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_exceptions_MissingContextFieldException_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_exceptions_MissingContextFieldException())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_exceptions_MissingContextFieldException

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_exceptions_MissingContextFieldException in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_exceptions_MissingContextFieldException_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_exceptions_MissingContextFieldException)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_exceptions_MissingAndroidContextException(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_exceptions_MissingAndroidContextException_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_exceptions_MissingAndroidContextException_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_exceptions_MissingAndroidContextException_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_exceptions_MissingAndroidContextException())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_exceptions_MissingAndroidContextException

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_exceptions_MissingAndroidContextException in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_exceptions_MissingAndroidContextException_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_exceptions_MissingAndroidContextException)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_exceptions_BatchShareFailedException(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_exceptions_BatchShareFailedException_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_exceptions_BatchShareFailedException_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_exceptions_BatchShareFailedException_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_exceptions_BatchShareFailedException())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_exceptions_BatchShareFailedException

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_exceptions_BatchShareFailedException in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_exceptions_BatchShareFailedException_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_exceptions_BatchShareFailedException)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_AuditEvent(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_AuditEvent_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_AuditEvent_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_AuditEvent_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_AuditEvent())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_AuditEvent

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_AuditEvent in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_AuditEvent_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_AuditEvent)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_AuditEvent_DOOR_OPEN(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_AuditEvent_DOOR_OPEN_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_AuditEvent_DOOR_OPEN_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_AuditEvent_DOOR_OPEN_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_AuditEvent_DOOR_OPEN())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_AuditEvent_DOOR_OPEN

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_AuditEvent_DOOR_OPEN in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_AuditEvent_DOOR_OPEN_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_AuditEvent_DOOR_OPEN)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_AuditEvent_DOOR_CLOSE(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_AuditEvent_DOOR_CLOSE_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_AuditEvent_DOOR_CLOSE_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_AuditEvent_DOOR_CLOSE_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_AuditEvent_DOOR_CLOSE())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_AuditEvent_DOOR_CLOSE

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_AuditEvent_DOOR_CLOSE in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_AuditEvent_DOOR_CLOSE_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_AuditEvent_DOOR_CLOSE)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_AuditEvent_DOOR_UNLOCK(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_AuditEvent_DOOR_UNLOCK_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_AuditEvent_DOOR_UNLOCK_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_AuditEvent_DOOR_UNLOCK_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_AuditEvent_DOOR_UNLOCK())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_AuditEvent_DOOR_UNLOCK

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_AuditEvent_DOOR_UNLOCK in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_AuditEvent_DOOR_UNLOCK_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_AuditEvent_DOOR_UNLOCK)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_AuditEvent_DOOR_LOCK(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_AuditEvent_DOOR_LOCK_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_AuditEvent_DOOR_LOCK_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_AuditEvent_DOOR_LOCK_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_AuditEvent_DOOR_LOCK())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_AuditEvent_DOOR_LOCK

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_AuditEvent_DOOR_LOCK in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_AuditEvent_DOOR_LOCK_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_AuditEvent_DOOR_LOCK)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_AuditEvent_OWNER_ASSIGNED(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_AuditEvent_OWNER_ASSIGNED_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_AuditEvent_OWNER_ASSIGNED_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_AuditEvent_OWNER_ASSIGNED_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_AuditEvent_OWNER_ASSIGNED())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_AuditEvent_OWNER_ASSIGNED

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_AuditEvent_OWNER_ASSIGNED in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_AuditEvent_OWNER_ASSIGNED_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_AuditEvent_OWNER_ASSIGNED)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_AuditEvent_DEVICE_CONNECTED(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_AuditEvent_DEVICE_CONNECTED_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_AuditEvent_DEVICE_CONNECTED_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_AuditEvent_DEVICE_CONNECTED_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_AuditEvent_DEVICE_CONNECTED())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_AuditEvent_DEVICE_CONNECTED

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_AuditEvent_DEVICE_CONNECTED in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_AuditEvent_DEVICE_CONNECTED_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_AuditEvent_DEVICE_CONNECTED)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_AuditEvent_DEVICE_DISCONNECTED(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_AuditEvent_DEVICE_DISCONNECTED_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_AuditEvent_DEVICE_DISCONNECTED_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_AuditEvent_DEVICE_DISCONNECTED_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_AuditEvent_DEVICE_DISCONNECTED())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_AuditEvent_DEVICE_DISCONNECTED

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_AuditEvent_DEVICE_DISCONNECTED in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_AuditEvent_DEVICE_DISCONNECTED_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_AuditEvent_DEVICE_DISCONNECTED)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_AuditEvent_LOCK_SHARED(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_AuditEvent_LOCK_SHARED_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_AuditEvent_LOCK_SHARED_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_AuditEvent_LOCK_SHARED_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_AuditEvent_LOCK_SHARED())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_AuditEvent_LOCK_SHARED

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_AuditEvent_LOCK_SHARED in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_AuditEvent_LOCK_SHARED_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_AuditEvent_LOCK_SHARED)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_AuditEvent_LOCK_REVOKED(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_AuditEvent_LOCK_REVOKED_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_AuditEvent_LOCK_REVOKED_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_AuditEvent_LOCK_REVOKED_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_AuditEvent_LOCK_REVOKED())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_AuditEvent_LOCK_REVOKED

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_AuditEvent_LOCK_REVOKED in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_AuditEvent_LOCK_REVOKED_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_AuditEvent_LOCK_REVOKED)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_AuditEvent_USER_PROMOTED(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_AuditEvent_USER_PROMOTED_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_AuditEvent_USER_PROMOTED_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_AuditEvent_USER_PROMOTED_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_AuditEvent_USER_PROMOTED())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_AuditEvent_USER_PROMOTED

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_AuditEvent_USER_PROMOTED in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_AuditEvent_USER_PROMOTED_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_AuditEvent_USER_PROMOTED)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_AuditEvent_USER_DEMOTED(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_AuditEvent_USER_DEMOTED_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_AuditEvent_USER_DEMOTED_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_AuditEvent_USER_DEMOTED_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_AuditEvent_USER_DEMOTED())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_AuditEvent_USER_DEMOTED

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_AuditEvent_USER_DEMOTED in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_AuditEvent_USER_DEMOTED_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_AuditEvent_USER_DEMOTED)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_AuditEvent_SETTING_CHANGED(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_AuditEvent_SETTING_CHANGED_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_AuditEvent_SETTING_CHANGED_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_AuditEvent_SETTING_CHANGED_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_AuditEvent_SETTING_CHANGED())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_AuditEvent_SETTING_CHANGED

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_AuditEvent_SETTING_CHANGED in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_AuditEvent_SETTING_CHANGED_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_AuditEvent_SETTING_CHANGED)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_AuditEvent_TILE_ASSOCIATED(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_AuditEvent_TILE_ASSOCIATED_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_AuditEvent_TILE_ASSOCIATED_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_AuditEvent_TILE_ASSOCIATED_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_AuditEvent_TILE_ASSOCIATED())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_AuditEvent_TILE_ASSOCIATED

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_AuditEvent_TILE_ASSOCIATED in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_AuditEvent_TILE_ASSOCIATED_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_AuditEvent_TILE_ASSOCIATED)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_AuditEvent_TILE_DISASSOCIATED(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_AuditEvent_TILE_DISASSOCIATED_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_AuditEvent_TILE_DISASSOCIATED_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_AuditEvent_TILE_DISASSOCIATED_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_AuditEvent_TILE_DISASSOCIATED())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_AuditEvent_TILE_DISASSOCIATED

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_AuditEvent_TILE_DISASSOCIATED in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_AuditEvent_TILE_DISASSOCIATED_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_AuditEvent_TILE_DISASSOCIATED)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_AuditEvent_DEVICE_DECOMMISSIONED(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_AuditEvent_DEVICE_DECOMMISSIONED_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_AuditEvent_DEVICE_DECOMMISSIONED_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_AuditEvent_DEVICE_DECOMMISSIONED_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_AuditEvent_DEVICE_DECOMMISSIONED())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_AuditEvent_DEVICE_DECOMMISSIONED

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_AuditEvent_DEVICE_DECOMMISSIONED in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_AuditEvent_DEVICE_DECOMMISSIONED_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_AuditEvent_DEVICE_DECOMMISSIONED)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_AuditEvent_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_AuditEvent_Companion_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_AuditEvent_Companion_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_AuditEvent_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_AuditEvent_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_AuditEvent_Companion

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_AuditEvent_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_AuditEvent_Companion_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_AuditEvent_Companion)
class Doordeck_Headless_Sdk_kref_kotlin_Array(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_kotlin_Array_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_kotlin_Array_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_kotlin_Array_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_kotlin_Array())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_kotlin_Array

# Register Doordeck_Headless_Sdk_kref_kotlin_Array in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_kotlin_Array_swigregister(Doordeck_Headless_Sdk_kref_kotlin_Array)
class Doordeck_Headless_Sdk_kref_kotlinx_serialization_KSerializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_kotlinx_serialization_KSerializer_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_kotlinx_serialization_KSerializer_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_kotlinx_serialization_KSerializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_kotlinx_serialization_KSerializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_kotlinx_serialization_KSerializer

# Register Doordeck_Headless_Sdk_kref_kotlinx_serialization_KSerializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_kotlinx_serialization_KSerializer_swigregister(Doordeck_Headless_Sdk_kref_kotlinx_serialization_KSerializer)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_CapabilityStatus(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_CapabilityStatus_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_CapabilityStatus_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_CapabilityStatus_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_CapabilityStatus())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_CapabilityStatus

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_CapabilityStatus in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_CapabilityStatus_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_CapabilityStatus)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_CapabilityStatus_SUPPORTED(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_CapabilityStatus_SUPPORTED_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_CapabilityStatus_SUPPORTED_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_CapabilityStatus_SUPPORTED_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_CapabilityStatus_SUPPORTED())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_CapabilityStatus_SUPPORTED

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_CapabilityStatus_SUPPORTED in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_CapabilityStatus_SUPPORTED_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_CapabilityStatus_SUPPORTED)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_CapabilityStatus_UNSUPPORTED(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_CapabilityStatus_UNSUPPORTED_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_CapabilityStatus_UNSUPPORTED_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_CapabilityStatus_UNSUPPORTED_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_CapabilityStatus_UNSUPPORTED())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_CapabilityStatus_UNSUPPORTED

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_CapabilityStatus_UNSUPPORTED in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_CapabilityStatus_UNSUPPORTED_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_CapabilityStatus_UNSUPPORTED)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_CapabilityStatus_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_CapabilityStatus_Companion_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_CapabilityStatus_Companion_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_CapabilityStatus_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_CapabilityStatus_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_CapabilityStatus_Companion

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_CapabilityStatus_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_CapabilityStatus_Companion_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_CapabilityStatus_Companion)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_CapabilityType(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_CapabilityType_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_CapabilityType_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_CapabilityType_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_CapabilityType())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_CapabilityType

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_CapabilityType in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_CapabilityType_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_CapabilityType)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_CapabilityType_CONFIGURABLE_UNLOCK_DURATION(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_CapabilityType_CONFIGURABLE_UNLOCK_DURATION_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_CapabilityType_CONFIGURABLE_UNLOCK_DURATION_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_CapabilityType_CONFIGURABLE_UNLOCK_DURATION_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_CapabilityType_CONFIGURABLE_UNLOCK_DURATION())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_CapabilityType_CONFIGURABLE_UNLOCK_DURATION

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_CapabilityType_CONFIGURABLE_UNLOCK_DURATION in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_CapabilityType_CONFIGURABLE_UNLOCK_DURATION_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_CapabilityType_CONFIGURABLE_UNLOCK_DURATION)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_CapabilityType_OPEN_HOURS(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_CapabilityType_OPEN_HOURS_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_CapabilityType_OPEN_HOURS_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_CapabilityType_OPEN_HOURS_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_CapabilityType_OPEN_HOURS())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_CapabilityType_OPEN_HOURS

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_CapabilityType_OPEN_HOURS in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_CapabilityType_OPEN_HOURS_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_CapabilityType_OPEN_HOURS)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_CapabilityType_BATCH_SHARING_25(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_CapabilityType_BATCH_SHARING_25_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_CapabilityType_BATCH_SHARING_25_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_CapabilityType_BATCH_SHARING_25_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_CapabilityType_BATCH_SHARING_25())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_CapabilityType_BATCH_SHARING_25

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_CapabilityType_BATCH_SHARING_25 in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_CapabilityType_BATCH_SHARING_25_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_CapabilityType_BATCH_SHARING_25)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_CapabilityType_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_CapabilityType_Companion_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_CapabilityType_Companion_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_CapabilityType_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_CapabilityType_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_CapabilityType_Companion

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_CapabilityType_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_CapabilityType_Companion_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_CapabilityType_Companion)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_TwoFactorMethod(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_TwoFactorMethod_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_TwoFactorMethod_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_TwoFactorMethod_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_TwoFactorMethod())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_TwoFactorMethod

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_TwoFactorMethod in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_TwoFactorMethod_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_TwoFactorMethod)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_TwoFactorMethod_EMAIL(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_TwoFactorMethod_EMAIL_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_TwoFactorMethod_EMAIL_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_TwoFactorMethod_EMAIL_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_TwoFactorMethod_EMAIL())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_TwoFactorMethod_EMAIL

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_TwoFactorMethod_EMAIL in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_TwoFactorMethod_EMAIL_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_TwoFactorMethod_EMAIL)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_TwoFactorMethod_TELEPHONE(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_TwoFactorMethod_TELEPHONE_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_TwoFactorMethod_TELEPHONE_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_TwoFactorMethod_TELEPHONE_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_TwoFactorMethod_TELEPHONE())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_TwoFactorMethod_TELEPHONE

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_TwoFactorMethod_TELEPHONE in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_TwoFactorMethod_TELEPHONE_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_TwoFactorMethod_TELEPHONE)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_TwoFactorMethod_SMS(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_TwoFactorMethod_SMS_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_TwoFactorMethod_SMS_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_TwoFactorMethod_SMS_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_TwoFactorMethod_SMS())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_TwoFactorMethod_SMS

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_TwoFactorMethod_SMS in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_TwoFactorMethod_SMS_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_TwoFactorMethod_SMS)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_TwoFactorMethod_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_TwoFactorMethod_Companion_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_TwoFactorMethod_Companion_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_TwoFactorMethod_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_TwoFactorMethod_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_TwoFactorMethod_Companion

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_TwoFactorMethod_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_TwoFactorMethod_Companion_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_TwoFactorMethod_Companion)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_UserRole(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_UserRole_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_UserRole_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_UserRole_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_UserRole())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_UserRole

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_UserRole in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_UserRole_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_UserRole)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_UserRole_ADMIN(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_UserRole_ADMIN_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_UserRole_ADMIN_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_UserRole_ADMIN_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_UserRole_ADMIN())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_UserRole_ADMIN

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_UserRole_ADMIN in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_UserRole_ADMIN_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_UserRole_ADMIN)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_UserRole_USER(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_UserRole_USER_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_UserRole_USER_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_UserRole_USER_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_UserRole_USER())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_UserRole_USER

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_UserRole_USER in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_UserRole_USER_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_UserRole_USER)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_UserRole_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_UserRole_Companion_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_UserRole_Companion_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_UserRole_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_UserRole_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_UserRole_Companion

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_UserRole_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_UserRole_Companion_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_common_UserRole_Companion)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_ApiEnvironment_DEV(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_ApiEnvironment_DEV_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_ApiEnvironment_DEV_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_ApiEnvironment_DEV_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_ApiEnvironment_DEV())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_ApiEnvironment_DEV

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_ApiEnvironment_DEV in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_ApiEnvironment_DEV_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_ApiEnvironment_DEV)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_ApiEnvironment_STAGING(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_ApiEnvironment_STAGING_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_ApiEnvironment_STAGING_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_ApiEnvironment_STAGING_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_ApiEnvironment_STAGING())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_ApiEnvironment_STAGING

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_ApiEnvironment_STAGING in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_ApiEnvironment_STAGING_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_ApiEnvironment_STAGING)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_ApiEnvironment_PROD(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_ApiEnvironment_PROD_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_ApiEnvironment_PROD_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_ApiEnvironment_PROD_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_ApiEnvironment_PROD())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_ApiEnvironment_PROD

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_ApiEnvironment_PROD in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_ApiEnvironment_PROD_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_ApiEnvironment_PROD)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Context(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Context_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Context_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Context_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Context())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Context

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Context in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Context_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Context)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Context_OperationContextData(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Context_OperationContextData_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Context_OperationContextData_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Context_OperationContextData_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Context_OperationContextData())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Context_OperationContextData

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Context_OperationContextData in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Context_OperationContextData_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Context_OperationContextData)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Context_OperationContextData_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Context_OperationContextData_serializer_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Context_OperationContextData_serializer_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Context_OperationContextData_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Context_OperationContextData_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Context_OperationContextData_serializer

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Context_OperationContextData_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Context_OperationContextData_serializer_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Context_OperationContextData_serializer)
class Doordeck_Headless_Sdk_kref_kotlinx_serialization_descriptors_SerialDescriptor(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_kotlinx_serialization_descriptors_SerialDescriptor_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_kotlinx_serialization_descriptors_SerialDescriptor_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_kotlinx_serialization_descriptors_SerialDescriptor_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_kotlinx_serialization_descriptors_SerialDescriptor())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_kotlinx_serialization_descriptors_SerialDescriptor

# Register Doordeck_Headless_Sdk_kref_kotlinx_serialization_descriptors_SerialDescriptor in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_kotlinx_serialization_descriptors_SerialDescriptor_swigregister(Doordeck_Headless_Sdk_kref_kotlinx_serialization_descriptors_SerialDescriptor)
class Doordeck_Headless_Sdk_kref_kotlinx_serialization_encoding_Decoder(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_kotlinx_serialization_encoding_Decoder_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_kotlinx_serialization_encoding_Decoder_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_kotlinx_serialization_encoding_Decoder_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_kotlinx_serialization_encoding_Decoder())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_kotlinx_serialization_encoding_Decoder

# Register Doordeck_Headless_Sdk_kref_kotlinx_serialization_encoding_Decoder in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_kotlinx_serialization_encoding_Decoder_swigregister(Doordeck_Headless_Sdk_kref_kotlinx_serialization_encoding_Decoder)
class Doordeck_Headless_Sdk_kref_kotlinx_serialization_encoding_Encoder(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_kotlinx_serialization_encoding_Encoder_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_kotlinx_serialization_encoding_Encoder_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_kotlinx_serialization_encoding_Encoder_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_kotlinx_serialization_encoding_Encoder())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_kotlinx_serialization_encoding_Encoder

# Register Doordeck_Headless_Sdk_kref_kotlinx_serialization_encoding_Encoder in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_kotlinx_serialization_encoding_Encoder_swigregister(Doordeck_Headless_Sdk_kref_kotlinx_serialization_encoding_Encoder)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Context_OperationContextData_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Context_OperationContextData_Companion_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Context_OperationContextData_Companion_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Context_OperationContextData_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Context_OperationContextData_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Context_OperationContextData_Companion

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Context_OperationContextData_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Context_OperationContextData_Companion_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Context_OperationContextData_Companion)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Crypto(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Crypto_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Crypto_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Crypto_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Crypto())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Crypto

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Crypto in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Crypto_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Crypto)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Crypto_EncodedKeyPair(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Crypto_EncodedKeyPair_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Crypto_EncodedKeyPair_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Crypto_EncodedKeyPair_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Crypto_EncodedKeyPair())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Crypto_EncodedKeyPair

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Crypto_EncodedKeyPair in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Crypto_EncodedKeyPair_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Crypto_EncodedKeyPair)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Crypto_EncodedKeyPair_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Crypto_EncodedKeyPair_serializer_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Crypto_EncodedKeyPair_serializer_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Crypto_EncodedKeyPair_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Crypto_EncodedKeyPair_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Crypto_EncodedKeyPair_serializer

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Crypto_EncodedKeyPair_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Crypto_EncodedKeyPair_serializer_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Crypto_EncodedKeyPair_serializer)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Crypto_EncodedKeyPair_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Crypto_EncodedKeyPair_Companion_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Crypto_EncodedKeyPair_Companion_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Crypto_EncodedKeyPair_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Crypto_EncodedKeyPair_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Crypto_EncodedKeyPair_Companion

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Crypto_EncodedKeyPair_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Crypto_EncodedKeyPair_Companion_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Crypto_EncodedKeyPair_Companion)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_LockController(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_LockController_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_LockController_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_LockController_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_LockController())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_LockController

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_LockController in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_LockController_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_LockController)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_LockController_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_LockController_Companion_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_LockController_Companion_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_LockController_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_LockController_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_LockController_Companion

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_LockController_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_LockController_Companion_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_LockController_Companion)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_AlpetaController(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_AlpetaController_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_AlpetaController_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_AlpetaController_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_AlpetaController())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_AlpetaController

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_AlpetaController in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_AlpetaController_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_AlpetaController)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_AlpetaController_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_AlpetaController_serializer_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_AlpetaController_serializer_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_AlpetaController_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_AlpetaController_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_AlpetaController_serializer

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_AlpetaController_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_AlpetaController_serializer_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_AlpetaController_serializer)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_AlpetaController_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_AlpetaController_Companion_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_AlpetaController_Companion_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_AlpetaController_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_AlpetaController_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_AlpetaController_Companion

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_AlpetaController_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_AlpetaController_Companion_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_AlpetaController_Companion)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_AmagController(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_AmagController_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_AmagController_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_AmagController_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_AmagController())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_AmagController

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_AmagController in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_AmagController_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_AmagController)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_AmagController_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_AmagController_serializer_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_AmagController_serializer_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_AmagController_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_AmagController_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_AmagController_serializer

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_AmagController_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_AmagController_serializer_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_AmagController_serializer)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_AmagController_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_AmagController_Companion_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_AmagController_Companion_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_AmagController_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_AmagController_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_AmagController_Companion

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_AmagController_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_AmagController_Companion_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_AmagController_Companion)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_AssaAbloyController(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_AssaAbloyController_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_AssaAbloyController_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_AssaAbloyController_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_AssaAbloyController())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_AssaAbloyController

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_AssaAbloyController in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_AssaAbloyController_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_AssaAbloyController)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_AssaAbloyController_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_AssaAbloyController_serializer_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_AssaAbloyController_serializer_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_AssaAbloyController_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_AssaAbloyController_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_AssaAbloyController_serializer

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_AssaAbloyController_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_AssaAbloyController_serializer_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_AssaAbloyController_serializer)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_AssaAbloyController_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_AssaAbloyController_Companion_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_AssaAbloyController_Companion_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_AssaAbloyController_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_AssaAbloyController_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_AssaAbloyController_Companion

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_AssaAbloyController_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_AssaAbloyController_Companion_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_AssaAbloyController_Companion)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_AvigilonController(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_AvigilonController_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_AvigilonController_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_AvigilonController_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_AvigilonController())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_AvigilonController

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_AvigilonController in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_AvigilonController_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_AvigilonController)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_AvigilonController_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_AvigilonController_serializer_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_AvigilonController_serializer_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_AvigilonController_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_AvigilonController_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_AvigilonController_serializer

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_AvigilonController_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_AvigilonController_serializer_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_AvigilonController_serializer)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_AvigilonController_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_AvigilonController_Companion_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_AvigilonController_Companion_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_AvigilonController_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_AvigilonController_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_AvigilonController_Companion

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_AvigilonController_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_AvigilonController_Companion_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_AvigilonController_Companion)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_AxisController(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_AxisController_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_AxisController_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_AxisController_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_AxisController())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_AxisController

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_AxisController in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_AxisController_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_AxisController)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_AxisController_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_AxisController_serializer_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_AxisController_serializer_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_AxisController_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_AxisController_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_AxisController_serializer

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_AxisController_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_AxisController_serializer_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_AxisController_serializer)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_AxisController_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_AxisController_Companion_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_AxisController_Companion_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_AxisController_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_AxisController_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_AxisController_Companion

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_AxisController_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_AxisController_Companion_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_AxisController_Companion)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_CCureController(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_CCureController_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_CCureController_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_CCureController_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_CCureController())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_CCureController

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_CCureController in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_CCureController_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_CCureController)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_CCureController_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_CCureController_serializer_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_CCureController_serializer_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_CCureController_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_CCureController_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_CCureController_serializer

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_CCureController_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_CCureController_serializer_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_CCureController_serializer)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_CCureController_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_CCureController_Companion_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_CCureController_Companion_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_CCureController_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_CCureController_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_CCureController_Companion

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_CCureController_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_CCureController_Companion_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_CCureController_Companion)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_DemoController(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_DemoController_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_DemoController_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_DemoController_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_DemoController())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_DemoController

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_DemoController in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_DemoController_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_DemoController)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_DemoController_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_DemoController_serializer_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_DemoController_serializer_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_DemoController_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_DemoController_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_DemoController_serializer

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_DemoController_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_DemoController_serializer_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_DemoController_serializer)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_DemoController_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_DemoController_Companion_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_DemoController_Companion_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_DemoController_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_DemoController_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_DemoController_Companion

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_DemoController_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_DemoController_Companion_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_DemoController_Companion)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_GallagherController(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_GallagherController_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_GallagherController_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_GallagherController_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_GallagherController())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_GallagherController

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_GallagherController in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_GallagherController_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_GallagherController)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_GallagherController_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_GallagherController_serializer_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_GallagherController_serializer_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_GallagherController_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_GallagherController_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_GallagherController_serializer

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_GallagherController_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_GallagherController_serializer_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_GallagherController_serializer)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_GallagherController_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_GallagherController_Companion_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_GallagherController_Companion_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_GallagherController_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_GallagherController_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_GallagherController_Companion

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_GallagherController_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_GallagherController_Companion_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_GallagherController_Companion)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_GenetecController(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_GenetecController_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_GenetecController_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_GenetecController_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_GenetecController())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_GenetecController

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_GenetecController in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_GenetecController_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_GenetecController)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_GenetecController_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_GenetecController_serializer_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_GenetecController_serializer_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_GenetecController_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_GenetecController_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_GenetecController_serializer

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_GenetecController_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_GenetecController_serializer_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_GenetecController_serializer)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_GenetecController_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_GenetecController_Companion_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_GenetecController_Companion_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_GenetecController_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_GenetecController_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_GenetecController_Companion

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_GenetecController_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_GenetecController_Companion_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_GenetecController_Companion)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_LenelController(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_LenelController_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_LenelController_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_LenelController_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_LenelController())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_LenelController

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_LenelController in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_LenelController_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_LenelController)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_LenelController_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_LenelController_serializer_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_LenelController_serializer_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_LenelController_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_LenelController_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_LenelController_serializer

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_LenelController_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_LenelController_serializer_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_LenelController_serializer)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_LenelController_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_LenelController_Companion_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_LenelController_Companion_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_LenelController_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_LenelController_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_LenelController_Companion

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_LenelController_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_LenelController_Companion_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_LenelController_Companion)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_MitrefinchController(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_MitrefinchController_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_MitrefinchController_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_MitrefinchController_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_MitrefinchController())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_MitrefinchController

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_MitrefinchController in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_MitrefinchController_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_MitrefinchController)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_MitrefinchController_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_MitrefinchController_serializer_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_MitrefinchController_serializer_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_MitrefinchController_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_MitrefinchController_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_MitrefinchController_serializer

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_MitrefinchController_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_MitrefinchController_serializer_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_MitrefinchController_serializer)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_MitrefinchController_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_MitrefinchController_Companion_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_MitrefinchController_Companion_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_MitrefinchController_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_MitrefinchController_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_MitrefinchController_Companion

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_MitrefinchController_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_MitrefinchController_Companion_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_MitrefinchController_Companion)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_PaxtonNet2Controller(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_PaxtonNet2Controller_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_PaxtonNet2Controller_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_PaxtonNet2Controller_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_PaxtonNet2Controller())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_PaxtonNet2Controller

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_PaxtonNet2Controller in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_PaxtonNet2Controller_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_PaxtonNet2Controller)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_PaxtonNet2Controller_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_PaxtonNet2Controller_serializer_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_PaxtonNet2Controller_serializer_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_PaxtonNet2Controller_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_PaxtonNet2Controller_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_PaxtonNet2Controller_serializer

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_PaxtonNet2Controller_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_PaxtonNet2Controller_serializer_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_PaxtonNet2Controller_serializer)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_PaxtonNet2Controller_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_PaxtonNet2Controller_Companion_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_PaxtonNet2Controller_Companion_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_PaxtonNet2Controller_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_PaxtonNet2Controller_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_PaxtonNet2Controller_Companion

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_PaxtonNet2Controller_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_PaxtonNet2Controller_Companion_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_PaxtonNet2Controller_Companion)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_Paxton10Controller(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_Paxton10Controller_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_Paxton10Controller_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_Paxton10Controller_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_Paxton10Controller())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_Paxton10Controller

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_Paxton10Controller in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_Paxton10Controller_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_Paxton10Controller)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_Paxton10Controller_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_Paxton10Controller_serializer_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_Paxton10Controller_serializer_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_Paxton10Controller_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_Paxton10Controller_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_Paxton10Controller_serializer

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_Paxton10Controller_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_Paxton10Controller_serializer_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_Paxton10Controller_serializer)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_Paxton10Controller_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_Paxton10Controller_Companion_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_Paxton10Controller_Companion_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_Paxton10Controller_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_Paxton10Controller_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_Paxton10Controller_Companion

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_Paxton10Controller_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_Paxton10Controller_Companion_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_Paxton10Controller_Companion)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_IntegraV1Controller(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_IntegraV1Controller_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_IntegraV1Controller_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_IntegraV1Controller_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_IntegraV1Controller())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_IntegraV1Controller

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_IntegraV1Controller in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_IntegraV1Controller_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_IntegraV1Controller)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_IntegraV1Controller_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_IntegraV1Controller_serializer_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_IntegraV1Controller_serializer_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_IntegraV1Controller_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_IntegraV1Controller_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_IntegraV1Controller_serializer

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_IntegraV1Controller_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_IntegraV1Controller_serializer_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_IntegraV1Controller_serializer)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_IntegraV1Controller_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_IntegraV1Controller_Companion_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_IntegraV1Controller_Companion_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_IntegraV1Controller_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_IntegraV1Controller_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_IntegraV1Controller_Companion

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_IntegraV1Controller_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_IntegraV1Controller_Companion_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_IntegraV1Controller_Companion)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_IntegraV2Controller(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_IntegraV2Controller_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_IntegraV2Controller_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_IntegraV2Controller_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_IntegraV2Controller())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_IntegraV2Controller

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_IntegraV2Controller in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_IntegraV2Controller_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_IntegraV2Controller)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_IntegraV2Controller_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_IntegraV2Controller_serializer_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_IntegraV2Controller_serializer_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_IntegraV2Controller_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_IntegraV2Controller_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_IntegraV2Controller_serializer

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_IntegraV2Controller_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_IntegraV2Controller_serializer_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_IntegraV2Controller_serializer)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_IntegraV2Controller_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_IntegraV2Controller_Companion_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_IntegraV2Controller_Companion_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_IntegraV2Controller_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_IntegraV2Controller_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_IntegraV2Controller_Companion

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_IntegraV2Controller_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_IntegraV2Controller_Companion_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_IntegraV2Controller_Companion)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_PacController(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_PacController_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_PacController_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_PacController_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_PacController())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_PacController

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_PacController in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_PacController_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_PacController)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_DataSource(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_DataSource_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_DataSource_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_DataSource_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_DataSource())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_DataSource

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_DataSource in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_DataSource_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_DataSource)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_PacController_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_PacController_serializer_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_PacController_serializer_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_PacController_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_PacController_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_PacController_serializer

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_PacController_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_PacController_serializer_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_PacController_serializer)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_PacController_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_PacController_Companion_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_PacController_Companion_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_PacController_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_PacController_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_PacController_Companion

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_PacController_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_PacController_Companion_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_PacController_Companion)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_DataSource_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_DataSource_serializer_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_DataSource_serializer_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_DataSource_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_DataSource_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_DataSource_serializer

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_DataSource_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_DataSource_serializer_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_DataSource_serializer)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_DataSource_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_DataSource_Companion_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_DataSource_Companion_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_DataSource_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_DataSource_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_DataSource_Companion

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_DataSource_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_DataSource_Companion_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_DataSource_Companion)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_TdsiExgardeController(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_TdsiExgardeController_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_TdsiExgardeController_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_TdsiExgardeController_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_TdsiExgardeController())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_TdsiExgardeController

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_TdsiExgardeController in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_TdsiExgardeController_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_TdsiExgardeController)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_TdsiExgardeController_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_TdsiExgardeController_serializer_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_TdsiExgardeController_serializer_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_TdsiExgardeController_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_TdsiExgardeController_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_TdsiExgardeController_serializer

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_TdsiExgardeController_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_TdsiExgardeController_serializer_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_TdsiExgardeController_serializer)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_TdsiExgardeController_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_TdsiExgardeController_Companion_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_TdsiExgardeController_Companion_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_TdsiExgardeController_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_TdsiExgardeController_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_TdsiExgardeController_Companion

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_TdsiExgardeController_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_TdsiExgardeController_Companion_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_TdsiExgardeController_Companion)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_TdsiGardisController(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_TdsiGardisController_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_TdsiGardisController_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_TdsiGardisController_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_TdsiGardisController())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_TdsiGardisController

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_TdsiGardisController in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_TdsiGardisController_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_TdsiGardisController)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_TdsiGardisController_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_TdsiGardisController_serializer_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_TdsiGardisController_serializer_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_TdsiGardisController_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_TdsiGardisController_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_TdsiGardisController_serializer

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_TdsiGardisController_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_TdsiGardisController_serializer_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_TdsiGardisController_serializer)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_TdsiGardisController_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_TdsiGardisController_Companion_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_TdsiGardisController_Companion_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_TdsiGardisController_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_TdsiGardisController_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_TdsiGardisController_Companion

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_TdsiGardisController_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_TdsiGardisController_Companion_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_TdsiGardisController_Companion)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_ZktecoController(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_ZktecoController_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_ZktecoController_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_ZktecoController_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_ZktecoController())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_ZktecoController

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_ZktecoController in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_ZktecoController_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_ZktecoController)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_ZktecoEntityType(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_ZktecoEntityType_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_ZktecoEntityType_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_ZktecoEntityType_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_ZktecoEntityType())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_ZktecoEntityType

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_ZktecoEntityType in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_ZktecoEntityType_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_ZktecoEntityType)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_ZktecoController_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_ZktecoController_serializer_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_ZktecoController_serializer_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_ZktecoController_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_ZktecoController_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_ZktecoController_serializer

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_ZktecoController_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_ZktecoController_serializer_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_ZktecoController_serializer)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_ZktecoController_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_ZktecoController_Companion_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_ZktecoController_Companion_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_ZktecoController_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_ZktecoController_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_ZktecoController_Companion

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_ZktecoController_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_ZktecoController_Companion_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_ZktecoController_Companion)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_ZktecoEntityType_DOOR(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_ZktecoEntityType_DOOR_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_ZktecoEntityType_DOOR_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_ZktecoEntityType_DOOR_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_ZktecoEntityType_DOOR())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_ZktecoEntityType_DOOR

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_ZktecoEntityType_DOOR in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_ZktecoEntityType_DOOR_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_ZktecoEntityType_DOOR)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_ZktecoEntityType_FLOOR(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_ZktecoEntityType_FLOOR_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_ZktecoEntityType_FLOOR_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_ZktecoEntityType_FLOOR_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_ZktecoEntityType_FLOOR())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_ZktecoEntityType_FLOOR

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_ZktecoEntityType_FLOOR in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_ZktecoEntityType_FLOOR_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_ZktecoEntityType_FLOOR)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_ZktecoEntityType_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_ZktecoEntityType_Companion_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_ZktecoEntityType_Companion_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_ZktecoEntityType_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_ZktecoEntityType_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_ZktecoEntityType_Companion

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_ZktecoEntityType_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_ZktecoEntityType_Companion_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Fusion_ZktecoEntityType_Companion)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LockOperations(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LockOperations_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LockOperations_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LockOperations_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LockOperations())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LockOperations

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LockOperations in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LockOperations_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LockOperations)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LockOperations_TimeRequirement(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LockOperations_TimeRequirement_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LockOperations_TimeRequirement_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LockOperations_TimeRequirement_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LockOperations_TimeRequirement())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LockOperations_TimeRequirement

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LockOperations_TimeRequirement in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LockOperations_TimeRequirement_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LockOperations_TimeRequirement)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LockOperations_TimeRequirement_Builder(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LockOperations_TimeRequirement_Builder_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LockOperations_TimeRequirement_Builder_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LockOperations_TimeRequirement_Builder_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LockOperations_TimeRequirement_Builder())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LockOperations_TimeRequirement_Builder

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LockOperations_TimeRequirement_Builder in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LockOperations_TimeRequirement_Builder_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LockOperations_TimeRequirement_Builder)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LockOperations_LocationRequirement(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LockOperations_LocationRequirement_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LockOperations_LocationRequirement_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LockOperations_LocationRequirement_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LockOperations_LocationRequirement())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LockOperations_LocationRequirement

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LockOperations_LocationRequirement in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LockOperations_LocationRequirement_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LockOperations_LocationRequirement)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LockOperations_LocationRequirement_Builder(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LockOperations_LocationRequirement_Builder_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LockOperations_LocationRequirement_Builder_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LockOperations_LocationRequirement_Builder_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LockOperations_LocationRequirement_Builder())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LockOperations_LocationRequirement_Builder

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LockOperations_LocationRequirement_Builder in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LockOperations_LocationRequirement_Builder_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LockOperations_LocationRequirement_Builder)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LockOperations_UnlockBetween(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LockOperations_UnlockBetween_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LockOperations_UnlockBetween_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LockOperations_UnlockBetween_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LockOperations_UnlockBetween())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LockOperations_UnlockBetween

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LockOperations_UnlockBetween in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LockOperations_UnlockBetween_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LockOperations_UnlockBetween)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LockOperations_UnlockBetween_Builder(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LockOperations_UnlockBetween_Builder_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LockOperations_UnlockBetween_Builder_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LockOperations_UnlockBetween_Builder_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LockOperations_UnlockBetween_Builder())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LockOperations_UnlockBetween_Builder

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LockOperations_UnlockBetween_Builder in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LockOperations_UnlockBetween_Builder_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LockOperations_UnlockBetween_Builder)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LockOperations_UnlockOperation(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LockOperations_UnlockOperation_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LockOperations_UnlockOperation_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LockOperations_UnlockOperation_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LockOperations_UnlockOperation())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LockOperations_UnlockOperation

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LockOperations_UnlockOperation in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LockOperations_UnlockOperation_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LockOperations_UnlockOperation)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LockOperations_BaseOperation(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LockOperations_BaseOperation_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LockOperations_BaseOperation_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LockOperations_BaseOperation_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LockOperations_BaseOperation())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LockOperations_BaseOperation

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LockOperations_BaseOperation in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LockOperations_BaseOperation_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LockOperations_BaseOperation)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LockOperations_UnlockOperation_Builder(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LockOperations_UnlockOperation_Builder_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LockOperations_UnlockOperation_Builder_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LockOperations_UnlockOperation_Builder_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LockOperations_UnlockOperation_Builder())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LockOperations_UnlockOperation_Builder

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LockOperations_UnlockOperation_Builder in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LockOperations_UnlockOperation_Builder_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LockOperations_UnlockOperation_Builder)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LockOperations_ShareLockOperation(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LockOperations_ShareLockOperation_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LockOperations_ShareLockOperation_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LockOperations_ShareLockOperation_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LockOperations_ShareLockOperation())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LockOperations_ShareLockOperation

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LockOperations_ShareLockOperation in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LockOperations_ShareLockOperation_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LockOperations_ShareLockOperation)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LockOperations_ShareLock(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LockOperations_ShareLock_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LockOperations_ShareLock_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LockOperations_ShareLock_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LockOperations_ShareLock())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LockOperations_ShareLock

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LockOperations_ShareLock in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LockOperations_ShareLock_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LockOperations_ShareLock)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LockOperations_ShareLockOperation_Builder(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LockOperations_ShareLockOperation_Builder_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LockOperations_ShareLockOperation_Builder_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LockOperations_ShareLockOperation_Builder_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LockOperations_ShareLockOperation_Builder())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LockOperations_ShareLockOperation_Builder

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LockOperations_ShareLockOperation_Builder in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LockOperations_ShareLockOperation_Builder_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LockOperations_ShareLockOperation_Builder)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LockOperations_ShareLock_Builder(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LockOperations_ShareLock_Builder_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LockOperations_ShareLock_Builder_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LockOperations_ShareLock_Builder_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LockOperations_ShareLock_Builder())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LockOperations_ShareLock_Builder

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LockOperations_ShareLock_Builder in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LockOperations_ShareLock_Builder_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LockOperations_ShareLock_Builder)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LockOperations_BatchShareLockOperation(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LockOperations_BatchShareLockOperation_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LockOperations_BatchShareLockOperation_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LockOperations_BatchShareLockOperation_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LockOperations_BatchShareLockOperation())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LockOperations_BatchShareLockOperation

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LockOperations_BatchShareLockOperation in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LockOperations_BatchShareLockOperation_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LockOperations_BatchShareLockOperation)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LockOperations_BatchShareLockOperation_Builder(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LockOperations_BatchShareLockOperation_Builder_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LockOperations_BatchShareLockOperation_Builder_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LockOperations_BatchShareLockOperation_Builder_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LockOperations_BatchShareLockOperation_Builder())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LockOperations_BatchShareLockOperation_Builder

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LockOperations_BatchShareLockOperation_Builder in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LockOperations_BatchShareLockOperation_Builder_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LockOperations_BatchShareLockOperation_Builder)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LockOperations_RevokeAccessToLockOperation(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LockOperations_RevokeAccessToLockOperation_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LockOperations_RevokeAccessToLockOperation_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LockOperations_RevokeAccessToLockOperation_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LockOperations_RevokeAccessToLockOperation())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LockOperations_RevokeAccessToLockOperation

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LockOperations_RevokeAccessToLockOperation in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LockOperations_RevokeAccessToLockOperation_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LockOperations_RevokeAccessToLockOperation)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LockOperations_RevokeAccessToLockOperation_Builder(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LockOperations_RevokeAccessToLockOperation_Builder_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LockOperations_RevokeAccessToLockOperation_Builder_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LockOperations_RevokeAccessToLockOperation_Builder_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LockOperations_RevokeAccessToLockOperation_Builder())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LockOperations_RevokeAccessToLockOperation_Builder

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LockOperations_RevokeAccessToLockOperation_Builder in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LockOperations_RevokeAccessToLockOperation_Builder_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LockOperations_RevokeAccessToLockOperation_Builder)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LockOperations_UpdateSecureSettingUnlockDuration(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LockOperations_UpdateSecureSettingUnlockDuration_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LockOperations_UpdateSecureSettingUnlockDuration_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LockOperations_UpdateSecureSettingUnlockDuration_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LockOperations_UpdateSecureSettingUnlockDuration())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LockOperations_UpdateSecureSettingUnlockDuration

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LockOperations_UpdateSecureSettingUnlockDuration in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LockOperations_UpdateSecureSettingUnlockDuration_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LockOperations_UpdateSecureSettingUnlockDuration)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LockOperations_UpdateSecureSettingUnlockDuration_Builder(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LockOperations_UpdateSecureSettingUnlockDuration_Builder_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LockOperations_UpdateSecureSettingUnlockDuration_Builder_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LockOperations_UpdateSecureSettingUnlockDuration_Builder_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LockOperations_UpdateSecureSettingUnlockDuration_Builder())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LockOperations_UpdateSecureSettingUnlockDuration_Builder

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LockOperations_UpdateSecureSettingUnlockDuration_Builder in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LockOperations_UpdateSecureSettingUnlockDuration_Builder_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LockOperations_UpdateSecureSettingUnlockDuration_Builder)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LockOperations_UpdateSecureSettingUnlockBetween(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LockOperations_UpdateSecureSettingUnlockBetween_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LockOperations_UpdateSecureSettingUnlockBetween_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LockOperations_UpdateSecureSettingUnlockBetween_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LockOperations_UpdateSecureSettingUnlockBetween())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LockOperations_UpdateSecureSettingUnlockBetween

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LockOperations_UpdateSecureSettingUnlockBetween in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LockOperations_UpdateSecureSettingUnlockBetween_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LockOperations_UpdateSecureSettingUnlockBetween)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LockOperations_UpdateSecureSettingUnlockBetween_Builder(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LockOperations_UpdateSecureSettingUnlockBetween_Builder_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LockOperations_UpdateSecureSettingUnlockBetween_Builder_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LockOperations_UpdateSecureSettingUnlockBetween_Builder_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LockOperations_UpdateSecureSettingUnlockBetween_Builder())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LockOperations_UpdateSecureSettingUnlockBetween_Builder

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LockOperations_UpdateSecureSettingUnlockBetween_Builder in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LockOperations_UpdateSecureSettingUnlockBetween_Builder_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LockOperations_UpdateSecureSettingUnlockBetween_Builder)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LockOperations_BaseOperation_Builder(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LockOperations_BaseOperation_Builder_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LockOperations_BaseOperation_Builder_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LockOperations_BaseOperation_Builder_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LockOperations_BaseOperation_Builder())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LockOperations_BaseOperation_Builder

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LockOperations_BaseOperation_Builder in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LockOperations_BaseOperation_Builder_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LockOperations_BaseOperation_Builder)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LockOperations_Operation(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LockOperations_Operation_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LockOperations_Operation_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LockOperations_Operation_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LockOperations_Operation())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LockOperations_Operation

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LockOperations_Operation in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LockOperations_Operation_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LockOperations_Operation)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Platform(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Platform_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Platform_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Platform_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Platform())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Platform

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Platform in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Platform_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Platform)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Platform_CreateApplication(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Platform_CreateApplication_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Platform_CreateApplication_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Platform_CreateApplication_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Platform_CreateApplication())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Platform_CreateApplication

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Platform_CreateApplication in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Platform_CreateApplication_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Platform_CreateApplication)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Platform_EmailPreferences(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Platform_EmailPreferences_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Platform_EmailPreferences_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Platform_EmailPreferences_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Platform_EmailPreferences())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Platform_EmailPreferences

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Platform_EmailPreferences in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Platform_EmailPreferences_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Platform_EmailPreferences)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Platform_CreateApplication_Builder(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Platform_CreateApplication_Builder_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Platform_CreateApplication_Builder_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Platform_CreateApplication_Builder_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Platform_CreateApplication_Builder())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Platform_CreateApplication_Builder

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Platform_CreateApplication_Builder in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Platform_CreateApplication_Builder_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Platform_CreateApplication_Builder)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Platform_EmailCallToAction(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Platform_EmailCallToAction_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Platform_EmailCallToAction_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Platform_EmailCallToAction_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Platform_EmailCallToAction())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Platform_EmailCallToAction

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Platform_EmailCallToAction in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Platform_EmailCallToAction_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Platform_EmailCallToAction)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Platform_EmailPreferences_Builder(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Platform_EmailPreferences_Builder_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Platform_EmailPreferences_Builder_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Platform_EmailPreferences_Builder_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Platform_EmailPreferences_Builder())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Platform_EmailPreferences_Builder

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Platform_EmailPreferences_Builder in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Platform_EmailPreferences_Builder_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Platform_EmailPreferences_Builder)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Platform_EmailCallToAction_Builder(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Platform_EmailCallToAction_Builder_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Platform_EmailCallToAction_Builder_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Platform_EmailCallToAction_Builder_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Platform_EmailCallToAction_Builder())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Platform_EmailCallToAction_Builder

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Platform_EmailCallToAction_Builder in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Platform_EmailCallToAction_Builder_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Platform_EmailCallToAction_Builder)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Platform_AuthKey(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Platform_AuthKey_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Platform_AuthKey_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Platform_AuthKey_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Platform_AuthKey())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Platform_AuthKey

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Platform_AuthKey in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Platform_AuthKey_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Platform_AuthKey)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Platform_RsaKey(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Platform_RsaKey_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Platform_RsaKey_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Platform_RsaKey_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Platform_RsaKey())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Platform_RsaKey

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Platform_RsaKey in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Platform_RsaKey_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Platform_RsaKey)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Platform_RsaKey_Builder(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Platform_RsaKey_Builder_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Platform_RsaKey_Builder_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Platform_RsaKey_Builder_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Platform_RsaKey_Builder())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Platform_RsaKey_Builder

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Platform_RsaKey_Builder in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Platform_RsaKey_Builder_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Platform_RsaKey_Builder)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Platform_EcKey(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Platform_EcKey_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Platform_EcKey_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Platform_EcKey_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Platform_EcKey())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Platform_EcKey

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Platform_EcKey in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Platform_EcKey_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Platform_EcKey)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Platform_EcKey_Builder(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Platform_EcKey_Builder_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Platform_EcKey_Builder_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Platform_EcKey_Builder_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Platform_EcKey_Builder())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Platform_EcKey_Builder

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Platform_EcKey_Builder in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Platform_EcKey_Builder_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Platform_EcKey_Builder)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Platform_Ed25519Key(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Platform_Ed25519Key_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Platform_Ed25519Key_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Platform_Ed25519Key_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Platform_Ed25519Key())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Platform_Ed25519Key

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Platform_Ed25519Key in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Platform_Ed25519Key_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Platform_Ed25519Key)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Platform_Ed25519Key_Builder(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Platform_Ed25519Key_Builder_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Platform_Ed25519Key_Builder_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Platform_Ed25519Key_Builder_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Platform_Ed25519Key_Builder())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Platform_Ed25519Key_Builder

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Platform_Ed25519Key_Builder in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Platform_Ed25519Key_Builder_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Platform_Ed25519Key_Builder)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_RefreshTokenData(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_RefreshTokenData_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_RefreshTokenData_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_RefreshTokenData_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_RefreshTokenData())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_RefreshTokenData

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_RefreshTokenData in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_RefreshTokenData_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_RefreshTokenData)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_RefreshTokenData_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_RefreshTokenData_serializer_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_RefreshTokenData_serializer_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_RefreshTokenData_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_RefreshTokenData_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_RefreshTokenData_serializer

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_RefreshTokenData_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_RefreshTokenData_serializer_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_RefreshTokenData_serializer)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_RefreshTokenData_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_RefreshTokenData_Companion_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_RefreshTokenData_Companion_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_RefreshTokenData_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_RefreshTokenData_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_RefreshTokenData_Companion

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_RefreshTokenData_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_RefreshTokenData_Companion_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_RefreshTokenData_Companion)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_RegisterEphemeralKeyData(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_RegisterEphemeralKeyData_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_RegisterEphemeralKeyData_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_RegisterEphemeralKeyData_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_RegisterEphemeralKeyData())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_RegisterEphemeralKeyData

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_RegisterEphemeralKeyData in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_RegisterEphemeralKeyData_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_RegisterEphemeralKeyData)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_RegisterEphemeralKeyData_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_RegisterEphemeralKeyData_serializer_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_RegisterEphemeralKeyData_serializer_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_RegisterEphemeralKeyData_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_RegisterEphemeralKeyData_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_RegisterEphemeralKeyData_serializer

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_RegisterEphemeralKeyData_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_RegisterEphemeralKeyData_serializer_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_RegisterEphemeralKeyData_serializer)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_RegisterEphemeralKeyData_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_RegisterEphemeralKeyData_Companion_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_RegisterEphemeralKeyData_Companion_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_RegisterEphemeralKeyData_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_RegisterEphemeralKeyData_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_RegisterEphemeralKeyData_Companion

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_RegisterEphemeralKeyData_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_RegisterEphemeralKeyData_Companion_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_RegisterEphemeralKeyData_Companion)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_RegisterEphemeralKeyWithSecondaryAuthenticationData(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_RegisterEphemeralKeyWithSecondaryAuthenticationData_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_RegisterEphemeralKeyWithSecondaryAuthenticationData_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_RegisterEphemeralKeyWithSecondaryAuthenticationData_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_RegisterEphemeralKeyWithSecondaryAuthenticationData())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_RegisterEphemeralKeyWithSecondaryAuthenticationData

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_RegisterEphemeralKeyWithSecondaryAuthenticationData in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_RegisterEphemeralKeyWithSecondaryAuthenticationData_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_RegisterEphemeralKeyWithSecondaryAuthenticationData)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_RegisterEphemeralKeyWithSecondaryAuthenticationData_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_RegisterEphemeralKeyWithSecondaryAuthenticationData_serializer_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_RegisterEphemeralKeyWithSecondaryAuthenticationData_serializer_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_RegisterEphemeralKeyWithSecondaryAuthenticationData_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_RegisterEphemeralKeyWithSecondaryAuthenticationData_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_RegisterEphemeralKeyWithSecondaryAuthenticationData_serializer

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_RegisterEphemeralKeyWithSecondaryAuthenticationData_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_RegisterEphemeralKeyWithSecondaryAuthenticationData_serializer_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_RegisterEphemeralKeyWithSecondaryAuthenticationData_serializer)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_RegisterEphemeralKeyWithSecondaryAuthenticationData_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_RegisterEphemeralKeyWithSecondaryAuthenticationData_Companion_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_RegisterEphemeralKeyWithSecondaryAuthenticationData_Companion_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_RegisterEphemeralKeyWithSecondaryAuthenticationData_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_RegisterEphemeralKeyWithSecondaryAuthenticationData_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_RegisterEphemeralKeyWithSecondaryAuthenticationData_Companion

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_RegisterEphemeralKeyWithSecondaryAuthenticationData_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_RegisterEphemeralKeyWithSecondaryAuthenticationData_Companion_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_RegisterEphemeralKeyWithSecondaryAuthenticationData_Companion)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_VerifyEphemeralKeyRegistrationData(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_VerifyEphemeralKeyRegistrationData_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_VerifyEphemeralKeyRegistrationData_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_VerifyEphemeralKeyRegistrationData_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_VerifyEphemeralKeyRegistrationData())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_VerifyEphemeralKeyRegistrationData

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_VerifyEphemeralKeyRegistrationData in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_VerifyEphemeralKeyRegistrationData_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_VerifyEphemeralKeyRegistrationData)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_VerifyEphemeralKeyRegistrationData_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_VerifyEphemeralKeyRegistrationData_serializer_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_VerifyEphemeralKeyRegistrationData_serializer_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_VerifyEphemeralKeyRegistrationData_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_VerifyEphemeralKeyRegistrationData_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_VerifyEphemeralKeyRegistrationData_serializer

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_VerifyEphemeralKeyRegistrationData_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_VerifyEphemeralKeyRegistrationData_serializer_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_VerifyEphemeralKeyRegistrationData_serializer)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_VerifyEphemeralKeyRegistrationData_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_VerifyEphemeralKeyRegistrationData_Companion_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_VerifyEphemeralKeyRegistrationData_Companion_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_VerifyEphemeralKeyRegistrationData_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_VerifyEphemeralKeyRegistrationData_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_VerifyEphemeralKeyRegistrationData_Companion

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_VerifyEphemeralKeyRegistrationData_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_VerifyEphemeralKeyRegistrationData_Companion_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_VerifyEphemeralKeyRegistrationData_Companion)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_ChangePasswordData(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_ChangePasswordData_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_ChangePasswordData_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_ChangePasswordData_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_ChangePasswordData())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_ChangePasswordData

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_ChangePasswordData in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_ChangePasswordData_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_ChangePasswordData)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_ChangePasswordData_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_ChangePasswordData_serializer_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_ChangePasswordData_serializer_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_ChangePasswordData_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_ChangePasswordData_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_ChangePasswordData_serializer

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_ChangePasswordData_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_ChangePasswordData_serializer_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_ChangePasswordData_serializer)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_ChangePasswordData_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_ChangePasswordData_Companion_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_ChangePasswordData_Companion_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_ChangePasswordData_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_ChangePasswordData_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_ChangePasswordData_Companion

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_ChangePasswordData_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_ChangePasswordData_Companion_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_ChangePasswordData_Companion)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateUserDetailsData(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateUserDetailsData_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateUserDetailsData_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateUserDetailsData_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateUserDetailsData())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateUserDetailsData

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateUserDetailsData in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateUserDetailsData_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateUserDetailsData)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateUserDetailsData_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateUserDetailsData_serializer_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateUserDetailsData_serializer_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateUserDetailsData_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateUserDetailsData_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateUserDetailsData_serializer

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateUserDetailsData_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateUserDetailsData_serializer_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateUserDetailsData_serializer)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateUserDetailsData_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateUserDetailsData_Companion_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateUserDetailsData_Companion_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateUserDetailsData_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateUserDetailsData_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateUserDetailsData_Companion

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateUserDetailsData_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateUserDetailsData_Companion_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateUserDetailsData_Companion)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LoginData(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LoginData_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LoginData_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LoginData_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LoginData())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LoginData

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LoginData in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LoginData_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LoginData)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LoginData_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LoginData_serializer_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LoginData_serializer_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LoginData_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LoginData_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LoginData_serializer

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LoginData_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LoginData_serializer_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LoginData_serializer)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LoginData_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LoginData_Companion_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LoginData_Companion_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LoginData_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LoginData_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LoginData_Companion

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LoginData_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LoginData_Companion_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LoginData_Companion)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_RegistrationData(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_RegistrationData_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_RegistrationData_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_RegistrationData_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_RegistrationData())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_RegistrationData

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_RegistrationData in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_RegistrationData_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_RegistrationData)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_RegistrationData_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_RegistrationData_serializer_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_RegistrationData_serializer_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_RegistrationData_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_RegistrationData_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_RegistrationData_serializer

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_RegistrationData_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_RegistrationData_serializer_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_RegistrationData_serializer)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_RegistrationData_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_RegistrationData_Companion_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_RegistrationData_Companion_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_RegistrationData_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_RegistrationData_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_RegistrationData_Companion

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_RegistrationData_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_RegistrationData_Companion_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_RegistrationData_Companion)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_VerifyEmailData(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_VerifyEmailData_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_VerifyEmailData_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_VerifyEmailData_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_VerifyEmailData())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_VerifyEmailData

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_VerifyEmailData in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_VerifyEmailData_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_VerifyEmailData)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_VerifyEmailData_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_VerifyEmailData_serializer_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_VerifyEmailData_serializer_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_VerifyEmailData_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_VerifyEmailData_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_VerifyEmailData_serializer

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_VerifyEmailData_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_VerifyEmailData_serializer_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_VerifyEmailData_serializer)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_VerifyEmailData_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_VerifyEmailData_Companion_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_VerifyEmailData_Companion_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_VerifyEmailData_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_VerifyEmailData_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_VerifyEmailData_Companion

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_VerifyEmailData_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_VerifyEmailData_Companion_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_VerifyEmailData_Companion)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_PasswordResetData(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_PasswordResetData_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_PasswordResetData_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_PasswordResetData_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_PasswordResetData())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_PasswordResetData

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_PasswordResetData in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_PasswordResetData_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_PasswordResetData)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_PasswordResetData_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_PasswordResetData_serializer_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_PasswordResetData_serializer_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_PasswordResetData_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_PasswordResetData_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_PasswordResetData_serializer

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_PasswordResetData_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_PasswordResetData_serializer_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_PasswordResetData_serializer)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_PasswordResetData_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_PasswordResetData_Companion_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_PasswordResetData_Companion_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_PasswordResetData_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_PasswordResetData_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_PasswordResetData_Companion

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_PasswordResetData_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_PasswordResetData_Companion_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_PasswordResetData_Companion)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_PasswordResetVerifyData(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_PasswordResetVerifyData_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_PasswordResetVerifyData_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_PasswordResetVerifyData_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_PasswordResetVerifyData())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_PasswordResetVerifyData

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_PasswordResetVerifyData in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_PasswordResetVerifyData_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_PasswordResetVerifyData)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_PasswordResetVerifyData_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_PasswordResetVerifyData_serializer_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_PasswordResetVerifyData_serializer_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_PasswordResetVerifyData_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_PasswordResetVerifyData_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_PasswordResetVerifyData_serializer

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_PasswordResetVerifyData_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_PasswordResetVerifyData_serializer_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_PasswordResetVerifyData_serializer)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_PasswordResetVerifyData_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_PasswordResetVerifyData_Companion_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_PasswordResetVerifyData_Companion_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_PasswordResetVerifyData_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_PasswordResetVerifyData_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_PasswordResetVerifyData_Companion

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_PasswordResetVerifyData_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_PasswordResetVerifyData_Companion_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_PasswordResetVerifyData_Companion)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_FusionLoginData(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_FusionLoginData_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_FusionLoginData_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_FusionLoginData_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_FusionLoginData())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_FusionLoginData

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_FusionLoginData in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_FusionLoginData_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_FusionLoginData)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_FusionLoginData_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_FusionLoginData_serializer_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_FusionLoginData_serializer_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_FusionLoginData_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_FusionLoginData_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_FusionLoginData_serializer

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_FusionLoginData_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_FusionLoginData_serializer_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_FusionLoginData_serializer)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_FusionLoginData_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_FusionLoginData_Companion_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_FusionLoginData_Companion_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_FusionLoginData_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_FusionLoginData_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_FusionLoginData_Companion

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_FusionLoginData_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_FusionLoginData_Companion_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_FusionLoginData_Companion)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetIntegrationConfigurationData(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetIntegrationConfigurationData_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetIntegrationConfigurationData_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetIntegrationConfigurationData_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetIntegrationConfigurationData())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetIntegrationConfigurationData

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetIntegrationConfigurationData in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetIntegrationConfigurationData_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetIntegrationConfigurationData)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetIntegrationConfigurationData_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetIntegrationConfigurationData_serializer_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetIntegrationConfigurationData_serializer_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetIntegrationConfigurationData_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetIntegrationConfigurationData_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetIntegrationConfigurationData_serializer

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetIntegrationConfigurationData_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetIntegrationConfigurationData_serializer_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetIntegrationConfigurationData_serializer)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetIntegrationConfigurationData_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetIntegrationConfigurationData_Companion_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetIntegrationConfigurationData_Companion_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetIntegrationConfigurationData_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetIntegrationConfigurationData_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetIntegrationConfigurationData_Companion

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetIntegrationConfigurationData_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetIntegrationConfigurationData_Companion_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetIntegrationConfigurationData_Companion)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_EnableDoorData(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_EnableDoorData_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_EnableDoorData_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_EnableDoorData_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_EnableDoorData())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_EnableDoorData

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_EnableDoorData in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_EnableDoorData_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_EnableDoorData)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_EnableDoorData_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_EnableDoorData_serializer_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_EnableDoorData_serializer_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_EnableDoorData_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_EnableDoorData_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_EnableDoorData_serializer

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_EnableDoorData_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_EnableDoorData_serializer_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_EnableDoorData_serializer)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_EnableDoorData_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_EnableDoorData_Companion_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_EnableDoorData_Companion_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_EnableDoorData_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_EnableDoorData_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_EnableDoorData_Companion

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_EnableDoorData_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_EnableDoorData_Companion_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_EnableDoorData_Companion)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_DeviceIdData(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_DeviceIdData_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_DeviceIdData_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_DeviceIdData_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_DeviceIdData())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_DeviceIdData

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_DeviceIdData in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_DeviceIdData_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_DeviceIdData)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_DeviceIdData_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_DeviceIdData_serializer_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_DeviceIdData_serializer_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_DeviceIdData_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_DeviceIdData_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_DeviceIdData_serializer

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_DeviceIdData_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_DeviceIdData_serializer_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_DeviceIdData_serializer)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_DeviceIdData_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_DeviceIdData_Companion_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_DeviceIdData_Companion_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_DeviceIdData_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_DeviceIdData_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_DeviceIdData_Companion

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_DeviceIdData_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_DeviceIdData_Companion_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_DeviceIdData_Companion)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UploadPlatformLogoData(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UploadPlatformLogoData_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UploadPlatformLogoData_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UploadPlatformLogoData_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UploadPlatformLogoData())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UploadPlatformLogoData

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UploadPlatformLogoData in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UploadPlatformLogoData_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UploadPlatformLogoData)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UploadPlatformLogoData_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UploadPlatformLogoData_serializer_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UploadPlatformLogoData_serializer_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UploadPlatformLogoData_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UploadPlatformLogoData_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UploadPlatformLogoData_serializer

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UploadPlatformLogoData_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UploadPlatformLogoData_serializer_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UploadPlatformLogoData_serializer)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UploadPlatformLogoData_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UploadPlatformLogoData_Companion_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UploadPlatformLogoData_Companion_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UploadPlatformLogoData_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UploadPlatformLogoData_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UploadPlatformLogoData_Companion

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UploadPlatformLogoData_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UploadPlatformLogoData_Companion_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UploadPlatformLogoData_Companion)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_AssistedLoginData(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_AssistedLoginData_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_AssistedLoginData_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_AssistedLoginData_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_AssistedLoginData())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_AssistedLoginData

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_AssistedLoginData in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_AssistedLoginData_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_AssistedLoginData)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_AssistedLoginData_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_AssistedLoginData_serializer_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_AssistedLoginData_serializer_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_AssistedLoginData_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_AssistedLoginData_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_AssistedLoginData_serializer

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_AssistedLoginData_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_AssistedLoginData_serializer_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_AssistedLoginData_serializer)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_AssistedLoginData_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_AssistedLoginData_Companion_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_AssistedLoginData_Companion_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_AssistedLoginData_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_AssistedLoginData_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_AssistedLoginData_Companion

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_AssistedLoginData_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_AssistedLoginData_Companion_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_AssistedLoginData_Companion)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_AssistedRegisterEphemeralKeyData(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_AssistedRegisterEphemeralKeyData_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_AssistedRegisterEphemeralKeyData_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_AssistedRegisterEphemeralKeyData_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_AssistedRegisterEphemeralKeyData())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_AssistedRegisterEphemeralKeyData

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_AssistedRegisterEphemeralKeyData in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_AssistedRegisterEphemeralKeyData_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_AssistedRegisterEphemeralKeyData)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_AssistedRegisterEphemeralKeyData_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_AssistedRegisterEphemeralKeyData_serializer_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_AssistedRegisterEphemeralKeyData_serializer_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_AssistedRegisterEphemeralKeyData_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_AssistedRegisterEphemeralKeyData_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_AssistedRegisterEphemeralKeyData_serializer

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_AssistedRegisterEphemeralKeyData_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_AssistedRegisterEphemeralKeyData_serializer_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_AssistedRegisterEphemeralKeyData_serializer)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_AssistedRegisterEphemeralKeyData_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_AssistedRegisterEphemeralKeyData_Companion_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_AssistedRegisterEphemeralKeyData_Companion_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_AssistedRegisterEphemeralKeyData_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_AssistedRegisterEphemeralKeyData_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_AssistedRegisterEphemeralKeyData_Companion

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_AssistedRegisterEphemeralKeyData_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_AssistedRegisterEphemeralKeyData_Companion_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_AssistedRegisterEphemeralKeyData_Companion)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_AssistedRegisterData(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_AssistedRegisterData_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_AssistedRegisterData_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_AssistedRegisterData_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_AssistedRegisterData())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_AssistedRegisterData

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_AssistedRegisterData in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_AssistedRegisterData_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_AssistedRegisterData)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_AssistedRegisterData_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_AssistedRegisterData_serializer_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_AssistedRegisterData_serializer_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_AssistedRegisterData_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_AssistedRegisterData_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_AssistedRegisterData_serializer

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_AssistedRegisterData_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_AssistedRegisterData_serializer_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_AssistedRegisterData_serializer)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_AssistedRegisterData_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_AssistedRegisterData_Companion_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_AssistedRegisterData_Companion_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_AssistedRegisterData_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_AssistedRegisterData_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_AssistedRegisterData_Companion

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_AssistedRegisterData_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_AssistedRegisterData_Companion_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_AssistedRegisterData_Companion)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetSingleLockData(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetSingleLockData_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetSingleLockData_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetSingleLockData_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetSingleLockData())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetSingleLockData

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetSingleLockData in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetSingleLockData_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetSingleLockData)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetSingleLockData_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetSingleLockData_serializer_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetSingleLockData_serializer_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetSingleLockData_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetSingleLockData_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetSingleLockData_serializer

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetSingleLockData_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetSingleLockData_serializer_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetSingleLockData_serializer)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetSingleLockData_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetSingleLockData_Companion_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetSingleLockData_Companion_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetSingleLockData_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetSingleLockData_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetSingleLockData_Companion

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetSingleLockData_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetSingleLockData_Companion_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetSingleLockData_Companion)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetLockAuditTrailData(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetLockAuditTrailData_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetLockAuditTrailData_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetLockAuditTrailData_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetLockAuditTrailData())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetLockAuditTrailData

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetLockAuditTrailData in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetLockAuditTrailData_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetLockAuditTrailData)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetLockAuditTrailData_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetLockAuditTrailData_serializer_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetLockAuditTrailData_serializer_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetLockAuditTrailData_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetLockAuditTrailData_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetLockAuditTrailData_serializer

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetLockAuditTrailData_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetLockAuditTrailData_serializer_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetLockAuditTrailData_serializer)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetLockAuditTrailData_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetLockAuditTrailData_Companion_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetLockAuditTrailData_Companion_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetLockAuditTrailData_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetLockAuditTrailData_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetLockAuditTrailData_Companion

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetLockAuditTrailData_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetLockAuditTrailData_Companion_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetLockAuditTrailData_Companion)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetAuditForUserData(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetAuditForUserData_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetAuditForUserData_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetAuditForUserData_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetAuditForUserData())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetAuditForUserData

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetAuditForUserData in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetAuditForUserData_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetAuditForUserData)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetAuditForUserData_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetAuditForUserData_serializer_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetAuditForUserData_serializer_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetAuditForUserData_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetAuditForUserData_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetAuditForUserData_serializer

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetAuditForUserData_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetAuditForUserData_serializer_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetAuditForUserData_serializer)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetAuditForUserData_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetAuditForUserData_Companion_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetAuditForUserData_Companion_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetAuditForUserData_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetAuditForUserData_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetAuditForUserData_Companion

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetAuditForUserData_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetAuditForUserData_Companion_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetAuditForUserData_Companion)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUsersForLockData(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUsersForLockData_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUsersForLockData_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUsersForLockData_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUsersForLockData())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUsersForLockData

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUsersForLockData in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUsersForLockData_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUsersForLockData)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUsersForLockData_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUsersForLockData_serializer_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUsersForLockData_serializer_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUsersForLockData_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUsersForLockData_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUsersForLockData_serializer

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUsersForLockData_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUsersForLockData_serializer_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUsersForLockData_serializer)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUsersForLockData_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUsersForLockData_Companion_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUsersForLockData_Companion_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUsersForLockData_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUsersForLockData_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUsersForLockData_Companion

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUsersForLockData_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUsersForLockData_Companion_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUsersForLockData_Companion)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetLocksForUserData(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetLocksForUserData_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetLocksForUserData_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetLocksForUserData_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetLocksForUserData())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetLocksForUserData

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetLocksForUserData in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetLocksForUserData_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetLocksForUserData)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetLocksForUserData_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetLocksForUserData_serializer_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetLocksForUserData_serializer_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetLocksForUserData_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetLocksForUserData_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetLocksForUserData_serializer

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetLocksForUserData_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetLocksForUserData_serializer_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetLocksForUserData_serializer)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetLocksForUserData_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetLocksForUserData_Companion_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetLocksForUserData_Companion_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetLocksForUserData_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetLocksForUserData_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetLocksForUserData_Companion

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetLocksForUserData_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetLocksForUserData_Companion_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetLocksForUserData_Companion)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateLockNameData(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateLockNameData_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateLockNameData_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateLockNameData_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateLockNameData())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateLockNameData

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateLockNameData in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateLockNameData_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateLockNameData)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateLockNameData_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateLockNameData_serializer_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateLockNameData_serializer_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateLockNameData_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateLockNameData_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateLockNameData_serializer

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateLockNameData_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateLockNameData_serializer_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateLockNameData_serializer)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateLockNameData_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateLockNameData_Companion_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateLockNameData_Companion_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateLockNameData_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateLockNameData_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateLockNameData_Companion

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateLockNameData_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateLockNameData_Companion_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateLockNameData_Companion)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateLockFavouriteData(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateLockFavouriteData_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateLockFavouriteData_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateLockFavouriteData_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateLockFavouriteData())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateLockFavouriteData

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateLockFavouriteData in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateLockFavouriteData_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateLockFavouriteData)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateLockFavouriteData_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateLockFavouriteData_serializer_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateLockFavouriteData_serializer_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateLockFavouriteData_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateLockFavouriteData_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateLockFavouriteData_serializer

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateLockFavouriteData_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateLockFavouriteData_serializer_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateLockFavouriteData_serializer)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateLockFavouriteData_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateLockFavouriteData_Companion_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateLockFavouriteData_Companion_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateLockFavouriteData_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateLockFavouriteData_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateLockFavouriteData_Companion

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateLockFavouriteData_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateLockFavouriteData_Companion_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateLockFavouriteData_Companion)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateLockColourData(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateLockColourData_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateLockColourData_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateLockColourData_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateLockColourData())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateLockColourData

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateLockColourData in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateLockColourData_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateLockColourData)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateLockColourData_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateLockColourData_serializer_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateLockColourData_serializer_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateLockColourData_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateLockColourData_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateLockColourData_serializer

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateLockColourData_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateLockColourData_serializer_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateLockColourData_serializer)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateLockColourData_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateLockColourData_Companion_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateLockColourData_Companion_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateLockColourData_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateLockColourData_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateLockColourData_Companion

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateLockColourData_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateLockColourData_Companion_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateLockColourData_Companion)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingDefaultNameData(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingDefaultNameData_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingDefaultNameData_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingDefaultNameData_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingDefaultNameData())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingDefaultNameData

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingDefaultNameData in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingDefaultNameData_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingDefaultNameData)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingDefaultNameData_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingDefaultNameData_serializer_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingDefaultNameData_serializer_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingDefaultNameData_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingDefaultNameData_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingDefaultNameData_serializer

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingDefaultNameData_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingDefaultNameData_serializer_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingDefaultNameData_serializer)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingDefaultNameData_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingDefaultNameData_Companion_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingDefaultNameData_Companion_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingDefaultNameData_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingDefaultNameData_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingDefaultNameData_Companion

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingDefaultNameData_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingDefaultNameData_Companion_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingDefaultNameData_Companion)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_SetLockSettingPermittedAddressesData(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_SetLockSettingPermittedAddressesData_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_SetLockSettingPermittedAddressesData_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_SetLockSettingPermittedAddressesData_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_SetLockSettingPermittedAddressesData())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_SetLockSettingPermittedAddressesData

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_SetLockSettingPermittedAddressesData in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_SetLockSettingPermittedAddressesData_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_SetLockSettingPermittedAddressesData)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_SetLockSettingPermittedAddressesData_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_SetLockSettingPermittedAddressesData_serializer_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_SetLockSettingPermittedAddressesData_serializer_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_SetLockSettingPermittedAddressesData_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_SetLockSettingPermittedAddressesData_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_SetLockSettingPermittedAddressesData_serializer

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_SetLockSettingPermittedAddressesData_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_SetLockSettingPermittedAddressesData_serializer_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_SetLockSettingPermittedAddressesData_serializer)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_SetLockSettingPermittedAddressesData_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_SetLockSettingPermittedAddressesData_Companion_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_SetLockSettingPermittedAddressesData_Companion_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_SetLockSettingPermittedAddressesData_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_SetLockSettingPermittedAddressesData_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_SetLockSettingPermittedAddressesData_Companion

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_SetLockSettingPermittedAddressesData_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_SetLockSettingPermittedAddressesData_Companion_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_SetLockSettingPermittedAddressesData_Companion)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingHiddenData(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingHiddenData_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingHiddenData_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingHiddenData_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingHiddenData())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingHiddenData

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingHiddenData in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingHiddenData_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingHiddenData)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingHiddenData_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingHiddenData_serializer_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingHiddenData_serializer_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingHiddenData_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingHiddenData_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingHiddenData_serializer

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingHiddenData_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingHiddenData_serializer_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingHiddenData_serializer)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingHiddenData_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingHiddenData_Companion_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingHiddenData_Companion_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingHiddenData_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingHiddenData_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingHiddenData_Companion

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingHiddenData_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingHiddenData_Companion_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingHiddenData_Companion)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_SetLockSettingTimeRestrictionsData(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_SetLockSettingTimeRestrictionsData_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_SetLockSettingTimeRestrictionsData_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_SetLockSettingTimeRestrictionsData_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_SetLockSettingTimeRestrictionsData())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_SetLockSettingTimeRestrictionsData

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_SetLockSettingTimeRestrictionsData in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_SetLockSettingTimeRestrictionsData_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_SetLockSettingTimeRestrictionsData)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_SetLockSettingTimeRestrictionsData_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_SetLockSettingTimeRestrictionsData_serializer_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_SetLockSettingTimeRestrictionsData_serializer_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_SetLockSettingTimeRestrictionsData_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_SetLockSettingTimeRestrictionsData_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_SetLockSettingTimeRestrictionsData_serializer

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_SetLockSettingTimeRestrictionsData_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_SetLockSettingTimeRestrictionsData_serializer_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_SetLockSettingTimeRestrictionsData_serializer)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_SetLockSettingTimeRestrictionsData_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_SetLockSettingTimeRestrictionsData_Companion_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_SetLockSettingTimeRestrictionsData_Companion_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_SetLockSettingTimeRestrictionsData_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_SetLockSettingTimeRestrictionsData_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_SetLockSettingTimeRestrictionsData_Companion

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_SetLockSettingTimeRestrictionsData_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_SetLockSettingTimeRestrictionsData_Companion_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_SetLockSettingTimeRestrictionsData_Companion)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_TimeRequirementData(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_TimeRequirementData_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_TimeRequirementData_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_TimeRequirementData_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_TimeRequirementData())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_TimeRequirementData

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_TimeRequirementData in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_TimeRequirementData_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_TimeRequirementData)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_TimeRequirementData_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_TimeRequirementData_serializer_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_TimeRequirementData_serializer_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_TimeRequirementData_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_TimeRequirementData_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_TimeRequirementData_serializer

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_TimeRequirementData_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_TimeRequirementData_serializer_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_TimeRequirementData_serializer)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_TimeRequirementData_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_TimeRequirementData_Companion_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_TimeRequirementData_Companion_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_TimeRequirementData_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_TimeRequirementData_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_TimeRequirementData_Companion

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_TimeRequirementData_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_TimeRequirementData_Companion_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_TimeRequirementData_Companion)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingLocationRestrictionsData(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingLocationRestrictionsData_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingLocationRestrictionsData_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingLocationRestrictionsData_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingLocationRestrictionsData())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingLocationRestrictionsData

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingLocationRestrictionsData in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingLocationRestrictionsData_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingLocationRestrictionsData)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LocationRequirementData(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LocationRequirementData_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LocationRequirementData_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LocationRequirementData_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LocationRequirementData())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LocationRequirementData

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LocationRequirementData in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LocationRequirementData_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LocationRequirementData)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingLocationRestrictionsData_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingLocationRestrictionsData_serializer_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingLocationRestrictionsData_serializer_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingLocationRestrictionsData_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingLocationRestrictionsData_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingLocationRestrictionsData_serializer

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingLocationRestrictionsData_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingLocationRestrictionsData_serializer_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingLocationRestrictionsData_serializer)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingLocationRestrictionsData_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingLocationRestrictionsData_Companion_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingLocationRestrictionsData_Companion_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingLocationRestrictionsData_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingLocationRestrictionsData_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingLocationRestrictionsData_Companion

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingLocationRestrictionsData_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingLocationRestrictionsData_Companion_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingLocationRestrictionsData_Companion)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LocationRequirementData_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LocationRequirementData_serializer_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LocationRequirementData_serializer_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LocationRequirementData_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LocationRequirementData_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LocationRequirementData_serializer

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LocationRequirementData_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LocationRequirementData_serializer_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LocationRequirementData_serializer)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LocationRequirementData_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LocationRequirementData_Companion_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LocationRequirementData_Companion_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LocationRequirementData_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LocationRequirementData_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LocationRequirementData_Companion

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LocationRequirementData_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LocationRequirementData_Companion_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_LocationRequirementData_Companion)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyData(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyData_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyData_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyData_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyData())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyData

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyData in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyData_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyData)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyData_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyData_serializer_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyData_serializer_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyData_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyData_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyData_serializer

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyData_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyData_serializer_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyData_serializer)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyData_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyData_Companion_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyData_Companion_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyData_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyData_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyData_Companion

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyData_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyData_Companion_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyData_Companion)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByEmailData(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByEmailData_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByEmailData_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByEmailData_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByEmailData())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByEmailData

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByEmailData in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByEmailData_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByEmailData)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByEmailData_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByEmailData_serializer_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByEmailData_serializer_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByEmailData_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByEmailData_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByEmailData_serializer

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByEmailData_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByEmailData_serializer_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByEmailData_serializer)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByEmailData_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByEmailData_Companion_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByEmailData_Companion_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByEmailData_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByEmailData_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByEmailData_Companion

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByEmailData_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByEmailData_Companion_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByEmailData_Companion)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByTelephoneData(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByTelephoneData_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByTelephoneData_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByTelephoneData_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByTelephoneData())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByTelephoneData

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByTelephoneData in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByTelephoneData_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByTelephoneData)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByTelephoneData_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByTelephoneData_serializer_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByTelephoneData_serializer_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByTelephoneData_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByTelephoneData_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByTelephoneData_serializer

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByTelephoneData_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByTelephoneData_serializer_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByTelephoneData_serializer)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByTelephoneData_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByTelephoneData_Companion_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByTelephoneData_Companion_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByTelephoneData_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByTelephoneData_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByTelephoneData_Companion

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByTelephoneData_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByTelephoneData_Companion_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByTelephoneData_Companion)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByLocalKeyData(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByLocalKeyData_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByLocalKeyData_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByLocalKeyData_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByLocalKeyData())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByLocalKeyData

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByLocalKeyData in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByLocalKeyData_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByLocalKeyData)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByLocalKeyData_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByLocalKeyData_serializer_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByLocalKeyData_serializer_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByLocalKeyData_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByLocalKeyData_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByLocalKeyData_serializer

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByLocalKeyData_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByLocalKeyData_serializer_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByLocalKeyData_serializer)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByLocalKeyData_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByLocalKeyData_Companion_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByLocalKeyData_Companion_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByLocalKeyData_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByLocalKeyData_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByLocalKeyData_Companion

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByLocalKeyData_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByLocalKeyData_Companion_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByLocalKeyData_Companion)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByForeignKeyData(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByForeignKeyData_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByForeignKeyData_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByForeignKeyData_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByForeignKeyData())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByForeignKeyData

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByForeignKeyData in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByForeignKeyData_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByForeignKeyData)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByForeignKeyData_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByForeignKeyData_serializer_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByForeignKeyData_serializer_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByForeignKeyData_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByForeignKeyData_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByForeignKeyData_serializer

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByForeignKeyData_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByForeignKeyData_serializer_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByForeignKeyData_serializer)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByForeignKeyData_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByForeignKeyData_Companion_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByForeignKeyData_Companion_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByForeignKeyData_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByForeignKeyData_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByForeignKeyData_Companion

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByForeignKeyData_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByForeignKeyData_Companion_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByForeignKeyData_Companion)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByIdentityData(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByIdentityData_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByIdentityData_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByIdentityData_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByIdentityData())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByIdentityData

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByIdentityData in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByIdentityData_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByIdentityData)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByIdentityData_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByIdentityData_serializer_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByIdentityData_serializer_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByIdentityData_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByIdentityData_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByIdentityData_serializer

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByIdentityData_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByIdentityData_serializer_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByIdentityData_serializer)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByIdentityData_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByIdentityData_Companion_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByIdentityData_Companion_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByIdentityData_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByIdentityData_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByIdentityData_Companion

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByIdentityData_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByIdentityData_Companion_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByIdentityData_Companion)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByEmailsData(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByEmailsData_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByEmailsData_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByEmailsData_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByEmailsData())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByEmailsData

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByEmailsData in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByEmailsData_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByEmailsData)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByEmailsData_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByEmailsData_serializer_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByEmailsData_serializer_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByEmailsData_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByEmailsData_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByEmailsData_serializer

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByEmailsData_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByEmailsData_serializer_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByEmailsData_serializer)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByEmailsData_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByEmailsData_Companion_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByEmailsData_Companion_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByEmailsData_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByEmailsData_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByEmailsData_Companion

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByEmailsData_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByEmailsData_Companion_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByEmailsData_Companion)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByTelephonesData(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByTelephonesData_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByTelephonesData_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByTelephonesData_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByTelephonesData())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByTelephonesData

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByTelephonesData in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByTelephonesData_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByTelephonesData)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByTelephonesData_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByTelephonesData_serializer_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByTelephonesData_serializer_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByTelephonesData_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByTelephonesData_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByTelephonesData_serializer

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByTelephonesData_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByTelephonesData_serializer_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByTelephonesData_serializer)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByTelephonesData_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByTelephonesData_Companion_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByTelephonesData_Companion_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByTelephonesData_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByTelephonesData_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByTelephonesData_Companion

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByTelephonesData_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByTelephonesData_Companion_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByTelephonesData_Companion)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByLocalKeysData(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByLocalKeysData_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByLocalKeysData_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByLocalKeysData_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByLocalKeysData())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByLocalKeysData

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByLocalKeysData in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByLocalKeysData_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByLocalKeysData)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByLocalKeysData_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByLocalKeysData_serializer_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByLocalKeysData_serializer_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByLocalKeysData_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByLocalKeysData_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByLocalKeysData_serializer

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByLocalKeysData_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByLocalKeysData_serializer_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByLocalKeysData_serializer)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByLocalKeysData_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByLocalKeysData_Companion_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByLocalKeysData_Companion_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByLocalKeysData_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByLocalKeysData_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByLocalKeysData_Companion

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByLocalKeysData_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByLocalKeysData_Companion_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByLocalKeysData_Companion)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByForeignKeysData(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByForeignKeysData_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByForeignKeysData_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByForeignKeysData_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByForeignKeysData())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByForeignKeysData

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByForeignKeysData in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByForeignKeysData_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByForeignKeysData)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByForeignKeysData_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByForeignKeysData_serializer_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByForeignKeysData_serializer_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByForeignKeysData_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByForeignKeysData_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByForeignKeysData_serializer

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByForeignKeysData_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByForeignKeysData_serializer_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByForeignKeysData_serializer)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByForeignKeysData_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByForeignKeysData_Companion_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByForeignKeysData_Companion_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByForeignKeysData_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByForeignKeysData_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByForeignKeysData_Companion

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByForeignKeysData_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByForeignKeysData_Companion_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByForeignKeysData_Companion)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UnlockOperationData(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UnlockOperationData_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UnlockOperationData_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UnlockOperationData_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UnlockOperationData())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UnlockOperationData

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UnlockOperationData in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UnlockOperationData_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UnlockOperationData)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_BaseOperationData(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_BaseOperationData_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_BaseOperationData_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_BaseOperationData_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_BaseOperationData())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_BaseOperationData

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_BaseOperationData in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_BaseOperationData_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_BaseOperationData)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UnlockOperationData_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UnlockOperationData_serializer_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UnlockOperationData_serializer_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UnlockOperationData_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UnlockOperationData_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UnlockOperationData_serializer

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UnlockOperationData_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UnlockOperationData_serializer_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UnlockOperationData_serializer)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UnlockOperationData_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UnlockOperationData_Companion_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UnlockOperationData_Companion_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UnlockOperationData_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UnlockOperationData_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UnlockOperationData_Companion

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UnlockOperationData_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UnlockOperationData_Companion_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UnlockOperationData_Companion)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_BaseOperationData_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_BaseOperationData_serializer_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_BaseOperationData_serializer_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_BaseOperationData_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_BaseOperationData_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_BaseOperationData_serializer

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_BaseOperationData_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_BaseOperationData_serializer_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_BaseOperationData_serializer)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_BaseOperationData_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_BaseOperationData_Companion_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_BaseOperationData_Companion_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_BaseOperationData_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_BaseOperationData_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_BaseOperationData_Companion

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_BaseOperationData_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_BaseOperationData_Companion_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_BaseOperationData_Companion)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_ShareLockData(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_ShareLockData_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_ShareLockData_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_ShareLockData_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_ShareLockData())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_ShareLockData

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_ShareLockData in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_ShareLockData_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_ShareLockData)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_ShareLockData_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_ShareLockData_serializer_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_ShareLockData_serializer_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_ShareLockData_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_ShareLockData_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_ShareLockData_serializer

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_ShareLockData_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_ShareLockData_serializer_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_ShareLockData_serializer)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_ShareLockData_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_ShareLockData_Companion_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_ShareLockData_Companion_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_ShareLockData_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_ShareLockData_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_ShareLockData_Companion

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_ShareLockData_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_ShareLockData_Companion_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_ShareLockData_Companion)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_ShareLockOperationData(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_ShareLockOperationData_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_ShareLockOperationData_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_ShareLockOperationData_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_ShareLockOperationData())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_ShareLockOperationData

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_ShareLockOperationData in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_ShareLockOperationData_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_ShareLockOperationData)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_ShareLockOperationData_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_ShareLockOperationData_serializer_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_ShareLockOperationData_serializer_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_ShareLockOperationData_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_ShareLockOperationData_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_ShareLockOperationData_serializer

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_ShareLockOperationData_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_ShareLockOperationData_serializer_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_ShareLockOperationData_serializer)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_ShareLockOperationData_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_ShareLockOperationData_Companion_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_ShareLockOperationData_Companion_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_ShareLockOperationData_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_ShareLockOperationData_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_ShareLockOperationData_Companion

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_ShareLockOperationData_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_ShareLockOperationData_Companion_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_ShareLockOperationData_Companion)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_BatchShareLockOperationData(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_BatchShareLockOperationData_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_BatchShareLockOperationData_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_BatchShareLockOperationData_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_BatchShareLockOperationData())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_BatchShareLockOperationData

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_BatchShareLockOperationData in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_BatchShareLockOperationData_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_BatchShareLockOperationData)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_BatchShareLockOperationData_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_BatchShareLockOperationData_serializer_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_BatchShareLockOperationData_serializer_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_BatchShareLockOperationData_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_BatchShareLockOperationData_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_BatchShareLockOperationData_serializer

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_BatchShareLockOperationData_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_BatchShareLockOperationData_serializer_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_BatchShareLockOperationData_serializer)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_BatchShareLockOperationData_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_BatchShareLockOperationData_Companion_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_BatchShareLockOperationData_Companion_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_BatchShareLockOperationData_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_BatchShareLockOperationData_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_BatchShareLockOperationData_Companion

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_BatchShareLockOperationData_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_BatchShareLockOperationData_Companion_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_BatchShareLockOperationData_Companion)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_RevokeAccessToLockOperationData(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_RevokeAccessToLockOperationData_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_RevokeAccessToLockOperationData_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_RevokeAccessToLockOperationData_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_RevokeAccessToLockOperationData())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_RevokeAccessToLockOperationData

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_RevokeAccessToLockOperationData in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_RevokeAccessToLockOperationData_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_RevokeAccessToLockOperationData)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_RevokeAccessToLockOperationData_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_RevokeAccessToLockOperationData_serializer_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_RevokeAccessToLockOperationData_serializer_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_RevokeAccessToLockOperationData_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_RevokeAccessToLockOperationData_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_RevokeAccessToLockOperationData_serializer

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_RevokeAccessToLockOperationData_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_RevokeAccessToLockOperationData_serializer_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_RevokeAccessToLockOperationData_serializer)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_RevokeAccessToLockOperationData_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_RevokeAccessToLockOperationData_Companion_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_RevokeAccessToLockOperationData_Companion_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_RevokeAccessToLockOperationData_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_RevokeAccessToLockOperationData_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_RevokeAccessToLockOperationData_Companion

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_RevokeAccessToLockOperationData_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_RevokeAccessToLockOperationData_Companion_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_RevokeAccessToLockOperationData_Companion)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateSecureSettingUnlockDurationData(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateSecureSettingUnlockDurationData_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateSecureSettingUnlockDurationData_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateSecureSettingUnlockDurationData_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateSecureSettingUnlockDurationData())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateSecureSettingUnlockDurationData

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateSecureSettingUnlockDurationData in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateSecureSettingUnlockDurationData_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateSecureSettingUnlockDurationData)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateSecureSettingUnlockDurationData_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateSecureSettingUnlockDurationData_serializer_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateSecureSettingUnlockDurationData_serializer_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateSecureSettingUnlockDurationData_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateSecureSettingUnlockDurationData_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateSecureSettingUnlockDurationData_serializer

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateSecureSettingUnlockDurationData_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateSecureSettingUnlockDurationData_serializer_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateSecureSettingUnlockDurationData_serializer)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateSecureSettingUnlockDurationData_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateSecureSettingUnlockDurationData_Companion_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateSecureSettingUnlockDurationData_Companion_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateSecureSettingUnlockDurationData_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateSecureSettingUnlockDurationData_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateSecureSettingUnlockDurationData_Companion

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateSecureSettingUnlockDurationData_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateSecureSettingUnlockDurationData_Companion_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateSecureSettingUnlockDurationData_Companion)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UnlockBetweenData(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UnlockBetweenData_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UnlockBetweenData_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UnlockBetweenData_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UnlockBetweenData())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UnlockBetweenData

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UnlockBetweenData in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UnlockBetweenData_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UnlockBetweenData)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UnlockBetweenData_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UnlockBetweenData_serializer_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UnlockBetweenData_serializer_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UnlockBetweenData_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UnlockBetweenData_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UnlockBetweenData_serializer

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UnlockBetweenData_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UnlockBetweenData_serializer_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UnlockBetweenData_serializer)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UnlockBetweenData_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UnlockBetweenData_Companion_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UnlockBetweenData_Companion_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UnlockBetweenData_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UnlockBetweenData_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UnlockBetweenData_Companion

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UnlockBetweenData_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UnlockBetweenData_Companion_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UnlockBetweenData_Companion)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateSecureSettingUnlockBetweenData(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateSecureSettingUnlockBetweenData_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateSecureSettingUnlockBetweenData_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateSecureSettingUnlockBetweenData_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateSecureSettingUnlockBetweenData())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateSecureSettingUnlockBetweenData

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateSecureSettingUnlockBetweenData in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateSecureSettingUnlockBetweenData_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateSecureSettingUnlockBetweenData)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateSecureSettingUnlockBetweenData_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateSecureSettingUnlockBetweenData_serializer_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateSecureSettingUnlockBetweenData_serializer_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateSecureSettingUnlockBetweenData_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateSecureSettingUnlockBetweenData_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateSecureSettingUnlockBetweenData_serializer

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateSecureSettingUnlockBetweenData_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateSecureSettingUnlockBetweenData_serializer_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateSecureSettingUnlockBetweenData_serializer)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateSecureSettingUnlockBetweenData_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateSecureSettingUnlockBetweenData_Companion_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateSecureSettingUnlockBetweenData_Companion_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateSecureSettingUnlockBetweenData_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateSecureSettingUnlockBetweenData_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateSecureSettingUnlockBetweenData_Companion

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateSecureSettingUnlockBetweenData_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateSecureSettingUnlockBetweenData_Companion_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateSecureSettingUnlockBetweenData_Companion)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_CreateApplicationData(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_CreateApplicationData_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_CreateApplicationData_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_CreateApplicationData_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_CreateApplicationData())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_CreateApplicationData

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_CreateApplicationData in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_CreateApplicationData_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_CreateApplicationData)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_EmailPreferencesData(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_EmailPreferencesData_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_EmailPreferencesData_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_EmailPreferencesData_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_EmailPreferencesData())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_EmailPreferencesData

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_EmailPreferencesData in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_EmailPreferencesData_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_EmailPreferencesData)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_CreateApplicationData_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_CreateApplicationData_serializer_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_CreateApplicationData_serializer_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_CreateApplicationData_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_CreateApplicationData_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_CreateApplicationData_serializer

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_CreateApplicationData_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_CreateApplicationData_serializer_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_CreateApplicationData_serializer)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_CreateApplicationData_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_CreateApplicationData_Companion_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_CreateApplicationData_Companion_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_CreateApplicationData_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_CreateApplicationData_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_CreateApplicationData_Companion

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_CreateApplicationData_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_CreateApplicationData_Companion_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_CreateApplicationData_Companion)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_EmailCallToActionData(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_EmailCallToActionData_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_EmailCallToActionData_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_EmailCallToActionData_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_EmailCallToActionData())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_EmailCallToActionData

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_EmailCallToActionData in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_EmailCallToActionData_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_EmailCallToActionData)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_EmailPreferencesData_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_EmailPreferencesData_serializer_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_EmailPreferencesData_serializer_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_EmailPreferencesData_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_EmailPreferencesData_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_EmailPreferencesData_serializer

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_EmailPreferencesData_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_EmailPreferencesData_serializer_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_EmailPreferencesData_serializer)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_EmailPreferencesData_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_EmailPreferencesData_Companion_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_EmailPreferencesData_Companion_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_EmailPreferencesData_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_EmailPreferencesData_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_EmailPreferencesData_Companion

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_EmailPreferencesData_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_EmailPreferencesData_Companion_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_EmailPreferencesData_Companion)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_EmailCallToActionData_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_EmailCallToActionData_serializer_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_EmailCallToActionData_serializer_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_EmailCallToActionData_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_EmailCallToActionData_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_EmailCallToActionData_serializer

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_EmailCallToActionData_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_EmailCallToActionData_serializer_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_EmailCallToActionData_serializer)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_EmailCallToActionData_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_EmailCallToActionData_Companion_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_EmailCallToActionData_Companion_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_EmailCallToActionData_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_EmailCallToActionData_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_EmailCallToActionData_Companion

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_EmailCallToActionData_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_EmailCallToActionData_Companion_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_EmailCallToActionData_Companion)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_ApplicationIdData(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_ApplicationIdData_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_ApplicationIdData_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_ApplicationIdData_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_ApplicationIdData())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_ApplicationIdData

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_ApplicationIdData in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_ApplicationIdData_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_ApplicationIdData)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_ApplicationIdData_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_ApplicationIdData_serializer_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_ApplicationIdData_serializer_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_ApplicationIdData_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_ApplicationIdData_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_ApplicationIdData_serializer

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_ApplicationIdData_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_ApplicationIdData_serializer_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_ApplicationIdData_serializer)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_ApplicationIdData_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_ApplicationIdData_Companion_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_ApplicationIdData_Companion_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_ApplicationIdData_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_ApplicationIdData_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_ApplicationIdData_Companion

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_ApplicationIdData_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_ApplicationIdData_Companion_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_ApplicationIdData_Companion)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationNameData(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationNameData_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationNameData_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationNameData_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationNameData())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationNameData

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationNameData in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationNameData_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationNameData)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationNameData_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationNameData_serializer_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationNameData_serializer_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationNameData_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationNameData_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationNameData_serializer

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationNameData_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationNameData_serializer_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationNameData_serializer)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationNameData_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationNameData_Companion_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationNameData_Companion_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationNameData_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationNameData_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationNameData_Companion

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationNameData_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationNameData_Companion_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationNameData_Companion)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationCompanyNameData(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationCompanyNameData_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationCompanyNameData_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationCompanyNameData_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationCompanyNameData())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationCompanyNameData

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationCompanyNameData in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationCompanyNameData_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationCompanyNameData)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationCompanyNameData_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationCompanyNameData_serializer_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationCompanyNameData_serializer_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationCompanyNameData_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationCompanyNameData_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationCompanyNameData_serializer

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationCompanyNameData_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationCompanyNameData_serializer_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationCompanyNameData_serializer)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationCompanyNameData_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationCompanyNameData_Companion_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationCompanyNameData_Companion_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationCompanyNameData_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationCompanyNameData_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationCompanyNameData_Companion

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationCompanyNameData_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationCompanyNameData_Companion_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationCompanyNameData_Companion)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationMailingAddressData(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationMailingAddressData_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationMailingAddressData_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationMailingAddressData_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationMailingAddressData())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationMailingAddressData

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationMailingAddressData in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationMailingAddressData_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationMailingAddressData)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationMailingAddressData_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationMailingAddressData_serializer_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationMailingAddressData_serializer_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationMailingAddressData_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationMailingAddressData_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationMailingAddressData_serializer

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationMailingAddressData_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationMailingAddressData_serializer_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationMailingAddressData_serializer)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationMailingAddressData_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationMailingAddressData_Companion_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationMailingAddressData_Companion_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationMailingAddressData_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationMailingAddressData_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationMailingAddressData_Companion

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationMailingAddressData_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationMailingAddressData_Companion_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationMailingAddressData_Companion)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationPrivacyPolicyData(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationPrivacyPolicyData_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationPrivacyPolicyData_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationPrivacyPolicyData_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationPrivacyPolicyData())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationPrivacyPolicyData

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationPrivacyPolicyData in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationPrivacyPolicyData_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationPrivacyPolicyData)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationPrivacyPolicyData_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationPrivacyPolicyData_serializer_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationPrivacyPolicyData_serializer_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationPrivacyPolicyData_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationPrivacyPolicyData_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationPrivacyPolicyData_serializer

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationPrivacyPolicyData_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationPrivacyPolicyData_serializer_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationPrivacyPolicyData_serializer)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationPrivacyPolicyData_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationPrivacyPolicyData_Companion_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationPrivacyPolicyData_Companion_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationPrivacyPolicyData_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationPrivacyPolicyData_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationPrivacyPolicyData_Companion

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationPrivacyPolicyData_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationPrivacyPolicyData_Companion_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationPrivacyPolicyData_Companion)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationSupportContactData(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationSupportContactData_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationSupportContactData_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationSupportContactData_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationSupportContactData())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationSupportContactData

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationSupportContactData in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationSupportContactData_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationSupportContactData)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationSupportContactData_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationSupportContactData_serializer_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationSupportContactData_serializer_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationSupportContactData_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationSupportContactData_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationSupportContactData_serializer

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationSupportContactData_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationSupportContactData_serializer_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationSupportContactData_serializer)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationSupportContactData_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationSupportContactData_Companion_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationSupportContactData_Companion_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationSupportContactData_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationSupportContactData_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationSupportContactData_Companion

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationSupportContactData_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationSupportContactData_Companion_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationSupportContactData_Companion)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationAppLinkData(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationAppLinkData_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationAppLinkData_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationAppLinkData_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationAppLinkData())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationAppLinkData

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationAppLinkData in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationAppLinkData_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationAppLinkData)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationAppLinkData_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationAppLinkData_serializer_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationAppLinkData_serializer_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationAppLinkData_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationAppLinkData_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationAppLinkData_serializer

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationAppLinkData_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationAppLinkData_serializer_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationAppLinkData_serializer)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationAppLinkData_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationAppLinkData_Companion_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationAppLinkData_Companion_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationAppLinkData_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationAppLinkData_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationAppLinkData_Companion

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationAppLinkData_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationAppLinkData_Companion_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationAppLinkData_Companion)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationEmailPreferencesData(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationEmailPreferencesData_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationEmailPreferencesData_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationEmailPreferencesData_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationEmailPreferencesData())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationEmailPreferencesData

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationEmailPreferencesData in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationEmailPreferencesData_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationEmailPreferencesData)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationEmailPreferencesData_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationEmailPreferencesData_serializer_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationEmailPreferencesData_serializer_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationEmailPreferencesData_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationEmailPreferencesData_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationEmailPreferencesData_serializer

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationEmailPreferencesData_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationEmailPreferencesData_serializer_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationEmailPreferencesData_serializer)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationEmailPreferencesData_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationEmailPreferencesData_Companion_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationEmailPreferencesData_Companion_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationEmailPreferencesData_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationEmailPreferencesData_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationEmailPreferencesData_Companion

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationEmailPreferencesData_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationEmailPreferencesData_Companion_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationEmailPreferencesData_Companion)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationLogoUrlData(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationLogoUrlData_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationLogoUrlData_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationLogoUrlData_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationLogoUrlData())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationLogoUrlData

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationLogoUrlData in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationLogoUrlData_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationLogoUrlData)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationLogoUrlData_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationLogoUrlData_serializer_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationLogoUrlData_serializer_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationLogoUrlData_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationLogoUrlData_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationLogoUrlData_serializer

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationLogoUrlData_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationLogoUrlData_serializer_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationLogoUrlData_serializer)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationLogoUrlData_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationLogoUrlData_Companion_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationLogoUrlData_Companion_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationLogoUrlData_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationLogoUrlData_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationLogoUrlData_Companion

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationLogoUrlData_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationLogoUrlData_Companion_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationLogoUrlData_Companion)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetLogoUploadUrlData(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetLogoUploadUrlData_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetLogoUploadUrlData_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetLogoUploadUrlData_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetLogoUploadUrlData())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetLogoUploadUrlData

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetLogoUploadUrlData in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetLogoUploadUrlData_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetLogoUploadUrlData)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetLogoUploadUrlData_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetLogoUploadUrlData_serializer_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetLogoUploadUrlData_serializer_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetLogoUploadUrlData_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetLogoUploadUrlData_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetLogoUploadUrlData_serializer

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetLogoUploadUrlData_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetLogoUploadUrlData_serializer_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetLogoUploadUrlData_serializer)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetLogoUploadUrlData_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetLogoUploadUrlData_Companion_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetLogoUploadUrlData_Companion_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetLogoUploadUrlData_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetLogoUploadUrlData_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetLogoUploadUrlData_Companion

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetLogoUploadUrlData_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetLogoUploadUrlData_Companion_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetLogoUploadUrlData_Companion)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_AddAuthKeyData(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_AddAuthKeyData_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_AddAuthKeyData_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_AddAuthKeyData_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_AddAuthKeyData())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_AddAuthKeyData

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_AddAuthKeyData in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_AddAuthKeyData_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_AddAuthKeyData)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_AuthKeyData(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_AuthKeyData_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_AuthKeyData_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_AuthKeyData_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_AuthKeyData())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_AuthKeyData

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_AuthKeyData in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_AuthKeyData_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_AuthKeyData)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_AddAuthKeyData_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_AddAuthKeyData_serializer_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_AddAuthKeyData_serializer_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_AddAuthKeyData_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_AddAuthKeyData_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_AddAuthKeyData_serializer

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_AddAuthKeyData_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_AddAuthKeyData_serializer_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_AddAuthKeyData_serializer)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_AddAuthKeyData_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_AddAuthKeyData_Companion_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_AddAuthKeyData_Companion_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_AddAuthKeyData_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_AddAuthKeyData_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_AddAuthKeyData_Companion

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_AddAuthKeyData_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_AddAuthKeyData_Companion_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_AddAuthKeyData_Companion)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_AuthKeyData_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_AuthKeyData_Companion_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_AuthKeyData_Companion_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_AuthKeyData_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_AuthKeyData_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_AuthKeyData_Companion

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_AuthKeyData_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_AuthKeyData_Companion_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_AuthKeyData_Companion)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_RsaKeyData(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_RsaKeyData_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_RsaKeyData_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_RsaKeyData_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_RsaKeyData())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_RsaKeyData

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_RsaKeyData in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_RsaKeyData_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_RsaKeyData)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_RsaKeyData_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_RsaKeyData_serializer_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_RsaKeyData_serializer_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_RsaKeyData_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_RsaKeyData_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_RsaKeyData_serializer

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_RsaKeyData_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_RsaKeyData_serializer_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_RsaKeyData_serializer)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_RsaKeyData_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_RsaKeyData_Companion_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_RsaKeyData_Companion_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_RsaKeyData_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_RsaKeyData_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_RsaKeyData_Companion

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_RsaKeyData_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_RsaKeyData_Companion_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_RsaKeyData_Companion)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_EcKeyData(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_EcKeyData_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_EcKeyData_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_EcKeyData_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_EcKeyData())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_EcKeyData

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_EcKeyData in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_EcKeyData_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_EcKeyData)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_EcKeyData_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_EcKeyData_serializer_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_EcKeyData_serializer_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_EcKeyData_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_EcKeyData_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_EcKeyData_serializer

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_EcKeyData_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_EcKeyData_serializer_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_EcKeyData_serializer)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_EcKeyData_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_EcKeyData_Companion_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_EcKeyData_Companion_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_EcKeyData_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_EcKeyData_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_EcKeyData_Companion

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_EcKeyData_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_EcKeyData_Companion_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_EcKeyData_Companion)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Ed25519KeyData(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Ed25519KeyData_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Ed25519KeyData_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Ed25519KeyData_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Ed25519KeyData())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Ed25519KeyData

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Ed25519KeyData in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Ed25519KeyData_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Ed25519KeyData)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Ed25519KeyData_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Ed25519KeyData_serializer_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Ed25519KeyData_serializer_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Ed25519KeyData_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Ed25519KeyData_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Ed25519KeyData_serializer

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Ed25519KeyData_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Ed25519KeyData_serializer_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Ed25519KeyData_serializer)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Ed25519KeyData_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Ed25519KeyData_Companion_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Ed25519KeyData_Companion_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Ed25519KeyData_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Ed25519KeyData_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Ed25519KeyData_Companion

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Ed25519KeyData_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Ed25519KeyData_Companion_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_Ed25519KeyData_Companion)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_AuthIssuerData(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_AuthIssuerData_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_AuthIssuerData_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_AuthIssuerData_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_AuthIssuerData())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_AuthIssuerData

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_AuthIssuerData in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_AuthIssuerData_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_AuthIssuerData)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_AuthIssuerData_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_AuthIssuerData_serializer_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_AuthIssuerData_serializer_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_AuthIssuerData_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_AuthIssuerData_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_AuthIssuerData_serializer

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_AuthIssuerData_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_AuthIssuerData_serializer_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_AuthIssuerData_serializer)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_AuthIssuerData_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_AuthIssuerData_Companion_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_AuthIssuerData_Companion_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_AuthIssuerData_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_AuthIssuerData_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_AuthIssuerData_Companion

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_AuthIssuerData_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_AuthIssuerData_Companion_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_AuthIssuerData_Companion)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_CorsDomainData(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_CorsDomainData_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_CorsDomainData_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_CorsDomainData_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_CorsDomainData())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_CorsDomainData

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_CorsDomainData in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_CorsDomainData_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_CorsDomainData)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_CorsDomainData_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_CorsDomainData_serializer_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_CorsDomainData_serializer_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_CorsDomainData_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_CorsDomainData_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_CorsDomainData_serializer

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_CorsDomainData_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_CorsDomainData_serializer_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_CorsDomainData_serializer)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_CorsDomainData_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_CorsDomainData_Companion_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_CorsDomainData_Companion_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_CorsDomainData_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_CorsDomainData_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_CorsDomainData_Companion

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_CorsDomainData_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_CorsDomainData_Companion_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_CorsDomainData_Companion)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_ApplicationOwnerData(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_ApplicationOwnerData_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_ApplicationOwnerData_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_ApplicationOwnerData_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_ApplicationOwnerData())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_ApplicationOwnerData

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_ApplicationOwnerData in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_ApplicationOwnerData_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_ApplicationOwnerData)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_ApplicationOwnerData_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_ApplicationOwnerData_serializer_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_ApplicationOwnerData_serializer_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_ApplicationOwnerData_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_ApplicationOwnerData_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_ApplicationOwnerData_serializer

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_ApplicationOwnerData_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_ApplicationOwnerData_serializer_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_ApplicationOwnerData_serializer)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_ApplicationOwnerData_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_ApplicationOwnerData_Companion_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_ApplicationOwnerData_Companion_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_ApplicationOwnerData_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_ApplicationOwnerData_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_ApplicationOwnerData_Companion

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_ApplicationOwnerData_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_ApplicationOwnerData_Companion_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_ApplicationOwnerData_Companion)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_FailedResultData(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_FailedResultData_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_FailedResultData_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_FailedResultData_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_FailedResultData())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_FailedResultData

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_FailedResultData in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_FailedResultData_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_FailedResultData)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_FailedResultData_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_FailedResultData_serializer_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_FailedResultData_serializer_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_FailedResultData_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_FailedResultData_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_FailedResultData_serializer

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_FailedResultData_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_FailedResultData_serializer_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_FailedResultData_serializer)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_FailedResultData_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_FailedResultData_Companion_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_FailedResultData_Companion_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_FailedResultData_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_FailedResultData_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_FailedResultData_Companion

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_FailedResultData_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_FailedResultData_Companion_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_FailedResultData_Companion)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_SiteIdData(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_SiteIdData_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_SiteIdData_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_SiteIdData_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_SiteIdData())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_SiteIdData

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_SiteIdData in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_SiteIdData_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_SiteIdData)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_SiteIdData_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_SiteIdData_serializer_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_SiteIdData_serializer_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_SiteIdData_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_SiteIdData_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_SiteIdData_serializer

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_SiteIdData_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_SiteIdData_serializer_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_SiteIdData_serializer)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_SiteIdData_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_SiteIdData_Companion_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_SiteIdData_Companion_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_SiteIdData_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_SiteIdData_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_SiteIdData_Companion

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_SiteIdData_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_SiteIdData_Companion_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_SiteIdData_Companion)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetLocksBelongingToTileData(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetLocksBelongingToTileData_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetLocksBelongingToTileData_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetLocksBelongingToTileData_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetLocksBelongingToTileData())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetLocksBelongingToTileData

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetLocksBelongingToTileData in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetLocksBelongingToTileData_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetLocksBelongingToTileData)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetLocksBelongingToTileData_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetLocksBelongingToTileData_serializer_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetLocksBelongingToTileData_serializer_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetLocksBelongingToTileData_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetLocksBelongingToTileData_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetLocksBelongingToTileData_serializer

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetLocksBelongingToTileData_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetLocksBelongingToTileData_serializer_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetLocksBelongingToTileData_serializer)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetLocksBelongingToTileData_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetLocksBelongingToTileData_Companion_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetLocksBelongingToTileData_Companion_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetLocksBelongingToTileData_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetLocksBelongingToTileData_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetLocksBelongingToTileData_Companion

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetLocksBelongingToTileData_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetLocksBelongingToTileData_Companion_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_GetLocksBelongingToTileData_Companion)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_AssociateMultipleLocksData(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_AssociateMultipleLocksData_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_AssociateMultipleLocksData_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_AssociateMultipleLocksData_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_AssociateMultipleLocksData())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_AssociateMultipleLocksData

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_AssociateMultipleLocksData in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_AssociateMultipleLocksData_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_AssociateMultipleLocksData)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_AssociateMultipleLocksData_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_AssociateMultipleLocksData_serializer_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_AssociateMultipleLocksData_serializer_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_AssociateMultipleLocksData_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_AssociateMultipleLocksData_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_AssociateMultipleLocksData_serializer

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_AssociateMultipleLocksData_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_AssociateMultipleLocksData_serializer_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_AssociateMultipleLocksData_serializer)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_AssociateMultipleLocksData_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_AssociateMultipleLocksData_Companion_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_AssociateMultipleLocksData_Companion_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_AssociateMultipleLocksData_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_AssociateMultipleLocksData_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_AssociateMultipleLocksData_Companion

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_AssociateMultipleLocksData_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_AssociateMultipleLocksData_Companion_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_data_AssociateMultipleLocksData_Companion)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_requests_OperationRequest(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_requests_OperationRequest_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_requests_OperationRequest_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_requests_OperationRequest_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_requests_OperationRequest())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_requests_OperationRequest

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_requests_OperationRequest in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_requests_OperationRequest_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_requests_OperationRequest)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_requests_OperationRequest_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_requests_OperationRequest_Companion_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_requests_OperationRequest_Companion_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_requests_OperationRequest_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_requests_OperationRequest_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_requests_OperationRequest_Companion

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_requests_OperationRequest_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_requests_OperationRequest_Companion_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_requests_OperationRequest_Companion)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_requests_UpdateLockPropertiesRequest(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_requests_UpdateLockPropertiesRequest_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_requests_UpdateLockPropertiesRequest_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_requests_UpdateLockPropertiesRequest_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_requests_UpdateLockPropertiesRequest())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_requests_UpdateLockPropertiesRequest

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_requests_UpdateLockPropertiesRequest in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_requests_UpdateLockPropertiesRequest_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_requests_UpdateLockPropertiesRequest)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_requests_UpdateLockPropertiesRequest_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_requests_UpdateLockPropertiesRequest_Companion_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_requests_UpdateLockPropertiesRequest_Companion_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_requests_UpdateLockPropertiesRequest_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_requests_UpdateLockPropertiesRequest_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_requests_UpdateLockPropertiesRequest_Companion

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_requests_UpdateLockPropertiesRequest_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_requests_UpdateLockPropertiesRequest_Companion_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_requests_UpdateLockPropertiesRequest_Companion)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_requests_LockSettingsRequest(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_requests_LockSettingsRequest_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_requests_LockSettingsRequest_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_requests_LockSettingsRequest_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_requests_LockSettingsRequest())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_requests_LockSettingsRequest

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_requests_LockSettingsRequest in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_requests_LockSettingsRequest_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_requests_LockSettingsRequest)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_requests_LockSettingsRequest_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_requests_LockSettingsRequest_Companion_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_requests_LockSettingsRequest_Companion_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_requests_LockSettingsRequest_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_requests_LockSettingsRequest_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_requests_LockSettingsRequest_Companion

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_requests_LockSettingsRequest_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_requests_LockSettingsRequest_Companion_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_requests_LockSettingsRequest_Companion)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_requests_UsageRequirementRequest(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_requests_UsageRequirementRequest_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_requests_UsageRequirementRequest_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_requests_UsageRequirementRequest_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_requests_UsageRequirementRequest())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_requests_UsageRequirementRequest

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_requests_UsageRequirementRequest in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_requests_UsageRequirementRequest_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_requests_UsageRequirementRequest)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_requests_UsageRequirementRequest_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_requests_UsageRequirementRequest_Companion_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_requests_UsageRequirementRequest_Companion_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_requests_UsageRequirementRequest_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_requests_UsageRequirementRequest_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_requests_UsageRequirementRequest_Companion

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_requests_UsageRequirementRequest_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_requests_UsageRequirementRequest_Companion_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_requests_UsageRequirementRequest_Companion)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_requests_UpdateApplicationRequest(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_requests_UpdateApplicationRequest_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_requests_UpdateApplicationRequest_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_requests_UpdateApplicationRequest_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_requests_UpdateApplicationRequest())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_requests_UpdateApplicationRequest

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_requests_UpdateApplicationRequest in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_requests_UpdateApplicationRequest_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_requests_UpdateApplicationRequest)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_requests_UpdateApplicationRequest_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_requests_UpdateApplicationRequest_Companion_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_requests_UpdateApplicationRequest_Companion_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_requests_UpdateApplicationRequest_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_requests_UpdateApplicationRequest_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_requests_UpdateApplicationRequest_Companion

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_requests_UpdateApplicationRequest_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_requests_UpdateApplicationRequest_Companion_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_requests_UpdateApplicationRequest_Companion)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_requests_AddAuthKeyRequest(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_requests_AddAuthKeyRequest_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_requests_AddAuthKeyRequest_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_requests_AddAuthKeyRequest_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_requests_AddAuthKeyRequest())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_requests_AddAuthKeyRequest

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_requests_AddAuthKeyRequest in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_requests_AddAuthKeyRequest_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_requests_AddAuthKeyRequest)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_requests_AddAuthKeyRequest_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_requests_AddAuthKeyRequest_Companion_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_requests_AddAuthKeyRequest_Companion_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_requests_AddAuthKeyRequest_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_requests_AddAuthKeyRequest_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_requests_AddAuthKeyRequest_Companion

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_requests_AddAuthKeyRequest_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_requests_AddAuthKeyRequest_Companion_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_requests_AddAuthKeyRequest_Companion)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_TokenResponse(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_TokenResponse_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_TokenResponse_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_TokenResponse_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_TokenResponse())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_TokenResponse

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_TokenResponse in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_TokenResponse_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_TokenResponse)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_TokenResponse_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_TokenResponse_serializer_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_TokenResponse_serializer_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_TokenResponse_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_TokenResponse_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_TokenResponse_serializer

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_TokenResponse_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_TokenResponse_serializer_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_TokenResponse_serializer)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_TokenResponse_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_TokenResponse_Companion_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_TokenResponse_Companion_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_TokenResponse_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_TokenResponse_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_TokenResponse_Companion

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_TokenResponse_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_TokenResponse_Companion_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_TokenResponse_Companion)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_UserDetailsResponse(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_UserDetailsResponse_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_UserDetailsResponse_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_UserDetailsResponse_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_UserDetailsResponse())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_UserDetailsResponse

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_UserDetailsResponse in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_UserDetailsResponse_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_UserDetailsResponse)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_UserDetailsResponse_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_UserDetailsResponse_serializer_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_UserDetailsResponse_serializer_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_UserDetailsResponse_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_UserDetailsResponse_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_UserDetailsResponse_serializer

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_UserDetailsResponse_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_UserDetailsResponse_serializer_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_UserDetailsResponse_serializer)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_UserDetailsResponse_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_UserDetailsResponse_Companion_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_UserDetailsResponse_Companion_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_UserDetailsResponse_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_UserDetailsResponse_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_UserDetailsResponse_Companion

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_UserDetailsResponse_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_UserDetailsResponse_Companion_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_UserDetailsResponse_Companion)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_RegisterEphemeralKeyResponse(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_RegisterEphemeralKeyResponse_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_RegisterEphemeralKeyResponse_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_RegisterEphemeralKeyResponse_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_RegisterEphemeralKeyResponse())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_RegisterEphemeralKeyResponse

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_RegisterEphemeralKeyResponse in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_RegisterEphemeralKeyResponse_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_RegisterEphemeralKeyResponse)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_RegisterEphemeralKeyResponse_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_RegisterEphemeralKeyResponse_serializer_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_RegisterEphemeralKeyResponse_serializer_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_RegisterEphemeralKeyResponse_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_RegisterEphemeralKeyResponse_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_RegisterEphemeralKeyResponse_serializer

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_RegisterEphemeralKeyResponse_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_RegisterEphemeralKeyResponse_serializer_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_RegisterEphemeralKeyResponse_serializer)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_RegisterEphemeralKeyResponse_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_RegisterEphemeralKeyResponse_Companion_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_RegisterEphemeralKeyResponse_Companion_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_RegisterEphemeralKeyResponse_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_RegisterEphemeralKeyResponse_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_RegisterEphemeralKeyResponse_Companion

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_RegisterEphemeralKeyResponse_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_RegisterEphemeralKeyResponse_Companion_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_RegisterEphemeralKeyResponse_Companion)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_RegisterEphemeralKeyWithSecondaryAuthenticationResponse(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_RegisterEphemeralKeyWithSecondaryAuthenticationResponse_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_RegisterEphemeralKeyWithSecondaryAuthenticationResponse_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_RegisterEphemeralKeyWithSecondaryAuthenticationResponse_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_RegisterEphemeralKeyWithSecondaryAuthenticationResponse())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_RegisterEphemeralKeyWithSecondaryAuthenticationResponse

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_RegisterEphemeralKeyWithSecondaryAuthenticationResponse in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_RegisterEphemeralKeyWithSecondaryAuthenticationResponse_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_RegisterEphemeralKeyWithSecondaryAuthenticationResponse)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_RegisterEphemeralKeyWithSecondaryAuthenticationResponse_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_RegisterEphemeralKeyWithSecondaryAuthenticationResponse_serializer_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_RegisterEphemeralKeyWithSecondaryAuthenticationResponse_serializer_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_RegisterEphemeralKeyWithSecondaryAuthenticationResponse_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_RegisterEphemeralKeyWithSecondaryAuthenticationResponse_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_RegisterEphemeralKeyWithSecondaryAuthenticationResponse_serializer

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_RegisterEphemeralKeyWithSecondaryAuthenticationResponse_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_RegisterEphemeralKeyWithSecondaryAuthenticationResponse_serializer_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_RegisterEphemeralKeyWithSecondaryAuthenticationResponse_serializer)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_RegisterEphemeralKeyWithSecondaryAuthenticationResponse_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_RegisterEphemeralKeyWithSecondaryAuthenticationResponse_Companion_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_RegisterEphemeralKeyWithSecondaryAuthenticationResponse_Companion_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_RegisterEphemeralKeyWithSecondaryAuthenticationResponse_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_RegisterEphemeralKeyWithSecondaryAuthenticationResponse_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_RegisterEphemeralKeyWithSecondaryAuthenticationResponse_Companion

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_RegisterEphemeralKeyWithSecondaryAuthenticationResponse_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_RegisterEphemeralKeyWithSecondaryAuthenticationResponse_Companion_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_RegisterEphemeralKeyWithSecondaryAuthenticationResponse_Companion)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_FusionLoginResponse(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_FusionLoginResponse_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_FusionLoginResponse_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_FusionLoginResponse_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_FusionLoginResponse())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_FusionLoginResponse

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_FusionLoginResponse in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_FusionLoginResponse_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_FusionLoginResponse)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_FusionLoginResponse_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_FusionLoginResponse_serializer_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_FusionLoginResponse_serializer_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_FusionLoginResponse_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_FusionLoginResponse_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_FusionLoginResponse_serializer

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_FusionLoginResponse_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_FusionLoginResponse_serializer_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_FusionLoginResponse_serializer)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_FusionLoginResponse_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_FusionLoginResponse_Companion_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_FusionLoginResponse_Companion_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_FusionLoginResponse_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_FusionLoginResponse_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_FusionLoginResponse_Companion

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_FusionLoginResponse_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_FusionLoginResponse_Companion_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_FusionLoginResponse_Companion)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_IntegrationTypeResponse(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_IntegrationTypeResponse_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_IntegrationTypeResponse_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_IntegrationTypeResponse_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_IntegrationTypeResponse())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_IntegrationTypeResponse

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_IntegrationTypeResponse in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_IntegrationTypeResponse_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_IntegrationTypeResponse)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_IntegrationTypeResponse_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_IntegrationTypeResponse_serializer_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_IntegrationTypeResponse_serializer_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_IntegrationTypeResponse_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_IntegrationTypeResponse_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_IntegrationTypeResponse_serializer

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_IntegrationTypeResponse_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_IntegrationTypeResponse_serializer_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_IntegrationTypeResponse_serializer)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_IntegrationTypeResponse_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_IntegrationTypeResponse_Companion_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_IntegrationTypeResponse_Companion_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_IntegrationTypeResponse_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_IntegrationTypeResponse_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_IntegrationTypeResponse_Companion

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_IntegrationTypeResponse_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_IntegrationTypeResponse_Companion_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_IntegrationTypeResponse_Companion)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_DoorStateResponse(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_DoorStateResponse_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_DoorStateResponse_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_DoorStateResponse_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_DoorStateResponse())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_DoorStateResponse

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_DoorStateResponse in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_DoorStateResponse_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_DoorStateResponse)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_ServiceStateType(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_ServiceStateType_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_ServiceStateType_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_ServiceStateType_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_ServiceStateType())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_ServiceStateType

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_ServiceStateType in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_ServiceStateType_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_ServiceStateType)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_DoorStateResponse_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_DoorStateResponse_serializer_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_DoorStateResponse_serializer_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_DoorStateResponse_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_DoorStateResponse_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_DoorStateResponse_serializer

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_DoorStateResponse_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_DoorStateResponse_serializer_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_DoorStateResponse_serializer)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_DoorStateResponse_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_DoorStateResponse_Companion_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_DoorStateResponse_Companion_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_DoorStateResponse_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_DoorStateResponse_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_DoorStateResponse_Companion

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_DoorStateResponse_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_DoorStateResponse_Companion_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_DoorStateResponse_Companion)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_IntegrationConfigurationResponse(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_IntegrationConfigurationResponse_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_IntegrationConfigurationResponse_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_IntegrationConfigurationResponse_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_IntegrationConfigurationResponse())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_IntegrationConfigurationResponse

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_IntegrationConfigurationResponse in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_IntegrationConfigurationResponse_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_IntegrationConfigurationResponse)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_ControllerResponse(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_ControllerResponse_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_ControllerResponse_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_ControllerResponse_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_ControllerResponse())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_ControllerResponse

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_ControllerResponse in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_ControllerResponse_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_ControllerResponse)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_ServiceStateResponse(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_ServiceStateResponse_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_ServiceStateResponse_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_ServiceStateResponse_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_ServiceStateResponse())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_ServiceStateResponse

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_ServiceStateResponse in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_ServiceStateResponse_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_ServiceStateResponse)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_DiscoveredDeviceResponse(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_DiscoveredDeviceResponse_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_DiscoveredDeviceResponse_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_DiscoveredDeviceResponse_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_DiscoveredDeviceResponse())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_DiscoveredDeviceResponse

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_DiscoveredDeviceResponse in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_DiscoveredDeviceResponse_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_DiscoveredDeviceResponse)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_IntegrationConfigurationResponse_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_IntegrationConfigurationResponse_serializer_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_IntegrationConfigurationResponse_serializer_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_IntegrationConfigurationResponse_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_IntegrationConfigurationResponse_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_IntegrationConfigurationResponse_serializer

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_IntegrationConfigurationResponse_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_IntegrationConfigurationResponse_serializer_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_IntegrationConfigurationResponse_serializer)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_IntegrationConfigurationResponse_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_IntegrationConfigurationResponse_Companion_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_IntegrationConfigurationResponse_Companion_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_IntegrationConfigurationResponse_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_IntegrationConfigurationResponse_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_IntegrationConfigurationResponse_Companion

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_IntegrationConfigurationResponse_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_IntegrationConfigurationResponse_Companion_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_IntegrationConfigurationResponse_Companion)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_ControllerResponse_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_ControllerResponse_serializer_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_ControllerResponse_serializer_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_ControllerResponse_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_ControllerResponse_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_ControllerResponse_serializer

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_ControllerResponse_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_ControllerResponse_serializer_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_ControllerResponse_serializer)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_ControllerResponse_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_ControllerResponse_Companion_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_ControllerResponse_Companion_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_ControllerResponse_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_ControllerResponse_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_ControllerResponse_Companion

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_ControllerResponse_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_ControllerResponse_Companion_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_ControllerResponse_Companion)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_ServiceStateResponse_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_ServiceStateResponse_serializer_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_ServiceStateResponse_serializer_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_ServiceStateResponse_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_ServiceStateResponse_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_ServiceStateResponse_serializer

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_ServiceStateResponse_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_ServiceStateResponse_serializer_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_ServiceStateResponse_serializer)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_ServiceStateResponse_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_ServiceStateResponse_Companion_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_ServiceStateResponse_Companion_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_ServiceStateResponse_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_ServiceStateResponse_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_ServiceStateResponse_Companion

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_ServiceStateResponse_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_ServiceStateResponse_Companion_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_ServiceStateResponse_Companion)
class Doordeck_Headless_Sdk_kref_kotlin_collections_Map(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_kotlin_collections_Map_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_kotlin_collections_Map_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_kotlin_collections_Map_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_kotlin_collections_Map())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_kotlin_collections_Map

# Register Doordeck_Headless_Sdk_kref_kotlin_collections_Map in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_kotlin_collections_Map_swigregister(Doordeck_Headless_Sdk_kref_kotlin_collections_Map)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_DiscoveredDeviceResponse_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_DiscoveredDeviceResponse_serializer_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_DiscoveredDeviceResponse_serializer_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_DiscoveredDeviceResponse_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_DiscoveredDeviceResponse_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_DiscoveredDeviceResponse_serializer

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_DiscoveredDeviceResponse_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_DiscoveredDeviceResponse_serializer_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_DiscoveredDeviceResponse_serializer)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_DiscoveredDeviceResponse_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_DiscoveredDeviceResponse_Companion_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_DiscoveredDeviceResponse_Companion_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_DiscoveredDeviceResponse_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_DiscoveredDeviceResponse_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_DiscoveredDeviceResponse_Companion

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_DiscoveredDeviceResponse_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_DiscoveredDeviceResponse_Companion_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_DiscoveredDeviceResponse_Companion)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_ServiceStateType_RUNNING(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_ServiceStateType_RUNNING_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_ServiceStateType_RUNNING_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_ServiceStateType_RUNNING_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_ServiceStateType_RUNNING())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_ServiceStateType_RUNNING

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_ServiceStateType_RUNNING in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_ServiceStateType_RUNNING_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_ServiceStateType_RUNNING)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_ServiceStateType_STOPPED(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_ServiceStateType_STOPPED_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_ServiceStateType_STOPPED_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_ServiceStateType_STOPPED_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_ServiceStateType_STOPPED())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_ServiceStateType_STOPPED

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_ServiceStateType_STOPPED in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_ServiceStateType_STOPPED_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_ServiceStateType_STOPPED)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_ServiceStateType_UNDEFINED(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_ServiceStateType_UNDEFINED_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_ServiceStateType_UNDEFINED_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_ServiceStateType_UNDEFINED_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_ServiceStateType_UNDEFINED())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_ServiceStateType_UNDEFINED

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_ServiceStateType_UNDEFINED in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_ServiceStateType_UNDEFINED_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_ServiceStateType_UNDEFINED)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_ServiceStateType_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_ServiceStateType_Companion_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_ServiceStateType_Companion_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_ServiceStateType_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_ServiceStateType_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_ServiceStateType_Companion

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_ServiceStateType_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_ServiceStateType_Companion_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_ServiceStateType_Companion)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_AssistedLoginResponse(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_AssistedLoginResponse_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_AssistedLoginResponse_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_AssistedLoginResponse_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_AssistedLoginResponse())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_AssistedLoginResponse

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_AssistedLoginResponse in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_AssistedLoginResponse_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_AssistedLoginResponse)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_AssistedLoginResponse_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_AssistedLoginResponse_serializer_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_AssistedLoginResponse_serializer_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_AssistedLoginResponse_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_AssistedLoginResponse_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_AssistedLoginResponse_serializer

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_AssistedLoginResponse_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_AssistedLoginResponse_serializer_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_AssistedLoginResponse_serializer)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_AssistedLoginResponse_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_AssistedLoginResponse_Companion_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_AssistedLoginResponse_Companion_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_AssistedLoginResponse_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_AssistedLoginResponse_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_AssistedLoginResponse_Companion

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_AssistedLoginResponse_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_AssistedLoginResponse_Companion_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_AssistedLoginResponse_Companion)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_AssistedRegisterEphemeralKeyResponse(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_AssistedRegisterEphemeralKeyResponse_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_AssistedRegisterEphemeralKeyResponse_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_AssistedRegisterEphemeralKeyResponse_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_AssistedRegisterEphemeralKeyResponse())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_AssistedRegisterEphemeralKeyResponse

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_AssistedRegisterEphemeralKeyResponse in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_AssistedRegisterEphemeralKeyResponse_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_AssistedRegisterEphemeralKeyResponse)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_AssistedRegisterEphemeralKeyResponse_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_AssistedRegisterEphemeralKeyResponse_serializer_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_AssistedRegisterEphemeralKeyResponse_serializer_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_AssistedRegisterEphemeralKeyResponse_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_AssistedRegisterEphemeralKeyResponse_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_AssistedRegisterEphemeralKeyResponse_serializer

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_AssistedRegisterEphemeralKeyResponse_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_AssistedRegisterEphemeralKeyResponse_serializer_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_AssistedRegisterEphemeralKeyResponse_serializer)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_AssistedRegisterEphemeralKeyResponse_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_AssistedRegisterEphemeralKeyResponse_Companion_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_AssistedRegisterEphemeralKeyResponse_Companion_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_AssistedRegisterEphemeralKeyResponse_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_AssistedRegisterEphemeralKeyResponse_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_AssistedRegisterEphemeralKeyResponse_Companion

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_AssistedRegisterEphemeralKeyResponse_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_AssistedRegisterEphemeralKeyResponse_Companion_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_AssistedRegisterEphemeralKeyResponse_Companion)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_LockResponse(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_LockResponse_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_LockResponse_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_LockResponse_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_LockResponse())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_LockResponse

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_LockResponse in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_LockResponse_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_LockResponse)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_LockSettingsResponse(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_LockSettingsResponse_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_LockSettingsResponse_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_LockSettingsResponse_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_LockSettingsResponse())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_LockSettingsResponse

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_LockSettingsResponse in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_LockSettingsResponse_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_LockSettingsResponse)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_LockStateResponse(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_LockStateResponse_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_LockStateResponse_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_LockStateResponse_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_LockStateResponse())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_LockStateResponse

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_LockStateResponse in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_LockStateResponse_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_LockStateResponse)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_LockResponse_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_LockResponse_serializer_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_LockResponse_serializer_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_LockResponse_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_LockResponse_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_LockResponse_serializer

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_LockResponse_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_LockResponse_serializer_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_LockResponse_serializer)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_LockResponse_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_LockResponse_Companion_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_LockResponse_Companion_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_LockResponse_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_LockResponse_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_LockResponse_Companion

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_LockResponse_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_LockResponse_Companion_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_LockResponse_Companion)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_UsageRequirementsResponse(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_UsageRequirementsResponse_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_UsageRequirementsResponse_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_UsageRequirementsResponse_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_UsageRequirementsResponse())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_UsageRequirementsResponse

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_UsageRequirementsResponse in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_UsageRequirementsResponse_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_UsageRequirementsResponse)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_UnlockBetweenSettingResponse(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_UnlockBetweenSettingResponse_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_UnlockBetweenSettingResponse_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_UnlockBetweenSettingResponse_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_UnlockBetweenSettingResponse())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_UnlockBetweenSettingResponse

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_UnlockBetweenSettingResponse in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_UnlockBetweenSettingResponse_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_UnlockBetweenSettingResponse)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_LockSettingsResponse_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_LockSettingsResponse_serializer_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_LockSettingsResponse_serializer_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_LockSettingsResponse_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_LockSettingsResponse_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_LockSettingsResponse_serializer

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_LockSettingsResponse_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_LockSettingsResponse_serializer_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_LockSettingsResponse_serializer)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_LockSettingsResponse_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_LockSettingsResponse_Companion_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_LockSettingsResponse_Companion_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_LockSettingsResponse_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_LockSettingsResponse_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_LockSettingsResponse_Companion

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_LockSettingsResponse_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_LockSettingsResponse_Companion_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_LockSettingsResponse_Companion)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_LocationRequirementResponse(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_LocationRequirementResponse_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_LocationRequirementResponse_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_LocationRequirementResponse_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_LocationRequirementResponse())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_LocationRequirementResponse

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_LocationRequirementResponse in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_LocationRequirementResponse_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_LocationRequirementResponse)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_UsageRequirementsResponse_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_UsageRequirementsResponse_serializer_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_UsageRequirementsResponse_serializer_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_UsageRequirementsResponse_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_UsageRequirementsResponse_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_UsageRequirementsResponse_serializer

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_UsageRequirementsResponse_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_UsageRequirementsResponse_serializer_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_UsageRequirementsResponse_serializer)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_UsageRequirementsResponse_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_UsageRequirementsResponse_Companion_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_UsageRequirementsResponse_Companion_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_UsageRequirementsResponse_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_UsageRequirementsResponse_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_UsageRequirementsResponse_Companion

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_UsageRequirementsResponse_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_UsageRequirementsResponse_Companion_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_UsageRequirementsResponse_Companion)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_TimeRequirementResponse(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_TimeRequirementResponse_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_TimeRequirementResponse_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_TimeRequirementResponse_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_TimeRequirementResponse())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_TimeRequirementResponse

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_TimeRequirementResponse in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_TimeRequirementResponse_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_TimeRequirementResponse)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_TimeRequirementResponse_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_TimeRequirementResponse_serializer_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_TimeRequirementResponse_serializer_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_TimeRequirementResponse_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_TimeRequirementResponse_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_TimeRequirementResponse_serializer

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_TimeRequirementResponse_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_TimeRequirementResponse_serializer_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_TimeRequirementResponse_serializer)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_TimeRequirementResponse_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_TimeRequirementResponse_Companion_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_TimeRequirementResponse_Companion_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_TimeRequirementResponse_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_TimeRequirementResponse_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_TimeRequirementResponse_Companion

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_TimeRequirementResponse_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_TimeRequirementResponse_Companion_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_TimeRequirementResponse_Companion)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_LocationRequirementResponse_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_LocationRequirementResponse_serializer_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_LocationRequirementResponse_serializer_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_LocationRequirementResponse_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_LocationRequirementResponse_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_LocationRequirementResponse_serializer

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_LocationRequirementResponse_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_LocationRequirementResponse_serializer_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_LocationRequirementResponse_serializer)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_LocationRequirementResponse_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_LocationRequirementResponse_Companion_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_LocationRequirementResponse_Companion_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_LocationRequirementResponse_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_LocationRequirementResponse_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_LocationRequirementResponse_Companion

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_LocationRequirementResponse_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_LocationRequirementResponse_Companion_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_LocationRequirementResponse_Companion)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_UnlockBetweenSettingResponse_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_UnlockBetweenSettingResponse_serializer_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_UnlockBetweenSettingResponse_serializer_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_UnlockBetweenSettingResponse_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_UnlockBetweenSettingResponse_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_UnlockBetweenSettingResponse_serializer

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_UnlockBetweenSettingResponse_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_UnlockBetweenSettingResponse_serializer_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_UnlockBetweenSettingResponse_serializer)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_UnlockBetweenSettingResponse_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_UnlockBetweenSettingResponse_Companion_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_UnlockBetweenSettingResponse_Companion_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_UnlockBetweenSettingResponse_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_UnlockBetweenSettingResponse_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_UnlockBetweenSettingResponse_Companion

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_UnlockBetweenSettingResponse_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_UnlockBetweenSettingResponse_Companion_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_UnlockBetweenSettingResponse_Companion)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_LockStateResponse_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_LockStateResponse_serializer_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_LockStateResponse_serializer_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_LockStateResponse_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_LockStateResponse_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_LockStateResponse_serializer

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_LockStateResponse_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_LockStateResponse_serializer_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_LockStateResponse_serializer)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_LockStateResponse_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_LockStateResponse_Companion_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_LockStateResponse_Companion_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_LockStateResponse_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_LockStateResponse_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_LockStateResponse_Companion

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_LockStateResponse_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_LockStateResponse_Companion_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_LockStateResponse_Companion)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_UserPublicKeyResponse(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_UserPublicKeyResponse_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_UserPublicKeyResponse_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_UserPublicKeyResponse_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_UserPublicKeyResponse())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_UserPublicKeyResponse

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_UserPublicKeyResponse in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_UserPublicKeyResponse_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_UserPublicKeyResponse)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_UserPublicKeyResponse_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_UserPublicKeyResponse_serializer_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_UserPublicKeyResponse_serializer_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_UserPublicKeyResponse_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_UserPublicKeyResponse_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_UserPublicKeyResponse_serializer

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_UserPublicKeyResponse_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_UserPublicKeyResponse_serializer_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_UserPublicKeyResponse_serializer)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_UserPublicKeyResponse_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_UserPublicKeyResponse_Companion_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_UserPublicKeyResponse_Companion_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_UserPublicKeyResponse_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_UserPublicKeyResponse_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_UserPublicKeyResponse_Companion

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_UserPublicKeyResponse_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_UserPublicKeyResponse_Companion_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_UserPublicKeyResponse_Companion)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_BatchUserPublicKeyResponse(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_BatchUserPublicKeyResponse_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_BatchUserPublicKeyResponse_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_BatchUserPublicKeyResponse_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_BatchUserPublicKeyResponse())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_BatchUserPublicKeyResponse

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_BatchUserPublicKeyResponse in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_BatchUserPublicKeyResponse_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_BatchUserPublicKeyResponse)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_BatchUserPublicKeyResponse_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_BatchUserPublicKeyResponse_serializer_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_BatchUserPublicKeyResponse_serializer_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_BatchUserPublicKeyResponse_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_BatchUserPublicKeyResponse_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_BatchUserPublicKeyResponse_serializer

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_BatchUserPublicKeyResponse_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_BatchUserPublicKeyResponse_serializer_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_BatchUserPublicKeyResponse_serializer)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_BatchUserPublicKeyResponse_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_BatchUserPublicKeyResponse_Companion_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_BatchUserPublicKeyResponse_Companion_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_BatchUserPublicKeyResponse_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_BatchUserPublicKeyResponse_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_BatchUserPublicKeyResponse_Companion

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_BatchUserPublicKeyResponse_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_BatchUserPublicKeyResponse_Companion_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_BatchUserPublicKeyResponse_Companion)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_ShareableLockResponse(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_ShareableLockResponse_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_ShareableLockResponse_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_ShareableLockResponse_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_ShareableLockResponse())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_ShareableLockResponse

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_ShareableLockResponse in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_ShareableLockResponse_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_ShareableLockResponse)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_ShareableLockResponse_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_ShareableLockResponse_serializer_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_ShareableLockResponse_serializer_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_ShareableLockResponse_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_ShareableLockResponse_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_ShareableLockResponse_serializer

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_ShareableLockResponse_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_ShareableLockResponse_serializer_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_ShareableLockResponse_serializer)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_ShareableLockResponse_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_ShareableLockResponse_Companion_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_ShareableLockResponse_Companion_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_ShareableLockResponse_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_ShareableLockResponse_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_ShareableLockResponse_Companion

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_ShareableLockResponse_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_ShareableLockResponse_Companion_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_ShareableLockResponse_Companion)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_UserLockResponse(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_UserLockResponse_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_UserLockResponse_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_UserLockResponse_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_UserLockResponse())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_UserLockResponse

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_UserLockResponse in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_UserLockResponse_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_UserLockResponse)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_UserLockResponse_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_UserLockResponse_serializer_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_UserLockResponse_serializer_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_UserLockResponse_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_UserLockResponse_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_UserLockResponse_serializer

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_UserLockResponse_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_UserLockResponse_serializer_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_UserLockResponse_serializer)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_UserLockResponse_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_UserLockResponse_Companion_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_UserLockResponse_Companion_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_UserLockResponse_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_UserLockResponse_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_UserLockResponse_Companion

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_UserLockResponse_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_UserLockResponse_Companion_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_UserLockResponse_Companion)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_LockUserResponse(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_LockUserResponse_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_LockUserResponse_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_LockUserResponse_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_LockUserResponse())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_LockUserResponse

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_LockUserResponse in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_LockUserResponse_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_LockUserResponse)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_LockUserResponse_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_LockUserResponse_serializer_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_LockUserResponse_serializer_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_LockUserResponse_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_LockUserResponse_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_LockUserResponse_serializer

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_LockUserResponse_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_LockUserResponse_serializer_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_LockUserResponse_serializer)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_LockUserResponse_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_LockUserResponse_Companion_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_LockUserResponse_Companion_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_LockUserResponse_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_LockUserResponse_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_LockUserResponse_Companion

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_LockUserResponse_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_LockUserResponse_Companion_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_LockUserResponse_Companion)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_LockUserDetailsResponse(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_LockUserDetailsResponse_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_LockUserDetailsResponse_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_LockUserDetailsResponse_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_LockUserDetailsResponse())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_LockUserDetailsResponse

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_LockUserDetailsResponse in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_LockUserDetailsResponse_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_LockUserDetailsResponse)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_LockUserDetailsResponse_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_LockUserDetailsResponse_serializer_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_LockUserDetailsResponse_serializer_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_LockUserDetailsResponse_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_LockUserDetailsResponse_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_LockUserDetailsResponse_serializer

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_LockUserDetailsResponse_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_LockUserDetailsResponse_serializer_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_LockUserDetailsResponse_serializer)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_LockUserDetailsResponse_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_LockUserDetailsResponse_Companion_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_LockUserDetailsResponse_Companion_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_LockUserDetailsResponse_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_LockUserDetailsResponse_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_LockUserDetailsResponse_Companion

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_LockUserDetailsResponse_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_LockUserDetailsResponse_Companion_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_LockUserDetailsResponse_Companion)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_AuditResponse(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_AuditResponse_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_AuditResponse_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_AuditResponse_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_AuditResponse())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_AuditResponse

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_AuditResponse in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_AuditResponse_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_AuditResponse)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_AuditIssuerResponse(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_AuditIssuerResponse_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_AuditIssuerResponse_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_AuditIssuerResponse_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_AuditIssuerResponse())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_AuditIssuerResponse

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_AuditIssuerResponse in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_AuditIssuerResponse_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_AuditIssuerResponse)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_AuditSubjectResponse(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_AuditSubjectResponse_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_AuditSubjectResponse_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_AuditSubjectResponse_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_AuditSubjectResponse())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_AuditSubjectResponse

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_AuditSubjectResponse in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_AuditSubjectResponse_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_AuditSubjectResponse)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_AuditResponse_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_AuditResponse_serializer_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_AuditResponse_serializer_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_AuditResponse_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_AuditResponse_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_AuditResponse_serializer

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_AuditResponse_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_AuditResponse_serializer_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_AuditResponse_serializer)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_AuditResponse_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_AuditResponse_Companion_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_AuditResponse_Companion_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_AuditResponse_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_AuditResponse_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_AuditResponse_Companion

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_AuditResponse_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_AuditResponse_Companion_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_AuditResponse_Companion)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_AuditIssuerResponse_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_AuditIssuerResponse_serializer_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_AuditIssuerResponse_serializer_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_AuditIssuerResponse_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_AuditIssuerResponse_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_AuditIssuerResponse_serializer

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_AuditIssuerResponse_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_AuditIssuerResponse_serializer_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_AuditIssuerResponse_serializer)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_AuditIssuerResponse_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_AuditIssuerResponse_Companion_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_AuditIssuerResponse_Companion_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_AuditIssuerResponse_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_AuditIssuerResponse_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_AuditIssuerResponse_Companion

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_AuditIssuerResponse_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_AuditIssuerResponse_Companion_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_AuditIssuerResponse_Companion)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_AuditSubjectResponse_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_AuditSubjectResponse_serializer_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_AuditSubjectResponse_serializer_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_AuditSubjectResponse_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_AuditSubjectResponse_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_AuditSubjectResponse_serializer

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_AuditSubjectResponse_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_AuditSubjectResponse_serializer_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_AuditSubjectResponse_serializer)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_AuditSubjectResponse_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_AuditSubjectResponse_Companion_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_AuditSubjectResponse_Companion_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_AuditSubjectResponse_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_AuditSubjectResponse_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_AuditSubjectResponse_Companion

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_AuditSubjectResponse_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_AuditSubjectResponse_Companion_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_AuditSubjectResponse_Companion)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_ApplicationResponse(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_ApplicationResponse_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_ApplicationResponse_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_ApplicationResponse_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_ApplicationResponse())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_ApplicationResponse

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_ApplicationResponse in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_ApplicationResponse_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_ApplicationResponse)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_EmailPreferencesResponse(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_EmailPreferencesResponse_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_EmailPreferencesResponse_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_EmailPreferencesResponse_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_EmailPreferencesResponse())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_EmailPreferencesResponse

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_EmailPreferencesResponse in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_EmailPreferencesResponse_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_EmailPreferencesResponse)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_OauthResponse(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_OauthResponse_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_OauthResponse_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_OauthResponse_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_OauthResponse())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_OauthResponse

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_OauthResponse in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_OauthResponse_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_OauthResponse)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_ApplicationResponse_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_ApplicationResponse_serializer_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_ApplicationResponse_serializer_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_ApplicationResponse_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_ApplicationResponse_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_ApplicationResponse_serializer

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_ApplicationResponse_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_ApplicationResponse_serializer_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_ApplicationResponse_serializer)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_ApplicationResponse_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_ApplicationResponse_Companion_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_ApplicationResponse_Companion_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_ApplicationResponse_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_ApplicationResponse_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_ApplicationResponse_Companion

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_ApplicationResponse_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_ApplicationResponse_Companion_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_ApplicationResponse_Companion)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_AuthKeyResponse(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_AuthKeyResponse_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_AuthKeyResponse_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_AuthKeyResponse_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_AuthKeyResponse())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_AuthKeyResponse

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_AuthKeyResponse in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_AuthKeyResponse_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_AuthKeyResponse)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_AuthKeyResponse_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_AuthKeyResponse_Companion_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_AuthKeyResponse_Companion_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_AuthKeyResponse_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_AuthKeyResponse_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_AuthKeyResponse_Companion

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_AuthKeyResponse_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_AuthKeyResponse_Companion_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_AuthKeyResponse_Companion)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_RsaKeyResponse(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_RsaKeyResponse_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_RsaKeyResponse_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_RsaKeyResponse_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_RsaKeyResponse())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_RsaKeyResponse

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_RsaKeyResponse in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_RsaKeyResponse_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_RsaKeyResponse)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_RsaKeyResponse_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_RsaKeyResponse_serializer_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_RsaKeyResponse_serializer_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_RsaKeyResponse_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_RsaKeyResponse_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_RsaKeyResponse_serializer

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_RsaKeyResponse_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_RsaKeyResponse_serializer_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_RsaKeyResponse_serializer)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_RsaKeyResponse_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_RsaKeyResponse_Companion_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_RsaKeyResponse_Companion_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_RsaKeyResponse_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_RsaKeyResponse_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_RsaKeyResponse_Companion

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_RsaKeyResponse_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_RsaKeyResponse_Companion_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_RsaKeyResponse_Companion)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_EcKeyResponse(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_EcKeyResponse_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_EcKeyResponse_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_EcKeyResponse_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_EcKeyResponse())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_EcKeyResponse

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_EcKeyResponse in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_EcKeyResponse_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_EcKeyResponse)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_EcKeyResponse_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_EcKeyResponse_serializer_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_EcKeyResponse_serializer_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_EcKeyResponse_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_EcKeyResponse_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_EcKeyResponse_serializer

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_EcKeyResponse_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_EcKeyResponse_serializer_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_EcKeyResponse_serializer)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_EcKeyResponse_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_EcKeyResponse_Companion_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_EcKeyResponse_Companion_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_EcKeyResponse_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_EcKeyResponse_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_EcKeyResponse_Companion

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_EcKeyResponse_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_EcKeyResponse_Companion_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_EcKeyResponse_Companion)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_Ed25519KeyResponse(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_Ed25519KeyResponse_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_Ed25519KeyResponse_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_Ed25519KeyResponse_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_Ed25519KeyResponse())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_Ed25519KeyResponse

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_Ed25519KeyResponse in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_Ed25519KeyResponse_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_Ed25519KeyResponse)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_Ed25519KeyResponse_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_Ed25519KeyResponse_serializer_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_Ed25519KeyResponse_serializer_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_Ed25519KeyResponse_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_Ed25519KeyResponse_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_Ed25519KeyResponse_serializer

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_Ed25519KeyResponse_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_Ed25519KeyResponse_serializer_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_Ed25519KeyResponse_serializer)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_Ed25519KeyResponse_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_Ed25519KeyResponse_Companion_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_Ed25519KeyResponse_Companion_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_Ed25519KeyResponse_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_Ed25519KeyResponse_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_Ed25519KeyResponse_Companion

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_Ed25519KeyResponse_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_Ed25519KeyResponse_Companion_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_Ed25519KeyResponse_Companion)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_EmailCallToActionResponse(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_EmailCallToActionResponse_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_EmailCallToActionResponse_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_EmailCallToActionResponse_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_EmailCallToActionResponse())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_EmailCallToActionResponse

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_EmailCallToActionResponse in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_EmailCallToActionResponse_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_EmailCallToActionResponse)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_EmailPreferencesResponse_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_EmailPreferencesResponse_serializer_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_EmailPreferencesResponse_serializer_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_EmailPreferencesResponse_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_EmailPreferencesResponse_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_EmailPreferencesResponse_serializer

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_EmailPreferencesResponse_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_EmailPreferencesResponse_serializer_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_EmailPreferencesResponse_serializer)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_EmailPreferencesResponse_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_EmailPreferencesResponse_Companion_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_EmailPreferencesResponse_Companion_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_EmailPreferencesResponse_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_EmailPreferencesResponse_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_EmailPreferencesResponse_Companion

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_EmailPreferencesResponse_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_EmailPreferencesResponse_Companion_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_EmailPreferencesResponse_Companion)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_EmailCallToActionResponse_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_EmailCallToActionResponse_serializer_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_EmailCallToActionResponse_serializer_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_EmailCallToActionResponse_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_EmailCallToActionResponse_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_EmailCallToActionResponse_serializer

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_EmailCallToActionResponse_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_EmailCallToActionResponse_serializer_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_EmailCallToActionResponse_serializer)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_EmailCallToActionResponse_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_EmailCallToActionResponse_Companion_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_EmailCallToActionResponse_Companion_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_EmailCallToActionResponse_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_EmailCallToActionResponse_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_EmailCallToActionResponse_Companion

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_EmailCallToActionResponse_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_EmailCallToActionResponse_Companion_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_EmailCallToActionResponse_Companion)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_OauthResponse_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_OauthResponse_serializer_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_OauthResponse_serializer_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_OauthResponse_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_OauthResponse_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_OauthResponse_serializer

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_OauthResponse_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_OauthResponse_serializer_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_OauthResponse_serializer)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_OauthResponse_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_OauthResponse_Companion_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_OauthResponse_Companion_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_OauthResponse_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_OauthResponse_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_OauthResponse_Companion

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_OauthResponse_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_OauthResponse_Companion_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_OauthResponse_Companion)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_ApplicationOwnerDetailsResponse(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_ApplicationOwnerDetailsResponse_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_ApplicationOwnerDetailsResponse_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_ApplicationOwnerDetailsResponse_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_ApplicationOwnerDetailsResponse())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_ApplicationOwnerDetailsResponse

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_ApplicationOwnerDetailsResponse in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_ApplicationOwnerDetailsResponse_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_ApplicationOwnerDetailsResponse)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_ApplicationOwnerDetailsResponse_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_ApplicationOwnerDetailsResponse_serializer_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_ApplicationOwnerDetailsResponse_serializer_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_ApplicationOwnerDetailsResponse_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_ApplicationOwnerDetailsResponse_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_ApplicationOwnerDetailsResponse_serializer

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_ApplicationOwnerDetailsResponse_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_ApplicationOwnerDetailsResponse_serializer_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_ApplicationOwnerDetailsResponse_serializer)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_ApplicationOwnerDetailsResponse_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_ApplicationOwnerDetailsResponse_Companion_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_ApplicationOwnerDetailsResponse_Companion_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_ApplicationOwnerDetailsResponse_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_ApplicationOwnerDetailsResponse_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_ApplicationOwnerDetailsResponse_Companion

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_ApplicationOwnerDetailsResponse_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_ApplicationOwnerDetailsResponse_Companion_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_ApplicationOwnerDetailsResponse_Companion)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_GetLogoUploadUrlResponse(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_GetLogoUploadUrlResponse_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_GetLogoUploadUrlResponse_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_GetLogoUploadUrlResponse_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_GetLogoUploadUrlResponse())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_GetLogoUploadUrlResponse

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_GetLogoUploadUrlResponse in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_GetLogoUploadUrlResponse_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_GetLogoUploadUrlResponse)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_GetLogoUploadUrlResponse_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_GetLogoUploadUrlResponse_serializer_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_GetLogoUploadUrlResponse_serializer_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_GetLogoUploadUrlResponse_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_GetLogoUploadUrlResponse_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_GetLogoUploadUrlResponse_serializer

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_GetLogoUploadUrlResponse_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_GetLogoUploadUrlResponse_serializer_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_GetLogoUploadUrlResponse_serializer)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_GetLogoUploadUrlResponse_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_GetLogoUploadUrlResponse_Companion_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_GetLogoUploadUrlResponse_Companion_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_GetLogoUploadUrlResponse_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_GetLogoUploadUrlResponse_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_GetLogoUploadUrlResponse_Companion

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_GetLogoUploadUrlResponse_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_GetLogoUploadUrlResponse_Companion_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_GetLogoUploadUrlResponse_Companion)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_SiteResponse(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_SiteResponse_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_SiteResponse_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_SiteResponse_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_SiteResponse())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_SiteResponse

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_SiteResponse in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_SiteResponse_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_SiteResponse)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_SiteResponse_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_SiteResponse_serializer_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_SiteResponse_serializer_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_SiteResponse_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_SiteResponse_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_SiteResponse_serializer

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_SiteResponse_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_SiteResponse_serializer_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_SiteResponse_serializer)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_SiteResponse_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_SiteResponse_Companion_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_SiteResponse_Companion_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_SiteResponse_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_SiteResponse_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_SiteResponse_Companion

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_SiteResponse_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_SiteResponse_Companion_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_SiteResponse_Companion)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_SiteLocksResponse(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_SiteLocksResponse_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_SiteLocksResponse_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_SiteLocksResponse_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_SiteLocksResponse())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_SiteLocksResponse

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_SiteLocksResponse in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_SiteLocksResponse_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_SiteLocksResponse)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_SiteLockSettingsResponse(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_SiteLockSettingsResponse_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_SiteLockSettingsResponse_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_SiteLockSettingsResponse_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_SiteLockSettingsResponse())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_SiteLockSettingsResponse

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_SiteLockSettingsResponse in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_SiteLockSettingsResponse_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_SiteLockSettingsResponse)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_SiteLocksResponse_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_SiteLocksResponse_serializer_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_SiteLocksResponse_serializer_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_SiteLocksResponse_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_SiteLocksResponse_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_SiteLocksResponse_serializer

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_SiteLocksResponse_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_SiteLocksResponse_serializer_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_SiteLocksResponse_serializer)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_SiteLocksResponse_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_SiteLocksResponse_Companion_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_SiteLocksResponse_Companion_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_SiteLocksResponse_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_SiteLocksResponse_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_SiteLocksResponse_Companion

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_SiteLocksResponse_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_SiteLocksResponse_Companion_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_SiteLocksResponse_Companion)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_SiteStateResponse(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_SiteStateResponse_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_SiteStateResponse_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_SiteStateResponse_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_SiteStateResponse())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_SiteStateResponse

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_SiteStateResponse in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_SiteStateResponse_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_SiteStateResponse)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_SiteLockSettingsResponse_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_SiteLockSettingsResponse_serializer_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_SiteLockSettingsResponse_serializer_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_SiteLockSettingsResponse_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_SiteLockSettingsResponse_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_SiteLockSettingsResponse_serializer

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_SiteLockSettingsResponse_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_SiteLockSettingsResponse_serializer_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_SiteLockSettingsResponse_serializer)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_SiteLockSettingsResponse_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_SiteLockSettingsResponse_Companion_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_SiteLockSettingsResponse_Companion_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_SiteLockSettingsResponse_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_SiteLockSettingsResponse_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_SiteLockSettingsResponse_Companion

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_SiteLockSettingsResponse_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_SiteLockSettingsResponse_Companion_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_SiteLockSettingsResponse_Companion)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_SiteStateResponse_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_SiteStateResponse_serializer_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_SiteStateResponse_serializer_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_SiteStateResponse_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_SiteStateResponse_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_SiteStateResponse_serializer

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_SiteStateResponse_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_SiteStateResponse_serializer_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_SiteStateResponse_serializer)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_SiteStateResponse_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_SiteStateResponse_Companion_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_SiteStateResponse_Companion_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_SiteStateResponse_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_SiteStateResponse_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_SiteStateResponse_Companion

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_SiteStateResponse_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_SiteStateResponse_Companion_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_SiteStateResponse_Companion)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_UserForSiteResponse(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_UserForSiteResponse_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_UserForSiteResponse_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_UserForSiteResponse_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_UserForSiteResponse())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_UserForSiteResponse

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_UserForSiteResponse in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_UserForSiteResponse_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_UserForSiteResponse)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_UserForSiteResponse_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_UserForSiteResponse_serializer_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_UserForSiteResponse_serializer_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_UserForSiteResponse_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_UserForSiteResponse_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_UserForSiteResponse_serializer

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_UserForSiteResponse_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_UserForSiteResponse_serializer_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_UserForSiteResponse_serializer)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_UserForSiteResponse_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_UserForSiteResponse_Companion_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_UserForSiteResponse_Companion_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_UserForSiteResponse_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_UserForSiteResponse_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_UserForSiteResponse_Companion

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_UserForSiteResponse_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_UserForSiteResponse_Companion_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_UserForSiteResponse_Companion)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_TileLocksResponse(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_TileLocksResponse_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_TileLocksResponse_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_TileLocksResponse_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_TileLocksResponse())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_TileLocksResponse

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_TileLocksResponse in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_TileLocksResponse_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_TileLocksResponse)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_TileLocksResponse_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_TileLocksResponse_serializer_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_TileLocksResponse_serializer_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_TileLocksResponse_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_TileLocksResponse_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_TileLocksResponse_serializer

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_TileLocksResponse_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_TileLocksResponse_serializer_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_TileLocksResponse_serializer)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_TileLocksResponse_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_TileLocksResponse_Companion_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_TileLocksResponse_Companion_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_TileLocksResponse_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_TileLocksResponse_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_TileLocksResponse_Companion

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_TileLocksResponse_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_TileLocksResponse_Companion_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_model_responses_TileLocksResponse_Companion)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_util_Utils(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_util_Utils_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_util_Utils_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_util_Utils_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_util_Utils())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_util_Utils

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_util_Utils in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_util_Utils_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_util_Utils)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_Doordeck(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_Doordeck_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_Doordeck_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_Doordeck_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_Doordeck())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_Doordeck

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_Doordeck in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_Doordeck_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_Doordeck)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_PlatformType_JVM(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_PlatformType_JVM_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_PlatformType_JVM_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_PlatformType_JVM_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_PlatformType_JVM())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_PlatformType_JVM

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_PlatformType_JVM in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_PlatformType_JVM_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_PlatformType_JVM)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_PlatformType_ANDROID(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_PlatformType_ANDROID_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_PlatformType_ANDROID_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_PlatformType_ANDROID_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_PlatformType_ANDROID())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_PlatformType_ANDROID

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_PlatformType_ANDROID in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_PlatformType_ANDROID_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_PlatformType_ANDROID)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_PlatformType_APPLE(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_PlatformType_APPLE_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_PlatformType_APPLE_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_PlatformType_APPLE_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_PlatformType_APPLE())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_PlatformType_APPLE

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_PlatformType_APPLE in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_PlatformType_APPLE_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_PlatformType_APPLE)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_PlatformType_WINDOWS(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_PlatformType_WINDOWS_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_PlatformType_WINDOWS_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_PlatformType_WINDOWS_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_PlatformType_WINDOWS())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_PlatformType_WINDOWS

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_PlatformType_WINDOWS in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_PlatformType_WINDOWS_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_PlatformType_WINDOWS)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_PlatformType_JS(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_PlatformType_JS_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_PlatformType_JS_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_PlatformType_JS_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_PlatformType_JS())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_PlatformType_JS

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_PlatformType_JS in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_PlatformType_JS_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_PlatformType_JS)
class Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_KDoordeckFactory(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    pinned = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_KDoordeckFactory_pinned_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_KDoordeckFactory_pinned_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_KDoordeckFactory_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_KDoordeckFactory())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_KDoordeckFactory

# Register Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_KDoordeckFactory in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_KDoordeckFactory_swigregister(Doordeck_Headless_Sdk_kref_com_doordeck_multiplatform_sdk_KDoordeckFactory)

def changePassword(thiz, data, callback):
    return _doordeck_headless_sdk.changePassword(thiz, data, callback)

def deleteAccount(thiz, callback):
    return _doordeck_headless_sdk.deleteAccount(thiz, callback)

def getUserDetails(thiz, callback):
    return _doordeck_headless_sdk.getUserDetails(thiz, callback)

def logout(thiz, callback):
    return _doordeck_headless_sdk.logout(thiz, callback)

def refreshToken(thiz, data, callback):
    return _doordeck_headless_sdk.refreshToken(thiz, data, callback)

def registerEphemeralKey(thiz, data, callback):
    return _doordeck_headless_sdk.registerEphemeralKey(thiz, data, callback)

def registerEphemeralKeyWithSecondaryAuthentication(thiz, data, callback):
    return _doordeck_headless_sdk.registerEphemeralKeyWithSecondaryAuthentication(thiz, data, callback)

def reverifyEmail(thiz, callback):
    return _doordeck_headless_sdk.reverifyEmail(thiz, callback)

def updateUserDetails(thiz, data, callback):
    return _doordeck_headless_sdk.updateUserDetails(thiz, data, callback)

def verifyEphemeralKeyRegistration(thiz, data, callback):
    return _doordeck_headless_sdk.verifyEphemeralKeyRegistration(thiz, data, callback)

def login(thiz, data, callback):
    return _doordeck_headless_sdk.login(thiz, data, callback)

def passwordReset(thiz, data, callback):
    return _doordeck_headless_sdk.passwordReset(thiz, data, callback)

def passwordResetVerify(thiz, data, callback):
    return _doordeck_headless_sdk.passwordResetVerify(thiz, data, callback)

def registration(thiz, data, callback):
    return _doordeck_headless_sdk.registration(thiz, data, callback)

def verifyEmail(thiz, data, callback):
    return _doordeck_headless_sdk.verifyEmail(thiz, data, callback)

def deleteDoor(thiz, data, callback):
    return _doordeck_headless_sdk.deleteDoor(thiz, data, callback)

def enableDoor(thiz, data, callback):
    return _doordeck_headless_sdk.enableDoor(thiz, data, callback)

def getDoorStatus(thiz, data, callback):
    return _doordeck_headless_sdk.getDoorStatus(thiz, data, callback)

def getIntegrationConfiguration(thiz, data, callback):
    return _doordeck_headless_sdk.getIntegrationConfiguration(thiz, data, callback)

def getIntegrationType(thiz, callback):
    return _doordeck_headless_sdk.getIntegrationType(thiz, callback)

def loginFusion(thiz, data, callback):
    return _doordeck_headless_sdk.loginFusion(thiz, data, callback)

def startDoor(thiz, data, callback):
    return _doordeck_headless_sdk.startDoor(thiz, data, callback)

def stopDoor(thiz, data, callback):
    return _doordeck_headless_sdk.stopDoor(thiz, data, callback)

def assistedLogin(thiz, data, callback):
    return _doordeck_headless_sdk.assistedLogin(thiz, data, callback)

def assistedRegister(thiz, data, callback):
    return _doordeck_headless_sdk.assistedRegister(thiz, data, callback)

def assistedRegisterEphemeralKey(thiz, data, callback):
    return _doordeck_headless_sdk.assistedRegisterEphemeralKey(thiz, data, callback)

def uploadPlatformLogo(thiz, data, callback):
    return _doordeck_headless_sdk.uploadPlatformLogo(thiz, data, callback)

def batchShareLock(thiz, data, callback):
    return _doordeck_headless_sdk.batchShareLock(thiz, data, callback)

def getAuditForUser(thiz, data, callback):
    return _doordeck_headless_sdk.getAuditForUser(thiz, data, callback)

def getLockAuditTrail(thiz, data, callback):
    return _doordeck_headless_sdk.getLockAuditTrail(thiz, data, callback)

def getLocksForUser(thiz, data, callback):
    return _doordeck_headless_sdk.getLocksForUser(thiz, data, callback)

def getPinnedLocks(thiz, callback):
    return _doordeck_headless_sdk.getPinnedLocks(thiz, callback)

def getShareableLocks(thiz, callback):
    return _doordeck_headless_sdk.getShareableLocks(thiz, callback)

def getSingleLock(thiz, data, callback):
    return _doordeck_headless_sdk.getSingleLock(thiz, data, callback)

def getUserPublicKey(thiz, data, callback):
    return _doordeck_headless_sdk.getUserPublicKey(thiz, data, callback)

def getUserPublicKeyByEmail(thiz, data, callback):
    return _doordeck_headless_sdk.getUserPublicKeyByEmail(thiz, data, callback)

def getUserPublicKeyByEmails(thiz, data, callback):
    return _doordeck_headless_sdk.getUserPublicKeyByEmails(thiz, data, callback)

def getUserPublicKeyByForeignKey(thiz, data, callback):
    return _doordeck_headless_sdk.getUserPublicKeyByForeignKey(thiz, data, callback)

def getUserPublicKeyByForeignKeys(thiz, data, callback):
    return _doordeck_headless_sdk.getUserPublicKeyByForeignKeys(thiz, data, callback)

def getUserPublicKeyByIdentity(thiz, data, callback):
    return _doordeck_headless_sdk.getUserPublicKeyByIdentity(thiz, data, callback)

def getUserPublicKeyByLocalKey(thiz, data, callback):
    return _doordeck_headless_sdk.getUserPublicKeyByLocalKey(thiz, data, callback)

def getUserPublicKeyByLocalKeys(thiz, data, callback):
    return _doordeck_headless_sdk.getUserPublicKeyByLocalKeys(thiz, data, callback)

def getUserPublicKeyByTelephone(thiz, data, callback):
    return _doordeck_headless_sdk.getUserPublicKeyByTelephone(thiz, data, callback)

def getUserPublicKeyByTelephones(thiz, data, callback):
    return _doordeck_headless_sdk.getUserPublicKeyByTelephones(thiz, data, callback)

def getUsersForLock(thiz, data, callback):
    return _doordeck_headless_sdk.getUsersForLock(thiz, data, callback)

def revokeAccessToLock(thiz, data, callback):
    return _doordeck_headless_sdk.revokeAccessToLock(thiz, data, callback)

def setLockSettingPermittedAddresses(thiz, data, callback):
    return _doordeck_headless_sdk.setLockSettingPermittedAddresses(thiz, data, callback)

def setLockSettingTimeRestrictions(thiz, data, callback):
    return _doordeck_headless_sdk.setLockSettingTimeRestrictions(thiz, data, callback)

def shareLock(thiz, data, callback):
    return _doordeck_headless_sdk.shareLock(thiz, data, callback)

def unlock(thiz, data, callback):
    return _doordeck_headless_sdk.unlock(thiz, data, callback)

def updateLockColour(thiz, data, callback):
    return _doordeck_headless_sdk.updateLockColour(thiz, data, callback)

def updateLockFavourite(thiz, data, callback):
    return _doordeck_headless_sdk.updateLockFavourite(thiz, data, callback)

def updateLockName(thiz, data, callback):
    return _doordeck_headless_sdk.updateLockName(thiz, data, callback)

def updateLockSettingDefaultName(thiz, data, callback):
    return _doordeck_headless_sdk.updateLockSettingDefaultName(thiz, data, callback)

def updateLockSettingHidden(thiz, data, callback):
    return _doordeck_headless_sdk.updateLockSettingHidden(thiz, data, callback)

def updateLockSettingLocationRestrictions(thiz, data, callback):
    return _doordeck_headless_sdk.updateLockSettingLocationRestrictions(thiz, data, callback)

def updateSecureSettingUnlockBetween(thiz, data, callback):
    return _doordeck_headless_sdk.updateSecureSettingUnlockBetween(thiz, data, callback)

def updateSecureSettingUnlockDuration(thiz, data, callback):
    return _doordeck_headless_sdk.updateSecureSettingUnlockDuration(thiz, data, callback)

def addApplicationOwner(thiz, data, callback):
    return _doordeck_headless_sdk.addApplicationOwner(thiz, data, callback)

def addAuthIssuer(thiz, data, callback):
    return _doordeck_headless_sdk.addAuthIssuer(thiz, data, callback)

def addAuthKey(thiz, data, callback):
    return _doordeck_headless_sdk.addAuthKey(thiz, data, callback)

def addCorsDomain(thiz, data, callback):
    return _doordeck_headless_sdk.addCorsDomain(thiz, data, callback)

def createApplication(thiz, data, callback):
    return _doordeck_headless_sdk.createApplication(thiz, data, callback)

def deleteApplication(thiz, data, callback):
    return _doordeck_headless_sdk.deleteApplication(thiz, data, callback)

def deleteAuthIssuer(thiz, data, callback):
    return _doordeck_headless_sdk.deleteAuthIssuer(thiz, data, callback)

def getApplication(thiz, data, callback):
    return _doordeck_headless_sdk.getApplication(thiz, data, callback)

def getApplicationOwnersDetails(thiz, data, callback):
    return _doordeck_headless_sdk.getApplicationOwnersDetails(thiz, data, callback)

def getLogoUploadUrl(thiz, data, callback):
    return _doordeck_headless_sdk.getLogoUploadUrl(thiz, data, callback)

def listApplications(thiz, callback):
    return _doordeck_headless_sdk.listApplications(thiz, callback)

def removeApplicationOwner(thiz, data, callback):
    return _doordeck_headless_sdk.removeApplicationOwner(thiz, data, callback)

def removeCorsDomain(thiz, data, callback):
    return _doordeck_headless_sdk.removeCorsDomain(thiz, data, callback)

def updateApplicationAppLink(thiz, data, callback):
    return _doordeck_headless_sdk.updateApplicationAppLink(thiz, data, callback)

def updateApplicationCompanyName(thiz, data, callback):
    return _doordeck_headless_sdk.updateApplicationCompanyName(thiz, data, callback)

def updateApplicationEmailPreferences(thiz, data, callback):
    return _doordeck_headless_sdk.updateApplicationEmailPreferences(thiz, data, callback)

def updateApplicationLogoUrl(thiz, data, callback):
    return _doordeck_headless_sdk.updateApplicationLogoUrl(thiz, data, callback)

def updateApplicationMailingAddress(thiz, data, callback):
    return _doordeck_headless_sdk.updateApplicationMailingAddress(thiz, data, callback)

def updateApplicationName(thiz, data, callback):
    return _doordeck_headless_sdk.updateApplicationName(thiz, data, callback)

def updateApplicationPrivacyPolicy(thiz, data, callback):
    return _doordeck_headless_sdk.updateApplicationPrivacyPolicy(thiz, data, callback)

def updateApplicationSupportContact(thiz, data, callback):
    return _doordeck_headless_sdk.updateApplicationSupportContact(thiz, data, callback)

def getLocksForSite(thiz, data, callback):
    return _doordeck_headless_sdk.getLocksForSite(thiz, data, callback)

def getUsersForSite(thiz, data, callback):
    return _doordeck_headless_sdk.getUsersForSite(thiz, data, callback)

def listSites(thiz, callback):
    return _doordeck_headless_sdk.listSites(thiz, callback)

def associateMultipleLocks(thiz, data, callback):
    return _doordeck_headless_sdk.associateMultipleLocks(thiz, data, callback)

def getLocksBelongingToTile(thiz, data, callback):
    return _doordeck_headless_sdk.getLocksBelongingToTile(thiz, data, callback)

def clearContext(thiz):
    return _doordeck_headless_sdk.clearContext(thiz)

def getApiEnvironment(thiz):
    return _doordeck_headless_sdk.getApiEnvironment(thiz)

def getCloudAuthToken(thiz):
    return _doordeck_headless_sdk.getCloudAuthToken(thiz)

def getCloudRefreshToken(thiz):
    return _doordeck_headless_sdk.getCloudRefreshToken(thiz)

def getFusionAuthToken(thiz):
    return _doordeck_headless_sdk.getFusionAuthToken(thiz)

def getFusionHost(thiz):
    return _doordeck_headless_sdk.getFusionHost(thiz)

def getUserEmail(thiz):
    return _doordeck_headless_sdk.getUserEmail(thiz)

def getUserId(thiz):
    return _doordeck_headless_sdk.getUserId(thiz)

def isCertificateChainAboutToExpire(thiz):
    return _doordeck_headless_sdk.isCertificateChainAboutToExpire(thiz)

def isCloudAuthTokenAboutToExpire(thiz):
    return _doordeck_headless_sdk.isCloudAuthTokenAboutToExpire(thiz)

def isKeyPairValid(thiz):
    return _doordeck_headless_sdk.isKeyPairValid(thiz)

def setCloudAuthToken(thiz, token):
    return _doordeck_headless_sdk.setCloudAuthToken(thiz, token)

def setCloudRefreshToken(thiz, token):
    return _doordeck_headless_sdk.setCloudRefreshToken(thiz, token)

def setFusionAuthToken(thiz, token):
    return _doordeck_headless_sdk.setFusionAuthToken(thiz, token)

def setFusionHost(thiz, host):
    return _doordeck_headless_sdk.setFusionHost(thiz, host)

def setOperationContextJson(thiz, data):
    return _doordeck_headless_sdk.setOperationContextJson(thiz, data)

def setUserEmail(thiz, email):
    return _doordeck_headless_sdk.setUserEmail(thiz, email)

def setUserId(thiz, userId):
    return _doordeck_headless_sdk.setUserId(thiz, userId)

def generateEncodedKeyPair(thiz):
    return _doordeck_headless_sdk.generateEncodedKeyPair(thiz)

def buildSdkConfig(apiEnvironment, cloudAuthToken, cloudRefreshToken, fusionHost):
    return _doordeck_headless_sdk.buildSdkConfig(apiEnvironment, cloudAuthToken, cloudRefreshToken, fusionHost)

def getApiEnvironmentByName(thiz, name):
    return _doordeck_headless_sdk.getApiEnvironmentByName(thiz, name)

def getApiEnvironmentName(thiz):
    return _doordeck_headless_sdk.getApiEnvironmentName(thiz)

def account(thiz):
    return _doordeck_headless_sdk.account(thiz)

def accountless(thiz):
    return _doordeck_headless_sdk.accountless(thiz)

def contextManager(thiz):
    return _doordeck_headless_sdk.contextManager(thiz)

def crypto(thiz):
    return _doordeck_headless_sdk.crypto(thiz)

def fusion(thiz):
    return _doordeck_headless_sdk.fusion(thiz)

def helper(thiz):
    return _doordeck_headless_sdk.helper(thiz)

def lockOperations(thiz):
    return _doordeck_headless_sdk.lockOperations(thiz)

def platform(thiz):
    return _doordeck_headless_sdk.platform(thiz)

def sites(thiz):
    return _doordeck_headless_sdk.sites(thiz)

def tiles(thiz):
    return _doordeck_headless_sdk.tiles(thiz)

def initialize(thiz, sdkConfig):
    return _doordeck_headless_sdk.initialize(thiz, sdkConfig)
class Doordeck_Headless_Sdk_ExportedSymbols(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    DisposeStablePointer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_DisposeStablePointer_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_DisposeStablePointer_set)
    DisposeString = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_DisposeString_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_DisposeString_set)
    IsInstance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_IsInstance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_IsInstance_set)
    createNullableByte = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_createNullableByte_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_createNullableByte_set)
    getNonNullValueOfByte = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_getNonNullValueOfByte_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_getNonNullValueOfByte_set)
    createNullableShort = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_createNullableShort_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_createNullableShort_set)
    getNonNullValueOfShort = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_getNonNullValueOfShort_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_getNonNullValueOfShort_set)
    createNullableInt = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_createNullableInt_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_createNullableInt_set)
    getNonNullValueOfInt = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_getNonNullValueOfInt_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_getNonNullValueOfInt_set)
    createNullableLong = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_createNullableLong_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_createNullableLong_set)
    getNonNullValueOfLong = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_getNonNullValueOfLong_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_getNonNullValueOfLong_set)
    createNullableFloat = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_createNullableFloat_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_createNullableFloat_set)
    getNonNullValueOfFloat = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_getNonNullValueOfFloat_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_getNonNullValueOfFloat_set)
    createNullableDouble = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_createNullableDouble_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_createNullableDouble_set)
    getNonNullValueOfDouble = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_getNonNullValueOfDouble_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_getNonNullValueOfDouble_set)
    createNullableChar = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_createNullableChar_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_createNullableChar_set)
    getNonNullValueOfChar = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_getNonNullValueOfChar_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_getNonNullValueOfChar_set)
    createNullableBoolean = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_createNullableBoolean_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_createNullableBoolean_set)
    getNonNullValueOfBoolean = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_getNonNullValueOfBoolean_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_getNonNullValueOfBoolean_set)
    createNullableUnit = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_createNullableUnit_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_createNullableUnit_set)
    createNullableUByte = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_createNullableUByte_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_createNullableUByte_set)
    getNonNullValueOfUByte = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_getNonNullValueOfUByte_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_getNonNullValueOfUByte_set)
    createNullableUShort = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_createNullableUShort_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_createNullableUShort_set)
    getNonNullValueOfUShort = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_getNonNullValueOfUShort_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_getNonNullValueOfUShort_set)
    createNullableUInt = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_createNullableUInt_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_createNullableUInt_set)
    getNonNullValueOfUInt = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_getNonNullValueOfUInt_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_getNonNullValueOfUInt_set)
    createNullableULong = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_createNullableULong_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_createNullableULong_set)
    getNonNullValueOfULong = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_getNonNullValueOfULong_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_getNonNullValueOfULong_set)
    kotlin = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_get)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols

# Register Doordeck_Headless_Sdk_ExportedSymbols in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_swigregister(Doordeck_Headless_Sdk_ExportedSymbols)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    root = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_get)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    com = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_get)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    doordeck = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_get)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    multiplatform = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_get)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    sdk = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_get)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    api = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_get)
    config = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_config_get)
    context = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_context_get)
    crypto = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_crypto_get)
    exceptions = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_get)
    model = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_get)
    storage = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_storage_get)
    util = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_util_get)
    Doordeck = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_Doordeck_get)
    PlatformType = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_PlatformType_get)
    KDoordeckFactory = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_KDoordeckFactory_get)
    ApplicationContext = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_ApplicationContext_get)
    getPlatform = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_getPlatform_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_getPlatform_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_ApplicationContext(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_ApplicationContext__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_ApplicationContext__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_ApplicationContext__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_ApplicationContext__instance_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_ApplicationContext_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_ApplicationContext())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_ApplicationContext

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_ApplicationContext in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_ApplicationContext_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_ApplicationContext)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_KDoordeckFactory(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_KDoordeckFactory__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_KDoordeckFactory__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_KDoordeckFactory__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_KDoordeckFactory__instance_set)
    initialize_ = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_KDoordeckFactory_initialize__get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_KDoordeckFactory_initialize__set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_KDoordeckFactory_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_KDoordeckFactory())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_KDoordeckFactory

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_KDoordeckFactory in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_KDoordeckFactory_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_KDoordeckFactory)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_PlatformType(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    JVM = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_PlatformType_JVM_get)
    ANDROID = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_PlatformType_ANDROID_get)
    APPLE = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_PlatformType_APPLE_get)
    WINDOWS = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_PlatformType_WINDOWS_get)
    JS = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_PlatformType_JS_get)
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_PlatformType__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_PlatformType__type_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_PlatformType_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_PlatformType())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_PlatformType

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_PlatformType in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_PlatformType_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_PlatformType)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_PlatformType_JS(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    get = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_PlatformType_JS_get_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_PlatformType_JS_get_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_PlatformType_JS_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_PlatformType_JS())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_PlatformType_JS

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_PlatformType_JS in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_PlatformType_JS_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_PlatformType_JS)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_PlatformType_WINDOWS(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    get = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_PlatformType_WINDOWS_get_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_PlatformType_WINDOWS_get_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_PlatformType_WINDOWS_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_PlatformType_WINDOWS())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_PlatformType_WINDOWS

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_PlatformType_WINDOWS in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_PlatformType_WINDOWS_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_PlatformType_WINDOWS)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_PlatformType_APPLE(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    get = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_PlatformType_APPLE_get_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_PlatformType_APPLE_get_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_PlatformType_APPLE_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_PlatformType_APPLE())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_PlatformType_APPLE

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_PlatformType_APPLE in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_PlatformType_APPLE_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_PlatformType_APPLE)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_PlatformType_ANDROID(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    get = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_PlatformType_ANDROID_get_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_PlatformType_ANDROID_get_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_PlatformType_ANDROID_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_PlatformType_ANDROID())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_PlatformType_ANDROID

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_PlatformType_ANDROID in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_PlatformType_ANDROID_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_PlatformType_ANDROID)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_PlatformType_JVM(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    get = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_PlatformType_JVM_get_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_PlatformType_JVM_get_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_PlatformType_JVM_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_PlatformType_JVM())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_PlatformType_JVM

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_PlatformType_JVM in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_PlatformType_JVM_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_PlatformType_JVM)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_Doordeck(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_Doordeck__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_Doordeck__type_set)
    account_ = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_Doordeck_account__get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_Doordeck_account__set)
    accountless_ = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_Doordeck_accountless__get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_Doordeck_accountless__set)
    contextManager_ = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_Doordeck_contextManager__get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_Doordeck_contextManager__set)
    crypto_ = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_Doordeck_crypto__get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_Doordeck_crypto__set)
    fusion_ = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_Doordeck_fusion__get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_Doordeck_fusion__set)
    helper_ = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_Doordeck_helper__get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_Doordeck_helper__set)
    lockOperations_ = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_Doordeck_lockOperations__get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_Doordeck_lockOperations__set)
    platform_ = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_Doordeck_platform__get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_Doordeck_platform__set)
    sites_ = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_Doordeck_sites__get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_Doordeck_sites__set)
    tiles_ = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_Doordeck_tiles__get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_Doordeck_tiles__set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_Doordeck_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_Doordeck())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_Doordeck

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_Doordeck in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_Doordeck_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_Doordeck)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_util(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    Utils = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_util_Utils_get)
    buildSdkConfig_ = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_util_buildSdkConfig__get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_util_buildSdkConfig__set)
    getApiEnvironmentByName_ = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_util_getApiEnvironmentByName__get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_util_getApiEnvironmentByName__set)
    getApiEnvironmentName_ = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_util_getApiEnvironmentName__get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_util_getApiEnvironmentName__set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_util_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_util())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_util

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_util in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_util_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_util)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_util_Utils(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_util_Utils__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_util_Utils__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_util_Utils__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_util_Utils__instance_set)
    certificateChainToString = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_util_Utils_certificateChainToString_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_util_Utils_certificateChainToString_set)
    decodeBase64ToByteArray = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_util_Utils_decodeBase64ToByteArray_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_util_Utils_decodeBase64ToByteArray_set)
    encodeByteArrayToBase64 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_util_Utils_encodeByteArrayToBase64_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_util_Utils_encodeByteArrayToBase64_set)
    stringToCertificateChain = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_util_Utils_stringToCertificateChain_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_util_Utils_stringToCertificateChain_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_util_Utils_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_util_Utils())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_util_Utils

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_util_Utils in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_util_Utils_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_util_Utils)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_storage(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    SecureStorage = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_storage_SecureStorage_get)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_storage_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_storage())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_storage

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_storage in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_storage_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_storage)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_storage_SecureStorage(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_storage_SecureStorage__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_storage_SecureStorage__type_set)
    addCertificateChain = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_storage_SecureStorage_addCertificateChain_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_storage_SecureStorage_addCertificateChain_set)
    addCloudAuthToken = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_storage_SecureStorage_addCloudAuthToken_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_storage_SecureStorage_addCloudAuthToken_set)
    addCloudRefreshToken = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_storage_SecureStorage_addCloudRefreshToken_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_storage_SecureStorage_addCloudRefreshToken_set)
    addFusionAuthToken = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_storage_SecureStorage_addFusionAuthToken_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_storage_SecureStorage_addFusionAuthToken_set)
    addPrivateKey = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_storage_SecureStorage_addPrivateKey_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_storage_SecureStorage_addPrivateKey_set)
    addPublicKey = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_storage_SecureStorage_addPublicKey_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_storage_SecureStorage_addPublicKey_set)
    addUserEmail = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_storage_SecureStorage_addUserEmail_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_storage_SecureStorage_addUserEmail_set)
    addUserId = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_storage_SecureStorage_addUserId_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_storage_SecureStorage_addUserId_set)
    clear = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_storage_SecureStorage_clear_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_storage_SecureStorage_clear_set)
    getApiEnvironment = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_storage_SecureStorage_getApiEnvironment_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_storage_SecureStorage_getApiEnvironment_set)
    getCertificateChain = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_storage_SecureStorage_getCertificateChain_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_storage_SecureStorage_getCertificateChain_set)
    getCloudAuthToken = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_storage_SecureStorage_getCloudAuthToken_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_storage_SecureStorage_getCloudAuthToken_set)
    getCloudRefreshToken = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_storage_SecureStorage_getCloudRefreshToken_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_storage_SecureStorage_getCloudRefreshToken_set)
    getFusionAuthToken = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_storage_SecureStorage_getFusionAuthToken_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_storage_SecureStorage_getFusionAuthToken_set)
    getFusionHost = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_storage_SecureStorage_getFusionHost_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_storage_SecureStorage_getFusionHost_set)
    getPrivateKey = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_storage_SecureStorage_getPrivateKey_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_storage_SecureStorage_getPrivateKey_set)
    getPublicKey = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_storage_SecureStorage_getPublicKey_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_storage_SecureStorage_getPublicKey_set)
    getUserEmail = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_storage_SecureStorage_getUserEmail_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_storage_SecureStorage_getUserEmail_set)
    getUserId = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_storage_SecureStorage_getUserId_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_storage_SecureStorage_getUserId_set)
    setApiEnvironment = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_storage_SecureStorage_setApiEnvironment_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_storage_SecureStorage_setApiEnvironment_set)
    setFusionHost = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_storage_SecureStorage_setFusionHost_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_storage_SecureStorage_setFusionHost_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_storage_SecureStorage_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_storage_SecureStorage())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_storage_SecureStorage

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_storage_SecureStorage in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_storage_SecureStorage_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_storage_SecureStorage)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    common = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_get)
    data = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_get)
    requests = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_requests_get)
    responses = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_get)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    TokenResponse = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_TokenResponse_get)
    UserDetailsResponse = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserDetailsResponse_get)
    RegisterEphemeralKeyResponse = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_RegisterEphemeralKeyResponse_get)
    RegisterEphemeralKeyWithSecondaryAuthenticationResponse = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_RegisterEphemeralKeyWithSecondaryAuthenticationResponse_get)
    FusionLoginResponse = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_FusionLoginResponse_get)
    IntegrationTypeResponse = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_IntegrationTypeResponse_get)
    DoorStateResponse = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_DoorStateResponse_get)
    IntegrationConfigurationResponse = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_IntegrationConfigurationResponse_get)
    ControllerResponse = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ControllerResponse_get)
    ServiceStateResponse = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ServiceStateResponse_get)
    DiscoveredDeviceResponse = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_DiscoveredDeviceResponse_get)
    ServiceStateType = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ServiceStateType_get)
    AssistedLoginResponse = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AssistedLoginResponse_get)
    AssistedRegisterEphemeralKeyResponse = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AssistedRegisterEphemeralKeyResponse_get)
    LockResponse = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockResponse_get)
    LockSettingsResponse = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockSettingsResponse_get)
    UsageRequirementsResponse = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UsageRequirementsResponse_get)
    TimeRequirementResponse = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_TimeRequirementResponse_get)
    LocationRequirementResponse = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LocationRequirementResponse_get)
    UnlockBetweenSettingResponse = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UnlockBetweenSettingResponse_get)
    LockStateResponse = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockStateResponse_get)
    UserPublicKeyResponse = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserPublicKeyResponse_get)
    BatchUserPublicKeyResponse = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_BatchUserPublicKeyResponse_get)
    ShareableLockResponse = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ShareableLockResponse_get)
    UserLockResponse = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserLockResponse_get)
    LockUserResponse = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockUserResponse_get)
    LockUserDetailsResponse = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockUserDetailsResponse_get)
    AuditResponse = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuditResponse_get)
    AuditIssuerResponse = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuditIssuerResponse_get)
    AuditSubjectResponse = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuditSubjectResponse_get)
    ApplicationResponse = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ApplicationResponse_get)
    AuthKeyResponse = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuthKeyResponse_get)
    RsaKeyResponse = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_RsaKeyResponse_get)
    EcKeyResponse = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EcKeyResponse_get)
    Ed25519KeyResponse = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_Ed25519KeyResponse_get)
    EmailPreferencesResponse = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EmailPreferencesResponse_get)
    EmailCallToActionResponse = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EmailCallToActionResponse_get)
    OauthResponse = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_OauthResponse_get)
    ApplicationOwnerDetailsResponse = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ApplicationOwnerDetailsResponse_get)
    GetLogoUploadUrlResponse = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_GetLogoUploadUrlResponse_get)
    SiteResponse = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteResponse_get)
    SiteLocksResponse = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteLocksResponse_get)
    SiteLockSettingsResponse = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteLockSettingsResponse_get)
    SiteStateResponse = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteStateResponse_get)
    UserForSiteResponse = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserForSiteResponse_get)
    TileLocksResponse = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_TileLocksResponse_get)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_TileLocksResponse(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_TileLocksResponse_serializer_get)
    Companion = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_TileLocksResponse_Companion_get)
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_TileLocksResponse__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_TileLocksResponse__type_set)
    TileLocksResponse = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_TileLocksResponse_TileLocksResponse_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_TileLocksResponse_TileLocksResponse_set)
    get_deviceIds = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_TileLocksResponse_get_deviceIds_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_TileLocksResponse_get_deviceIds_set)
    get_siteId = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_TileLocksResponse_get_siteId_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_TileLocksResponse_get_siteId_set)
    get_tileId = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_TileLocksResponse_get_tileId_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_TileLocksResponse_get_tileId_set)
    component1 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_TileLocksResponse_component1_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_TileLocksResponse_component1_set)
    component2 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_TileLocksResponse_component2_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_TileLocksResponse_component2_set)
    component3 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_TileLocksResponse_component3_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_TileLocksResponse_component3_set)
    copy = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_TileLocksResponse_copy_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_TileLocksResponse_copy_set)
    equals = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_TileLocksResponse_equals_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_TileLocksResponse_equals_set)
    hashCode = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_TileLocksResponse_hashCode_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_TileLocksResponse_hashCode_set)
    toString = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_TileLocksResponse_toString_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_TileLocksResponse_toString_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_TileLocksResponse_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_TileLocksResponse())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_TileLocksResponse

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_TileLocksResponse in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_TileLocksResponse_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_TileLocksResponse)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_TileLocksResponse_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_TileLocksResponse_Companion__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_TileLocksResponse_Companion__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_TileLocksResponse_Companion__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_TileLocksResponse_Companion__instance_set)
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_TileLocksResponse_Companion_serializer_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_TileLocksResponse_Companion_serializer_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_TileLocksResponse_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_TileLocksResponse_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_TileLocksResponse_Companion

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_TileLocksResponse_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_TileLocksResponse_Companion_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_TileLocksResponse_Companion)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_TileLocksResponse_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_TileLocksResponse_serializer__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_TileLocksResponse_serializer__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_TileLocksResponse_serializer__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_TileLocksResponse_serializer__instance_set)
    get_descriptor = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_TileLocksResponse_serializer_get_descriptor_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_TileLocksResponse_serializer_get_descriptor_set)
    childSerializers = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_TileLocksResponse_serializer_childSerializers_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_TileLocksResponse_serializer_childSerializers_set)
    deserialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_TileLocksResponse_serializer_deserialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_TileLocksResponse_serializer_deserialize_set)
    serialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_TileLocksResponse_serializer_serialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_TileLocksResponse_serializer_serialize_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_TileLocksResponse_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_TileLocksResponse_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_TileLocksResponse_serializer

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_TileLocksResponse_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_TileLocksResponse_serializer_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_TileLocksResponse_serializer)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserForSiteResponse(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserForSiteResponse_serializer_get)
    Companion = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserForSiteResponse_Companion_get)
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserForSiteResponse__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserForSiteResponse__type_set)
    UserForSiteResponse = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserForSiteResponse_UserForSiteResponse_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserForSiteResponse_UserForSiteResponse_set)
    get_displayName = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserForSiteResponse_get_displayName_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserForSiteResponse_get_displayName_set)
    get_email = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserForSiteResponse_get_email_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserForSiteResponse_get_email_set)
    get_orphan = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserForSiteResponse_get_orphan_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserForSiteResponse_get_orphan_set)
    get_userId = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserForSiteResponse_get_userId_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserForSiteResponse_get_userId_set)
    component1 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserForSiteResponse_component1_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserForSiteResponse_component1_set)
    component2 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserForSiteResponse_component2_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserForSiteResponse_component2_set)
    component3 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserForSiteResponse_component3_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserForSiteResponse_component3_set)
    component4 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserForSiteResponse_component4_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserForSiteResponse_component4_set)
    copy = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserForSiteResponse_copy_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserForSiteResponse_copy_set)
    equals = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserForSiteResponse_equals_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserForSiteResponse_equals_set)
    hashCode = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserForSiteResponse_hashCode_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserForSiteResponse_hashCode_set)
    toString = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserForSiteResponse_toString_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserForSiteResponse_toString_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserForSiteResponse_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserForSiteResponse())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserForSiteResponse

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserForSiteResponse in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserForSiteResponse_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserForSiteResponse)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserForSiteResponse_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserForSiteResponse_Companion__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserForSiteResponse_Companion__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserForSiteResponse_Companion__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserForSiteResponse_Companion__instance_set)
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserForSiteResponse_Companion_serializer_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserForSiteResponse_Companion_serializer_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserForSiteResponse_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserForSiteResponse_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserForSiteResponse_Companion

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserForSiteResponse_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserForSiteResponse_Companion_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserForSiteResponse_Companion)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserForSiteResponse_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserForSiteResponse_serializer__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserForSiteResponse_serializer__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserForSiteResponse_serializer__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserForSiteResponse_serializer__instance_set)
    get_descriptor = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserForSiteResponse_serializer_get_descriptor_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserForSiteResponse_serializer_get_descriptor_set)
    childSerializers = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserForSiteResponse_serializer_childSerializers_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserForSiteResponse_serializer_childSerializers_set)
    deserialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserForSiteResponse_serializer_deserialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserForSiteResponse_serializer_deserialize_set)
    serialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserForSiteResponse_serializer_serialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserForSiteResponse_serializer_serialize_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserForSiteResponse_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserForSiteResponse_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserForSiteResponse_serializer

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserForSiteResponse_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserForSiteResponse_serializer_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserForSiteResponse_serializer)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteStateResponse(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteStateResponse_serializer_get)
    Companion = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteStateResponse_Companion_get)
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteStateResponse__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteStateResponse__type_set)
    SiteStateResponse = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteStateResponse_SiteStateResponse_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteStateResponse_SiteStateResponse_set)
    get_connected = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteStateResponse_get_connected_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteStateResponse_get_connected_set)
    component1 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteStateResponse_component1_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteStateResponse_component1_set)
    copy = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteStateResponse_copy_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteStateResponse_copy_set)
    equals = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteStateResponse_equals_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteStateResponse_equals_set)
    hashCode = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteStateResponse_hashCode_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteStateResponse_hashCode_set)
    toString = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteStateResponse_toString_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteStateResponse_toString_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteStateResponse_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteStateResponse())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteStateResponse

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteStateResponse in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteStateResponse_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteStateResponse)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteStateResponse_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteStateResponse_Companion__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteStateResponse_Companion__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteStateResponse_Companion__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteStateResponse_Companion__instance_set)
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteStateResponse_Companion_serializer_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteStateResponse_Companion_serializer_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteStateResponse_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteStateResponse_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteStateResponse_Companion

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteStateResponse_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteStateResponse_Companion_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteStateResponse_Companion)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteStateResponse_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteStateResponse_serializer__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteStateResponse_serializer__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteStateResponse_serializer__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteStateResponse_serializer__instance_set)
    get_descriptor = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteStateResponse_serializer_get_descriptor_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteStateResponse_serializer_get_descriptor_set)
    childSerializers = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteStateResponse_serializer_childSerializers_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteStateResponse_serializer_childSerializers_set)
    deserialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteStateResponse_serializer_deserialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteStateResponse_serializer_deserialize_set)
    serialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteStateResponse_serializer_serialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteStateResponse_serializer_serialize_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteStateResponse_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteStateResponse_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteStateResponse_serializer

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteStateResponse_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteStateResponse_serializer_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteStateResponse_serializer)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteLockSettingsResponse(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteLockSettingsResponse_serializer_get)
    Companion = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteLockSettingsResponse_Companion_get)
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteLockSettingsResponse__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteLockSettingsResponse__type_set)
    SiteLockSettingsResponse = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteLockSettingsResponse_SiteLockSettingsResponse_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteLockSettingsResponse_SiteLockSettingsResponse_set)
    get_defaultName = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteLockSettingsResponse_get_defaultName_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteLockSettingsResponse_get_defaultName_set)
    get_favourite = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteLockSettingsResponse_get_favourite_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteLockSettingsResponse_get_favourite_set)
    get_permittedAddresses = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteLockSettingsResponse_get_permittedAddresses_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteLockSettingsResponse_get_permittedAddresses_set)
    get_state = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteLockSettingsResponse_get_state_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteLockSettingsResponse_get_state_set)
    get_tiles = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteLockSettingsResponse_get_tiles_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteLockSettingsResponse_get_tiles_set)
    get_unlockTime = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteLockSettingsResponse_get_unlockTime_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteLockSettingsResponse_get_unlockTime_set)
    component1 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteLockSettingsResponse_component1_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteLockSettingsResponse_component1_set)
    component2 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteLockSettingsResponse_component2_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteLockSettingsResponse_component2_set)
    component3 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteLockSettingsResponse_component3_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteLockSettingsResponse_component3_set)
    component4 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteLockSettingsResponse_component4_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteLockSettingsResponse_component4_set)
    component5 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteLockSettingsResponse_component5_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteLockSettingsResponse_component5_set)
    component6 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteLockSettingsResponse_component6_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteLockSettingsResponse_component6_set)
    copy = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteLockSettingsResponse_copy_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteLockSettingsResponse_copy_set)
    equals = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteLockSettingsResponse_equals_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteLockSettingsResponse_equals_set)
    hashCode = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteLockSettingsResponse_hashCode_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteLockSettingsResponse_hashCode_set)
    toString = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteLockSettingsResponse_toString_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteLockSettingsResponse_toString_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteLockSettingsResponse_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteLockSettingsResponse())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteLockSettingsResponse

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteLockSettingsResponse in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteLockSettingsResponse_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteLockSettingsResponse)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteLockSettingsResponse_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteLockSettingsResponse_Companion__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteLockSettingsResponse_Companion__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteLockSettingsResponse_Companion__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteLockSettingsResponse_Companion__instance_set)
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteLockSettingsResponse_Companion_serializer_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteLockSettingsResponse_Companion_serializer_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteLockSettingsResponse_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteLockSettingsResponse_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteLockSettingsResponse_Companion

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteLockSettingsResponse_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteLockSettingsResponse_Companion_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteLockSettingsResponse_Companion)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteLockSettingsResponse_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteLockSettingsResponse_serializer__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteLockSettingsResponse_serializer__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteLockSettingsResponse_serializer__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteLockSettingsResponse_serializer__instance_set)
    get_descriptor = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteLockSettingsResponse_serializer_get_descriptor_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteLockSettingsResponse_serializer_get_descriptor_set)
    childSerializers = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteLockSettingsResponse_serializer_childSerializers_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteLockSettingsResponse_serializer_childSerializers_set)
    deserialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteLockSettingsResponse_serializer_deserialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteLockSettingsResponse_serializer_deserialize_set)
    serialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteLockSettingsResponse_serializer_serialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteLockSettingsResponse_serializer_serialize_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteLockSettingsResponse_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteLockSettingsResponse_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteLockSettingsResponse_serializer

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteLockSettingsResponse_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteLockSettingsResponse_serializer_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteLockSettingsResponse_serializer)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteLocksResponse(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteLocksResponse_serializer_get)
    Companion = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteLocksResponse_Companion_get)
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteLocksResponse__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteLocksResponse__type_set)
    SiteLocksResponse = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteLocksResponse_SiteLocksResponse_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteLocksResponse_SiteLocksResponse_set)
    get_colour = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteLocksResponse_get_colour_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteLocksResponse_get_colour_set)
    get_id = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteLocksResponse_get_id_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteLocksResponse_get_id_set)
    get_name = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteLocksResponse_get_name_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteLocksResponse_get_name_set)
    get_role = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteLocksResponse_get_role_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteLocksResponse_get_role_set)
    get_settings = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteLocksResponse_get_settings_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteLocksResponse_get_settings_set)
    component1 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteLocksResponse_component1_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteLocksResponse_component1_set)
    component2 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteLocksResponse_component2_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteLocksResponse_component2_set)
    component3 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteLocksResponse_component3_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteLocksResponse_component3_set)
    component4 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteLocksResponse_component4_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteLocksResponse_component4_set)
    component5 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteLocksResponse_component5_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteLocksResponse_component5_set)
    copy = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteLocksResponse_copy_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteLocksResponse_copy_set)
    equals = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteLocksResponse_equals_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteLocksResponse_equals_set)
    hashCode = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteLocksResponse_hashCode_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteLocksResponse_hashCode_set)
    toString = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteLocksResponse_toString_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteLocksResponse_toString_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteLocksResponse_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteLocksResponse())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteLocksResponse

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteLocksResponse in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteLocksResponse_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteLocksResponse)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteLocksResponse_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteLocksResponse_Companion__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteLocksResponse_Companion__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteLocksResponse_Companion__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteLocksResponse_Companion__instance_set)
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteLocksResponse_Companion_serializer_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteLocksResponse_Companion_serializer_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteLocksResponse_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteLocksResponse_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteLocksResponse_Companion

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteLocksResponse_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteLocksResponse_Companion_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteLocksResponse_Companion)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteLocksResponse_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteLocksResponse_serializer__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteLocksResponse_serializer__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteLocksResponse_serializer__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteLocksResponse_serializer__instance_set)
    get_descriptor = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteLocksResponse_serializer_get_descriptor_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteLocksResponse_serializer_get_descriptor_set)
    childSerializers = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteLocksResponse_serializer_childSerializers_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteLocksResponse_serializer_childSerializers_set)
    deserialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteLocksResponse_serializer_deserialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteLocksResponse_serializer_deserialize_set)
    serialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteLocksResponse_serializer_serialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteLocksResponse_serializer_serialize_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteLocksResponse_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteLocksResponse_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteLocksResponse_serializer

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteLocksResponse_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteLocksResponse_serializer_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteLocksResponse_serializer)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteResponse(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteResponse_serializer_get)
    Companion = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteResponse_Companion_get)
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteResponse__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteResponse__type_set)
    SiteResponse = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteResponse_SiteResponse_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteResponse_SiteResponse_set)
    get_colour = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteResponse_get_colour_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteResponse_get_colour_set)
    get_created = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteResponse_get_created_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteResponse_get_created_set)
    get_id = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteResponse_get_id_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteResponse_get_id_set)
    get_latitude = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteResponse_get_latitude_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteResponse_get_latitude_set)
    get_longitude = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteResponse_get_longitude_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteResponse_get_longitude_set)
    get_name = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteResponse_get_name_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteResponse_get_name_set)
    get_passBackground = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteResponse_get_passBackground_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteResponse_get_passBackground_set)
    get_radius = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteResponse_get_radius_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteResponse_get_radius_set)
    get_updated = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteResponse_get_updated_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteResponse_get_updated_set)
    component1 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteResponse_component1_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteResponse_component1_set)
    component2 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteResponse_component2_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteResponse_component2_set)
    component3 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteResponse_component3_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteResponse_component3_set)
    component4 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteResponse_component4_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteResponse_component4_set)
    component5 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteResponse_component5_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteResponse_component5_set)
    component6 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteResponse_component6_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteResponse_component6_set)
    component7 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteResponse_component7_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteResponse_component7_set)
    component8 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteResponse_component8_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteResponse_component8_set)
    component9 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteResponse_component9_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteResponse_component9_set)
    copy = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteResponse_copy_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteResponse_copy_set)
    equals = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteResponse_equals_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteResponse_equals_set)
    hashCode = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteResponse_hashCode_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteResponse_hashCode_set)
    toString = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteResponse_toString_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteResponse_toString_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteResponse_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteResponse())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteResponse

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteResponse in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteResponse_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteResponse)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteResponse_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteResponse_Companion__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteResponse_Companion__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteResponse_Companion__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteResponse_Companion__instance_set)
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteResponse_Companion_serializer_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteResponse_Companion_serializer_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteResponse_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteResponse_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteResponse_Companion

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteResponse_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteResponse_Companion_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteResponse_Companion)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteResponse_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteResponse_serializer__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteResponse_serializer__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteResponse_serializer__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteResponse_serializer__instance_set)
    get_descriptor = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteResponse_serializer_get_descriptor_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteResponse_serializer_get_descriptor_set)
    childSerializers = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteResponse_serializer_childSerializers_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteResponse_serializer_childSerializers_set)
    deserialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteResponse_serializer_deserialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteResponse_serializer_deserialize_set)
    serialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteResponse_serializer_serialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteResponse_serializer_serialize_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteResponse_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteResponse_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteResponse_serializer

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteResponse_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteResponse_serializer_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_SiteResponse_serializer)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_GetLogoUploadUrlResponse(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_GetLogoUploadUrlResponse_serializer_get)
    Companion = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_GetLogoUploadUrlResponse_Companion_get)
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_GetLogoUploadUrlResponse__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_GetLogoUploadUrlResponse__type_set)
    GetLogoUploadUrlResponse = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_GetLogoUploadUrlResponse_GetLogoUploadUrlResponse_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_GetLogoUploadUrlResponse_GetLogoUploadUrlResponse_set)
    get_uploadUrl = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_GetLogoUploadUrlResponse_get_uploadUrl_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_GetLogoUploadUrlResponse_get_uploadUrl_set)
    component1 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_GetLogoUploadUrlResponse_component1_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_GetLogoUploadUrlResponse_component1_set)
    copy = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_GetLogoUploadUrlResponse_copy_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_GetLogoUploadUrlResponse_copy_set)
    equals = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_GetLogoUploadUrlResponse_equals_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_GetLogoUploadUrlResponse_equals_set)
    hashCode = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_GetLogoUploadUrlResponse_hashCode_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_GetLogoUploadUrlResponse_hashCode_set)
    toString = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_GetLogoUploadUrlResponse_toString_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_GetLogoUploadUrlResponse_toString_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_GetLogoUploadUrlResponse_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_GetLogoUploadUrlResponse())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_GetLogoUploadUrlResponse

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_GetLogoUploadUrlResponse in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_GetLogoUploadUrlResponse_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_GetLogoUploadUrlResponse)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_GetLogoUploadUrlResponse_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_GetLogoUploadUrlResponse_Companion__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_GetLogoUploadUrlResponse_Companion__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_GetLogoUploadUrlResponse_Companion__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_GetLogoUploadUrlResponse_Companion__instance_set)
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_GetLogoUploadUrlResponse_Companion_serializer_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_GetLogoUploadUrlResponse_Companion_serializer_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_GetLogoUploadUrlResponse_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_GetLogoUploadUrlResponse_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_GetLogoUploadUrlResponse_Companion

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_GetLogoUploadUrlResponse_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_GetLogoUploadUrlResponse_Companion_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_GetLogoUploadUrlResponse_Companion)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_GetLogoUploadUrlResponse_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_GetLogoUploadUrlResponse_serializer__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_GetLogoUploadUrlResponse_serializer__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_GetLogoUploadUrlResponse_serializer__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_GetLogoUploadUrlResponse_serializer__instance_set)
    get_descriptor = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_GetLogoUploadUrlResponse_serializer_get_descriptor_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_GetLogoUploadUrlResponse_serializer_get_descriptor_set)
    childSerializers = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_GetLogoUploadUrlResponse_serializer_childSerializers_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_GetLogoUploadUrlResponse_serializer_childSerializers_set)
    deserialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_GetLogoUploadUrlResponse_serializer_deserialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_GetLogoUploadUrlResponse_serializer_deserialize_set)
    serialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_GetLogoUploadUrlResponse_serializer_serialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_GetLogoUploadUrlResponse_serializer_serialize_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_GetLogoUploadUrlResponse_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_GetLogoUploadUrlResponse_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_GetLogoUploadUrlResponse_serializer

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_GetLogoUploadUrlResponse_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_GetLogoUploadUrlResponse_serializer_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_GetLogoUploadUrlResponse_serializer)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ApplicationOwnerDetailsResponse(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ApplicationOwnerDetailsResponse_serializer_get)
    Companion = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ApplicationOwnerDetailsResponse_Companion_get)
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ApplicationOwnerDetailsResponse__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ApplicationOwnerDetailsResponse__type_set)
    ApplicationOwnerDetailsResponse = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ApplicationOwnerDetailsResponse_ApplicationOwnerDetailsResponse_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ApplicationOwnerDetailsResponse_ApplicationOwnerDetailsResponse_set)
    get_displayName = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ApplicationOwnerDetailsResponse_get_displayName_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ApplicationOwnerDetailsResponse_get_displayName_set)
    get_email = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ApplicationOwnerDetailsResponse_get_email_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ApplicationOwnerDetailsResponse_get_email_set)
    get_foreign = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ApplicationOwnerDetailsResponse_get_foreign_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ApplicationOwnerDetailsResponse_get_foreign_set)
    get_orphan = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ApplicationOwnerDetailsResponse_get_orphan_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ApplicationOwnerDetailsResponse_get_orphan_set)
    get_userId = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ApplicationOwnerDetailsResponse_get_userId_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ApplicationOwnerDetailsResponse_get_userId_set)
    component1 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ApplicationOwnerDetailsResponse_component1_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ApplicationOwnerDetailsResponse_component1_set)
    component2 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ApplicationOwnerDetailsResponse_component2_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ApplicationOwnerDetailsResponse_component2_set)
    component3 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ApplicationOwnerDetailsResponse_component3_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ApplicationOwnerDetailsResponse_component3_set)
    component4 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ApplicationOwnerDetailsResponse_component4_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ApplicationOwnerDetailsResponse_component4_set)
    component5 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ApplicationOwnerDetailsResponse_component5_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ApplicationOwnerDetailsResponse_component5_set)
    copy = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ApplicationOwnerDetailsResponse_copy_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ApplicationOwnerDetailsResponse_copy_set)
    equals = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ApplicationOwnerDetailsResponse_equals_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ApplicationOwnerDetailsResponse_equals_set)
    hashCode = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ApplicationOwnerDetailsResponse_hashCode_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ApplicationOwnerDetailsResponse_hashCode_set)
    toString = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ApplicationOwnerDetailsResponse_toString_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ApplicationOwnerDetailsResponse_toString_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ApplicationOwnerDetailsResponse_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ApplicationOwnerDetailsResponse())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ApplicationOwnerDetailsResponse

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ApplicationOwnerDetailsResponse in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ApplicationOwnerDetailsResponse_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ApplicationOwnerDetailsResponse)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ApplicationOwnerDetailsResponse_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ApplicationOwnerDetailsResponse_Companion__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ApplicationOwnerDetailsResponse_Companion__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ApplicationOwnerDetailsResponse_Companion__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ApplicationOwnerDetailsResponse_Companion__instance_set)
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ApplicationOwnerDetailsResponse_Companion_serializer_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ApplicationOwnerDetailsResponse_Companion_serializer_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ApplicationOwnerDetailsResponse_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ApplicationOwnerDetailsResponse_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ApplicationOwnerDetailsResponse_Companion

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ApplicationOwnerDetailsResponse_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ApplicationOwnerDetailsResponse_Companion_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ApplicationOwnerDetailsResponse_Companion)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ApplicationOwnerDetailsResponse_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ApplicationOwnerDetailsResponse_serializer__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ApplicationOwnerDetailsResponse_serializer__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ApplicationOwnerDetailsResponse_serializer__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ApplicationOwnerDetailsResponse_serializer__instance_set)
    get_descriptor = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ApplicationOwnerDetailsResponse_serializer_get_descriptor_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ApplicationOwnerDetailsResponse_serializer_get_descriptor_set)
    childSerializers = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ApplicationOwnerDetailsResponse_serializer_childSerializers_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ApplicationOwnerDetailsResponse_serializer_childSerializers_set)
    deserialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ApplicationOwnerDetailsResponse_serializer_deserialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ApplicationOwnerDetailsResponse_serializer_deserialize_set)
    serialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ApplicationOwnerDetailsResponse_serializer_serialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ApplicationOwnerDetailsResponse_serializer_serialize_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ApplicationOwnerDetailsResponse_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ApplicationOwnerDetailsResponse_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ApplicationOwnerDetailsResponse_serializer

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ApplicationOwnerDetailsResponse_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ApplicationOwnerDetailsResponse_serializer_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ApplicationOwnerDetailsResponse_serializer)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_OauthResponse(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_OauthResponse_serializer_get)
    Companion = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_OauthResponse_Companion_get)
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_OauthResponse__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_OauthResponse__type_set)
    OauthResponse = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_OauthResponse_OauthResponse_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_OauthResponse_OauthResponse_set)
    get_authorizationEndpoint = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_OauthResponse_get_authorizationEndpoint_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_OauthResponse_get_authorizationEndpoint_set)
    get_clientId = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_OauthResponse_get_clientId_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_OauthResponse_get_clientId_set)
    get_grantType = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_OauthResponse_get_grantType_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_OauthResponse_get_grantType_set)
    component1 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_OauthResponse_component1_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_OauthResponse_component1_set)
    component2 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_OauthResponse_component2_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_OauthResponse_component2_set)
    component3 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_OauthResponse_component3_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_OauthResponse_component3_set)
    copy = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_OauthResponse_copy_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_OauthResponse_copy_set)
    equals = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_OauthResponse_equals_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_OauthResponse_equals_set)
    hashCode = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_OauthResponse_hashCode_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_OauthResponse_hashCode_set)
    toString = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_OauthResponse_toString_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_OauthResponse_toString_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_OauthResponse_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_OauthResponse())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_OauthResponse

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_OauthResponse in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_OauthResponse_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_OauthResponse)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_OauthResponse_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_OauthResponse_Companion__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_OauthResponse_Companion__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_OauthResponse_Companion__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_OauthResponse_Companion__instance_set)
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_OauthResponse_Companion_serializer_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_OauthResponse_Companion_serializer_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_OauthResponse_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_OauthResponse_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_OauthResponse_Companion

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_OauthResponse_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_OauthResponse_Companion_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_OauthResponse_Companion)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_OauthResponse_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_OauthResponse_serializer__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_OauthResponse_serializer__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_OauthResponse_serializer__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_OauthResponse_serializer__instance_set)
    get_descriptor = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_OauthResponse_serializer_get_descriptor_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_OauthResponse_serializer_get_descriptor_set)
    childSerializers = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_OauthResponse_serializer_childSerializers_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_OauthResponse_serializer_childSerializers_set)
    deserialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_OauthResponse_serializer_deserialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_OauthResponse_serializer_deserialize_set)
    serialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_OauthResponse_serializer_serialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_OauthResponse_serializer_serialize_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_OauthResponse_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_OauthResponse_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_OauthResponse_serializer

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_OauthResponse_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_OauthResponse_serializer_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_OauthResponse_serializer)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EmailCallToActionResponse(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EmailCallToActionResponse_serializer_get)
    Companion = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EmailCallToActionResponse_Companion_get)
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EmailCallToActionResponse__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EmailCallToActionResponse__type_set)
    EmailCallToActionResponse = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EmailCallToActionResponse_EmailCallToActionResponse_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EmailCallToActionResponse_EmailCallToActionResponse_set)
    get_actionTarget = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EmailCallToActionResponse_get_actionTarget_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EmailCallToActionResponse_get_actionTarget_set)
    get_actionText = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EmailCallToActionResponse_get_actionText_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EmailCallToActionResponse_get_actionText_set)
    get_headline = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EmailCallToActionResponse_get_headline_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EmailCallToActionResponse_get_headline_set)
    component1 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EmailCallToActionResponse_component1_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EmailCallToActionResponse_component1_set)
    component2 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EmailCallToActionResponse_component2_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EmailCallToActionResponse_component2_set)
    component3 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EmailCallToActionResponse_component3_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EmailCallToActionResponse_component3_set)
    copy = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EmailCallToActionResponse_copy_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EmailCallToActionResponse_copy_set)
    equals = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EmailCallToActionResponse_equals_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EmailCallToActionResponse_equals_set)
    hashCode = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EmailCallToActionResponse_hashCode_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EmailCallToActionResponse_hashCode_set)
    toString = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EmailCallToActionResponse_toString_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EmailCallToActionResponse_toString_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EmailCallToActionResponse_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EmailCallToActionResponse())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EmailCallToActionResponse

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EmailCallToActionResponse in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EmailCallToActionResponse_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EmailCallToActionResponse)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EmailCallToActionResponse_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EmailCallToActionResponse_Companion__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EmailCallToActionResponse_Companion__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EmailCallToActionResponse_Companion__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EmailCallToActionResponse_Companion__instance_set)
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EmailCallToActionResponse_Companion_serializer_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EmailCallToActionResponse_Companion_serializer_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EmailCallToActionResponse_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EmailCallToActionResponse_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EmailCallToActionResponse_Companion

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EmailCallToActionResponse_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EmailCallToActionResponse_Companion_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EmailCallToActionResponse_Companion)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EmailCallToActionResponse_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EmailCallToActionResponse_serializer__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EmailCallToActionResponse_serializer__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EmailCallToActionResponse_serializer__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EmailCallToActionResponse_serializer__instance_set)
    get_descriptor = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EmailCallToActionResponse_serializer_get_descriptor_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EmailCallToActionResponse_serializer_get_descriptor_set)
    childSerializers = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EmailCallToActionResponse_serializer_childSerializers_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EmailCallToActionResponse_serializer_childSerializers_set)
    deserialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EmailCallToActionResponse_serializer_deserialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EmailCallToActionResponse_serializer_deserialize_set)
    serialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EmailCallToActionResponse_serializer_serialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EmailCallToActionResponse_serializer_serialize_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EmailCallToActionResponse_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EmailCallToActionResponse_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EmailCallToActionResponse_serializer

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EmailCallToActionResponse_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EmailCallToActionResponse_serializer_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EmailCallToActionResponse_serializer)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EmailPreferencesResponse(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EmailPreferencesResponse_serializer_get)
    Companion = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EmailPreferencesResponse_Companion_get)
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EmailPreferencesResponse__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EmailPreferencesResponse__type_set)
    EmailPreferencesResponse = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EmailPreferencesResponse_EmailPreferencesResponse_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EmailPreferencesResponse_EmailPreferencesResponse_set)
    get_callToAction = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EmailPreferencesResponse_get_callToAction_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EmailPreferencesResponse_get_callToAction_set)
    get_onlySendEssentialEmails = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EmailPreferencesResponse_get_onlySendEssentialEmails_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EmailPreferencesResponse_get_onlySendEssentialEmails_set)
    get_primaryColour = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EmailPreferencesResponse_get_primaryColour_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EmailPreferencesResponse_get_primaryColour_set)
    get_secondaryColour = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EmailPreferencesResponse_get_secondaryColour_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EmailPreferencesResponse_get_secondaryColour_set)
    get_senderEmail = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EmailPreferencesResponse_get_senderEmail_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EmailPreferencesResponse_get_senderEmail_set)
    get_senderName = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EmailPreferencesResponse_get_senderName_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EmailPreferencesResponse_get_senderName_set)
    component1 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EmailPreferencesResponse_component1_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EmailPreferencesResponse_component1_set)
    component2 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EmailPreferencesResponse_component2_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EmailPreferencesResponse_component2_set)
    component3 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EmailPreferencesResponse_component3_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EmailPreferencesResponse_component3_set)
    component4 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EmailPreferencesResponse_component4_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EmailPreferencesResponse_component4_set)
    component5 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EmailPreferencesResponse_component5_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EmailPreferencesResponse_component5_set)
    component6 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EmailPreferencesResponse_component6_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EmailPreferencesResponse_component6_set)
    copy = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EmailPreferencesResponse_copy_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EmailPreferencesResponse_copy_set)
    equals = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EmailPreferencesResponse_equals_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EmailPreferencesResponse_equals_set)
    hashCode = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EmailPreferencesResponse_hashCode_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EmailPreferencesResponse_hashCode_set)
    toString = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EmailPreferencesResponse_toString_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EmailPreferencesResponse_toString_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EmailPreferencesResponse_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EmailPreferencesResponse())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EmailPreferencesResponse

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EmailPreferencesResponse in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EmailPreferencesResponse_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EmailPreferencesResponse)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EmailPreferencesResponse_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EmailPreferencesResponse_Companion__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EmailPreferencesResponse_Companion__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EmailPreferencesResponse_Companion__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EmailPreferencesResponse_Companion__instance_set)
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EmailPreferencesResponse_Companion_serializer_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EmailPreferencesResponse_Companion_serializer_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EmailPreferencesResponse_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EmailPreferencesResponse_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EmailPreferencesResponse_Companion

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EmailPreferencesResponse_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EmailPreferencesResponse_Companion_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EmailPreferencesResponse_Companion)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EmailPreferencesResponse_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EmailPreferencesResponse_serializer__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EmailPreferencesResponse_serializer__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EmailPreferencesResponse_serializer__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EmailPreferencesResponse_serializer__instance_set)
    get_descriptor = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EmailPreferencesResponse_serializer_get_descriptor_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EmailPreferencesResponse_serializer_get_descriptor_set)
    childSerializers = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EmailPreferencesResponse_serializer_childSerializers_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EmailPreferencesResponse_serializer_childSerializers_set)
    deserialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EmailPreferencesResponse_serializer_deserialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EmailPreferencesResponse_serializer_deserialize_set)
    serialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EmailPreferencesResponse_serializer_serialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EmailPreferencesResponse_serializer_serialize_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EmailPreferencesResponse_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EmailPreferencesResponse_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EmailPreferencesResponse_serializer

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EmailPreferencesResponse_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EmailPreferencesResponse_serializer_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EmailPreferencesResponse_serializer)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_Ed25519KeyResponse(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_Ed25519KeyResponse_serializer_get)
    Companion = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_Ed25519KeyResponse_Companion_get)
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_Ed25519KeyResponse__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_Ed25519KeyResponse__type_set)
    Ed25519KeyResponse = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_Ed25519KeyResponse_Ed25519KeyResponse_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_Ed25519KeyResponse_Ed25519KeyResponse_set)
    get_alg = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_Ed25519KeyResponse_get_alg_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_Ed25519KeyResponse_get_alg_set)
    get_crv = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_Ed25519KeyResponse_get_crv_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_Ed25519KeyResponse_get_crv_set)
    get_d = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_Ed25519KeyResponse_get_d_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_Ed25519KeyResponse_get_d_set)
    get_exp = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_Ed25519KeyResponse_get_exp_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_Ed25519KeyResponse_get_exp_set)
    get_iat = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_Ed25519KeyResponse_get_iat_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_Ed25519KeyResponse_get_iat_set)
    get_kid = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_Ed25519KeyResponse_get_kid_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_Ed25519KeyResponse_get_kid_set)
    get_nbf = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_Ed25519KeyResponse_get_nbf_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_Ed25519KeyResponse_get_nbf_set)
    get_ops = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_Ed25519KeyResponse_get_ops_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_Ed25519KeyResponse_get_ops_set)
    get_use = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_Ed25519KeyResponse_get_use_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_Ed25519KeyResponse_get_use_set)
    get_x = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_Ed25519KeyResponse_get_x_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_Ed25519KeyResponse_get_x_set)
    get_x5c = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_Ed25519KeyResponse_get_x5c_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_Ed25519KeyResponse_get_x5c_set)
    get_x5t = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_Ed25519KeyResponse_get_x5t_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_Ed25519KeyResponse_get_x5t_set)
    get_x5t256 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_Ed25519KeyResponse_get_x5t256_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_Ed25519KeyResponse_get_x5t256_set)
    get_x5u = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_Ed25519KeyResponse_get_x5u_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_Ed25519KeyResponse_get_x5u_set)
    component1 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_Ed25519KeyResponse_component1_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_Ed25519KeyResponse_component1_set)
    component10 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_Ed25519KeyResponse_component10_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_Ed25519KeyResponse_component10_set)
    component11 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_Ed25519KeyResponse_component11_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_Ed25519KeyResponse_component11_set)
    component12 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_Ed25519KeyResponse_component12_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_Ed25519KeyResponse_component12_set)
    component13 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_Ed25519KeyResponse_component13_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_Ed25519KeyResponse_component13_set)
    component14 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_Ed25519KeyResponse_component14_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_Ed25519KeyResponse_component14_set)
    component2 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_Ed25519KeyResponse_component2_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_Ed25519KeyResponse_component2_set)
    component3 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_Ed25519KeyResponse_component3_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_Ed25519KeyResponse_component3_set)
    component4 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_Ed25519KeyResponse_component4_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_Ed25519KeyResponse_component4_set)
    component5 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_Ed25519KeyResponse_component5_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_Ed25519KeyResponse_component5_set)
    component6 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_Ed25519KeyResponse_component6_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_Ed25519KeyResponse_component6_set)
    component7 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_Ed25519KeyResponse_component7_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_Ed25519KeyResponse_component7_set)
    component8 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_Ed25519KeyResponse_component8_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_Ed25519KeyResponse_component8_set)
    component9 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_Ed25519KeyResponse_component9_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_Ed25519KeyResponse_component9_set)
    copy = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_Ed25519KeyResponse_copy_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_Ed25519KeyResponse_copy_set)
    equals = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_Ed25519KeyResponse_equals_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_Ed25519KeyResponse_equals_set)
    hashCode = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_Ed25519KeyResponse_hashCode_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_Ed25519KeyResponse_hashCode_set)
    toString = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_Ed25519KeyResponse_toString_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_Ed25519KeyResponse_toString_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_Ed25519KeyResponse_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_Ed25519KeyResponse())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_Ed25519KeyResponse

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_Ed25519KeyResponse in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_Ed25519KeyResponse_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_Ed25519KeyResponse)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_Ed25519KeyResponse_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_Ed25519KeyResponse_Companion__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_Ed25519KeyResponse_Companion__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_Ed25519KeyResponse_Companion__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_Ed25519KeyResponse_Companion__instance_set)
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_Ed25519KeyResponse_Companion_serializer_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_Ed25519KeyResponse_Companion_serializer_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_Ed25519KeyResponse_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_Ed25519KeyResponse_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_Ed25519KeyResponse_Companion

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_Ed25519KeyResponse_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_Ed25519KeyResponse_Companion_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_Ed25519KeyResponse_Companion)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_Ed25519KeyResponse_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_Ed25519KeyResponse_serializer__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_Ed25519KeyResponse_serializer__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_Ed25519KeyResponse_serializer__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_Ed25519KeyResponse_serializer__instance_set)
    get_descriptor = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_Ed25519KeyResponse_serializer_get_descriptor_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_Ed25519KeyResponse_serializer_get_descriptor_set)
    childSerializers = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_Ed25519KeyResponse_serializer_childSerializers_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_Ed25519KeyResponse_serializer_childSerializers_set)
    deserialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_Ed25519KeyResponse_serializer_deserialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_Ed25519KeyResponse_serializer_deserialize_set)
    serialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_Ed25519KeyResponse_serializer_serialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_Ed25519KeyResponse_serializer_serialize_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_Ed25519KeyResponse_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_Ed25519KeyResponse_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_Ed25519KeyResponse_serializer

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_Ed25519KeyResponse_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_Ed25519KeyResponse_serializer_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_Ed25519KeyResponse_serializer)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EcKeyResponse(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EcKeyResponse_serializer_get)
    Companion = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EcKeyResponse_Companion_get)
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EcKeyResponse__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EcKeyResponse__type_set)
    EcKeyResponse = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EcKeyResponse_EcKeyResponse_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EcKeyResponse_EcKeyResponse_set)
    get_alg = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EcKeyResponse_get_alg_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EcKeyResponse_get_alg_set)
    get_crv = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EcKeyResponse_get_crv_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EcKeyResponse_get_crv_set)
    get_exp = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EcKeyResponse_get_exp_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EcKeyResponse_get_exp_set)
    get_iat = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EcKeyResponse_get_iat_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EcKeyResponse_get_iat_set)
    get_kid = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EcKeyResponse_get_kid_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EcKeyResponse_get_kid_set)
    get_nbf = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EcKeyResponse_get_nbf_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EcKeyResponse_get_nbf_set)
    get_ops = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EcKeyResponse_get_ops_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EcKeyResponse_get_ops_set)
    get_use = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EcKeyResponse_get_use_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EcKeyResponse_get_use_set)
    get_x = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EcKeyResponse_get_x_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EcKeyResponse_get_x_set)
    get_x5c = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EcKeyResponse_get_x5c_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EcKeyResponse_get_x5c_set)
    get_x5t = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EcKeyResponse_get_x5t_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EcKeyResponse_get_x5t_set)
    get_x5t256 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EcKeyResponse_get_x5t256_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EcKeyResponse_get_x5t256_set)
    get_x5u = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EcKeyResponse_get_x5u_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EcKeyResponse_get_x5u_set)
    get_y = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EcKeyResponse_get_y_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EcKeyResponse_get_y_set)
    component1 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EcKeyResponse_component1_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EcKeyResponse_component1_set)
    component10 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EcKeyResponse_component10_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EcKeyResponse_component10_set)
    component11 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EcKeyResponse_component11_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EcKeyResponse_component11_set)
    component12 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EcKeyResponse_component12_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EcKeyResponse_component12_set)
    component13 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EcKeyResponse_component13_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EcKeyResponse_component13_set)
    component14 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EcKeyResponse_component14_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EcKeyResponse_component14_set)
    component2 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EcKeyResponse_component2_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EcKeyResponse_component2_set)
    component3 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EcKeyResponse_component3_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EcKeyResponse_component3_set)
    component4 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EcKeyResponse_component4_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EcKeyResponse_component4_set)
    component5 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EcKeyResponse_component5_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EcKeyResponse_component5_set)
    component6 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EcKeyResponse_component6_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EcKeyResponse_component6_set)
    component7 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EcKeyResponse_component7_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EcKeyResponse_component7_set)
    component8 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EcKeyResponse_component8_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EcKeyResponse_component8_set)
    component9 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EcKeyResponse_component9_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EcKeyResponse_component9_set)
    copy = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EcKeyResponse_copy_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EcKeyResponse_copy_set)
    equals = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EcKeyResponse_equals_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EcKeyResponse_equals_set)
    hashCode = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EcKeyResponse_hashCode_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EcKeyResponse_hashCode_set)
    toString = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EcKeyResponse_toString_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EcKeyResponse_toString_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EcKeyResponse_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EcKeyResponse())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EcKeyResponse

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EcKeyResponse in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EcKeyResponse_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EcKeyResponse)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EcKeyResponse_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EcKeyResponse_Companion__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EcKeyResponse_Companion__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EcKeyResponse_Companion__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EcKeyResponse_Companion__instance_set)
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EcKeyResponse_Companion_serializer_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EcKeyResponse_Companion_serializer_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EcKeyResponse_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EcKeyResponse_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EcKeyResponse_Companion

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EcKeyResponse_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EcKeyResponse_Companion_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EcKeyResponse_Companion)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EcKeyResponse_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EcKeyResponse_serializer__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EcKeyResponse_serializer__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EcKeyResponse_serializer__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EcKeyResponse_serializer__instance_set)
    get_descriptor = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EcKeyResponse_serializer_get_descriptor_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EcKeyResponse_serializer_get_descriptor_set)
    childSerializers = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EcKeyResponse_serializer_childSerializers_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EcKeyResponse_serializer_childSerializers_set)
    deserialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EcKeyResponse_serializer_deserialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EcKeyResponse_serializer_deserialize_set)
    serialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EcKeyResponse_serializer_serialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EcKeyResponse_serializer_serialize_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EcKeyResponse_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EcKeyResponse_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EcKeyResponse_serializer

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EcKeyResponse_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EcKeyResponse_serializer_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_EcKeyResponse_serializer)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_RsaKeyResponse(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_RsaKeyResponse_serializer_get)
    Companion = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_RsaKeyResponse_Companion_get)
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_RsaKeyResponse__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_RsaKeyResponse__type_set)
    RsaKeyResponse = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_RsaKeyResponse_RsaKeyResponse_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_RsaKeyResponse_RsaKeyResponse_set)
    get_alg = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_RsaKeyResponse_get_alg_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_RsaKeyResponse_get_alg_set)
    get_e = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_RsaKeyResponse_get_e_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_RsaKeyResponse_get_e_set)
    get_exp = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_RsaKeyResponse_get_exp_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_RsaKeyResponse_get_exp_set)
    get_iat = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_RsaKeyResponse_get_iat_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_RsaKeyResponse_get_iat_set)
    get_kid = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_RsaKeyResponse_get_kid_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_RsaKeyResponse_get_kid_set)
    get_n = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_RsaKeyResponse_get_n_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_RsaKeyResponse_get_n_set)
    get_nbf = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_RsaKeyResponse_get_nbf_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_RsaKeyResponse_get_nbf_set)
    get_ops = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_RsaKeyResponse_get_ops_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_RsaKeyResponse_get_ops_set)
    get_use = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_RsaKeyResponse_get_use_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_RsaKeyResponse_get_use_set)
    get_x5c = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_RsaKeyResponse_get_x5c_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_RsaKeyResponse_get_x5c_set)
    get_x5t = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_RsaKeyResponse_get_x5t_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_RsaKeyResponse_get_x5t_set)
    get_x5t256 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_RsaKeyResponse_get_x5t256_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_RsaKeyResponse_get_x5t256_set)
    get_x5u = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_RsaKeyResponse_get_x5u_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_RsaKeyResponse_get_x5u_set)
    component1 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_RsaKeyResponse_component1_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_RsaKeyResponse_component1_set)
    component10 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_RsaKeyResponse_component10_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_RsaKeyResponse_component10_set)
    component11 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_RsaKeyResponse_component11_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_RsaKeyResponse_component11_set)
    component12 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_RsaKeyResponse_component12_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_RsaKeyResponse_component12_set)
    component13 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_RsaKeyResponse_component13_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_RsaKeyResponse_component13_set)
    component2 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_RsaKeyResponse_component2_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_RsaKeyResponse_component2_set)
    component3 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_RsaKeyResponse_component3_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_RsaKeyResponse_component3_set)
    component4 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_RsaKeyResponse_component4_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_RsaKeyResponse_component4_set)
    component5 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_RsaKeyResponse_component5_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_RsaKeyResponse_component5_set)
    component6 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_RsaKeyResponse_component6_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_RsaKeyResponse_component6_set)
    component7 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_RsaKeyResponse_component7_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_RsaKeyResponse_component7_set)
    component8 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_RsaKeyResponse_component8_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_RsaKeyResponse_component8_set)
    component9 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_RsaKeyResponse_component9_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_RsaKeyResponse_component9_set)
    copy = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_RsaKeyResponse_copy_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_RsaKeyResponse_copy_set)
    equals = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_RsaKeyResponse_equals_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_RsaKeyResponse_equals_set)
    hashCode = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_RsaKeyResponse_hashCode_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_RsaKeyResponse_hashCode_set)
    toString = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_RsaKeyResponse_toString_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_RsaKeyResponse_toString_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_RsaKeyResponse_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_RsaKeyResponse())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_RsaKeyResponse

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_RsaKeyResponse in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_RsaKeyResponse_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_RsaKeyResponse)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_RsaKeyResponse_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_RsaKeyResponse_Companion__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_RsaKeyResponse_Companion__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_RsaKeyResponse_Companion__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_RsaKeyResponse_Companion__instance_set)
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_RsaKeyResponse_Companion_serializer_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_RsaKeyResponse_Companion_serializer_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_RsaKeyResponse_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_RsaKeyResponse_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_RsaKeyResponse_Companion

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_RsaKeyResponse_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_RsaKeyResponse_Companion_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_RsaKeyResponse_Companion)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_RsaKeyResponse_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_RsaKeyResponse_serializer__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_RsaKeyResponse_serializer__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_RsaKeyResponse_serializer__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_RsaKeyResponse_serializer__instance_set)
    get_descriptor = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_RsaKeyResponse_serializer_get_descriptor_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_RsaKeyResponse_serializer_get_descriptor_set)
    childSerializers = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_RsaKeyResponse_serializer_childSerializers_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_RsaKeyResponse_serializer_childSerializers_set)
    deserialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_RsaKeyResponse_serializer_deserialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_RsaKeyResponse_serializer_deserialize_set)
    serialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_RsaKeyResponse_serializer_serialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_RsaKeyResponse_serializer_serialize_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_RsaKeyResponse_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_RsaKeyResponse_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_RsaKeyResponse_serializer

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_RsaKeyResponse_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_RsaKeyResponse_serializer_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_RsaKeyResponse_serializer)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuthKeyResponse(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    Companion = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuthKeyResponse_Companion_get)
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuthKeyResponse__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuthKeyResponse__type_set)
    get_alg = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuthKeyResponse_get_alg_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuthKeyResponse_get_alg_set)
    get_exp = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuthKeyResponse_get_exp_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuthKeyResponse_get_exp_set)
    get_iat = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuthKeyResponse_get_iat_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuthKeyResponse_get_iat_set)
    get_kid = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuthKeyResponse_get_kid_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuthKeyResponse_get_kid_set)
    get_nbf = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuthKeyResponse_get_nbf_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuthKeyResponse_get_nbf_set)
    get_ops = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuthKeyResponse_get_ops_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuthKeyResponse_get_ops_set)
    get_use = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuthKeyResponse_get_use_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuthKeyResponse_get_use_set)
    get_x5c = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuthKeyResponse_get_x5c_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuthKeyResponse_get_x5c_set)
    get_x5t = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuthKeyResponse_get_x5t_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuthKeyResponse_get_x5t_set)
    get_x5t256 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuthKeyResponse_get_x5t256_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuthKeyResponse_get_x5t256_set)
    get_x5u = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuthKeyResponse_get_x5u_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuthKeyResponse_get_x5u_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuthKeyResponse_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuthKeyResponse())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuthKeyResponse

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuthKeyResponse in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuthKeyResponse_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuthKeyResponse)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuthKeyResponse_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuthKeyResponse_Companion__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuthKeyResponse_Companion__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuthKeyResponse_Companion__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuthKeyResponse_Companion__instance_set)
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuthKeyResponse_Companion_serializer_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuthKeyResponse_Companion_serializer_set)
    serializer_ = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuthKeyResponse_Companion_serializer__get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuthKeyResponse_Companion_serializer__set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuthKeyResponse_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuthKeyResponse_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuthKeyResponse_Companion

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuthKeyResponse_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuthKeyResponse_Companion_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuthKeyResponse_Companion)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ApplicationResponse(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ApplicationResponse_serializer_get)
    Companion = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ApplicationResponse_Companion_get)
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ApplicationResponse__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ApplicationResponse__type_set)
    ApplicationResponse = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ApplicationResponse_ApplicationResponse_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ApplicationResponse_ApplicationResponse_set)
    get_appLink = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ApplicationResponse_get_appLink_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ApplicationResponse_get_appLink_set)
    get_applicationId = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ApplicationResponse_get_applicationId_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ApplicationResponse_get_applicationId_set)
    get_authDomains = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ApplicationResponse_get_authDomains_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ApplicationResponse_get_authDomains_set)
    get_authKeys = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ApplicationResponse_get_authKeys_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ApplicationResponse_get_authKeys_set)
    get_companyName = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ApplicationResponse_get_companyName_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ApplicationResponse_get_companyName_set)
    get_corsDomains = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ApplicationResponse_get_corsDomains_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ApplicationResponse_get_corsDomains_set)
    get_emailPreferences = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ApplicationResponse_get_emailPreferences_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ApplicationResponse_get_emailPreferences_set)
    get_isDoordeckApplication = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ApplicationResponse_get_isDoordeckApplication_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ApplicationResponse_get_isDoordeckApplication_set)
    get_lastUpdated = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ApplicationResponse_get_lastUpdated_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ApplicationResponse_get_lastUpdated_set)
    get_logoUrl = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ApplicationResponse_get_logoUrl_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ApplicationResponse_get_logoUrl_set)
    get_mailingAddress = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ApplicationResponse_get_mailingAddress_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ApplicationResponse_get_mailingAddress_set)
    get_name = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ApplicationResponse_get_name_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ApplicationResponse_get_name_set)
    get_oauth = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ApplicationResponse_get_oauth_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ApplicationResponse_get_oauth_set)
    get_owners = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ApplicationResponse_get_owners_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ApplicationResponse_get_owners_set)
    get_privacyPolicy = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ApplicationResponse_get_privacyPolicy_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ApplicationResponse_get_privacyPolicy_set)
    get_slug = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ApplicationResponse_get_slug_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ApplicationResponse_get_slug_set)
    get_supportContact = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ApplicationResponse_get_supportContact_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ApplicationResponse_get_supportContact_set)
    component1 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ApplicationResponse_component1_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ApplicationResponse_component1_set)
    component10 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ApplicationResponse_component10_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ApplicationResponse_component10_set)
    component11 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ApplicationResponse_component11_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ApplicationResponse_component11_set)
    component12 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ApplicationResponse_component12_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ApplicationResponse_component12_set)
    component13 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ApplicationResponse_component13_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ApplicationResponse_component13_set)
    component14 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ApplicationResponse_component14_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ApplicationResponse_component14_set)
    component15 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ApplicationResponse_component15_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ApplicationResponse_component15_set)
    component16 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ApplicationResponse_component16_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ApplicationResponse_component16_set)
    component17 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ApplicationResponse_component17_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ApplicationResponse_component17_set)
    component2 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ApplicationResponse_component2_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ApplicationResponse_component2_set)
    component3 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ApplicationResponse_component3_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ApplicationResponse_component3_set)
    component4 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ApplicationResponse_component4_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ApplicationResponse_component4_set)
    component5 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ApplicationResponse_component5_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ApplicationResponse_component5_set)
    component6 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ApplicationResponse_component6_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ApplicationResponse_component6_set)
    component7 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ApplicationResponse_component7_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ApplicationResponse_component7_set)
    component8 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ApplicationResponse_component8_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ApplicationResponse_component8_set)
    component9 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ApplicationResponse_component9_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ApplicationResponse_component9_set)
    copy = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ApplicationResponse_copy_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ApplicationResponse_copy_set)
    equals = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ApplicationResponse_equals_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ApplicationResponse_equals_set)
    hashCode = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ApplicationResponse_hashCode_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ApplicationResponse_hashCode_set)
    toString = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ApplicationResponse_toString_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ApplicationResponse_toString_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ApplicationResponse_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ApplicationResponse())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ApplicationResponse

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ApplicationResponse in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ApplicationResponse_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ApplicationResponse)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ApplicationResponse_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ApplicationResponse_Companion__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ApplicationResponse_Companion__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ApplicationResponse_Companion__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ApplicationResponse_Companion__instance_set)
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ApplicationResponse_Companion_serializer_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ApplicationResponse_Companion_serializer_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ApplicationResponse_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ApplicationResponse_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ApplicationResponse_Companion

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ApplicationResponse_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ApplicationResponse_Companion_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ApplicationResponse_Companion)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ApplicationResponse_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ApplicationResponse_serializer__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ApplicationResponse_serializer__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ApplicationResponse_serializer__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ApplicationResponse_serializer__instance_set)
    get_descriptor = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ApplicationResponse_serializer_get_descriptor_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ApplicationResponse_serializer_get_descriptor_set)
    childSerializers = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ApplicationResponse_serializer_childSerializers_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ApplicationResponse_serializer_childSerializers_set)
    deserialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ApplicationResponse_serializer_deserialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ApplicationResponse_serializer_deserialize_set)
    serialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ApplicationResponse_serializer_serialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ApplicationResponse_serializer_serialize_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ApplicationResponse_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ApplicationResponse_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ApplicationResponse_serializer

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ApplicationResponse_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ApplicationResponse_serializer_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ApplicationResponse_serializer)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuditSubjectResponse(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuditSubjectResponse_serializer_get)
    Companion = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuditSubjectResponse_Companion_get)
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuditSubjectResponse__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuditSubjectResponse__type_set)
    AuditSubjectResponse = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuditSubjectResponse_AuditSubjectResponse_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuditSubjectResponse_AuditSubjectResponse_set)
    get_displayName = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuditSubjectResponse_get_displayName_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuditSubjectResponse_get_displayName_set)
    get_email = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuditSubjectResponse_get_email_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuditSubjectResponse_get_email_set)
    get_userId = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuditSubjectResponse_get_userId_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuditSubjectResponse_get_userId_set)
    component1 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuditSubjectResponse_component1_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuditSubjectResponse_component1_set)
    component2 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuditSubjectResponse_component2_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuditSubjectResponse_component2_set)
    component3 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuditSubjectResponse_component3_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuditSubjectResponse_component3_set)
    copy = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuditSubjectResponse_copy_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuditSubjectResponse_copy_set)
    equals = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuditSubjectResponse_equals_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuditSubjectResponse_equals_set)
    hashCode = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuditSubjectResponse_hashCode_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuditSubjectResponse_hashCode_set)
    toString = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuditSubjectResponse_toString_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuditSubjectResponse_toString_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuditSubjectResponse_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuditSubjectResponse())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuditSubjectResponse

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuditSubjectResponse in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuditSubjectResponse_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuditSubjectResponse)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuditSubjectResponse_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuditSubjectResponse_Companion__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuditSubjectResponse_Companion__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuditSubjectResponse_Companion__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuditSubjectResponse_Companion__instance_set)
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuditSubjectResponse_Companion_serializer_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuditSubjectResponse_Companion_serializer_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuditSubjectResponse_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuditSubjectResponse_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuditSubjectResponse_Companion

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuditSubjectResponse_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuditSubjectResponse_Companion_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuditSubjectResponse_Companion)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuditSubjectResponse_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuditSubjectResponse_serializer__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuditSubjectResponse_serializer__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuditSubjectResponse_serializer__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuditSubjectResponse_serializer__instance_set)
    get_descriptor = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuditSubjectResponse_serializer_get_descriptor_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuditSubjectResponse_serializer_get_descriptor_set)
    childSerializers = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuditSubjectResponse_serializer_childSerializers_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuditSubjectResponse_serializer_childSerializers_set)
    deserialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuditSubjectResponse_serializer_deserialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuditSubjectResponse_serializer_deserialize_set)
    serialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuditSubjectResponse_serializer_serialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuditSubjectResponse_serializer_serialize_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuditSubjectResponse_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuditSubjectResponse_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuditSubjectResponse_serializer

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuditSubjectResponse_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuditSubjectResponse_serializer_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuditSubjectResponse_serializer)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuditIssuerResponse(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuditIssuerResponse_serializer_get)
    Companion = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuditIssuerResponse_Companion_get)
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuditIssuerResponse__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuditIssuerResponse__type_set)
    AuditIssuerResponse = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuditIssuerResponse_AuditIssuerResponse_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuditIssuerResponse_AuditIssuerResponse_set)
    get_email = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuditIssuerResponse_get_email_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuditIssuerResponse_get_email_set)
    get_ip = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuditIssuerResponse_get_ip_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuditIssuerResponse_get_ip_set)
    get_userId = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuditIssuerResponse_get_userId_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuditIssuerResponse_get_userId_set)
    component1 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuditIssuerResponse_component1_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuditIssuerResponse_component1_set)
    component2 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuditIssuerResponse_component2_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuditIssuerResponse_component2_set)
    component3 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuditIssuerResponse_component3_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuditIssuerResponse_component3_set)
    copy = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuditIssuerResponse_copy_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuditIssuerResponse_copy_set)
    equals = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuditIssuerResponse_equals_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuditIssuerResponse_equals_set)
    hashCode = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuditIssuerResponse_hashCode_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuditIssuerResponse_hashCode_set)
    toString = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuditIssuerResponse_toString_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuditIssuerResponse_toString_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuditIssuerResponse_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuditIssuerResponse())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuditIssuerResponse

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuditIssuerResponse in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuditIssuerResponse_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuditIssuerResponse)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuditIssuerResponse_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuditIssuerResponse_Companion__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuditIssuerResponse_Companion__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuditIssuerResponse_Companion__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuditIssuerResponse_Companion__instance_set)
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuditIssuerResponse_Companion_serializer_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuditIssuerResponse_Companion_serializer_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuditIssuerResponse_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuditIssuerResponse_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuditIssuerResponse_Companion

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuditIssuerResponse_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuditIssuerResponse_Companion_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuditIssuerResponse_Companion)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuditIssuerResponse_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuditIssuerResponse_serializer__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuditIssuerResponse_serializer__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuditIssuerResponse_serializer__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuditIssuerResponse_serializer__instance_set)
    get_descriptor = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuditIssuerResponse_serializer_get_descriptor_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuditIssuerResponse_serializer_get_descriptor_set)
    childSerializers = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuditIssuerResponse_serializer_childSerializers_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuditIssuerResponse_serializer_childSerializers_set)
    deserialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuditIssuerResponse_serializer_deserialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuditIssuerResponse_serializer_deserialize_set)
    serialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuditIssuerResponse_serializer_serialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuditIssuerResponse_serializer_serialize_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuditIssuerResponse_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuditIssuerResponse_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuditIssuerResponse_serializer

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuditIssuerResponse_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuditIssuerResponse_serializer_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuditIssuerResponse_serializer)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuditResponse(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuditResponse_serializer_get)
    Companion = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuditResponse_Companion_get)
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuditResponse__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuditResponse__type_set)
    AuditResponse = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuditResponse_AuditResponse_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuditResponse_AuditResponse_set)
    get_deviceId = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuditResponse_get_deviceId_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuditResponse_get_deviceId_set)
    get_issuer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuditResponse_get_issuer_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuditResponse_get_issuer_set)
    get_rejected = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuditResponse_get_rejected_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuditResponse_get_rejected_set)
    get_rejectionReason = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuditResponse_get_rejectionReason_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuditResponse_get_rejectionReason_set)
    get_subject = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuditResponse_get_subject_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuditResponse_get_subject_set)
    get_timestamp = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuditResponse_get_timestamp_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuditResponse_get_timestamp_set)
    get_type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuditResponse_get_type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuditResponse_get_type_set)
    component1 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuditResponse_component1_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuditResponse_component1_set)
    component2 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuditResponse_component2_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuditResponse_component2_set)
    component3 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuditResponse_component3_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuditResponse_component3_set)
    component4 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuditResponse_component4_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuditResponse_component4_set)
    component5 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuditResponse_component5_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuditResponse_component5_set)
    component6 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuditResponse_component6_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuditResponse_component6_set)
    component7 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuditResponse_component7_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuditResponse_component7_set)
    copy = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuditResponse_copy_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuditResponse_copy_set)
    equals = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuditResponse_equals_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuditResponse_equals_set)
    hashCode = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuditResponse_hashCode_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuditResponse_hashCode_set)
    toString = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuditResponse_toString_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuditResponse_toString_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuditResponse_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuditResponse())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuditResponse

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuditResponse in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuditResponse_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuditResponse)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuditResponse_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuditResponse_Companion__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuditResponse_Companion__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuditResponse_Companion__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuditResponse_Companion__instance_set)
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuditResponse_Companion_serializer_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuditResponse_Companion_serializer_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuditResponse_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuditResponse_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuditResponse_Companion

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuditResponse_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuditResponse_Companion_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuditResponse_Companion)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuditResponse_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuditResponse_serializer__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuditResponse_serializer__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuditResponse_serializer__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuditResponse_serializer__instance_set)
    get_descriptor = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuditResponse_serializer_get_descriptor_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuditResponse_serializer_get_descriptor_set)
    childSerializers = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuditResponse_serializer_childSerializers_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuditResponse_serializer_childSerializers_set)
    deserialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuditResponse_serializer_deserialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuditResponse_serializer_deserialize_set)
    serialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuditResponse_serializer_serialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuditResponse_serializer_serialize_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuditResponse_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuditResponse_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuditResponse_serializer

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuditResponse_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuditResponse_serializer_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AuditResponse_serializer)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockUserDetailsResponse(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockUserDetailsResponse_serializer_get)
    Companion = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockUserDetailsResponse_Companion_get)
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockUserDetailsResponse__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockUserDetailsResponse__type_set)
    LockUserDetailsResponse = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockUserDetailsResponse_LockUserDetailsResponse_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockUserDetailsResponse_LockUserDetailsResponse_set)
    get_deviceId = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockUserDetailsResponse_get_deviceId_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockUserDetailsResponse_get_deviceId_set)
    get_end = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockUserDetailsResponse_get_end_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockUserDetailsResponse_get_end_set)
    get_role = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockUserDetailsResponse_get_role_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockUserDetailsResponse_get_role_set)
    get_start = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockUserDetailsResponse_get_start_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockUserDetailsResponse_get_start_set)
    component1 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockUserDetailsResponse_component1_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockUserDetailsResponse_component1_set)
    component2 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockUserDetailsResponse_component2_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockUserDetailsResponse_component2_set)
    component3 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockUserDetailsResponse_component3_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockUserDetailsResponse_component3_set)
    component4 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockUserDetailsResponse_component4_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockUserDetailsResponse_component4_set)
    copy = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockUserDetailsResponse_copy_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockUserDetailsResponse_copy_set)
    equals = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockUserDetailsResponse_equals_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockUserDetailsResponse_equals_set)
    hashCode = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockUserDetailsResponse_hashCode_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockUserDetailsResponse_hashCode_set)
    toString = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockUserDetailsResponse_toString_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockUserDetailsResponse_toString_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockUserDetailsResponse_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockUserDetailsResponse())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockUserDetailsResponse

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockUserDetailsResponse in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockUserDetailsResponse_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockUserDetailsResponse)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockUserDetailsResponse_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockUserDetailsResponse_Companion__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockUserDetailsResponse_Companion__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockUserDetailsResponse_Companion__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockUserDetailsResponse_Companion__instance_set)
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockUserDetailsResponse_Companion_serializer_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockUserDetailsResponse_Companion_serializer_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockUserDetailsResponse_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockUserDetailsResponse_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockUserDetailsResponse_Companion

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockUserDetailsResponse_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockUserDetailsResponse_Companion_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockUserDetailsResponse_Companion)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockUserDetailsResponse_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockUserDetailsResponse_serializer__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockUserDetailsResponse_serializer__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockUserDetailsResponse_serializer__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockUserDetailsResponse_serializer__instance_set)
    get_descriptor = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockUserDetailsResponse_serializer_get_descriptor_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockUserDetailsResponse_serializer_get_descriptor_set)
    childSerializers = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockUserDetailsResponse_serializer_childSerializers_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockUserDetailsResponse_serializer_childSerializers_set)
    deserialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockUserDetailsResponse_serializer_deserialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockUserDetailsResponse_serializer_deserialize_set)
    serialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockUserDetailsResponse_serializer_serialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockUserDetailsResponse_serializer_serialize_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockUserDetailsResponse_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockUserDetailsResponse_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockUserDetailsResponse_serializer

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockUserDetailsResponse_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockUserDetailsResponse_serializer_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockUserDetailsResponse_serializer)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockUserResponse(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockUserResponse_serializer_get)
    Companion = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockUserResponse_Companion_get)
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockUserResponse__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockUserResponse__type_set)
    LockUserResponse = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockUserResponse_LockUserResponse_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockUserResponse_LockUserResponse_set)
    get_devices = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockUserResponse_get_devices_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockUserResponse_get_devices_set)
    get_displayName = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockUserResponse_get_displayName_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockUserResponse_get_displayName_set)
    get_email = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockUserResponse_get_email_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockUserResponse_get_email_set)
    get_end = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockUserResponse_get_end_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockUserResponse_get_end_set)
    get_foreign = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockUserResponse_get_foreign_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockUserResponse_get_foreign_set)
    get_orphan = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockUserResponse_get_orphan_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockUserResponse_get_orphan_set)
    get_publicKey = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockUserResponse_get_publicKey_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockUserResponse_get_publicKey_set)
    get_start = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockUserResponse_get_start_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockUserResponse_get_start_set)
    get_userId = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockUserResponse_get_userId_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockUserResponse_get_userId_set)
    component1 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockUserResponse_component1_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockUserResponse_component1_set)
    component2 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockUserResponse_component2_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockUserResponse_component2_set)
    component3 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockUserResponse_component3_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockUserResponse_component3_set)
    component4 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockUserResponse_component4_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockUserResponse_component4_set)
    component5 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockUserResponse_component5_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockUserResponse_component5_set)
    component6 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockUserResponse_component6_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockUserResponse_component6_set)
    component7 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockUserResponse_component7_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockUserResponse_component7_set)
    component8 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockUserResponse_component8_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockUserResponse_component8_set)
    component9 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockUserResponse_component9_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockUserResponse_component9_set)
    copy = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockUserResponse_copy_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockUserResponse_copy_set)
    equals = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockUserResponse_equals_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockUserResponse_equals_set)
    hashCode = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockUserResponse_hashCode_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockUserResponse_hashCode_set)
    toString = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockUserResponse_toString_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockUserResponse_toString_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockUserResponse_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockUserResponse())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockUserResponse

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockUserResponse in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockUserResponse_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockUserResponse)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockUserResponse_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockUserResponse_Companion__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockUserResponse_Companion__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockUserResponse_Companion__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockUserResponse_Companion__instance_set)
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockUserResponse_Companion_serializer_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockUserResponse_Companion_serializer_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockUserResponse_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockUserResponse_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockUserResponse_Companion

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockUserResponse_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockUserResponse_Companion_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockUserResponse_Companion)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockUserResponse_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockUserResponse_serializer__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockUserResponse_serializer__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockUserResponse_serializer__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockUserResponse_serializer__instance_set)
    get_descriptor = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockUserResponse_serializer_get_descriptor_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockUserResponse_serializer_get_descriptor_set)
    childSerializers = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockUserResponse_serializer_childSerializers_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockUserResponse_serializer_childSerializers_set)
    deserialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockUserResponse_serializer_deserialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockUserResponse_serializer_deserialize_set)
    serialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockUserResponse_serializer_serialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockUserResponse_serializer_serialize_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockUserResponse_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockUserResponse_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockUserResponse_serializer

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockUserResponse_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockUserResponse_serializer_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockUserResponse_serializer)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserLockResponse(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserLockResponse_serializer_get)
    Companion = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserLockResponse_Companion_get)
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserLockResponse__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserLockResponse__type_set)
    UserLockResponse = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserLockResponse_UserLockResponse_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserLockResponse_UserLockResponse_set)
    get_displayName = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserLockResponse_get_displayName_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserLockResponse_get_displayName_set)
    get_email = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserLockResponse_get_email_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserLockResponse_get_email_set)
    get_end = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserLockResponse_get_end_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserLockResponse_get_end_set)
    get_foreign = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserLockResponse_get_foreign_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserLockResponse_get_foreign_set)
    get_orphan = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserLockResponse_get_orphan_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserLockResponse_get_orphan_set)
    get_publicKey = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserLockResponse_get_publicKey_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserLockResponse_get_publicKey_set)
    get_role = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserLockResponse_get_role_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserLockResponse_get_role_set)
    get_start = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserLockResponse_get_start_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserLockResponse_get_start_set)
    get_userId = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserLockResponse_get_userId_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserLockResponse_get_userId_set)
    component1 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserLockResponse_component1_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserLockResponse_component1_set)
    component2 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserLockResponse_component2_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserLockResponse_component2_set)
    component3 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserLockResponse_component3_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserLockResponse_component3_set)
    component4 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserLockResponse_component4_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserLockResponse_component4_set)
    component5 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserLockResponse_component5_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserLockResponse_component5_set)
    component6 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserLockResponse_component6_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserLockResponse_component6_set)
    component7 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserLockResponse_component7_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserLockResponse_component7_set)
    component8 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserLockResponse_component8_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserLockResponse_component8_set)
    component9 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserLockResponse_component9_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserLockResponse_component9_set)
    copy = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserLockResponse_copy_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserLockResponse_copy_set)
    equals = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserLockResponse_equals_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserLockResponse_equals_set)
    hashCode = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserLockResponse_hashCode_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserLockResponse_hashCode_set)
    toString = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserLockResponse_toString_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserLockResponse_toString_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserLockResponse_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserLockResponse())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserLockResponse

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserLockResponse in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserLockResponse_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserLockResponse)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserLockResponse_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserLockResponse_Companion__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserLockResponse_Companion__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserLockResponse_Companion__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserLockResponse_Companion__instance_set)
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserLockResponse_Companion_serializer_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserLockResponse_Companion_serializer_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserLockResponse_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserLockResponse_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserLockResponse_Companion

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserLockResponse_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserLockResponse_Companion_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserLockResponse_Companion)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserLockResponse_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserLockResponse_serializer__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserLockResponse_serializer__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserLockResponse_serializer__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserLockResponse_serializer__instance_set)
    get_descriptor = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserLockResponse_serializer_get_descriptor_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserLockResponse_serializer_get_descriptor_set)
    childSerializers = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserLockResponse_serializer_childSerializers_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserLockResponse_serializer_childSerializers_set)
    deserialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserLockResponse_serializer_deserialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserLockResponse_serializer_deserialize_set)
    serialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserLockResponse_serializer_serialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserLockResponse_serializer_serialize_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserLockResponse_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserLockResponse_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserLockResponse_serializer

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserLockResponse_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserLockResponse_serializer_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserLockResponse_serializer)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ShareableLockResponse(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ShareableLockResponse_serializer_get)
    Companion = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ShareableLockResponse_Companion_get)
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ShareableLockResponse__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ShareableLockResponse__type_set)
    ShareableLockResponse = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ShareableLockResponse_ShareableLockResponse_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ShareableLockResponse_ShareableLockResponse_set)
    get_id = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ShareableLockResponse_get_id_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ShareableLockResponse_get_id_set)
    get_name = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ShareableLockResponse_get_name_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ShareableLockResponse_get_name_set)
    component1 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ShareableLockResponse_component1_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ShareableLockResponse_component1_set)
    component2 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ShareableLockResponse_component2_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ShareableLockResponse_component2_set)
    copy = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ShareableLockResponse_copy_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ShareableLockResponse_copy_set)
    equals = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ShareableLockResponse_equals_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ShareableLockResponse_equals_set)
    hashCode = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ShareableLockResponse_hashCode_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ShareableLockResponse_hashCode_set)
    toString = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ShareableLockResponse_toString_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ShareableLockResponse_toString_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ShareableLockResponse_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ShareableLockResponse())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ShareableLockResponse

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ShareableLockResponse in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ShareableLockResponse_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ShareableLockResponse)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ShareableLockResponse_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ShareableLockResponse_Companion__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ShareableLockResponse_Companion__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ShareableLockResponse_Companion__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ShareableLockResponse_Companion__instance_set)
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ShareableLockResponse_Companion_serializer_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ShareableLockResponse_Companion_serializer_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ShareableLockResponse_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ShareableLockResponse_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ShareableLockResponse_Companion

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ShareableLockResponse_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ShareableLockResponse_Companion_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ShareableLockResponse_Companion)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ShareableLockResponse_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ShareableLockResponse_serializer__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ShareableLockResponse_serializer__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ShareableLockResponse_serializer__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ShareableLockResponse_serializer__instance_set)
    get_descriptor = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ShareableLockResponse_serializer_get_descriptor_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ShareableLockResponse_serializer_get_descriptor_set)
    childSerializers = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ShareableLockResponse_serializer_childSerializers_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ShareableLockResponse_serializer_childSerializers_set)
    deserialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ShareableLockResponse_serializer_deserialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ShareableLockResponse_serializer_deserialize_set)
    serialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ShareableLockResponse_serializer_serialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ShareableLockResponse_serializer_serialize_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ShareableLockResponse_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ShareableLockResponse_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ShareableLockResponse_serializer

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ShareableLockResponse_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ShareableLockResponse_serializer_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ShareableLockResponse_serializer)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_BatchUserPublicKeyResponse(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_BatchUserPublicKeyResponse_serializer_get)
    Companion = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_BatchUserPublicKeyResponse_Companion_get)
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_BatchUserPublicKeyResponse__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_BatchUserPublicKeyResponse__type_set)
    BatchUserPublicKeyResponse = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_BatchUserPublicKeyResponse_BatchUserPublicKeyResponse_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_BatchUserPublicKeyResponse_BatchUserPublicKeyResponse_set)
    get_email = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_BatchUserPublicKeyResponse_get_email_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_BatchUserPublicKeyResponse_get_email_set)
    get_foreignKey = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_BatchUserPublicKeyResponse_get_foreignKey_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_BatchUserPublicKeyResponse_get_foreignKey_set)
    get_id = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_BatchUserPublicKeyResponse_get_id_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_BatchUserPublicKeyResponse_get_id_set)
    get_phone = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_BatchUserPublicKeyResponse_get_phone_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_BatchUserPublicKeyResponse_get_phone_set)
    get_publicKey = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_BatchUserPublicKeyResponse_get_publicKey_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_BatchUserPublicKeyResponse_get_publicKey_set)
    component1 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_BatchUserPublicKeyResponse_component1_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_BatchUserPublicKeyResponse_component1_set)
    component2 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_BatchUserPublicKeyResponse_component2_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_BatchUserPublicKeyResponse_component2_set)
    component3 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_BatchUserPublicKeyResponse_component3_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_BatchUserPublicKeyResponse_component3_set)
    component4 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_BatchUserPublicKeyResponse_component4_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_BatchUserPublicKeyResponse_component4_set)
    component5 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_BatchUserPublicKeyResponse_component5_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_BatchUserPublicKeyResponse_component5_set)
    copy = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_BatchUserPublicKeyResponse_copy_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_BatchUserPublicKeyResponse_copy_set)
    equals = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_BatchUserPublicKeyResponse_equals_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_BatchUserPublicKeyResponse_equals_set)
    hashCode = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_BatchUserPublicKeyResponse_hashCode_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_BatchUserPublicKeyResponse_hashCode_set)
    toString = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_BatchUserPublicKeyResponse_toString_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_BatchUserPublicKeyResponse_toString_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_BatchUserPublicKeyResponse_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_BatchUserPublicKeyResponse())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_BatchUserPublicKeyResponse

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_BatchUserPublicKeyResponse in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_BatchUserPublicKeyResponse_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_BatchUserPublicKeyResponse)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_BatchUserPublicKeyResponse_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_BatchUserPublicKeyResponse_Companion__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_BatchUserPublicKeyResponse_Companion__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_BatchUserPublicKeyResponse_Companion__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_BatchUserPublicKeyResponse_Companion__instance_set)
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_BatchUserPublicKeyResponse_Companion_serializer_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_BatchUserPublicKeyResponse_Companion_serializer_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_BatchUserPublicKeyResponse_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_BatchUserPublicKeyResponse_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_BatchUserPublicKeyResponse_Companion

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_BatchUserPublicKeyResponse_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_BatchUserPublicKeyResponse_Companion_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_BatchUserPublicKeyResponse_Companion)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_BatchUserPublicKeyResponse_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_BatchUserPublicKeyResponse_serializer__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_BatchUserPublicKeyResponse_serializer__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_BatchUserPublicKeyResponse_serializer__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_BatchUserPublicKeyResponse_serializer__instance_set)
    get_descriptor = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_BatchUserPublicKeyResponse_serializer_get_descriptor_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_BatchUserPublicKeyResponse_serializer_get_descriptor_set)
    childSerializers = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_BatchUserPublicKeyResponse_serializer_childSerializers_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_BatchUserPublicKeyResponse_serializer_childSerializers_set)
    deserialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_BatchUserPublicKeyResponse_serializer_deserialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_BatchUserPublicKeyResponse_serializer_deserialize_set)
    serialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_BatchUserPublicKeyResponse_serializer_serialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_BatchUserPublicKeyResponse_serializer_serialize_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_BatchUserPublicKeyResponse_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_BatchUserPublicKeyResponse_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_BatchUserPublicKeyResponse_serializer

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_BatchUserPublicKeyResponse_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_BatchUserPublicKeyResponse_serializer_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_BatchUserPublicKeyResponse_serializer)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserPublicKeyResponse(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserPublicKeyResponse_serializer_get)
    Companion = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserPublicKeyResponse_Companion_get)
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserPublicKeyResponse__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserPublicKeyResponse__type_set)
    UserPublicKeyResponse = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserPublicKeyResponse_UserPublicKeyResponse_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserPublicKeyResponse_UserPublicKeyResponse_set)
    get_id = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserPublicKeyResponse_get_id_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserPublicKeyResponse_get_id_set)
    get_publicKey = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserPublicKeyResponse_get_publicKey_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserPublicKeyResponse_get_publicKey_set)
    component1 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserPublicKeyResponse_component1_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserPublicKeyResponse_component1_set)
    component2 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserPublicKeyResponse_component2_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserPublicKeyResponse_component2_set)
    copy = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserPublicKeyResponse_copy_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserPublicKeyResponse_copy_set)
    equals = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserPublicKeyResponse_equals_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserPublicKeyResponse_equals_set)
    hashCode = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserPublicKeyResponse_hashCode_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserPublicKeyResponse_hashCode_set)
    toString = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserPublicKeyResponse_toString_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserPublicKeyResponse_toString_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserPublicKeyResponse_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserPublicKeyResponse())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserPublicKeyResponse

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserPublicKeyResponse in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserPublicKeyResponse_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserPublicKeyResponse)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserPublicKeyResponse_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserPublicKeyResponse_Companion__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserPublicKeyResponse_Companion__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserPublicKeyResponse_Companion__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserPublicKeyResponse_Companion__instance_set)
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserPublicKeyResponse_Companion_serializer_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserPublicKeyResponse_Companion_serializer_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserPublicKeyResponse_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserPublicKeyResponse_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserPublicKeyResponse_Companion

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserPublicKeyResponse_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserPublicKeyResponse_Companion_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserPublicKeyResponse_Companion)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserPublicKeyResponse_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserPublicKeyResponse_serializer__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserPublicKeyResponse_serializer__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserPublicKeyResponse_serializer__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserPublicKeyResponse_serializer__instance_set)
    get_descriptor = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserPublicKeyResponse_serializer_get_descriptor_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserPublicKeyResponse_serializer_get_descriptor_set)
    childSerializers = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserPublicKeyResponse_serializer_childSerializers_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserPublicKeyResponse_serializer_childSerializers_set)
    deserialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserPublicKeyResponse_serializer_deserialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserPublicKeyResponse_serializer_deserialize_set)
    serialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserPublicKeyResponse_serializer_serialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserPublicKeyResponse_serializer_serialize_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserPublicKeyResponse_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserPublicKeyResponse_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserPublicKeyResponse_serializer

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserPublicKeyResponse_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserPublicKeyResponse_serializer_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserPublicKeyResponse_serializer)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockStateResponse(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockStateResponse_serializer_get)
    Companion = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockStateResponse_Companion_get)
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockStateResponse__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockStateResponse__type_set)
    LockStateResponse = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockStateResponse_LockStateResponse_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockStateResponse_LockStateResponse_set)
    get_connected = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockStateResponse_get_connected_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockStateResponse_get_connected_set)
    get_locked = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockStateResponse_get_locked_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockStateResponse_get_locked_set)
    component1 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockStateResponse_component1_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockStateResponse_component1_set)
    component2 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockStateResponse_component2_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockStateResponse_component2_set)
    copy = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockStateResponse_copy_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockStateResponse_copy_set)
    equals = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockStateResponse_equals_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockStateResponse_equals_set)
    hashCode = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockStateResponse_hashCode_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockStateResponse_hashCode_set)
    toString = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockStateResponse_toString_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockStateResponse_toString_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockStateResponse_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockStateResponse())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockStateResponse

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockStateResponse in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockStateResponse_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockStateResponse)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockStateResponse_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockStateResponse_Companion__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockStateResponse_Companion__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockStateResponse_Companion__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockStateResponse_Companion__instance_set)
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockStateResponse_Companion_serializer_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockStateResponse_Companion_serializer_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockStateResponse_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockStateResponse_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockStateResponse_Companion

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockStateResponse_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockStateResponse_Companion_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockStateResponse_Companion)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockStateResponse_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockStateResponse_serializer__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockStateResponse_serializer__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockStateResponse_serializer__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockStateResponse_serializer__instance_set)
    get_descriptor = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockStateResponse_serializer_get_descriptor_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockStateResponse_serializer_get_descriptor_set)
    childSerializers = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockStateResponse_serializer_childSerializers_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockStateResponse_serializer_childSerializers_set)
    deserialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockStateResponse_serializer_deserialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockStateResponse_serializer_deserialize_set)
    serialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockStateResponse_serializer_serialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockStateResponse_serializer_serialize_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockStateResponse_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockStateResponse_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockStateResponse_serializer

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockStateResponse_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockStateResponse_serializer_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockStateResponse_serializer)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UnlockBetweenSettingResponse(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UnlockBetweenSettingResponse_serializer_get)
    Companion = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UnlockBetweenSettingResponse_Companion_get)
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UnlockBetweenSettingResponse__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UnlockBetweenSettingResponse__type_set)
    UnlockBetweenSettingResponse = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UnlockBetweenSettingResponse_UnlockBetweenSettingResponse_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UnlockBetweenSettingResponse_UnlockBetweenSettingResponse_set)
    get_days = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UnlockBetweenSettingResponse_get_days_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UnlockBetweenSettingResponse_get_days_set)
    get_end = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UnlockBetweenSettingResponse_get_end_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UnlockBetweenSettingResponse_get_end_set)
    get_exceptions = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UnlockBetweenSettingResponse_get_exceptions_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UnlockBetweenSettingResponse_get_exceptions_set)
    get_start = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UnlockBetweenSettingResponse_get_start_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UnlockBetweenSettingResponse_get_start_set)
    get_timezone = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UnlockBetweenSettingResponse_get_timezone_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UnlockBetweenSettingResponse_get_timezone_set)
    component1 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UnlockBetweenSettingResponse_component1_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UnlockBetweenSettingResponse_component1_set)
    component2 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UnlockBetweenSettingResponse_component2_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UnlockBetweenSettingResponse_component2_set)
    component3 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UnlockBetweenSettingResponse_component3_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UnlockBetweenSettingResponse_component3_set)
    component4 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UnlockBetweenSettingResponse_component4_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UnlockBetweenSettingResponse_component4_set)
    component5 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UnlockBetweenSettingResponse_component5_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UnlockBetweenSettingResponse_component5_set)
    copy = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UnlockBetweenSettingResponse_copy_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UnlockBetweenSettingResponse_copy_set)
    equals = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UnlockBetweenSettingResponse_equals_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UnlockBetweenSettingResponse_equals_set)
    hashCode = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UnlockBetweenSettingResponse_hashCode_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UnlockBetweenSettingResponse_hashCode_set)
    toString = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UnlockBetweenSettingResponse_toString_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UnlockBetweenSettingResponse_toString_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UnlockBetweenSettingResponse_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UnlockBetweenSettingResponse())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UnlockBetweenSettingResponse

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UnlockBetweenSettingResponse in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UnlockBetweenSettingResponse_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UnlockBetweenSettingResponse)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UnlockBetweenSettingResponse_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UnlockBetweenSettingResponse_Companion__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UnlockBetweenSettingResponse_Companion__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UnlockBetweenSettingResponse_Companion__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UnlockBetweenSettingResponse_Companion__instance_set)
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UnlockBetweenSettingResponse_Companion_serializer_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UnlockBetweenSettingResponse_Companion_serializer_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UnlockBetweenSettingResponse_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UnlockBetweenSettingResponse_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UnlockBetweenSettingResponse_Companion

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UnlockBetweenSettingResponse_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UnlockBetweenSettingResponse_Companion_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UnlockBetweenSettingResponse_Companion)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UnlockBetweenSettingResponse_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UnlockBetweenSettingResponse_serializer__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UnlockBetweenSettingResponse_serializer__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UnlockBetweenSettingResponse_serializer__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UnlockBetweenSettingResponse_serializer__instance_set)
    get_descriptor = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UnlockBetweenSettingResponse_serializer_get_descriptor_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UnlockBetweenSettingResponse_serializer_get_descriptor_set)
    childSerializers = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UnlockBetweenSettingResponse_serializer_childSerializers_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UnlockBetweenSettingResponse_serializer_childSerializers_set)
    deserialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UnlockBetweenSettingResponse_serializer_deserialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UnlockBetweenSettingResponse_serializer_deserialize_set)
    serialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UnlockBetweenSettingResponse_serializer_serialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UnlockBetweenSettingResponse_serializer_serialize_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UnlockBetweenSettingResponse_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UnlockBetweenSettingResponse_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UnlockBetweenSettingResponse_serializer

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UnlockBetweenSettingResponse_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UnlockBetweenSettingResponse_serializer_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UnlockBetweenSettingResponse_serializer)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LocationRequirementResponse(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LocationRequirementResponse_serializer_get)
    Companion = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LocationRequirementResponse_Companion_get)
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LocationRequirementResponse__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LocationRequirementResponse__type_set)
    LocationRequirementResponse = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LocationRequirementResponse_LocationRequirementResponse_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LocationRequirementResponse_LocationRequirementResponse_set)
    get_accuracy = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LocationRequirementResponse_get_accuracy_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LocationRequirementResponse_get_accuracy_set)
    get_enabled = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LocationRequirementResponse_get_enabled_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LocationRequirementResponse_get_enabled_set)
    get_latitude = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LocationRequirementResponse_get_latitude_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LocationRequirementResponse_get_latitude_set)
    get_longitude = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LocationRequirementResponse_get_longitude_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LocationRequirementResponse_get_longitude_set)
    get_radius = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LocationRequirementResponse_get_radius_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LocationRequirementResponse_get_radius_set)
    component1 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LocationRequirementResponse_component1_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LocationRequirementResponse_component1_set)
    component2 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LocationRequirementResponse_component2_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LocationRequirementResponse_component2_set)
    component3 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LocationRequirementResponse_component3_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LocationRequirementResponse_component3_set)
    component4 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LocationRequirementResponse_component4_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LocationRequirementResponse_component4_set)
    component5 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LocationRequirementResponse_component5_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LocationRequirementResponse_component5_set)
    copy = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LocationRequirementResponse_copy_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LocationRequirementResponse_copy_set)
    equals = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LocationRequirementResponse_equals_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LocationRequirementResponse_equals_set)
    hashCode = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LocationRequirementResponse_hashCode_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LocationRequirementResponse_hashCode_set)
    toString = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LocationRequirementResponse_toString_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LocationRequirementResponse_toString_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LocationRequirementResponse_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LocationRequirementResponse())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LocationRequirementResponse

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LocationRequirementResponse in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LocationRequirementResponse_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LocationRequirementResponse)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LocationRequirementResponse_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LocationRequirementResponse_Companion__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LocationRequirementResponse_Companion__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LocationRequirementResponse_Companion__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LocationRequirementResponse_Companion__instance_set)
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LocationRequirementResponse_Companion_serializer_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LocationRequirementResponse_Companion_serializer_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LocationRequirementResponse_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LocationRequirementResponse_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LocationRequirementResponse_Companion

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LocationRequirementResponse_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LocationRequirementResponse_Companion_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LocationRequirementResponse_Companion)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LocationRequirementResponse_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LocationRequirementResponse_serializer__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LocationRequirementResponse_serializer__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LocationRequirementResponse_serializer__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LocationRequirementResponse_serializer__instance_set)
    get_descriptor = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LocationRequirementResponse_serializer_get_descriptor_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LocationRequirementResponse_serializer_get_descriptor_set)
    childSerializers = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LocationRequirementResponse_serializer_childSerializers_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LocationRequirementResponse_serializer_childSerializers_set)
    deserialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LocationRequirementResponse_serializer_deserialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LocationRequirementResponse_serializer_deserialize_set)
    serialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LocationRequirementResponse_serializer_serialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LocationRequirementResponse_serializer_serialize_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LocationRequirementResponse_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LocationRequirementResponse_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LocationRequirementResponse_serializer

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LocationRequirementResponse_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LocationRequirementResponse_serializer_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LocationRequirementResponse_serializer)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_TimeRequirementResponse(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_TimeRequirementResponse_serializer_get)
    Companion = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_TimeRequirementResponse_Companion_get)
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_TimeRequirementResponse__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_TimeRequirementResponse__type_set)
    TimeRequirementResponse = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_TimeRequirementResponse_TimeRequirementResponse_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_TimeRequirementResponse_TimeRequirementResponse_set)
    get_days = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_TimeRequirementResponse_get_days_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_TimeRequirementResponse_get_days_set)
    get_end = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_TimeRequirementResponse_get_end_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_TimeRequirementResponse_get_end_set)
    get_start = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_TimeRequirementResponse_get_start_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_TimeRequirementResponse_get_start_set)
    get_timezone = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_TimeRequirementResponse_get_timezone_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_TimeRequirementResponse_get_timezone_set)
    component1 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_TimeRequirementResponse_component1_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_TimeRequirementResponse_component1_set)
    component2 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_TimeRequirementResponse_component2_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_TimeRequirementResponse_component2_set)
    component3 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_TimeRequirementResponse_component3_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_TimeRequirementResponse_component3_set)
    component4 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_TimeRequirementResponse_component4_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_TimeRequirementResponse_component4_set)
    copy = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_TimeRequirementResponse_copy_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_TimeRequirementResponse_copy_set)
    equals = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_TimeRequirementResponse_equals_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_TimeRequirementResponse_equals_set)
    hashCode = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_TimeRequirementResponse_hashCode_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_TimeRequirementResponse_hashCode_set)
    toString = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_TimeRequirementResponse_toString_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_TimeRequirementResponse_toString_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_TimeRequirementResponse_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_TimeRequirementResponse())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_TimeRequirementResponse

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_TimeRequirementResponse in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_TimeRequirementResponse_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_TimeRequirementResponse)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_TimeRequirementResponse_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_TimeRequirementResponse_Companion__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_TimeRequirementResponse_Companion__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_TimeRequirementResponse_Companion__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_TimeRequirementResponse_Companion__instance_set)
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_TimeRequirementResponse_Companion_serializer_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_TimeRequirementResponse_Companion_serializer_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_TimeRequirementResponse_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_TimeRequirementResponse_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_TimeRequirementResponse_Companion

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_TimeRequirementResponse_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_TimeRequirementResponse_Companion_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_TimeRequirementResponse_Companion)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_TimeRequirementResponse_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_TimeRequirementResponse_serializer__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_TimeRequirementResponse_serializer__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_TimeRequirementResponse_serializer__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_TimeRequirementResponse_serializer__instance_set)
    get_descriptor = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_TimeRequirementResponse_serializer_get_descriptor_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_TimeRequirementResponse_serializer_get_descriptor_set)
    childSerializers = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_TimeRequirementResponse_serializer_childSerializers_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_TimeRequirementResponse_serializer_childSerializers_set)
    deserialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_TimeRequirementResponse_serializer_deserialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_TimeRequirementResponse_serializer_deserialize_set)
    serialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_TimeRequirementResponse_serializer_serialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_TimeRequirementResponse_serializer_serialize_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_TimeRequirementResponse_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_TimeRequirementResponse_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_TimeRequirementResponse_serializer

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_TimeRequirementResponse_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_TimeRequirementResponse_serializer_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_TimeRequirementResponse_serializer)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UsageRequirementsResponse(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UsageRequirementsResponse_serializer_get)
    Companion = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UsageRequirementsResponse_Companion_get)
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UsageRequirementsResponse__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UsageRequirementsResponse__type_set)
    UsageRequirementsResponse = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UsageRequirementsResponse_UsageRequirementsResponse_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UsageRequirementsResponse_UsageRequirementsResponse_set)
    get_location = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UsageRequirementsResponse_get_location_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UsageRequirementsResponse_get_location_set)
    get_time = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UsageRequirementsResponse_get_time_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UsageRequirementsResponse_get_time_set)
    component1 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UsageRequirementsResponse_component1_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UsageRequirementsResponse_component1_set)
    component2 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UsageRequirementsResponse_component2_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UsageRequirementsResponse_component2_set)
    copy = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UsageRequirementsResponse_copy_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UsageRequirementsResponse_copy_set)
    equals = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UsageRequirementsResponse_equals_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UsageRequirementsResponse_equals_set)
    hashCode = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UsageRequirementsResponse_hashCode_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UsageRequirementsResponse_hashCode_set)
    toString = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UsageRequirementsResponse_toString_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UsageRequirementsResponse_toString_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UsageRequirementsResponse_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UsageRequirementsResponse())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UsageRequirementsResponse

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UsageRequirementsResponse in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UsageRequirementsResponse_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UsageRequirementsResponse)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UsageRequirementsResponse_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UsageRequirementsResponse_Companion__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UsageRequirementsResponse_Companion__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UsageRequirementsResponse_Companion__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UsageRequirementsResponse_Companion__instance_set)
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UsageRequirementsResponse_Companion_serializer_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UsageRequirementsResponse_Companion_serializer_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UsageRequirementsResponse_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UsageRequirementsResponse_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UsageRequirementsResponse_Companion

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UsageRequirementsResponse_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UsageRequirementsResponse_Companion_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UsageRequirementsResponse_Companion)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UsageRequirementsResponse_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UsageRequirementsResponse_serializer__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UsageRequirementsResponse_serializer__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UsageRequirementsResponse_serializer__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UsageRequirementsResponse_serializer__instance_set)
    get_descriptor = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UsageRequirementsResponse_serializer_get_descriptor_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UsageRequirementsResponse_serializer_get_descriptor_set)
    childSerializers = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UsageRequirementsResponse_serializer_childSerializers_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UsageRequirementsResponse_serializer_childSerializers_set)
    deserialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UsageRequirementsResponse_serializer_deserialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UsageRequirementsResponse_serializer_deserialize_set)
    serialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UsageRequirementsResponse_serializer_serialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UsageRequirementsResponse_serializer_serialize_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UsageRequirementsResponse_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UsageRequirementsResponse_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UsageRequirementsResponse_serializer

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UsageRequirementsResponse_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UsageRequirementsResponse_serializer_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UsageRequirementsResponse_serializer)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockSettingsResponse(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockSettingsResponse_serializer_get)
    Companion = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockSettingsResponse_Companion_get)
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockSettingsResponse__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockSettingsResponse__type_set)
    LockSettingsResponse = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockSettingsResponse_LockSettingsResponse_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockSettingsResponse_LockSettingsResponse_set)
    get_capabilities = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockSettingsResponse_get_capabilities_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockSettingsResponse_get_capabilities_set)
    get_defaultName = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockSettingsResponse_get_defaultName_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockSettingsResponse_get_defaultName_set)
    get_directAccessEndpoints = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockSettingsResponse_get_directAccessEndpoints_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockSettingsResponse_get_directAccessEndpoints_set)
    get_hidden = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockSettingsResponse_get_hidden_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockSettingsResponse_get_hidden_set)
    get_permittedAddresses = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockSettingsResponse_get_permittedAddresses_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockSettingsResponse_get_permittedAddresses_set)
    get_tiles = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockSettingsResponse_get_tiles_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockSettingsResponse_get_tiles_set)
    get_unlockBetweenWindow = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockSettingsResponse_get_unlockBetweenWindow_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockSettingsResponse_get_unlockBetweenWindow_set)
    get_unlockTime = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockSettingsResponse_get_unlockTime_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockSettingsResponse_get_unlockTime_set)
    get_usageRequirements = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockSettingsResponse_get_usageRequirements_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockSettingsResponse_get_usageRequirements_set)
    component1 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockSettingsResponse_component1_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockSettingsResponse_component1_set)
    component2 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockSettingsResponse_component2_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockSettingsResponse_component2_set)
    component3 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockSettingsResponse_component3_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockSettingsResponse_component3_set)
    component4 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockSettingsResponse_component4_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockSettingsResponse_component4_set)
    component5 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockSettingsResponse_component5_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockSettingsResponse_component5_set)
    component6 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockSettingsResponse_component6_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockSettingsResponse_component6_set)
    component7 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockSettingsResponse_component7_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockSettingsResponse_component7_set)
    component8 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockSettingsResponse_component8_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockSettingsResponse_component8_set)
    component9 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockSettingsResponse_component9_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockSettingsResponse_component9_set)
    copy = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockSettingsResponse_copy_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockSettingsResponse_copy_set)
    equals = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockSettingsResponse_equals_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockSettingsResponse_equals_set)
    hashCode = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockSettingsResponse_hashCode_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockSettingsResponse_hashCode_set)
    toString = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockSettingsResponse_toString_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockSettingsResponse_toString_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockSettingsResponse_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockSettingsResponse())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockSettingsResponse

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockSettingsResponse in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockSettingsResponse_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockSettingsResponse)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockSettingsResponse_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockSettingsResponse_Companion__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockSettingsResponse_Companion__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockSettingsResponse_Companion__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockSettingsResponse_Companion__instance_set)
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockSettingsResponse_Companion_serializer_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockSettingsResponse_Companion_serializer_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockSettingsResponse_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockSettingsResponse_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockSettingsResponse_Companion

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockSettingsResponse_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockSettingsResponse_Companion_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockSettingsResponse_Companion)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockSettingsResponse_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockSettingsResponse_serializer__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockSettingsResponse_serializer__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockSettingsResponse_serializer__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockSettingsResponse_serializer__instance_set)
    get_descriptor = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockSettingsResponse_serializer_get_descriptor_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockSettingsResponse_serializer_get_descriptor_set)
    childSerializers = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockSettingsResponse_serializer_childSerializers_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockSettingsResponse_serializer_childSerializers_set)
    deserialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockSettingsResponse_serializer_deserialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockSettingsResponse_serializer_deserialize_set)
    serialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockSettingsResponse_serializer_serialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockSettingsResponse_serializer_serialize_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockSettingsResponse_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockSettingsResponse_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockSettingsResponse_serializer

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockSettingsResponse_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockSettingsResponse_serializer_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockSettingsResponse_serializer)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockResponse(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockResponse_serializer_get)
    Companion = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockResponse_Companion_get)
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockResponse__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockResponse__type_set)
    LockResponse = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockResponse_LockResponse_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockResponse_LockResponse_set)
    get_colour = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockResponse_get_colour_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockResponse_get_colour_set)
    get_end = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockResponse_get_end_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockResponse_get_end_set)
    get_favourite = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockResponse_get_favourite_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockResponse_get_favourite_set)
    get_id = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockResponse_get_id_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockResponse_get_id_set)
    get_name = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockResponse_get_name_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockResponse_get_name_set)
    get_role = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockResponse_get_role_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockResponse_get_role_set)
    get_settings = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockResponse_get_settings_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockResponse_get_settings_set)
    get_start = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockResponse_get_start_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockResponse_get_start_set)
    get_state = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockResponse_get_state_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockResponse_get_state_set)
    get_unlockTime = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockResponse_get_unlockTime_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockResponse_get_unlockTime_set)
    component1 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockResponse_component1_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockResponse_component1_set)
    component10 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockResponse_component10_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockResponse_component10_set)
    component2 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockResponse_component2_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockResponse_component2_set)
    component3 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockResponse_component3_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockResponse_component3_set)
    component4 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockResponse_component4_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockResponse_component4_set)
    component5 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockResponse_component5_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockResponse_component5_set)
    component6 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockResponse_component6_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockResponse_component6_set)
    component7 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockResponse_component7_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockResponse_component7_set)
    component8 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockResponse_component8_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockResponse_component8_set)
    component9 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockResponse_component9_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockResponse_component9_set)
    copy = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockResponse_copy_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockResponse_copy_set)
    equals = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockResponse_equals_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockResponse_equals_set)
    hashCode = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockResponse_hashCode_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockResponse_hashCode_set)
    toString = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockResponse_toString_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockResponse_toString_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockResponse_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockResponse())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockResponse

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockResponse in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockResponse_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockResponse)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockResponse_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockResponse_Companion__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockResponse_Companion__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockResponse_Companion__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockResponse_Companion__instance_set)
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockResponse_Companion_serializer_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockResponse_Companion_serializer_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockResponse_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockResponse_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockResponse_Companion

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockResponse_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockResponse_Companion_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockResponse_Companion)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockResponse_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockResponse_serializer__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockResponse_serializer__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockResponse_serializer__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockResponse_serializer__instance_set)
    get_descriptor = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockResponse_serializer_get_descriptor_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockResponse_serializer_get_descriptor_set)
    childSerializers = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockResponse_serializer_childSerializers_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockResponse_serializer_childSerializers_set)
    deserialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockResponse_serializer_deserialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockResponse_serializer_deserialize_set)
    serialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockResponse_serializer_serialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockResponse_serializer_serialize_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockResponse_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockResponse_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockResponse_serializer

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockResponse_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockResponse_serializer_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_LockResponse_serializer)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AssistedRegisterEphemeralKeyResponse(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AssistedRegisterEphemeralKeyResponse_serializer_get)
    Companion = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AssistedRegisterEphemeralKeyResponse_Companion_get)
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AssistedRegisterEphemeralKeyResponse__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AssistedRegisterEphemeralKeyResponse__type_set)
    AssistedRegisterEphemeralKeyResponse = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AssistedRegisterEphemeralKeyResponse_AssistedRegisterEphemeralKeyResponse_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AssistedRegisterEphemeralKeyResponse_AssistedRegisterEphemeralKeyResponse_set)
    get_requiresVerification = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AssistedRegisterEphemeralKeyResponse_get_requiresVerification_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AssistedRegisterEphemeralKeyResponse_get_requiresVerification_set)
    component1 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AssistedRegisterEphemeralKeyResponse_component1_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AssistedRegisterEphemeralKeyResponse_component1_set)
    copy = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AssistedRegisterEphemeralKeyResponse_copy_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AssistedRegisterEphemeralKeyResponse_copy_set)
    equals = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AssistedRegisterEphemeralKeyResponse_equals_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AssistedRegisterEphemeralKeyResponse_equals_set)
    hashCode = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AssistedRegisterEphemeralKeyResponse_hashCode_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AssistedRegisterEphemeralKeyResponse_hashCode_set)
    toString = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AssistedRegisterEphemeralKeyResponse_toString_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AssistedRegisterEphemeralKeyResponse_toString_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AssistedRegisterEphemeralKeyResponse_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AssistedRegisterEphemeralKeyResponse())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AssistedRegisterEphemeralKeyResponse

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AssistedRegisterEphemeralKeyResponse in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AssistedRegisterEphemeralKeyResponse_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AssistedRegisterEphemeralKeyResponse)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AssistedRegisterEphemeralKeyResponse_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AssistedRegisterEphemeralKeyResponse_Companion__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AssistedRegisterEphemeralKeyResponse_Companion__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AssistedRegisterEphemeralKeyResponse_Companion__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AssistedRegisterEphemeralKeyResponse_Companion__instance_set)
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AssistedRegisterEphemeralKeyResponse_Companion_serializer_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AssistedRegisterEphemeralKeyResponse_Companion_serializer_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AssistedRegisterEphemeralKeyResponse_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AssistedRegisterEphemeralKeyResponse_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AssistedRegisterEphemeralKeyResponse_Companion

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AssistedRegisterEphemeralKeyResponse_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AssistedRegisterEphemeralKeyResponse_Companion_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AssistedRegisterEphemeralKeyResponse_Companion)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AssistedRegisterEphemeralKeyResponse_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AssistedRegisterEphemeralKeyResponse_serializer__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AssistedRegisterEphemeralKeyResponse_serializer__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AssistedRegisterEphemeralKeyResponse_serializer__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AssistedRegisterEphemeralKeyResponse_serializer__instance_set)
    get_descriptor = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AssistedRegisterEphemeralKeyResponse_serializer_get_descriptor_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AssistedRegisterEphemeralKeyResponse_serializer_get_descriptor_set)
    childSerializers = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AssistedRegisterEphemeralKeyResponse_serializer_childSerializers_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AssistedRegisterEphemeralKeyResponse_serializer_childSerializers_set)
    deserialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AssistedRegisterEphemeralKeyResponse_serializer_deserialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AssistedRegisterEphemeralKeyResponse_serializer_deserialize_set)
    serialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AssistedRegisterEphemeralKeyResponse_serializer_serialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AssistedRegisterEphemeralKeyResponse_serializer_serialize_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AssistedRegisterEphemeralKeyResponse_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AssistedRegisterEphemeralKeyResponse_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AssistedRegisterEphemeralKeyResponse_serializer

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AssistedRegisterEphemeralKeyResponse_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AssistedRegisterEphemeralKeyResponse_serializer_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AssistedRegisterEphemeralKeyResponse_serializer)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AssistedLoginResponse(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AssistedLoginResponse_serializer_get)
    Companion = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AssistedLoginResponse_Companion_get)
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AssistedLoginResponse__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AssistedLoginResponse__type_set)
    AssistedLoginResponse = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AssistedLoginResponse_AssistedLoginResponse_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AssistedLoginResponse_AssistedLoginResponse_set)
    get_requiresVerification = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AssistedLoginResponse_get_requiresVerification_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AssistedLoginResponse_get_requiresVerification_set)
    component1 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AssistedLoginResponse_component1_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AssistedLoginResponse_component1_set)
    copy = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AssistedLoginResponse_copy_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AssistedLoginResponse_copy_set)
    equals = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AssistedLoginResponse_equals_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AssistedLoginResponse_equals_set)
    hashCode = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AssistedLoginResponse_hashCode_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AssistedLoginResponse_hashCode_set)
    toString = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AssistedLoginResponse_toString_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AssistedLoginResponse_toString_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AssistedLoginResponse_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AssistedLoginResponse())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AssistedLoginResponse

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AssistedLoginResponse in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AssistedLoginResponse_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AssistedLoginResponse)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AssistedLoginResponse_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AssistedLoginResponse_Companion__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AssistedLoginResponse_Companion__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AssistedLoginResponse_Companion__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AssistedLoginResponse_Companion__instance_set)
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AssistedLoginResponse_Companion_serializer_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AssistedLoginResponse_Companion_serializer_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AssistedLoginResponse_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AssistedLoginResponse_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AssistedLoginResponse_Companion

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AssistedLoginResponse_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AssistedLoginResponse_Companion_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AssistedLoginResponse_Companion)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AssistedLoginResponse_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AssistedLoginResponse_serializer__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AssistedLoginResponse_serializer__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AssistedLoginResponse_serializer__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AssistedLoginResponse_serializer__instance_set)
    get_descriptor = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AssistedLoginResponse_serializer_get_descriptor_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AssistedLoginResponse_serializer_get_descriptor_set)
    childSerializers = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AssistedLoginResponse_serializer_childSerializers_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AssistedLoginResponse_serializer_childSerializers_set)
    deserialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AssistedLoginResponse_serializer_deserialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AssistedLoginResponse_serializer_deserialize_set)
    serialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AssistedLoginResponse_serializer_serialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AssistedLoginResponse_serializer_serialize_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AssistedLoginResponse_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AssistedLoginResponse_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AssistedLoginResponse_serializer

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AssistedLoginResponse_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AssistedLoginResponse_serializer_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_AssistedLoginResponse_serializer)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ServiceStateType(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    RUNNING = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ServiceStateType_RUNNING_get)
    STOPPED = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ServiceStateType_STOPPED_get)
    UNDEFINED = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ServiceStateType_UNDEFINED_get)
    Companion = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ServiceStateType_Companion_get)
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ServiceStateType__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ServiceStateType__type_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ServiceStateType_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ServiceStateType())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ServiceStateType

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ServiceStateType in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ServiceStateType_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ServiceStateType)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ServiceStateType_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ServiceStateType_Companion__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ServiceStateType_Companion__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ServiceStateType_Companion__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ServiceStateType_Companion__instance_set)
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ServiceStateType_Companion_serializer_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ServiceStateType_Companion_serializer_set)
    serializer_ = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ServiceStateType_Companion_serializer__get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ServiceStateType_Companion_serializer__set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ServiceStateType_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ServiceStateType_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ServiceStateType_Companion

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ServiceStateType_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ServiceStateType_Companion_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ServiceStateType_Companion)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ServiceStateType_UNDEFINED(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    get = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ServiceStateType_UNDEFINED_get_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ServiceStateType_UNDEFINED_get_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ServiceStateType_UNDEFINED_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ServiceStateType_UNDEFINED())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ServiceStateType_UNDEFINED

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ServiceStateType_UNDEFINED in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ServiceStateType_UNDEFINED_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ServiceStateType_UNDEFINED)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ServiceStateType_STOPPED(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    get = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ServiceStateType_STOPPED_get_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ServiceStateType_STOPPED_get_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ServiceStateType_STOPPED_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ServiceStateType_STOPPED())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ServiceStateType_STOPPED

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ServiceStateType_STOPPED in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ServiceStateType_STOPPED_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ServiceStateType_STOPPED)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ServiceStateType_RUNNING(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    get = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ServiceStateType_RUNNING_get_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ServiceStateType_RUNNING_get_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ServiceStateType_RUNNING_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ServiceStateType_RUNNING())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ServiceStateType_RUNNING

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ServiceStateType_RUNNING in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ServiceStateType_RUNNING_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ServiceStateType_RUNNING)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_DiscoveredDeviceResponse(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_DiscoveredDeviceResponse_serializer_get)
    Companion = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_DiscoveredDeviceResponse_Companion_get)
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_DiscoveredDeviceResponse__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_DiscoveredDeviceResponse__type_set)
    DiscoveredDeviceResponse = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_DiscoveredDeviceResponse_DiscoveredDeviceResponse_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_DiscoveredDeviceResponse_DiscoveredDeviceResponse_set)
    get_key = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_DiscoveredDeviceResponse_get_key_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_DiscoveredDeviceResponse_get_key_set)
    get_metadata = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_DiscoveredDeviceResponse_get_metadata_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_DiscoveredDeviceResponse_get_metadata_set)
    component1 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_DiscoveredDeviceResponse_component1_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_DiscoveredDeviceResponse_component1_set)
    component2 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_DiscoveredDeviceResponse_component2_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_DiscoveredDeviceResponse_component2_set)
    copy = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_DiscoveredDeviceResponse_copy_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_DiscoveredDeviceResponse_copy_set)
    equals = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_DiscoveredDeviceResponse_equals_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_DiscoveredDeviceResponse_equals_set)
    hashCode = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_DiscoveredDeviceResponse_hashCode_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_DiscoveredDeviceResponse_hashCode_set)
    toString = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_DiscoveredDeviceResponse_toString_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_DiscoveredDeviceResponse_toString_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_DiscoveredDeviceResponse_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_DiscoveredDeviceResponse())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_DiscoveredDeviceResponse

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_DiscoveredDeviceResponse in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_DiscoveredDeviceResponse_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_DiscoveredDeviceResponse)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_DiscoveredDeviceResponse_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_DiscoveredDeviceResponse_Companion__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_DiscoveredDeviceResponse_Companion__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_DiscoveredDeviceResponse_Companion__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_DiscoveredDeviceResponse_Companion__instance_set)
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_DiscoveredDeviceResponse_Companion_serializer_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_DiscoveredDeviceResponse_Companion_serializer_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_DiscoveredDeviceResponse_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_DiscoveredDeviceResponse_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_DiscoveredDeviceResponse_Companion

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_DiscoveredDeviceResponse_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_DiscoveredDeviceResponse_Companion_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_DiscoveredDeviceResponse_Companion)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_DiscoveredDeviceResponse_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_DiscoveredDeviceResponse_serializer__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_DiscoveredDeviceResponse_serializer__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_DiscoveredDeviceResponse_serializer__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_DiscoveredDeviceResponse_serializer__instance_set)
    get_descriptor = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_DiscoveredDeviceResponse_serializer_get_descriptor_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_DiscoveredDeviceResponse_serializer_get_descriptor_set)
    childSerializers = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_DiscoveredDeviceResponse_serializer_childSerializers_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_DiscoveredDeviceResponse_serializer_childSerializers_set)
    deserialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_DiscoveredDeviceResponse_serializer_deserialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_DiscoveredDeviceResponse_serializer_deserialize_set)
    serialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_DiscoveredDeviceResponse_serializer_serialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_DiscoveredDeviceResponse_serializer_serialize_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_DiscoveredDeviceResponse_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_DiscoveredDeviceResponse_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_DiscoveredDeviceResponse_serializer

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_DiscoveredDeviceResponse_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_DiscoveredDeviceResponse_serializer_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_DiscoveredDeviceResponse_serializer)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ServiceStateResponse(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ServiceStateResponse_serializer_get)
    Companion = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ServiceStateResponse_Companion_get)
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ServiceStateResponse__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ServiceStateResponse__type_set)
    ServiceStateResponse = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ServiceStateResponse_ServiceStateResponse_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ServiceStateResponse_ServiceStateResponse_set)
    get_state = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ServiceStateResponse_get_state_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ServiceStateResponse_get_state_set)
    component1 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ServiceStateResponse_component1_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ServiceStateResponse_component1_set)
    copy = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ServiceStateResponse_copy_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ServiceStateResponse_copy_set)
    equals = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ServiceStateResponse_equals_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ServiceStateResponse_equals_set)
    hashCode = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ServiceStateResponse_hashCode_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ServiceStateResponse_hashCode_set)
    toString = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ServiceStateResponse_toString_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ServiceStateResponse_toString_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ServiceStateResponse_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ServiceStateResponse())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ServiceStateResponse

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ServiceStateResponse in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ServiceStateResponse_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ServiceStateResponse)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ServiceStateResponse_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ServiceStateResponse_Companion__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ServiceStateResponse_Companion__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ServiceStateResponse_Companion__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ServiceStateResponse_Companion__instance_set)
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ServiceStateResponse_Companion_serializer_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ServiceStateResponse_Companion_serializer_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ServiceStateResponse_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ServiceStateResponse_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ServiceStateResponse_Companion

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ServiceStateResponse_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ServiceStateResponse_Companion_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ServiceStateResponse_Companion)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ServiceStateResponse_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ServiceStateResponse_serializer__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ServiceStateResponse_serializer__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ServiceStateResponse_serializer__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ServiceStateResponse_serializer__instance_set)
    get_descriptor = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ServiceStateResponse_serializer_get_descriptor_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ServiceStateResponse_serializer_get_descriptor_set)
    childSerializers = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ServiceStateResponse_serializer_childSerializers_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ServiceStateResponse_serializer_childSerializers_set)
    deserialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ServiceStateResponse_serializer_deserialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ServiceStateResponse_serializer_deserialize_set)
    serialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ServiceStateResponse_serializer_serialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ServiceStateResponse_serializer_serialize_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ServiceStateResponse_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ServiceStateResponse_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ServiceStateResponse_serializer

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ServiceStateResponse_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ServiceStateResponse_serializer_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ServiceStateResponse_serializer)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ControllerResponse(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ControllerResponse_serializer_get)
    Companion = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ControllerResponse_Companion_get)
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ControllerResponse__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ControllerResponse__type_set)
    ControllerResponse = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ControllerResponse_ControllerResponse_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ControllerResponse_ControllerResponse_set)
    get_id = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ControllerResponse_get_id_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ControllerResponse_get_id_set)
    get_name = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ControllerResponse_get_name_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ControllerResponse_get_name_set)
    get_role = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ControllerResponse_get_role_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ControllerResponse_get_role_set)
    component1 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ControllerResponse_component1_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ControllerResponse_component1_set)
    component2 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ControllerResponse_component2_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ControllerResponse_component2_set)
    component3 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ControllerResponse_component3_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ControllerResponse_component3_set)
    copy = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ControllerResponse_copy_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ControllerResponse_copy_set)
    equals = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ControllerResponse_equals_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ControllerResponse_equals_set)
    hashCode = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ControllerResponse_hashCode_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ControllerResponse_hashCode_set)
    toString = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ControllerResponse_toString_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ControllerResponse_toString_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ControllerResponse_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ControllerResponse())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ControllerResponse

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ControllerResponse in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ControllerResponse_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ControllerResponse)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ControllerResponse_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ControllerResponse_Companion__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ControllerResponse_Companion__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ControllerResponse_Companion__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ControllerResponse_Companion__instance_set)
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ControllerResponse_Companion_serializer_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ControllerResponse_Companion_serializer_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ControllerResponse_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ControllerResponse_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ControllerResponse_Companion

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ControllerResponse_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ControllerResponse_Companion_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ControllerResponse_Companion)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ControllerResponse_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ControllerResponse_serializer__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ControllerResponse_serializer__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ControllerResponse_serializer__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ControllerResponse_serializer__instance_set)
    get_descriptor = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ControllerResponse_serializer_get_descriptor_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ControllerResponse_serializer_get_descriptor_set)
    childSerializers = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ControllerResponse_serializer_childSerializers_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ControllerResponse_serializer_childSerializers_set)
    deserialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ControllerResponse_serializer_deserialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ControllerResponse_serializer_deserialize_set)
    serialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ControllerResponse_serializer_serialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ControllerResponse_serializer_serialize_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ControllerResponse_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ControllerResponse_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ControllerResponse_serializer

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ControllerResponse_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ControllerResponse_serializer_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_ControllerResponse_serializer)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_IntegrationConfigurationResponse(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_IntegrationConfigurationResponse_serializer_get)
    Companion = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_IntegrationConfigurationResponse_Companion_get)
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_IntegrationConfigurationResponse__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_IntegrationConfigurationResponse__type_set)
    IntegrationConfigurationResponse = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_IntegrationConfigurationResponse_IntegrationConfigurationResponse_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_IntegrationConfigurationResponse_IntegrationConfigurationResponse_set)
    get_doordeck = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_IntegrationConfigurationResponse_get_doordeck_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_IntegrationConfigurationResponse_get_doordeck_set)
    get_integration = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_IntegrationConfigurationResponse_get_integration_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_IntegrationConfigurationResponse_get_integration_set)
    get_service = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_IntegrationConfigurationResponse_get_service_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_IntegrationConfigurationResponse_get_service_set)
    component1 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_IntegrationConfigurationResponse_component1_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_IntegrationConfigurationResponse_component1_set)
    component2 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_IntegrationConfigurationResponse_component2_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_IntegrationConfigurationResponse_component2_set)
    component3 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_IntegrationConfigurationResponse_component3_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_IntegrationConfigurationResponse_component3_set)
    copy = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_IntegrationConfigurationResponse_copy_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_IntegrationConfigurationResponse_copy_set)
    equals = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_IntegrationConfigurationResponse_equals_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_IntegrationConfigurationResponse_equals_set)
    hashCode = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_IntegrationConfigurationResponse_hashCode_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_IntegrationConfigurationResponse_hashCode_set)
    toString = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_IntegrationConfigurationResponse_toString_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_IntegrationConfigurationResponse_toString_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_IntegrationConfigurationResponse_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_IntegrationConfigurationResponse())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_IntegrationConfigurationResponse

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_IntegrationConfigurationResponse in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_IntegrationConfigurationResponse_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_IntegrationConfigurationResponse)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_IntegrationConfigurationResponse_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_IntegrationConfigurationResponse_Companion__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_IntegrationConfigurationResponse_Companion__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_IntegrationConfigurationResponse_Companion__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_IntegrationConfigurationResponse_Companion__instance_set)
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_IntegrationConfigurationResponse_Companion_serializer_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_IntegrationConfigurationResponse_Companion_serializer_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_IntegrationConfigurationResponse_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_IntegrationConfigurationResponse_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_IntegrationConfigurationResponse_Companion

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_IntegrationConfigurationResponse_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_IntegrationConfigurationResponse_Companion_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_IntegrationConfigurationResponse_Companion)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_IntegrationConfigurationResponse_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_IntegrationConfigurationResponse_serializer__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_IntegrationConfigurationResponse_serializer__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_IntegrationConfigurationResponse_serializer__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_IntegrationConfigurationResponse_serializer__instance_set)
    get_descriptor = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_IntegrationConfigurationResponse_serializer_get_descriptor_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_IntegrationConfigurationResponse_serializer_get_descriptor_set)
    childSerializers = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_IntegrationConfigurationResponse_serializer_childSerializers_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_IntegrationConfigurationResponse_serializer_childSerializers_set)
    deserialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_IntegrationConfigurationResponse_serializer_deserialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_IntegrationConfigurationResponse_serializer_deserialize_set)
    serialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_IntegrationConfigurationResponse_serializer_serialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_IntegrationConfigurationResponse_serializer_serialize_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_IntegrationConfigurationResponse_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_IntegrationConfigurationResponse_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_IntegrationConfigurationResponse_serializer

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_IntegrationConfigurationResponse_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_IntegrationConfigurationResponse_serializer_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_IntegrationConfigurationResponse_serializer)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_DoorStateResponse(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_DoorStateResponse_serializer_get)
    Companion = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_DoorStateResponse_Companion_get)
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_DoorStateResponse__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_DoorStateResponse__type_set)
    DoorStateResponse = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_DoorStateResponse_DoorStateResponse_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_DoorStateResponse_DoorStateResponse_set)
    get_state = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_DoorStateResponse_get_state_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_DoorStateResponse_get_state_set)
    component1 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_DoorStateResponse_component1_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_DoorStateResponse_component1_set)
    copy = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_DoorStateResponse_copy_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_DoorStateResponse_copy_set)
    equals = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_DoorStateResponse_equals_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_DoorStateResponse_equals_set)
    hashCode = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_DoorStateResponse_hashCode_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_DoorStateResponse_hashCode_set)
    toString = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_DoorStateResponse_toString_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_DoorStateResponse_toString_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_DoorStateResponse_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_DoorStateResponse())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_DoorStateResponse

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_DoorStateResponse in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_DoorStateResponse_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_DoorStateResponse)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_DoorStateResponse_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_DoorStateResponse_Companion__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_DoorStateResponse_Companion__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_DoorStateResponse_Companion__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_DoorStateResponse_Companion__instance_set)
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_DoorStateResponse_Companion_serializer_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_DoorStateResponse_Companion_serializer_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_DoorStateResponse_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_DoorStateResponse_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_DoorStateResponse_Companion

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_DoorStateResponse_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_DoorStateResponse_Companion_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_DoorStateResponse_Companion)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_DoorStateResponse_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_DoorStateResponse_serializer__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_DoorStateResponse_serializer__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_DoorStateResponse_serializer__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_DoorStateResponse_serializer__instance_set)
    get_descriptor = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_DoorStateResponse_serializer_get_descriptor_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_DoorStateResponse_serializer_get_descriptor_set)
    childSerializers = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_DoorStateResponse_serializer_childSerializers_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_DoorStateResponse_serializer_childSerializers_set)
    deserialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_DoorStateResponse_serializer_deserialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_DoorStateResponse_serializer_deserialize_set)
    serialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_DoorStateResponse_serializer_serialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_DoorStateResponse_serializer_serialize_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_DoorStateResponse_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_DoorStateResponse_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_DoorStateResponse_serializer

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_DoorStateResponse_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_DoorStateResponse_serializer_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_DoorStateResponse_serializer)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_IntegrationTypeResponse(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_IntegrationTypeResponse_serializer_get)
    Companion = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_IntegrationTypeResponse_Companion_get)
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_IntegrationTypeResponse__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_IntegrationTypeResponse__type_set)
    IntegrationTypeResponse = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_IntegrationTypeResponse_IntegrationTypeResponse_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_IntegrationTypeResponse_IntegrationTypeResponse_set)
    get_status = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_IntegrationTypeResponse_get_status_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_IntegrationTypeResponse_get_status_set)
    component1 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_IntegrationTypeResponse_component1_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_IntegrationTypeResponse_component1_set)
    copy = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_IntegrationTypeResponse_copy_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_IntegrationTypeResponse_copy_set)
    equals = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_IntegrationTypeResponse_equals_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_IntegrationTypeResponse_equals_set)
    hashCode = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_IntegrationTypeResponse_hashCode_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_IntegrationTypeResponse_hashCode_set)
    toString = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_IntegrationTypeResponse_toString_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_IntegrationTypeResponse_toString_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_IntegrationTypeResponse_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_IntegrationTypeResponse())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_IntegrationTypeResponse

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_IntegrationTypeResponse in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_IntegrationTypeResponse_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_IntegrationTypeResponse)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_IntegrationTypeResponse_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_IntegrationTypeResponse_Companion__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_IntegrationTypeResponse_Companion__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_IntegrationTypeResponse_Companion__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_IntegrationTypeResponse_Companion__instance_set)
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_IntegrationTypeResponse_Companion_serializer_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_IntegrationTypeResponse_Companion_serializer_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_IntegrationTypeResponse_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_IntegrationTypeResponse_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_IntegrationTypeResponse_Companion

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_IntegrationTypeResponse_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_IntegrationTypeResponse_Companion_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_IntegrationTypeResponse_Companion)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_IntegrationTypeResponse_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_IntegrationTypeResponse_serializer__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_IntegrationTypeResponse_serializer__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_IntegrationTypeResponse_serializer__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_IntegrationTypeResponse_serializer__instance_set)
    get_descriptor = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_IntegrationTypeResponse_serializer_get_descriptor_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_IntegrationTypeResponse_serializer_get_descriptor_set)
    childSerializers = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_IntegrationTypeResponse_serializer_childSerializers_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_IntegrationTypeResponse_serializer_childSerializers_set)
    deserialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_IntegrationTypeResponse_serializer_deserialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_IntegrationTypeResponse_serializer_deserialize_set)
    serialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_IntegrationTypeResponse_serializer_serialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_IntegrationTypeResponse_serializer_serialize_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_IntegrationTypeResponse_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_IntegrationTypeResponse_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_IntegrationTypeResponse_serializer

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_IntegrationTypeResponse_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_IntegrationTypeResponse_serializer_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_IntegrationTypeResponse_serializer)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_FusionLoginResponse(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_FusionLoginResponse_serializer_get)
    Companion = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_FusionLoginResponse_Companion_get)
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_FusionLoginResponse__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_FusionLoginResponse__type_set)
    FusionLoginResponse = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_FusionLoginResponse_FusionLoginResponse_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_FusionLoginResponse_FusionLoginResponse_set)
    get_authToken = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_FusionLoginResponse_get_authToken_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_FusionLoginResponse_get_authToken_set)
    component1 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_FusionLoginResponse_component1_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_FusionLoginResponse_component1_set)
    copy = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_FusionLoginResponse_copy_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_FusionLoginResponse_copy_set)
    equals = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_FusionLoginResponse_equals_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_FusionLoginResponse_equals_set)
    hashCode = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_FusionLoginResponse_hashCode_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_FusionLoginResponse_hashCode_set)
    toString = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_FusionLoginResponse_toString_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_FusionLoginResponse_toString_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_FusionLoginResponse_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_FusionLoginResponse())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_FusionLoginResponse

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_FusionLoginResponse in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_FusionLoginResponse_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_FusionLoginResponse)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_FusionLoginResponse_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_FusionLoginResponse_Companion__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_FusionLoginResponse_Companion__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_FusionLoginResponse_Companion__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_FusionLoginResponse_Companion__instance_set)
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_FusionLoginResponse_Companion_serializer_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_FusionLoginResponse_Companion_serializer_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_FusionLoginResponse_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_FusionLoginResponse_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_FusionLoginResponse_Companion

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_FusionLoginResponse_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_FusionLoginResponse_Companion_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_FusionLoginResponse_Companion)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_FusionLoginResponse_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_FusionLoginResponse_serializer__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_FusionLoginResponse_serializer__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_FusionLoginResponse_serializer__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_FusionLoginResponse_serializer__instance_set)
    get_descriptor = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_FusionLoginResponse_serializer_get_descriptor_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_FusionLoginResponse_serializer_get_descriptor_set)
    childSerializers = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_FusionLoginResponse_serializer_childSerializers_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_FusionLoginResponse_serializer_childSerializers_set)
    deserialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_FusionLoginResponse_serializer_deserialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_FusionLoginResponse_serializer_deserialize_set)
    serialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_FusionLoginResponse_serializer_serialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_FusionLoginResponse_serializer_serialize_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_FusionLoginResponse_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_FusionLoginResponse_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_FusionLoginResponse_serializer

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_FusionLoginResponse_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_FusionLoginResponse_serializer_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_FusionLoginResponse_serializer)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_RegisterEphemeralKeyWithSecondaryAuthenticationResponse(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_RegisterEphemeralKeyWithSecondaryAuthenticationResponse_serializer_get)
    Companion = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_RegisterEphemeralKeyWithSecondaryAuthenticationResponse_Companion_get)
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_RegisterEphemeralKeyWithSecondaryAuthenticationResponse__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_RegisterEphemeralKeyWithSecondaryAuthenticationResponse__type_set)
    RegisterEphemeralKeyWithSecondaryAuthenticationResponse = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_RegisterEphemeralKeyWithSecondaryAuthenticationResponse_RegisterEphemeralKeyWithSecondaryAuthenticationResponse_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_RegisterEphemeralKeyWithSecondaryAuthenticationResponse_RegisterEphemeralKeyWithSecondaryAuthenticationResponse_set)
    get_method = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_RegisterEphemeralKeyWithSecondaryAuthenticationResponse_get_method_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_RegisterEphemeralKeyWithSecondaryAuthenticationResponse_get_method_set)
    component1 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_RegisterEphemeralKeyWithSecondaryAuthenticationResponse_component1_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_RegisterEphemeralKeyWithSecondaryAuthenticationResponse_component1_set)
    copy = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_RegisterEphemeralKeyWithSecondaryAuthenticationResponse_copy_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_RegisterEphemeralKeyWithSecondaryAuthenticationResponse_copy_set)
    equals = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_RegisterEphemeralKeyWithSecondaryAuthenticationResponse_equals_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_RegisterEphemeralKeyWithSecondaryAuthenticationResponse_equals_set)
    hashCode = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_RegisterEphemeralKeyWithSecondaryAuthenticationResponse_hashCode_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_RegisterEphemeralKeyWithSecondaryAuthenticationResponse_hashCode_set)
    toString = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_RegisterEphemeralKeyWithSecondaryAuthenticationResponse_toString_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_RegisterEphemeralKeyWithSecondaryAuthenticationResponse_toString_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_RegisterEphemeralKeyWithSecondaryAuthenticationResponse_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_RegisterEphemeralKeyWithSecondaryAuthenticationResponse())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_RegisterEphemeralKeyWithSecondaryAuthenticationResponse

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_RegisterEphemeralKeyWithSecondaryAuthenticationResponse in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_RegisterEphemeralKeyWithSecondaryAuthenticationResponse_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_RegisterEphemeralKeyWithSecondaryAuthenticationResponse)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_RegisterEphemeralKeyWithSecondaryAuthenticationResponse_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_RegisterEphemeralKeyWithSecondaryAuthenticationResponse_Companion__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_RegisterEphemeralKeyWithSecondaryAuthenticationResponse_Companion__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_RegisterEphemeralKeyWithSecondaryAuthenticationResponse_Companion__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_RegisterEphemeralKeyWithSecondaryAuthenticationResponse_Companion__instance_set)
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_RegisterEphemeralKeyWithSecondaryAuthenticationResponse_Companion_serializer_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_RegisterEphemeralKeyWithSecondaryAuthenticationResponse_Companion_serializer_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_RegisterEphemeralKeyWithSecondaryAuthenticationResponse_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_RegisterEphemeralKeyWithSecondaryAuthenticationResponse_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_RegisterEphemeralKeyWithSecondaryAuthenticationResponse_Companion

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_RegisterEphemeralKeyWithSecondaryAuthenticationResponse_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_RegisterEphemeralKeyWithSecondaryAuthenticationResponse_Companion_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_RegisterEphemeralKeyWithSecondaryAuthenticationResponse_Companion)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_RegisterEphemeralKeyWithSecondaryAuthenticationResponse_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_RegisterEphemeralKeyWithSecondaryAuthenticationResponse_serializer__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_RegisterEphemeralKeyWithSecondaryAuthenticationResponse_serializer__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_RegisterEphemeralKeyWithSecondaryAuthenticationResponse_serializer__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_RegisterEphemeralKeyWithSecondaryAuthenticationResponse_serializer__instance_set)
    get_descriptor = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_RegisterEphemeralKeyWithSecondaryAuthenticationResponse_serializer_get_descriptor_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_RegisterEphemeralKeyWithSecondaryAuthenticationResponse_serializer_get_descriptor_set)
    childSerializers = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_RegisterEphemeralKeyWithSecondaryAuthenticationResponse_serializer_childSerializers_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_RegisterEphemeralKeyWithSecondaryAuthenticationResponse_serializer_childSerializers_set)
    deserialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_RegisterEphemeralKeyWithSecondaryAuthenticationResponse_serializer_deserialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_RegisterEphemeralKeyWithSecondaryAuthenticationResponse_serializer_deserialize_set)
    serialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_RegisterEphemeralKeyWithSecondaryAuthenticationResponse_serializer_serialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_RegisterEphemeralKeyWithSecondaryAuthenticationResponse_serializer_serialize_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_RegisterEphemeralKeyWithSecondaryAuthenticationResponse_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_RegisterEphemeralKeyWithSecondaryAuthenticationResponse_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_RegisterEphemeralKeyWithSecondaryAuthenticationResponse_serializer

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_RegisterEphemeralKeyWithSecondaryAuthenticationResponse_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_RegisterEphemeralKeyWithSecondaryAuthenticationResponse_serializer_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_RegisterEphemeralKeyWithSecondaryAuthenticationResponse_serializer)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_RegisterEphemeralKeyResponse(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_RegisterEphemeralKeyResponse_serializer_get)
    Companion = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_RegisterEphemeralKeyResponse_Companion_get)
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_RegisterEphemeralKeyResponse__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_RegisterEphemeralKeyResponse__type_set)
    RegisterEphemeralKeyResponse = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_RegisterEphemeralKeyResponse_RegisterEphemeralKeyResponse_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_RegisterEphemeralKeyResponse_RegisterEphemeralKeyResponse_set)
    get_certificateChain = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_RegisterEphemeralKeyResponse_get_certificateChain_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_RegisterEphemeralKeyResponse_get_certificateChain_set)
    get_userId = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_RegisterEphemeralKeyResponse_get_userId_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_RegisterEphemeralKeyResponse_get_userId_set)
    component1 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_RegisterEphemeralKeyResponse_component1_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_RegisterEphemeralKeyResponse_component1_set)
    component2 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_RegisterEphemeralKeyResponse_component2_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_RegisterEphemeralKeyResponse_component2_set)
    copy = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_RegisterEphemeralKeyResponse_copy_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_RegisterEphemeralKeyResponse_copy_set)
    equals = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_RegisterEphemeralKeyResponse_equals_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_RegisterEphemeralKeyResponse_equals_set)
    hashCode = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_RegisterEphemeralKeyResponse_hashCode_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_RegisterEphemeralKeyResponse_hashCode_set)
    toString = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_RegisterEphemeralKeyResponse_toString_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_RegisterEphemeralKeyResponse_toString_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_RegisterEphemeralKeyResponse_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_RegisterEphemeralKeyResponse())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_RegisterEphemeralKeyResponse

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_RegisterEphemeralKeyResponse in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_RegisterEphemeralKeyResponse_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_RegisterEphemeralKeyResponse)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_RegisterEphemeralKeyResponse_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_RegisterEphemeralKeyResponse_Companion__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_RegisterEphemeralKeyResponse_Companion__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_RegisterEphemeralKeyResponse_Companion__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_RegisterEphemeralKeyResponse_Companion__instance_set)
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_RegisterEphemeralKeyResponse_Companion_serializer_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_RegisterEphemeralKeyResponse_Companion_serializer_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_RegisterEphemeralKeyResponse_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_RegisterEphemeralKeyResponse_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_RegisterEphemeralKeyResponse_Companion

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_RegisterEphemeralKeyResponse_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_RegisterEphemeralKeyResponse_Companion_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_RegisterEphemeralKeyResponse_Companion)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_RegisterEphemeralKeyResponse_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_RegisterEphemeralKeyResponse_serializer__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_RegisterEphemeralKeyResponse_serializer__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_RegisterEphemeralKeyResponse_serializer__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_RegisterEphemeralKeyResponse_serializer__instance_set)
    get_descriptor = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_RegisterEphemeralKeyResponse_serializer_get_descriptor_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_RegisterEphemeralKeyResponse_serializer_get_descriptor_set)
    childSerializers = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_RegisterEphemeralKeyResponse_serializer_childSerializers_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_RegisterEphemeralKeyResponse_serializer_childSerializers_set)
    deserialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_RegisterEphemeralKeyResponse_serializer_deserialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_RegisterEphemeralKeyResponse_serializer_deserialize_set)
    serialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_RegisterEphemeralKeyResponse_serializer_serialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_RegisterEphemeralKeyResponse_serializer_serialize_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_RegisterEphemeralKeyResponse_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_RegisterEphemeralKeyResponse_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_RegisterEphemeralKeyResponse_serializer

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_RegisterEphemeralKeyResponse_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_RegisterEphemeralKeyResponse_serializer_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_RegisterEphemeralKeyResponse_serializer)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserDetailsResponse(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserDetailsResponse_serializer_get)
    Companion = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserDetailsResponse_Companion_get)
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserDetailsResponse__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserDetailsResponse__type_set)
    UserDetailsResponse = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserDetailsResponse_UserDetailsResponse_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserDetailsResponse_UserDetailsResponse_set)
    get_displayName = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserDetailsResponse_get_displayName_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserDetailsResponse_get_displayName_set)
    get_email = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserDetailsResponse_get_email_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserDetailsResponse_get_email_set)
    get_emailVerified = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserDetailsResponse_get_emailVerified_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserDetailsResponse_get_emailVerified_set)
    get_publicKey = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserDetailsResponse_get_publicKey_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserDetailsResponse_get_publicKey_set)
    component1 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserDetailsResponse_component1_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserDetailsResponse_component1_set)
    component2 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserDetailsResponse_component2_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserDetailsResponse_component2_set)
    component3 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserDetailsResponse_component3_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserDetailsResponse_component3_set)
    component4 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserDetailsResponse_component4_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserDetailsResponse_component4_set)
    copy = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserDetailsResponse_copy_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserDetailsResponse_copy_set)
    equals = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserDetailsResponse_equals_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserDetailsResponse_equals_set)
    hashCode = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserDetailsResponse_hashCode_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserDetailsResponse_hashCode_set)
    toString = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserDetailsResponse_toString_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserDetailsResponse_toString_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserDetailsResponse_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserDetailsResponse())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserDetailsResponse

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserDetailsResponse in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserDetailsResponse_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserDetailsResponse)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserDetailsResponse_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserDetailsResponse_Companion__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserDetailsResponse_Companion__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserDetailsResponse_Companion__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserDetailsResponse_Companion__instance_set)
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserDetailsResponse_Companion_serializer_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserDetailsResponse_Companion_serializer_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserDetailsResponse_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserDetailsResponse_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserDetailsResponse_Companion

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserDetailsResponse_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserDetailsResponse_Companion_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserDetailsResponse_Companion)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserDetailsResponse_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserDetailsResponse_serializer__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserDetailsResponse_serializer__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserDetailsResponse_serializer__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserDetailsResponse_serializer__instance_set)
    get_descriptor = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserDetailsResponse_serializer_get_descriptor_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserDetailsResponse_serializer_get_descriptor_set)
    childSerializers = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserDetailsResponse_serializer_childSerializers_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserDetailsResponse_serializer_childSerializers_set)
    deserialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserDetailsResponse_serializer_deserialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserDetailsResponse_serializer_deserialize_set)
    serialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserDetailsResponse_serializer_serialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserDetailsResponse_serializer_serialize_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserDetailsResponse_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserDetailsResponse_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserDetailsResponse_serializer

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserDetailsResponse_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserDetailsResponse_serializer_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_UserDetailsResponse_serializer)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_TokenResponse(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_TokenResponse_serializer_get)
    Companion = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_TokenResponse_Companion_get)
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_TokenResponse__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_TokenResponse__type_set)
    TokenResponse = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_TokenResponse_TokenResponse_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_TokenResponse_TokenResponse_set)
    get_authToken = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_TokenResponse_get_authToken_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_TokenResponse_get_authToken_set)
    get_refreshToken = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_TokenResponse_get_refreshToken_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_TokenResponse_get_refreshToken_set)
    component1 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_TokenResponse_component1_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_TokenResponse_component1_set)
    component2 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_TokenResponse_component2_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_TokenResponse_component2_set)
    copy = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_TokenResponse_copy_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_TokenResponse_copy_set)
    equals = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_TokenResponse_equals_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_TokenResponse_equals_set)
    hashCode = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_TokenResponse_hashCode_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_TokenResponse_hashCode_set)
    toString = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_TokenResponse_toString_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_TokenResponse_toString_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_TokenResponse_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_TokenResponse())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_TokenResponse

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_TokenResponse in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_TokenResponse_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_TokenResponse)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_TokenResponse_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_TokenResponse_Companion__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_TokenResponse_Companion__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_TokenResponse_Companion__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_TokenResponse_Companion__instance_set)
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_TokenResponse_Companion_serializer_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_TokenResponse_Companion_serializer_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_TokenResponse_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_TokenResponse_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_TokenResponse_Companion

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_TokenResponse_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_TokenResponse_Companion_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_TokenResponse_Companion)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_TokenResponse_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_TokenResponse_serializer__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_TokenResponse_serializer__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_TokenResponse_serializer__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_TokenResponse_serializer__instance_set)
    get_descriptor = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_TokenResponse_serializer_get_descriptor_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_TokenResponse_serializer_get_descriptor_set)
    childSerializers = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_TokenResponse_serializer_childSerializers_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_TokenResponse_serializer_childSerializers_set)
    deserialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_TokenResponse_serializer_deserialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_TokenResponse_serializer_deserialize_set)
    serialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_TokenResponse_serializer_serialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_TokenResponse_serializer_serialize_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_TokenResponse_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_TokenResponse_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_TokenResponse_serializer

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_TokenResponse_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_TokenResponse_serializer_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_responses_TokenResponse_serializer)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_requests(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    OperationRequest = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_requests_OperationRequest_get)
    UpdateLockPropertiesRequest = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_requests_UpdateLockPropertiesRequest_get)
    LockSettingsRequest = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_requests_LockSettingsRequest_get)
    UsageRequirementRequest = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_requests_UsageRequirementRequest_get)
    UpdateApplicationRequest = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_requests_UpdateApplicationRequest_get)
    AddAuthKeyRequest = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_requests_AddAuthKeyRequest_get)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_requests_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_requests())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_requests

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_requests in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_requests_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_requests)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_requests_AddAuthKeyRequest(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    Companion = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_requests_AddAuthKeyRequest_Companion_get)
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_requests_AddAuthKeyRequest__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_requests_AddAuthKeyRequest__type_set)
    get_alg = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_requests_AddAuthKeyRequest_get_alg_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_requests_AddAuthKeyRequest_get_alg_set)
    get_kid = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_requests_AddAuthKeyRequest_get_kid_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_requests_AddAuthKeyRequest_get_kid_set)
    get_kty = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_requests_AddAuthKeyRequest_get_kty_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_requests_AddAuthKeyRequest_get_kty_set)
    get_use = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_requests_AddAuthKeyRequest_get_use_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_requests_AddAuthKeyRequest_get_use_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_requests_AddAuthKeyRequest_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_requests_AddAuthKeyRequest())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_requests_AddAuthKeyRequest

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_requests_AddAuthKeyRequest in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_requests_AddAuthKeyRequest_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_requests_AddAuthKeyRequest)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_requests_AddAuthKeyRequest_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_requests_AddAuthKeyRequest_Companion__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_requests_AddAuthKeyRequest_Companion__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_requests_AddAuthKeyRequest_Companion__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_requests_AddAuthKeyRequest_Companion__instance_set)
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_requests_AddAuthKeyRequest_Companion_serializer_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_requests_AddAuthKeyRequest_Companion_serializer_set)
    serializer_ = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_requests_AddAuthKeyRequest_Companion_serializer__get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_requests_AddAuthKeyRequest_Companion_serializer__set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_requests_AddAuthKeyRequest_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_requests_AddAuthKeyRequest_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_requests_AddAuthKeyRequest_Companion

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_requests_AddAuthKeyRequest_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_requests_AddAuthKeyRequest_Companion_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_requests_AddAuthKeyRequest_Companion)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_requests_UpdateApplicationRequest(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    Companion = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_requests_UpdateApplicationRequest_Companion_get)
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_requests_UpdateApplicationRequest__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_requests_UpdateApplicationRequest__type_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_requests_UpdateApplicationRequest_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_requests_UpdateApplicationRequest())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_requests_UpdateApplicationRequest

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_requests_UpdateApplicationRequest in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_requests_UpdateApplicationRequest_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_requests_UpdateApplicationRequest)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_requests_UpdateApplicationRequest_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_requests_UpdateApplicationRequest_Companion__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_requests_UpdateApplicationRequest_Companion__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_requests_UpdateApplicationRequest_Companion__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_requests_UpdateApplicationRequest_Companion__instance_set)
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_requests_UpdateApplicationRequest_Companion_serializer_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_requests_UpdateApplicationRequest_Companion_serializer_set)
    serializer_ = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_requests_UpdateApplicationRequest_Companion_serializer__get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_requests_UpdateApplicationRequest_Companion_serializer__set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_requests_UpdateApplicationRequest_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_requests_UpdateApplicationRequest_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_requests_UpdateApplicationRequest_Companion

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_requests_UpdateApplicationRequest_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_requests_UpdateApplicationRequest_Companion_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_requests_UpdateApplicationRequest_Companion)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_requests_UsageRequirementRequest(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    Companion = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_requests_UsageRequirementRequest_Companion_get)
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_requests_UsageRequirementRequest__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_requests_UsageRequirementRequest__type_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_requests_UsageRequirementRequest_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_requests_UsageRequirementRequest())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_requests_UsageRequirementRequest

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_requests_UsageRequirementRequest in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_requests_UsageRequirementRequest_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_requests_UsageRequirementRequest)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_requests_UsageRequirementRequest_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_requests_UsageRequirementRequest_Companion__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_requests_UsageRequirementRequest_Companion__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_requests_UsageRequirementRequest_Companion__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_requests_UsageRequirementRequest_Companion__instance_set)
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_requests_UsageRequirementRequest_Companion_serializer_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_requests_UsageRequirementRequest_Companion_serializer_set)
    serializer_ = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_requests_UsageRequirementRequest_Companion_serializer__get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_requests_UsageRequirementRequest_Companion_serializer__set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_requests_UsageRequirementRequest_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_requests_UsageRequirementRequest_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_requests_UsageRequirementRequest_Companion

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_requests_UsageRequirementRequest_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_requests_UsageRequirementRequest_Companion_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_requests_UsageRequirementRequest_Companion)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_requests_LockSettingsRequest(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    Companion = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_requests_LockSettingsRequest_Companion_get)
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_requests_LockSettingsRequest__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_requests_LockSettingsRequest__type_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_requests_LockSettingsRequest_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_requests_LockSettingsRequest())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_requests_LockSettingsRequest

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_requests_LockSettingsRequest in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_requests_LockSettingsRequest_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_requests_LockSettingsRequest)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_requests_LockSettingsRequest_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_requests_LockSettingsRequest_Companion__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_requests_LockSettingsRequest_Companion__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_requests_LockSettingsRequest_Companion__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_requests_LockSettingsRequest_Companion__instance_set)
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_requests_LockSettingsRequest_Companion_serializer_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_requests_LockSettingsRequest_Companion_serializer_set)
    serializer_ = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_requests_LockSettingsRequest_Companion_serializer__get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_requests_LockSettingsRequest_Companion_serializer__set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_requests_LockSettingsRequest_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_requests_LockSettingsRequest_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_requests_LockSettingsRequest_Companion

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_requests_LockSettingsRequest_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_requests_LockSettingsRequest_Companion_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_requests_LockSettingsRequest_Companion)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_requests_UpdateLockPropertiesRequest(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    Companion = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_requests_UpdateLockPropertiesRequest_Companion_get)
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_requests_UpdateLockPropertiesRequest__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_requests_UpdateLockPropertiesRequest__type_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_requests_UpdateLockPropertiesRequest_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_requests_UpdateLockPropertiesRequest())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_requests_UpdateLockPropertiesRequest

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_requests_UpdateLockPropertiesRequest in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_requests_UpdateLockPropertiesRequest_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_requests_UpdateLockPropertiesRequest)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_requests_UpdateLockPropertiesRequest_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_requests_UpdateLockPropertiesRequest_Companion__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_requests_UpdateLockPropertiesRequest_Companion__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_requests_UpdateLockPropertiesRequest_Companion__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_requests_UpdateLockPropertiesRequest_Companion__instance_set)
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_requests_UpdateLockPropertiesRequest_Companion_serializer_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_requests_UpdateLockPropertiesRequest_Companion_serializer_set)
    serializer_ = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_requests_UpdateLockPropertiesRequest_Companion_serializer__get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_requests_UpdateLockPropertiesRequest_Companion_serializer__set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_requests_UpdateLockPropertiesRequest_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_requests_UpdateLockPropertiesRequest_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_requests_UpdateLockPropertiesRequest_Companion

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_requests_UpdateLockPropertiesRequest_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_requests_UpdateLockPropertiesRequest_Companion_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_requests_UpdateLockPropertiesRequest_Companion)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_requests_OperationRequest(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    Companion = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_requests_OperationRequest_Companion_get)
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_requests_OperationRequest__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_requests_OperationRequest__type_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_requests_OperationRequest_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_requests_OperationRequest())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_requests_OperationRequest

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_requests_OperationRequest in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_requests_OperationRequest_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_requests_OperationRequest)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_requests_OperationRequest_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_requests_OperationRequest_Companion__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_requests_OperationRequest_Companion__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_requests_OperationRequest_Companion__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_requests_OperationRequest_Companion__instance_set)
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_requests_OperationRequest_Companion_serializer_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_requests_OperationRequest_Companion_serializer_set)
    serializer_ = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_requests_OperationRequest_Companion_serializer__get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_requests_OperationRequest_Companion_serializer__set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_requests_OperationRequest_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_requests_OperationRequest_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_requests_OperationRequest_Companion

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_requests_OperationRequest_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_requests_OperationRequest_Companion_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_requests_OperationRequest_Companion)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    ApiEnvironment = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ApiEnvironment_get)
    Context = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Context_get)
    Crypto = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Crypto_get)
    Fusion = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_get)
    LockOperations = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_get)
    Platform = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_get)
    RefreshTokenData = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RefreshTokenData_get)
    RegisterEphemeralKeyData = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RegisterEphemeralKeyData_get)
    RegisterEphemeralKeyWithSecondaryAuthenticationData = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RegisterEphemeralKeyWithSecondaryAuthenticationData_get)
    VerifyEphemeralKeyRegistrationData = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_VerifyEphemeralKeyRegistrationData_get)
    ChangePasswordData = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ChangePasswordData_get)
    UpdateUserDetailsData = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateUserDetailsData_get)
    LoginData = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LoginData_get)
    RegistrationData = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RegistrationData_get)
    VerifyEmailData = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_VerifyEmailData_get)
    PasswordResetData = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_PasswordResetData_get)
    PasswordResetVerifyData = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_PasswordResetVerifyData_get)
    FusionLoginData = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_FusionLoginData_get)
    GetIntegrationConfigurationData = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetIntegrationConfigurationData_get)
    EnableDoorData = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EnableDoorData_get)
    DeviceIdData = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_DeviceIdData_get)
    UploadPlatformLogoData = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UploadPlatformLogoData_get)
    AssistedLoginData = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssistedLoginData_get)
    AssistedRegisterEphemeralKeyData = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssistedRegisterEphemeralKeyData_get)
    AssistedRegisterData = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssistedRegisterData_get)
    GetSingleLockData = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetSingleLockData_get)
    GetLockAuditTrailData = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetLockAuditTrailData_get)
    GetAuditForUserData = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetAuditForUserData_get)
    GetUsersForLockData = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUsersForLockData_get)
    GetLocksForUserData = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetLocksForUserData_get)
    UpdateLockNameData = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockNameData_get)
    UpdateLockFavouriteData = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockFavouriteData_get)
    UpdateLockColourData = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockColourData_get)
    UpdateLockSettingDefaultNameData = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingDefaultNameData_get)
    SetLockSettingPermittedAddressesData = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_SetLockSettingPermittedAddressesData_get)
    UpdateLockSettingHiddenData = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingHiddenData_get)
    SetLockSettingTimeRestrictionsData = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_SetLockSettingTimeRestrictionsData_get)
    TimeRequirementData = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_TimeRequirementData_get)
    UpdateLockSettingLocationRestrictionsData = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingLocationRestrictionsData_get)
    LocationRequirementData = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LocationRequirementData_get)
    GetUserPublicKeyData = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyData_get)
    GetUserPublicKeyByEmailData = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByEmailData_get)
    GetUserPublicKeyByTelephoneData = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByTelephoneData_get)
    GetUserPublicKeyByLocalKeyData = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByLocalKeyData_get)
    GetUserPublicKeyByForeignKeyData = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByForeignKeyData_get)
    GetUserPublicKeyByIdentityData = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByIdentityData_get)
    GetUserPublicKeyByEmailsData = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByEmailsData_get)
    GetUserPublicKeyByTelephonesData = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByTelephonesData_get)
    GetUserPublicKeyByLocalKeysData = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByLocalKeysData_get)
    GetUserPublicKeyByForeignKeysData = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByForeignKeysData_get)
    UnlockOperationData = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UnlockOperationData_get)
    BaseOperationData = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_BaseOperationData_get)
    ShareLockData = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ShareLockData_get)
    ShareLockOperationData = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ShareLockOperationData_get)
    BatchShareLockOperationData = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_BatchShareLockOperationData_get)
    RevokeAccessToLockOperationData = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RevokeAccessToLockOperationData_get)
    UpdateSecureSettingUnlockDurationData = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateSecureSettingUnlockDurationData_get)
    UnlockBetweenData = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UnlockBetweenData_get)
    UpdateSecureSettingUnlockBetweenData = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateSecureSettingUnlockBetweenData_get)
    CreateApplicationData = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_CreateApplicationData_get)
    EmailPreferencesData = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EmailPreferencesData_get)
    EmailCallToActionData = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EmailCallToActionData_get)
    ApplicationIdData = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ApplicationIdData_get)
    UpdateApplicationNameData = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationNameData_get)
    UpdateApplicationCompanyNameData = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationCompanyNameData_get)
    UpdateApplicationMailingAddressData = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationMailingAddressData_get)
    UpdateApplicationPrivacyPolicyData = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationPrivacyPolicyData_get)
    UpdateApplicationSupportContactData = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationSupportContactData_get)
    UpdateApplicationAppLinkData = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationAppLinkData_get)
    UpdateApplicationEmailPreferencesData = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationEmailPreferencesData_get)
    UpdateApplicationLogoUrlData = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationLogoUrlData_get)
    GetLogoUploadUrlData = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetLogoUploadUrlData_get)
    AddAuthKeyData = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AddAuthKeyData_get)
    AuthKeyData = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AuthKeyData_get)
    RsaKeyData = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RsaKeyData_get)
    EcKeyData = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EcKeyData_get)
    Ed25519KeyData = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Ed25519KeyData_get)
    AuthIssuerData = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AuthIssuerData_get)
    CorsDomainData = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_CorsDomainData_get)
    ApplicationOwnerData = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ApplicationOwnerData_get)
    FailedResultData = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_FailedResultData_get)
    SiteIdData = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_SiteIdData_get)
    GetLocksBelongingToTileData = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetLocksBelongingToTileData_get)
    AssociateMultipleLocksData = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssociateMultipleLocksData_get)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssociateMultipleLocksData(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssociateMultipleLocksData_serializer_get)
    Companion = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssociateMultipleLocksData_Companion_get)
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssociateMultipleLocksData__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssociateMultipleLocksData__type_set)
    AssociateMultipleLocksData = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssociateMultipleLocksData_AssociateMultipleLocksData_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssociateMultipleLocksData_AssociateMultipleLocksData_set)
    get_lockIds = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssociateMultipleLocksData_get_lockIds_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssociateMultipleLocksData_get_lockIds_set)
    get_siteId = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssociateMultipleLocksData_get_siteId_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssociateMultipleLocksData_get_siteId_set)
    get_tileId = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssociateMultipleLocksData_get_tileId_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssociateMultipleLocksData_get_tileId_set)
    component1 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssociateMultipleLocksData_component1_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssociateMultipleLocksData_component1_set)
    component2 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssociateMultipleLocksData_component2_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssociateMultipleLocksData_component2_set)
    component3 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssociateMultipleLocksData_component3_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssociateMultipleLocksData_component3_set)
    copy = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssociateMultipleLocksData_copy_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssociateMultipleLocksData_copy_set)
    equals = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssociateMultipleLocksData_equals_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssociateMultipleLocksData_equals_set)
    hashCode = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssociateMultipleLocksData_hashCode_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssociateMultipleLocksData_hashCode_set)
    toString = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssociateMultipleLocksData_toString_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssociateMultipleLocksData_toString_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssociateMultipleLocksData_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssociateMultipleLocksData())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssociateMultipleLocksData

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssociateMultipleLocksData in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssociateMultipleLocksData_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssociateMultipleLocksData)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssociateMultipleLocksData_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssociateMultipleLocksData_Companion__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssociateMultipleLocksData_Companion__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssociateMultipleLocksData_Companion__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssociateMultipleLocksData_Companion__instance_set)
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssociateMultipleLocksData_Companion_serializer_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssociateMultipleLocksData_Companion_serializer_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssociateMultipleLocksData_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssociateMultipleLocksData_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssociateMultipleLocksData_Companion

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssociateMultipleLocksData_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssociateMultipleLocksData_Companion_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssociateMultipleLocksData_Companion)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssociateMultipleLocksData_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssociateMultipleLocksData_serializer__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssociateMultipleLocksData_serializer__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssociateMultipleLocksData_serializer__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssociateMultipleLocksData_serializer__instance_set)
    get_descriptor = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssociateMultipleLocksData_serializer_get_descriptor_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssociateMultipleLocksData_serializer_get_descriptor_set)
    childSerializers = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssociateMultipleLocksData_serializer_childSerializers_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssociateMultipleLocksData_serializer_childSerializers_set)
    deserialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssociateMultipleLocksData_serializer_deserialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssociateMultipleLocksData_serializer_deserialize_set)
    serialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssociateMultipleLocksData_serializer_serialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssociateMultipleLocksData_serializer_serialize_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssociateMultipleLocksData_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssociateMultipleLocksData_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssociateMultipleLocksData_serializer

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssociateMultipleLocksData_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssociateMultipleLocksData_serializer_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssociateMultipleLocksData_serializer)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetLocksBelongingToTileData(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetLocksBelongingToTileData_serializer_get)
    Companion = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetLocksBelongingToTileData_Companion_get)
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetLocksBelongingToTileData__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetLocksBelongingToTileData__type_set)
    GetLocksBelongingToTileData = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetLocksBelongingToTileData_GetLocksBelongingToTileData_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetLocksBelongingToTileData_GetLocksBelongingToTileData_set)
    get_tileId = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetLocksBelongingToTileData_get_tileId_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetLocksBelongingToTileData_get_tileId_set)
    component1 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetLocksBelongingToTileData_component1_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetLocksBelongingToTileData_component1_set)
    copy = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetLocksBelongingToTileData_copy_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetLocksBelongingToTileData_copy_set)
    equals = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetLocksBelongingToTileData_equals_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetLocksBelongingToTileData_equals_set)
    hashCode = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetLocksBelongingToTileData_hashCode_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetLocksBelongingToTileData_hashCode_set)
    toString = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetLocksBelongingToTileData_toString_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetLocksBelongingToTileData_toString_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetLocksBelongingToTileData_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetLocksBelongingToTileData())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetLocksBelongingToTileData

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetLocksBelongingToTileData in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetLocksBelongingToTileData_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetLocksBelongingToTileData)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetLocksBelongingToTileData_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetLocksBelongingToTileData_Companion__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetLocksBelongingToTileData_Companion__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetLocksBelongingToTileData_Companion__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetLocksBelongingToTileData_Companion__instance_set)
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetLocksBelongingToTileData_Companion_serializer_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetLocksBelongingToTileData_Companion_serializer_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetLocksBelongingToTileData_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetLocksBelongingToTileData_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetLocksBelongingToTileData_Companion

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetLocksBelongingToTileData_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetLocksBelongingToTileData_Companion_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetLocksBelongingToTileData_Companion)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetLocksBelongingToTileData_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetLocksBelongingToTileData_serializer__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetLocksBelongingToTileData_serializer__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetLocksBelongingToTileData_serializer__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetLocksBelongingToTileData_serializer__instance_set)
    get_descriptor = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetLocksBelongingToTileData_serializer_get_descriptor_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetLocksBelongingToTileData_serializer_get_descriptor_set)
    childSerializers = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetLocksBelongingToTileData_serializer_childSerializers_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetLocksBelongingToTileData_serializer_childSerializers_set)
    deserialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetLocksBelongingToTileData_serializer_deserialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetLocksBelongingToTileData_serializer_deserialize_set)
    serialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetLocksBelongingToTileData_serializer_serialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetLocksBelongingToTileData_serializer_serialize_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetLocksBelongingToTileData_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetLocksBelongingToTileData_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetLocksBelongingToTileData_serializer

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetLocksBelongingToTileData_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetLocksBelongingToTileData_serializer_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetLocksBelongingToTileData_serializer)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_SiteIdData(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_SiteIdData_serializer_get)
    Companion = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_SiteIdData_Companion_get)
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_SiteIdData__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_SiteIdData__type_set)
    SiteIdData = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_SiteIdData_SiteIdData_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_SiteIdData_SiteIdData_set)
    get_siteId = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_SiteIdData_get_siteId_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_SiteIdData_get_siteId_set)
    component1 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_SiteIdData_component1_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_SiteIdData_component1_set)
    copy = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_SiteIdData_copy_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_SiteIdData_copy_set)
    equals = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_SiteIdData_equals_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_SiteIdData_equals_set)
    hashCode = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_SiteIdData_hashCode_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_SiteIdData_hashCode_set)
    toString = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_SiteIdData_toString_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_SiteIdData_toString_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_SiteIdData_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_SiteIdData())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_SiteIdData

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_SiteIdData in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_SiteIdData_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_SiteIdData)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_SiteIdData_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_SiteIdData_Companion__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_SiteIdData_Companion__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_SiteIdData_Companion__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_SiteIdData_Companion__instance_set)
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_SiteIdData_Companion_serializer_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_SiteIdData_Companion_serializer_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_SiteIdData_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_SiteIdData_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_SiteIdData_Companion

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_SiteIdData_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_SiteIdData_Companion_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_SiteIdData_Companion)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_SiteIdData_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_SiteIdData_serializer__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_SiteIdData_serializer__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_SiteIdData_serializer__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_SiteIdData_serializer__instance_set)
    get_descriptor = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_SiteIdData_serializer_get_descriptor_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_SiteIdData_serializer_get_descriptor_set)
    childSerializers = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_SiteIdData_serializer_childSerializers_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_SiteIdData_serializer_childSerializers_set)
    deserialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_SiteIdData_serializer_deserialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_SiteIdData_serializer_deserialize_set)
    serialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_SiteIdData_serializer_serialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_SiteIdData_serializer_serialize_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_SiteIdData_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_SiteIdData_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_SiteIdData_serializer

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_SiteIdData_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_SiteIdData_serializer_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_SiteIdData_serializer)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_FailedResultData(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_FailedResultData_serializer_get)
    Companion = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_FailedResultData_Companion_get)
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_FailedResultData__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_FailedResultData__type_set)
    FailedResultData = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_FailedResultData_FailedResultData_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_FailedResultData_FailedResultData_set)
    get_exceptionMessage = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_FailedResultData_get_exceptionMessage_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_FailedResultData_get_exceptionMessage_set)
    get_exceptionType = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_FailedResultData_get_exceptionType_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_FailedResultData_get_exceptionType_set)
    component1 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_FailedResultData_component1_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_FailedResultData_component1_set)
    component2 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_FailedResultData_component2_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_FailedResultData_component2_set)
    copy = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_FailedResultData_copy_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_FailedResultData_copy_set)
    equals = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_FailedResultData_equals_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_FailedResultData_equals_set)
    hashCode = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_FailedResultData_hashCode_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_FailedResultData_hashCode_set)
    toString = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_FailedResultData_toString_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_FailedResultData_toString_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_FailedResultData_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_FailedResultData())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_FailedResultData

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_FailedResultData in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_FailedResultData_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_FailedResultData)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_FailedResultData_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_FailedResultData_Companion__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_FailedResultData_Companion__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_FailedResultData_Companion__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_FailedResultData_Companion__instance_set)
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_FailedResultData_Companion_serializer_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_FailedResultData_Companion_serializer_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_FailedResultData_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_FailedResultData_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_FailedResultData_Companion

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_FailedResultData_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_FailedResultData_Companion_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_FailedResultData_Companion)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_FailedResultData_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_FailedResultData_serializer__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_FailedResultData_serializer__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_FailedResultData_serializer__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_FailedResultData_serializer__instance_set)
    get_descriptor = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_FailedResultData_serializer_get_descriptor_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_FailedResultData_serializer_get_descriptor_set)
    childSerializers = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_FailedResultData_serializer_childSerializers_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_FailedResultData_serializer_childSerializers_set)
    deserialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_FailedResultData_serializer_deserialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_FailedResultData_serializer_deserialize_set)
    serialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_FailedResultData_serializer_serialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_FailedResultData_serializer_serialize_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_FailedResultData_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_FailedResultData_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_FailedResultData_serializer

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_FailedResultData_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_FailedResultData_serializer_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_FailedResultData_serializer)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ApplicationOwnerData(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ApplicationOwnerData_serializer_get)
    Companion = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ApplicationOwnerData_Companion_get)
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ApplicationOwnerData__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ApplicationOwnerData__type_set)
    ApplicationOwnerData = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ApplicationOwnerData_ApplicationOwnerData_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ApplicationOwnerData_ApplicationOwnerData_set)
    get_applicationId = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ApplicationOwnerData_get_applicationId_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ApplicationOwnerData_get_applicationId_set)
    get_userId = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ApplicationOwnerData_get_userId_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ApplicationOwnerData_get_userId_set)
    component1 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ApplicationOwnerData_component1_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ApplicationOwnerData_component1_set)
    component2 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ApplicationOwnerData_component2_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ApplicationOwnerData_component2_set)
    copy = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ApplicationOwnerData_copy_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ApplicationOwnerData_copy_set)
    equals = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ApplicationOwnerData_equals_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ApplicationOwnerData_equals_set)
    hashCode = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ApplicationOwnerData_hashCode_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ApplicationOwnerData_hashCode_set)
    toString = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ApplicationOwnerData_toString_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ApplicationOwnerData_toString_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ApplicationOwnerData_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ApplicationOwnerData())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ApplicationOwnerData

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ApplicationOwnerData in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ApplicationOwnerData_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ApplicationOwnerData)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ApplicationOwnerData_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ApplicationOwnerData_Companion__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ApplicationOwnerData_Companion__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ApplicationOwnerData_Companion__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ApplicationOwnerData_Companion__instance_set)
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ApplicationOwnerData_Companion_serializer_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ApplicationOwnerData_Companion_serializer_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ApplicationOwnerData_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ApplicationOwnerData_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ApplicationOwnerData_Companion

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ApplicationOwnerData_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ApplicationOwnerData_Companion_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ApplicationOwnerData_Companion)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ApplicationOwnerData_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ApplicationOwnerData_serializer__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ApplicationOwnerData_serializer__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ApplicationOwnerData_serializer__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ApplicationOwnerData_serializer__instance_set)
    get_descriptor = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ApplicationOwnerData_serializer_get_descriptor_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ApplicationOwnerData_serializer_get_descriptor_set)
    childSerializers = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ApplicationOwnerData_serializer_childSerializers_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ApplicationOwnerData_serializer_childSerializers_set)
    deserialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ApplicationOwnerData_serializer_deserialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ApplicationOwnerData_serializer_deserialize_set)
    serialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ApplicationOwnerData_serializer_serialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ApplicationOwnerData_serializer_serialize_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ApplicationOwnerData_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ApplicationOwnerData_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ApplicationOwnerData_serializer

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ApplicationOwnerData_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ApplicationOwnerData_serializer_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ApplicationOwnerData_serializer)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_CorsDomainData(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_CorsDomainData_serializer_get)
    Companion = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_CorsDomainData_Companion_get)
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_CorsDomainData__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_CorsDomainData__type_set)
    CorsDomainData = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_CorsDomainData_CorsDomainData_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_CorsDomainData_CorsDomainData_set)
    get_applicationId = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_CorsDomainData_get_applicationId_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_CorsDomainData_get_applicationId_set)
    get_url = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_CorsDomainData_get_url_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_CorsDomainData_get_url_set)
    component1 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_CorsDomainData_component1_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_CorsDomainData_component1_set)
    component2 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_CorsDomainData_component2_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_CorsDomainData_component2_set)
    copy = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_CorsDomainData_copy_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_CorsDomainData_copy_set)
    equals = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_CorsDomainData_equals_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_CorsDomainData_equals_set)
    hashCode = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_CorsDomainData_hashCode_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_CorsDomainData_hashCode_set)
    toString = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_CorsDomainData_toString_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_CorsDomainData_toString_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_CorsDomainData_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_CorsDomainData())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_CorsDomainData

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_CorsDomainData in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_CorsDomainData_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_CorsDomainData)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_CorsDomainData_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_CorsDomainData_Companion__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_CorsDomainData_Companion__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_CorsDomainData_Companion__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_CorsDomainData_Companion__instance_set)
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_CorsDomainData_Companion_serializer_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_CorsDomainData_Companion_serializer_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_CorsDomainData_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_CorsDomainData_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_CorsDomainData_Companion

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_CorsDomainData_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_CorsDomainData_Companion_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_CorsDomainData_Companion)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_CorsDomainData_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_CorsDomainData_serializer__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_CorsDomainData_serializer__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_CorsDomainData_serializer__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_CorsDomainData_serializer__instance_set)
    get_descriptor = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_CorsDomainData_serializer_get_descriptor_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_CorsDomainData_serializer_get_descriptor_set)
    childSerializers = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_CorsDomainData_serializer_childSerializers_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_CorsDomainData_serializer_childSerializers_set)
    deserialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_CorsDomainData_serializer_deserialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_CorsDomainData_serializer_deserialize_set)
    serialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_CorsDomainData_serializer_serialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_CorsDomainData_serializer_serialize_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_CorsDomainData_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_CorsDomainData_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_CorsDomainData_serializer

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_CorsDomainData_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_CorsDomainData_serializer_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_CorsDomainData_serializer)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AuthIssuerData(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AuthIssuerData_serializer_get)
    Companion = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AuthIssuerData_Companion_get)
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AuthIssuerData__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AuthIssuerData__type_set)
    AuthIssuerData = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AuthIssuerData_AuthIssuerData_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AuthIssuerData_AuthIssuerData_set)
    get_applicationId = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AuthIssuerData_get_applicationId_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AuthIssuerData_get_applicationId_set)
    get_url = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AuthIssuerData_get_url_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AuthIssuerData_get_url_set)
    component1 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AuthIssuerData_component1_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AuthIssuerData_component1_set)
    component2 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AuthIssuerData_component2_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AuthIssuerData_component2_set)
    copy = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AuthIssuerData_copy_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AuthIssuerData_copy_set)
    equals = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AuthIssuerData_equals_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AuthIssuerData_equals_set)
    hashCode = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AuthIssuerData_hashCode_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AuthIssuerData_hashCode_set)
    toString = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AuthIssuerData_toString_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AuthIssuerData_toString_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AuthIssuerData_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AuthIssuerData())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AuthIssuerData

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AuthIssuerData in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AuthIssuerData_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AuthIssuerData)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AuthIssuerData_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AuthIssuerData_Companion__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AuthIssuerData_Companion__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AuthIssuerData_Companion__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AuthIssuerData_Companion__instance_set)
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AuthIssuerData_Companion_serializer_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AuthIssuerData_Companion_serializer_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AuthIssuerData_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AuthIssuerData_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AuthIssuerData_Companion

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AuthIssuerData_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AuthIssuerData_Companion_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AuthIssuerData_Companion)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AuthIssuerData_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AuthIssuerData_serializer__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AuthIssuerData_serializer__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AuthIssuerData_serializer__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AuthIssuerData_serializer__instance_set)
    get_descriptor = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AuthIssuerData_serializer_get_descriptor_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AuthIssuerData_serializer_get_descriptor_set)
    childSerializers = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AuthIssuerData_serializer_childSerializers_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AuthIssuerData_serializer_childSerializers_set)
    deserialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AuthIssuerData_serializer_deserialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AuthIssuerData_serializer_deserialize_set)
    serialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AuthIssuerData_serializer_serialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AuthIssuerData_serializer_serialize_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AuthIssuerData_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AuthIssuerData_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AuthIssuerData_serializer

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AuthIssuerData_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AuthIssuerData_serializer_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AuthIssuerData_serializer)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Ed25519KeyData(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Ed25519KeyData_serializer_get)
    Companion = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Ed25519KeyData_Companion_get)
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Ed25519KeyData__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Ed25519KeyData__type_set)
    Ed25519KeyData = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Ed25519KeyData_Ed25519KeyData_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Ed25519KeyData_Ed25519KeyData_set)
    get_alg = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Ed25519KeyData_get_alg_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Ed25519KeyData_get_alg_set)
    get_crv = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Ed25519KeyData_get_crv_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Ed25519KeyData_get_crv_set)
    get_d = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Ed25519KeyData_get_d_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Ed25519KeyData_get_d_set)
    get_kid = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Ed25519KeyData_get_kid_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Ed25519KeyData_get_kid_set)
    get_kty = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Ed25519KeyData_get_kty_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Ed25519KeyData_get_kty_set)
    get_use = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Ed25519KeyData_get_use_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Ed25519KeyData_get_use_set)
    get_x = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Ed25519KeyData_get_x_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Ed25519KeyData_get_x_set)
    component1 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Ed25519KeyData_component1_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Ed25519KeyData_component1_set)
    component2 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Ed25519KeyData_component2_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Ed25519KeyData_component2_set)
    component3 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Ed25519KeyData_component3_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Ed25519KeyData_component3_set)
    component4 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Ed25519KeyData_component4_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Ed25519KeyData_component4_set)
    component5 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Ed25519KeyData_component5_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Ed25519KeyData_component5_set)
    component6 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Ed25519KeyData_component6_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Ed25519KeyData_component6_set)
    component7 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Ed25519KeyData_component7_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Ed25519KeyData_component7_set)
    copy = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Ed25519KeyData_copy_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Ed25519KeyData_copy_set)
    equals = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Ed25519KeyData_equals_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Ed25519KeyData_equals_set)
    hashCode = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Ed25519KeyData_hashCode_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Ed25519KeyData_hashCode_set)
    toString = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Ed25519KeyData_toString_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Ed25519KeyData_toString_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Ed25519KeyData_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Ed25519KeyData())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Ed25519KeyData

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Ed25519KeyData in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Ed25519KeyData_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Ed25519KeyData)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Ed25519KeyData_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Ed25519KeyData_Companion__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Ed25519KeyData_Companion__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Ed25519KeyData_Companion__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Ed25519KeyData_Companion__instance_set)
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Ed25519KeyData_Companion_serializer_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Ed25519KeyData_Companion_serializer_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Ed25519KeyData_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Ed25519KeyData_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Ed25519KeyData_Companion

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Ed25519KeyData_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Ed25519KeyData_Companion_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Ed25519KeyData_Companion)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Ed25519KeyData_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Ed25519KeyData_serializer__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Ed25519KeyData_serializer__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Ed25519KeyData_serializer__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Ed25519KeyData_serializer__instance_set)
    get_descriptor = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Ed25519KeyData_serializer_get_descriptor_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Ed25519KeyData_serializer_get_descriptor_set)
    childSerializers = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Ed25519KeyData_serializer_childSerializers_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Ed25519KeyData_serializer_childSerializers_set)
    deserialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Ed25519KeyData_serializer_deserialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Ed25519KeyData_serializer_deserialize_set)
    serialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Ed25519KeyData_serializer_serialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Ed25519KeyData_serializer_serialize_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Ed25519KeyData_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Ed25519KeyData_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Ed25519KeyData_serializer

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Ed25519KeyData_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Ed25519KeyData_serializer_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Ed25519KeyData_serializer)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EcKeyData(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EcKeyData_serializer_get)
    Companion = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EcKeyData_Companion_get)
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EcKeyData__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EcKeyData__type_set)
    EcKeyData = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EcKeyData_EcKeyData_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EcKeyData_EcKeyData_set)
    get_alg = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EcKeyData_get_alg_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EcKeyData_get_alg_set)
    get_crv = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EcKeyData_get_crv_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EcKeyData_get_crv_set)
    get_d = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EcKeyData_get_d_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EcKeyData_get_d_set)
    get_kid = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EcKeyData_get_kid_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EcKeyData_get_kid_set)
    get_kty = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EcKeyData_get_kty_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EcKeyData_get_kty_set)
    get_use = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EcKeyData_get_use_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EcKeyData_get_use_set)
    get_x = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EcKeyData_get_x_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EcKeyData_get_x_set)
    get_y = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EcKeyData_get_y_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EcKeyData_get_y_set)
    component1 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EcKeyData_component1_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EcKeyData_component1_set)
    component2 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EcKeyData_component2_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EcKeyData_component2_set)
    component3 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EcKeyData_component3_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EcKeyData_component3_set)
    component4 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EcKeyData_component4_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EcKeyData_component4_set)
    component5 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EcKeyData_component5_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EcKeyData_component5_set)
    component6 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EcKeyData_component6_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EcKeyData_component6_set)
    component7 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EcKeyData_component7_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EcKeyData_component7_set)
    component8 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EcKeyData_component8_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EcKeyData_component8_set)
    copy = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EcKeyData_copy_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EcKeyData_copy_set)
    equals = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EcKeyData_equals_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EcKeyData_equals_set)
    hashCode = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EcKeyData_hashCode_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EcKeyData_hashCode_set)
    toString = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EcKeyData_toString_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EcKeyData_toString_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EcKeyData_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EcKeyData())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EcKeyData

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EcKeyData in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EcKeyData_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EcKeyData)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EcKeyData_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EcKeyData_Companion__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EcKeyData_Companion__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EcKeyData_Companion__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EcKeyData_Companion__instance_set)
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EcKeyData_Companion_serializer_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EcKeyData_Companion_serializer_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EcKeyData_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EcKeyData_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EcKeyData_Companion

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EcKeyData_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EcKeyData_Companion_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EcKeyData_Companion)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EcKeyData_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EcKeyData_serializer__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EcKeyData_serializer__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EcKeyData_serializer__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EcKeyData_serializer__instance_set)
    get_descriptor = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EcKeyData_serializer_get_descriptor_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EcKeyData_serializer_get_descriptor_set)
    childSerializers = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EcKeyData_serializer_childSerializers_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EcKeyData_serializer_childSerializers_set)
    deserialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EcKeyData_serializer_deserialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EcKeyData_serializer_deserialize_set)
    serialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EcKeyData_serializer_serialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EcKeyData_serializer_serialize_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EcKeyData_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EcKeyData_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EcKeyData_serializer

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EcKeyData_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EcKeyData_serializer_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EcKeyData_serializer)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RsaKeyData(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RsaKeyData_serializer_get)
    Companion = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RsaKeyData_Companion_get)
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RsaKeyData__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RsaKeyData__type_set)
    RsaKeyData = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RsaKeyData_RsaKeyData_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RsaKeyData_RsaKeyData_set)
    get_alg = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RsaKeyData_get_alg_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RsaKeyData_get_alg_set)
    get_d = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RsaKeyData_get_d_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RsaKeyData_get_d_set)
    get_dp = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RsaKeyData_get_dp_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RsaKeyData_get_dp_set)
    get_dq = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RsaKeyData_get_dq_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RsaKeyData_get_dq_set)
    get_e = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RsaKeyData_get_e_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RsaKeyData_get_e_set)
    get_kid = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RsaKeyData_get_kid_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RsaKeyData_get_kid_set)
    get_kty = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RsaKeyData_get_kty_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RsaKeyData_get_kty_set)
    get_n = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RsaKeyData_get_n_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RsaKeyData_get_n_set)
    get_p = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RsaKeyData_get_p_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RsaKeyData_get_p_set)
    get_q = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RsaKeyData_get_q_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RsaKeyData_get_q_set)
    get_qi = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RsaKeyData_get_qi_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RsaKeyData_get_qi_set)
    get_use = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RsaKeyData_get_use_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RsaKeyData_get_use_set)
    component1 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RsaKeyData_component1_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RsaKeyData_component1_set)
    component10 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RsaKeyData_component10_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RsaKeyData_component10_set)
    component11 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RsaKeyData_component11_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RsaKeyData_component11_set)
    component12 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RsaKeyData_component12_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RsaKeyData_component12_set)
    component2 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RsaKeyData_component2_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RsaKeyData_component2_set)
    component3 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RsaKeyData_component3_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RsaKeyData_component3_set)
    component4 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RsaKeyData_component4_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RsaKeyData_component4_set)
    component5 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RsaKeyData_component5_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RsaKeyData_component5_set)
    component6 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RsaKeyData_component6_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RsaKeyData_component6_set)
    component7 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RsaKeyData_component7_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RsaKeyData_component7_set)
    component8 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RsaKeyData_component8_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RsaKeyData_component8_set)
    component9 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RsaKeyData_component9_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RsaKeyData_component9_set)
    copy = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RsaKeyData_copy_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RsaKeyData_copy_set)
    equals = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RsaKeyData_equals_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RsaKeyData_equals_set)
    hashCode = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RsaKeyData_hashCode_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RsaKeyData_hashCode_set)
    toString = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RsaKeyData_toString_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RsaKeyData_toString_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RsaKeyData_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RsaKeyData())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RsaKeyData

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RsaKeyData in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RsaKeyData_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RsaKeyData)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RsaKeyData_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RsaKeyData_Companion__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RsaKeyData_Companion__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RsaKeyData_Companion__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RsaKeyData_Companion__instance_set)
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RsaKeyData_Companion_serializer_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RsaKeyData_Companion_serializer_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RsaKeyData_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RsaKeyData_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RsaKeyData_Companion

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RsaKeyData_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RsaKeyData_Companion_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RsaKeyData_Companion)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RsaKeyData_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RsaKeyData_serializer__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RsaKeyData_serializer__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RsaKeyData_serializer__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RsaKeyData_serializer__instance_set)
    get_descriptor = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RsaKeyData_serializer_get_descriptor_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RsaKeyData_serializer_get_descriptor_set)
    childSerializers = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RsaKeyData_serializer_childSerializers_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RsaKeyData_serializer_childSerializers_set)
    deserialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RsaKeyData_serializer_deserialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RsaKeyData_serializer_deserialize_set)
    serialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RsaKeyData_serializer_serialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RsaKeyData_serializer_serialize_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RsaKeyData_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RsaKeyData_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RsaKeyData_serializer

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RsaKeyData_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RsaKeyData_serializer_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RsaKeyData_serializer)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AuthKeyData(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    Companion = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AuthKeyData_Companion_get)
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AuthKeyData__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AuthKeyData__type_set)
    get_alg = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AuthKeyData_get_alg_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AuthKeyData_get_alg_set)
    get_kid = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AuthKeyData_get_kid_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AuthKeyData_get_kid_set)
    get_kty = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AuthKeyData_get_kty_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AuthKeyData_get_kty_set)
    get_use = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AuthKeyData_get_use_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AuthKeyData_get_use_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AuthKeyData_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AuthKeyData())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AuthKeyData

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AuthKeyData in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AuthKeyData_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AuthKeyData)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AuthKeyData_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AuthKeyData_Companion__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AuthKeyData_Companion__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AuthKeyData_Companion__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AuthKeyData_Companion__instance_set)
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AuthKeyData_Companion_serializer_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AuthKeyData_Companion_serializer_set)
    serializer_ = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AuthKeyData_Companion_serializer__get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AuthKeyData_Companion_serializer__set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AuthKeyData_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AuthKeyData_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AuthKeyData_Companion

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AuthKeyData_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AuthKeyData_Companion_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AuthKeyData_Companion)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AddAuthKeyData(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AddAuthKeyData_serializer_get)
    Companion = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AddAuthKeyData_Companion_get)
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AddAuthKeyData__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AddAuthKeyData__type_set)
    AddAuthKeyData = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AddAuthKeyData_AddAuthKeyData_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AddAuthKeyData_AddAuthKeyData_set)
    get_applicationId = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AddAuthKeyData_get_applicationId_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AddAuthKeyData_get_applicationId_set)
    get_key = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AddAuthKeyData_get_key_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AddAuthKeyData_get_key_set)
    component1 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AddAuthKeyData_component1_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AddAuthKeyData_component1_set)
    component2 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AddAuthKeyData_component2_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AddAuthKeyData_component2_set)
    copy = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AddAuthKeyData_copy_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AddAuthKeyData_copy_set)
    equals = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AddAuthKeyData_equals_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AddAuthKeyData_equals_set)
    hashCode = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AddAuthKeyData_hashCode_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AddAuthKeyData_hashCode_set)
    toString = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AddAuthKeyData_toString_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AddAuthKeyData_toString_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AddAuthKeyData_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AddAuthKeyData())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AddAuthKeyData

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AddAuthKeyData in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AddAuthKeyData_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AddAuthKeyData)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AddAuthKeyData_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AddAuthKeyData_Companion__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AddAuthKeyData_Companion__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AddAuthKeyData_Companion__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AddAuthKeyData_Companion__instance_set)
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AddAuthKeyData_Companion_serializer_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AddAuthKeyData_Companion_serializer_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AddAuthKeyData_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AddAuthKeyData_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AddAuthKeyData_Companion

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AddAuthKeyData_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AddAuthKeyData_Companion_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AddAuthKeyData_Companion)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AddAuthKeyData_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AddAuthKeyData_serializer__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AddAuthKeyData_serializer__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AddAuthKeyData_serializer__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AddAuthKeyData_serializer__instance_set)
    get_descriptor = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AddAuthKeyData_serializer_get_descriptor_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AddAuthKeyData_serializer_get_descriptor_set)
    childSerializers = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AddAuthKeyData_serializer_childSerializers_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AddAuthKeyData_serializer_childSerializers_set)
    deserialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AddAuthKeyData_serializer_deserialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AddAuthKeyData_serializer_deserialize_set)
    serialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AddAuthKeyData_serializer_serialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AddAuthKeyData_serializer_serialize_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AddAuthKeyData_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AddAuthKeyData_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AddAuthKeyData_serializer

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AddAuthKeyData_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AddAuthKeyData_serializer_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AddAuthKeyData_serializer)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetLogoUploadUrlData(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetLogoUploadUrlData_serializer_get)
    Companion = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetLogoUploadUrlData_Companion_get)
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetLogoUploadUrlData__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetLogoUploadUrlData__type_set)
    GetLogoUploadUrlData = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetLogoUploadUrlData_GetLogoUploadUrlData_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetLogoUploadUrlData_GetLogoUploadUrlData_set)
    get_applicationId = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetLogoUploadUrlData_get_applicationId_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetLogoUploadUrlData_get_applicationId_set)
    get_contentType = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetLogoUploadUrlData_get_contentType_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetLogoUploadUrlData_get_contentType_set)
    component1 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetLogoUploadUrlData_component1_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetLogoUploadUrlData_component1_set)
    component2 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetLogoUploadUrlData_component2_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetLogoUploadUrlData_component2_set)
    copy = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetLogoUploadUrlData_copy_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetLogoUploadUrlData_copy_set)
    equals = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetLogoUploadUrlData_equals_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetLogoUploadUrlData_equals_set)
    hashCode = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetLogoUploadUrlData_hashCode_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetLogoUploadUrlData_hashCode_set)
    toString = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetLogoUploadUrlData_toString_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetLogoUploadUrlData_toString_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetLogoUploadUrlData_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetLogoUploadUrlData())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetLogoUploadUrlData

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetLogoUploadUrlData in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetLogoUploadUrlData_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetLogoUploadUrlData)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetLogoUploadUrlData_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetLogoUploadUrlData_Companion__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetLogoUploadUrlData_Companion__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetLogoUploadUrlData_Companion__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetLogoUploadUrlData_Companion__instance_set)
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetLogoUploadUrlData_Companion_serializer_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetLogoUploadUrlData_Companion_serializer_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetLogoUploadUrlData_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetLogoUploadUrlData_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetLogoUploadUrlData_Companion

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetLogoUploadUrlData_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetLogoUploadUrlData_Companion_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetLogoUploadUrlData_Companion)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetLogoUploadUrlData_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetLogoUploadUrlData_serializer__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetLogoUploadUrlData_serializer__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetLogoUploadUrlData_serializer__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetLogoUploadUrlData_serializer__instance_set)
    get_descriptor = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetLogoUploadUrlData_serializer_get_descriptor_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetLogoUploadUrlData_serializer_get_descriptor_set)
    childSerializers = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetLogoUploadUrlData_serializer_childSerializers_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetLogoUploadUrlData_serializer_childSerializers_set)
    deserialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetLogoUploadUrlData_serializer_deserialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetLogoUploadUrlData_serializer_deserialize_set)
    serialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetLogoUploadUrlData_serializer_serialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetLogoUploadUrlData_serializer_serialize_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetLogoUploadUrlData_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetLogoUploadUrlData_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetLogoUploadUrlData_serializer

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetLogoUploadUrlData_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetLogoUploadUrlData_serializer_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetLogoUploadUrlData_serializer)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationLogoUrlData(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationLogoUrlData_serializer_get)
    Companion = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationLogoUrlData_Companion_get)
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationLogoUrlData__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationLogoUrlData__type_set)
    UpdateApplicationLogoUrlData = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationLogoUrlData_UpdateApplicationLogoUrlData_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationLogoUrlData_UpdateApplicationLogoUrlData_set)
    get_applicationId = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationLogoUrlData_get_applicationId_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationLogoUrlData_get_applicationId_set)
    get_logoUrl = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationLogoUrlData_get_logoUrl_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationLogoUrlData_get_logoUrl_set)
    component1 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationLogoUrlData_component1_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationLogoUrlData_component1_set)
    component2 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationLogoUrlData_component2_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationLogoUrlData_component2_set)
    copy = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationLogoUrlData_copy_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationLogoUrlData_copy_set)
    equals = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationLogoUrlData_equals_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationLogoUrlData_equals_set)
    hashCode = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationLogoUrlData_hashCode_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationLogoUrlData_hashCode_set)
    toString = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationLogoUrlData_toString_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationLogoUrlData_toString_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationLogoUrlData_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationLogoUrlData())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationLogoUrlData

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationLogoUrlData in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationLogoUrlData_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationLogoUrlData)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationLogoUrlData_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationLogoUrlData_Companion__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationLogoUrlData_Companion__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationLogoUrlData_Companion__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationLogoUrlData_Companion__instance_set)
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationLogoUrlData_Companion_serializer_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationLogoUrlData_Companion_serializer_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationLogoUrlData_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationLogoUrlData_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationLogoUrlData_Companion

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationLogoUrlData_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationLogoUrlData_Companion_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationLogoUrlData_Companion)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationLogoUrlData_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationLogoUrlData_serializer__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationLogoUrlData_serializer__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationLogoUrlData_serializer__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationLogoUrlData_serializer__instance_set)
    get_descriptor = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationLogoUrlData_serializer_get_descriptor_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationLogoUrlData_serializer_get_descriptor_set)
    childSerializers = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationLogoUrlData_serializer_childSerializers_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationLogoUrlData_serializer_childSerializers_set)
    deserialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationLogoUrlData_serializer_deserialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationLogoUrlData_serializer_deserialize_set)
    serialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationLogoUrlData_serializer_serialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationLogoUrlData_serializer_serialize_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationLogoUrlData_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationLogoUrlData_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationLogoUrlData_serializer

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationLogoUrlData_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationLogoUrlData_serializer_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationLogoUrlData_serializer)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationEmailPreferencesData(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationEmailPreferencesData_serializer_get)
    Companion = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationEmailPreferencesData_Companion_get)
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationEmailPreferencesData__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationEmailPreferencesData__type_set)
    UpdateApplicationEmailPreferencesData = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationEmailPreferencesData_UpdateApplicationEmailPreferencesData_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationEmailPreferencesData_UpdateApplicationEmailPreferencesData_set)
    get_applicationId = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationEmailPreferencesData_get_applicationId_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationEmailPreferencesData_get_applicationId_set)
    get_emailPreferences = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationEmailPreferencesData_get_emailPreferences_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationEmailPreferencesData_get_emailPreferences_set)
    component1 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationEmailPreferencesData_component1_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationEmailPreferencesData_component1_set)
    component2 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationEmailPreferencesData_component2_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationEmailPreferencesData_component2_set)
    copy = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationEmailPreferencesData_copy_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationEmailPreferencesData_copy_set)
    equals = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationEmailPreferencesData_equals_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationEmailPreferencesData_equals_set)
    hashCode = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationEmailPreferencesData_hashCode_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationEmailPreferencesData_hashCode_set)
    toString = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationEmailPreferencesData_toString_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationEmailPreferencesData_toString_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationEmailPreferencesData_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationEmailPreferencesData())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationEmailPreferencesData

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationEmailPreferencesData in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationEmailPreferencesData_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationEmailPreferencesData)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationEmailPreferencesData_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationEmailPreferencesData_Companion__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationEmailPreferencesData_Companion__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationEmailPreferencesData_Companion__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationEmailPreferencesData_Companion__instance_set)
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationEmailPreferencesData_Companion_serializer_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationEmailPreferencesData_Companion_serializer_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationEmailPreferencesData_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationEmailPreferencesData_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationEmailPreferencesData_Companion

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationEmailPreferencesData_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationEmailPreferencesData_Companion_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationEmailPreferencesData_Companion)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationEmailPreferencesData_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationEmailPreferencesData_serializer__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationEmailPreferencesData_serializer__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationEmailPreferencesData_serializer__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationEmailPreferencesData_serializer__instance_set)
    get_descriptor = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationEmailPreferencesData_serializer_get_descriptor_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationEmailPreferencesData_serializer_get_descriptor_set)
    childSerializers = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationEmailPreferencesData_serializer_childSerializers_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationEmailPreferencesData_serializer_childSerializers_set)
    deserialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationEmailPreferencesData_serializer_deserialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationEmailPreferencesData_serializer_deserialize_set)
    serialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationEmailPreferencesData_serializer_serialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationEmailPreferencesData_serializer_serialize_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationEmailPreferencesData_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationEmailPreferencesData_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationEmailPreferencesData_serializer

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationEmailPreferencesData_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationEmailPreferencesData_serializer_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationEmailPreferencesData_serializer)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationAppLinkData(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationAppLinkData_serializer_get)
    Companion = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationAppLinkData_Companion_get)
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationAppLinkData__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationAppLinkData__type_set)
    UpdateApplicationAppLinkData = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationAppLinkData_UpdateApplicationAppLinkData_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationAppLinkData_UpdateApplicationAppLinkData_set)
    get_appLink = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationAppLinkData_get_appLink_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationAppLinkData_get_appLink_set)
    get_applicationId = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationAppLinkData_get_applicationId_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationAppLinkData_get_applicationId_set)
    component1 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationAppLinkData_component1_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationAppLinkData_component1_set)
    component2 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationAppLinkData_component2_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationAppLinkData_component2_set)
    copy = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationAppLinkData_copy_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationAppLinkData_copy_set)
    equals = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationAppLinkData_equals_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationAppLinkData_equals_set)
    hashCode = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationAppLinkData_hashCode_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationAppLinkData_hashCode_set)
    toString = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationAppLinkData_toString_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationAppLinkData_toString_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationAppLinkData_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationAppLinkData())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationAppLinkData

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationAppLinkData in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationAppLinkData_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationAppLinkData)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationAppLinkData_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationAppLinkData_Companion__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationAppLinkData_Companion__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationAppLinkData_Companion__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationAppLinkData_Companion__instance_set)
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationAppLinkData_Companion_serializer_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationAppLinkData_Companion_serializer_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationAppLinkData_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationAppLinkData_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationAppLinkData_Companion

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationAppLinkData_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationAppLinkData_Companion_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationAppLinkData_Companion)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationAppLinkData_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationAppLinkData_serializer__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationAppLinkData_serializer__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationAppLinkData_serializer__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationAppLinkData_serializer__instance_set)
    get_descriptor = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationAppLinkData_serializer_get_descriptor_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationAppLinkData_serializer_get_descriptor_set)
    childSerializers = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationAppLinkData_serializer_childSerializers_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationAppLinkData_serializer_childSerializers_set)
    deserialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationAppLinkData_serializer_deserialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationAppLinkData_serializer_deserialize_set)
    serialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationAppLinkData_serializer_serialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationAppLinkData_serializer_serialize_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationAppLinkData_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationAppLinkData_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationAppLinkData_serializer

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationAppLinkData_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationAppLinkData_serializer_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationAppLinkData_serializer)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationSupportContactData(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationSupportContactData_serializer_get)
    Companion = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationSupportContactData_Companion_get)
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationSupportContactData__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationSupportContactData__type_set)
    UpdateApplicationSupportContactData = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationSupportContactData_UpdateApplicationSupportContactData_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationSupportContactData_UpdateApplicationSupportContactData_set)
    get_applicationId = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationSupportContactData_get_applicationId_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationSupportContactData_get_applicationId_set)
    get_supportContact = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationSupportContactData_get_supportContact_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationSupportContactData_get_supportContact_set)
    component1 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationSupportContactData_component1_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationSupportContactData_component1_set)
    component2 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationSupportContactData_component2_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationSupportContactData_component2_set)
    copy = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationSupportContactData_copy_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationSupportContactData_copy_set)
    equals = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationSupportContactData_equals_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationSupportContactData_equals_set)
    hashCode = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationSupportContactData_hashCode_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationSupportContactData_hashCode_set)
    toString = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationSupportContactData_toString_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationSupportContactData_toString_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationSupportContactData_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationSupportContactData())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationSupportContactData

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationSupportContactData in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationSupportContactData_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationSupportContactData)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationSupportContactData_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationSupportContactData_Companion__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationSupportContactData_Companion__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationSupportContactData_Companion__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationSupportContactData_Companion__instance_set)
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationSupportContactData_Companion_serializer_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationSupportContactData_Companion_serializer_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationSupportContactData_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationSupportContactData_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationSupportContactData_Companion

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationSupportContactData_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationSupportContactData_Companion_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationSupportContactData_Companion)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationSupportContactData_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationSupportContactData_serializer__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationSupportContactData_serializer__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationSupportContactData_serializer__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationSupportContactData_serializer__instance_set)
    get_descriptor = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationSupportContactData_serializer_get_descriptor_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationSupportContactData_serializer_get_descriptor_set)
    childSerializers = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationSupportContactData_serializer_childSerializers_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationSupportContactData_serializer_childSerializers_set)
    deserialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationSupportContactData_serializer_deserialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationSupportContactData_serializer_deserialize_set)
    serialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationSupportContactData_serializer_serialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationSupportContactData_serializer_serialize_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationSupportContactData_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationSupportContactData_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationSupportContactData_serializer

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationSupportContactData_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationSupportContactData_serializer_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationSupportContactData_serializer)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationPrivacyPolicyData(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationPrivacyPolicyData_serializer_get)
    Companion = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationPrivacyPolicyData_Companion_get)
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationPrivacyPolicyData__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationPrivacyPolicyData__type_set)
    UpdateApplicationPrivacyPolicyData = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationPrivacyPolicyData_UpdateApplicationPrivacyPolicyData_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationPrivacyPolicyData_UpdateApplicationPrivacyPolicyData_set)
    get_applicationId = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationPrivacyPolicyData_get_applicationId_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationPrivacyPolicyData_get_applicationId_set)
    get_privacyPolicy = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationPrivacyPolicyData_get_privacyPolicy_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationPrivacyPolicyData_get_privacyPolicy_set)
    component1 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationPrivacyPolicyData_component1_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationPrivacyPolicyData_component1_set)
    component2 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationPrivacyPolicyData_component2_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationPrivacyPolicyData_component2_set)
    copy = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationPrivacyPolicyData_copy_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationPrivacyPolicyData_copy_set)
    equals = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationPrivacyPolicyData_equals_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationPrivacyPolicyData_equals_set)
    hashCode = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationPrivacyPolicyData_hashCode_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationPrivacyPolicyData_hashCode_set)
    toString = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationPrivacyPolicyData_toString_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationPrivacyPolicyData_toString_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationPrivacyPolicyData_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationPrivacyPolicyData())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationPrivacyPolicyData

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationPrivacyPolicyData in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationPrivacyPolicyData_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationPrivacyPolicyData)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationPrivacyPolicyData_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationPrivacyPolicyData_Companion__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationPrivacyPolicyData_Companion__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationPrivacyPolicyData_Companion__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationPrivacyPolicyData_Companion__instance_set)
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationPrivacyPolicyData_Companion_serializer_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationPrivacyPolicyData_Companion_serializer_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationPrivacyPolicyData_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationPrivacyPolicyData_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationPrivacyPolicyData_Companion

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationPrivacyPolicyData_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationPrivacyPolicyData_Companion_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationPrivacyPolicyData_Companion)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationPrivacyPolicyData_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationPrivacyPolicyData_serializer__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationPrivacyPolicyData_serializer__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationPrivacyPolicyData_serializer__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationPrivacyPolicyData_serializer__instance_set)
    get_descriptor = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationPrivacyPolicyData_serializer_get_descriptor_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationPrivacyPolicyData_serializer_get_descriptor_set)
    childSerializers = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationPrivacyPolicyData_serializer_childSerializers_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationPrivacyPolicyData_serializer_childSerializers_set)
    deserialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationPrivacyPolicyData_serializer_deserialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationPrivacyPolicyData_serializer_deserialize_set)
    serialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationPrivacyPolicyData_serializer_serialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationPrivacyPolicyData_serializer_serialize_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationPrivacyPolicyData_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationPrivacyPolicyData_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationPrivacyPolicyData_serializer

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationPrivacyPolicyData_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationPrivacyPolicyData_serializer_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationPrivacyPolicyData_serializer)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationMailingAddressData(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationMailingAddressData_serializer_get)
    Companion = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationMailingAddressData_Companion_get)
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationMailingAddressData__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationMailingAddressData__type_set)
    UpdateApplicationMailingAddressData = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationMailingAddressData_UpdateApplicationMailingAddressData_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationMailingAddressData_UpdateApplicationMailingAddressData_set)
    get_applicationId = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationMailingAddressData_get_applicationId_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationMailingAddressData_get_applicationId_set)
    get_mailingAddress = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationMailingAddressData_get_mailingAddress_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationMailingAddressData_get_mailingAddress_set)
    component1 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationMailingAddressData_component1_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationMailingAddressData_component1_set)
    component2 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationMailingAddressData_component2_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationMailingAddressData_component2_set)
    copy = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationMailingAddressData_copy_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationMailingAddressData_copy_set)
    equals = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationMailingAddressData_equals_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationMailingAddressData_equals_set)
    hashCode = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationMailingAddressData_hashCode_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationMailingAddressData_hashCode_set)
    toString = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationMailingAddressData_toString_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationMailingAddressData_toString_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationMailingAddressData_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationMailingAddressData())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationMailingAddressData

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationMailingAddressData in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationMailingAddressData_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationMailingAddressData)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationMailingAddressData_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationMailingAddressData_Companion__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationMailingAddressData_Companion__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationMailingAddressData_Companion__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationMailingAddressData_Companion__instance_set)
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationMailingAddressData_Companion_serializer_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationMailingAddressData_Companion_serializer_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationMailingAddressData_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationMailingAddressData_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationMailingAddressData_Companion

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationMailingAddressData_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationMailingAddressData_Companion_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationMailingAddressData_Companion)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationMailingAddressData_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationMailingAddressData_serializer__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationMailingAddressData_serializer__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationMailingAddressData_serializer__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationMailingAddressData_serializer__instance_set)
    get_descriptor = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationMailingAddressData_serializer_get_descriptor_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationMailingAddressData_serializer_get_descriptor_set)
    childSerializers = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationMailingAddressData_serializer_childSerializers_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationMailingAddressData_serializer_childSerializers_set)
    deserialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationMailingAddressData_serializer_deserialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationMailingAddressData_serializer_deserialize_set)
    serialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationMailingAddressData_serializer_serialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationMailingAddressData_serializer_serialize_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationMailingAddressData_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationMailingAddressData_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationMailingAddressData_serializer

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationMailingAddressData_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationMailingAddressData_serializer_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationMailingAddressData_serializer)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationCompanyNameData(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationCompanyNameData_serializer_get)
    Companion = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationCompanyNameData_Companion_get)
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationCompanyNameData__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationCompanyNameData__type_set)
    UpdateApplicationCompanyNameData = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationCompanyNameData_UpdateApplicationCompanyNameData_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationCompanyNameData_UpdateApplicationCompanyNameData_set)
    get_applicationId = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationCompanyNameData_get_applicationId_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationCompanyNameData_get_applicationId_set)
    get_companyName = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationCompanyNameData_get_companyName_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationCompanyNameData_get_companyName_set)
    component1 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationCompanyNameData_component1_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationCompanyNameData_component1_set)
    component2 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationCompanyNameData_component2_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationCompanyNameData_component2_set)
    copy = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationCompanyNameData_copy_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationCompanyNameData_copy_set)
    equals = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationCompanyNameData_equals_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationCompanyNameData_equals_set)
    hashCode = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationCompanyNameData_hashCode_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationCompanyNameData_hashCode_set)
    toString = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationCompanyNameData_toString_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationCompanyNameData_toString_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationCompanyNameData_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationCompanyNameData())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationCompanyNameData

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationCompanyNameData in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationCompanyNameData_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationCompanyNameData)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationCompanyNameData_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationCompanyNameData_Companion__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationCompanyNameData_Companion__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationCompanyNameData_Companion__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationCompanyNameData_Companion__instance_set)
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationCompanyNameData_Companion_serializer_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationCompanyNameData_Companion_serializer_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationCompanyNameData_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationCompanyNameData_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationCompanyNameData_Companion

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationCompanyNameData_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationCompanyNameData_Companion_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationCompanyNameData_Companion)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationCompanyNameData_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationCompanyNameData_serializer__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationCompanyNameData_serializer__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationCompanyNameData_serializer__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationCompanyNameData_serializer__instance_set)
    get_descriptor = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationCompanyNameData_serializer_get_descriptor_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationCompanyNameData_serializer_get_descriptor_set)
    childSerializers = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationCompanyNameData_serializer_childSerializers_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationCompanyNameData_serializer_childSerializers_set)
    deserialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationCompanyNameData_serializer_deserialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationCompanyNameData_serializer_deserialize_set)
    serialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationCompanyNameData_serializer_serialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationCompanyNameData_serializer_serialize_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationCompanyNameData_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationCompanyNameData_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationCompanyNameData_serializer

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationCompanyNameData_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationCompanyNameData_serializer_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationCompanyNameData_serializer)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationNameData(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationNameData_serializer_get)
    Companion = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationNameData_Companion_get)
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationNameData__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationNameData__type_set)
    UpdateApplicationNameData = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationNameData_UpdateApplicationNameData_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationNameData_UpdateApplicationNameData_set)
    get_applicationId = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationNameData_get_applicationId_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationNameData_get_applicationId_set)
    get_name = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationNameData_get_name_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationNameData_get_name_set)
    component1 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationNameData_component1_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationNameData_component1_set)
    component2 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationNameData_component2_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationNameData_component2_set)
    copy = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationNameData_copy_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationNameData_copy_set)
    equals = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationNameData_equals_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationNameData_equals_set)
    hashCode = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationNameData_hashCode_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationNameData_hashCode_set)
    toString = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationNameData_toString_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationNameData_toString_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationNameData_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationNameData())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationNameData

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationNameData in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationNameData_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationNameData)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationNameData_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationNameData_Companion__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationNameData_Companion__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationNameData_Companion__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationNameData_Companion__instance_set)
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationNameData_Companion_serializer_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationNameData_Companion_serializer_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationNameData_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationNameData_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationNameData_Companion

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationNameData_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationNameData_Companion_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationNameData_Companion)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationNameData_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationNameData_serializer__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationNameData_serializer__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationNameData_serializer__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationNameData_serializer__instance_set)
    get_descriptor = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationNameData_serializer_get_descriptor_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationNameData_serializer_get_descriptor_set)
    childSerializers = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationNameData_serializer_childSerializers_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationNameData_serializer_childSerializers_set)
    deserialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationNameData_serializer_deserialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationNameData_serializer_deserialize_set)
    serialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationNameData_serializer_serialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationNameData_serializer_serialize_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationNameData_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationNameData_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationNameData_serializer

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationNameData_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationNameData_serializer_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateApplicationNameData_serializer)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ApplicationIdData(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ApplicationIdData_serializer_get)
    Companion = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ApplicationIdData_Companion_get)
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ApplicationIdData__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ApplicationIdData__type_set)
    ApplicationIdData = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ApplicationIdData_ApplicationIdData_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ApplicationIdData_ApplicationIdData_set)
    get_applicationId = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ApplicationIdData_get_applicationId_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ApplicationIdData_get_applicationId_set)
    component1 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ApplicationIdData_component1_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ApplicationIdData_component1_set)
    copy = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ApplicationIdData_copy_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ApplicationIdData_copy_set)
    equals = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ApplicationIdData_equals_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ApplicationIdData_equals_set)
    hashCode = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ApplicationIdData_hashCode_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ApplicationIdData_hashCode_set)
    toString = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ApplicationIdData_toString_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ApplicationIdData_toString_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ApplicationIdData_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ApplicationIdData())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ApplicationIdData

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ApplicationIdData in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ApplicationIdData_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ApplicationIdData)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ApplicationIdData_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ApplicationIdData_Companion__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ApplicationIdData_Companion__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ApplicationIdData_Companion__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ApplicationIdData_Companion__instance_set)
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ApplicationIdData_Companion_serializer_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ApplicationIdData_Companion_serializer_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ApplicationIdData_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ApplicationIdData_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ApplicationIdData_Companion

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ApplicationIdData_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ApplicationIdData_Companion_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ApplicationIdData_Companion)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ApplicationIdData_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ApplicationIdData_serializer__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ApplicationIdData_serializer__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ApplicationIdData_serializer__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ApplicationIdData_serializer__instance_set)
    get_descriptor = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ApplicationIdData_serializer_get_descriptor_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ApplicationIdData_serializer_get_descriptor_set)
    childSerializers = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ApplicationIdData_serializer_childSerializers_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ApplicationIdData_serializer_childSerializers_set)
    deserialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ApplicationIdData_serializer_deserialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ApplicationIdData_serializer_deserialize_set)
    serialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ApplicationIdData_serializer_serialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ApplicationIdData_serializer_serialize_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ApplicationIdData_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ApplicationIdData_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ApplicationIdData_serializer

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ApplicationIdData_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ApplicationIdData_serializer_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ApplicationIdData_serializer)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EmailCallToActionData(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EmailCallToActionData_serializer_get)
    Companion = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EmailCallToActionData_Companion_get)
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EmailCallToActionData__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EmailCallToActionData__type_set)
    EmailCallToActionData = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EmailCallToActionData_EmailCallToActionData_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EmailCallToActionData_EmailCallToActionData_set)
    get_actionTarget = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EmailCallToActionData_get_actionTarget_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EmailCallToActionData_get_actionTarget_set)
    get_actionText = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EmailCallToActionData_get_actionText_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EmailCallToActionData_get_actionText_set)
    get_headline = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EmailCallToActionData_get_headline_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EmailCallToActionData_get_headline_set)
    component1 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EmailCallToActionData_component1_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EmailCallToActionData_component1_set)
    component2 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EmailCallToActionData_component2_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EmailCallToActionData_component2_set)
    component3 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EmailCallToActionData_component3_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EmailCallToActionData_component3_set)
    copy = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EmailCallToActionData_copy_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EmailCallToActionData_copy_set)
    equals = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EmailCallToActionData_equals_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EmailCallToActionData_equals_set)
    hashCode = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EmailCallToActionData_hashCode_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EmailCallToActionData_hashCode_set)
    toString = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EmailCallToActionData_toString_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EmailCallToActionData_toString_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EmailCallToActionData_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EmailCallToActionData())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EmailCallToActionData

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EmailCallToActionData in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EmailCallToActionData_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EmailCallToActionData)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EmailCallToActionData_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EmailCallToActionData_Companion__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EmailCallToActionData_Companion__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EmailCallToActionData_Companion__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EmailCallToActionData_Companion__instance_set)
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EmailCallToActionData_Companion_serializer_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EmailCallToActionData_Companion_serializer_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EmailCallToActionData_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EmailCallToActionData_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EmailCallToActionData_Companion

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EmailCallToActionData_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EmailCallToActionData_Companion_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EmailCallToActionData_Companion)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EmailCallToActionData_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EmailCallToActionData_serializer__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EmailCallToActionData_serializer__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EmailCallToActionData_serializer__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EmailCallToActionData_serializer__instance_set)
    get_descriptor = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EmailCallToActionData_serializer_get_descriptor_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EmailCallToActionData_serializer_get_descriptor_set)
    childSerializers = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EmailCallToActionData_serializer_childSerializers_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EmailCallToActionData_serializer_childSerializers_set)
    deserialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EmailCallToActionData_serializer_deserialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EmailCallToActionData_serializer_deserialize_set)
    serialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EmailCallToActionData_serializer_serialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EmailCallToActionData_serializer_serialize_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EmailCallToActionData_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EmailCallToActionData_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EmailCallToActionData_serializer

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EmailCallToActionData_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EmailCallToActionData_serializer_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EmailCallToActionData_serializer)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EmailPreferencesData(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EmailPreferencesData_serializer_get)
    Companion = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EmailPreferencesData_Companion_get)
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EmailPreferencesData__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EmailPreferencesData__type_set)
    EmailPreferencesData = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EmailPreferencesData_EmailPreferencesData_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EmailPreferencesData_EmailPreferencesData_set)
    get_callToAction = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EmailPreferencesData_get_callToAction_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EmailPreferencesData_get_callToAction_set)
    get_onlySendEssentialEmails = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EmailPreferencesData_get_onlySendEssentialEmails_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EmailPreferencesData_get_onlySendEssentialEmails_set)
    get_primaryColour = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EmailPreferencesData_get_primaryColour_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EmailPreferencesData_get_primaryColour_set)
    get_secondaryColour = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EmailPreferencesData_get_secondaryColour_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EmailPreferencesData_get_secondaryColour_set)
    get_senderEmail = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EmailPreferencesData_get_senderEmail_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EmailPreferencesData_get_senderEmail_set)
    get_senderName = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EmailPreferencesData_get_senderName_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EmailPreferencesData_get_senderName_set)
    component1 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EmailPreferencesData_component1_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EmailPreferencesData_component1_set)
    component2 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EmailPreferencesData_component2_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EmailPreferencesData_component2_set)
    component3 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EmailPreferencesData_component3_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EmailPreferencesData_component3_set)
    component4 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EmailPreferencesData_component4_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EmailPreferencesData_component4_set)
    component5 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EmailPreferencesData_component5_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EmailPreferencesData_component5_set)
    component6 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EmailPreferencesData_component6_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EmailPreferencesData_component6_set)
    copy = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EmailPreferencesData_copy_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EmailPreferencesData_copy_set)
    equals = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EmailPreferencesData_equals_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EmailPreferencesData_equals_set)
    hashCode = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EmailPreferencesData_hashCode_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EmailPreferencesData_hashCode_set)
    toString = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EmailPreferencesData_toString_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EmailPreferencesData_toString_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EmailPreferencesData_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EmailPreferencesData())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EmailPreferencesData

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EmailPreferencesData in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EmailPreferencesData_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EmailPreferencesData)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EmailPreferencesData_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EmailPreferencesData_Companion__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EmailPreferencesData_Companion__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EmailPreferencesData_Companion__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EmailPreferencesData_Companion__instance_set)
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EmailPreferencesData_Companion_serializer_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EmailPreferencesData_Companion_serializer_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EmailPreferencesData_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EmailPreferencesData_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EmailPreferencesData_Companion

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EmailPreferencesData_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EmailPreferencesData_Companion_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EmailPreferencesData_Companion)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EmailPreferencesData_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EmailPreferencesData_serializer__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EmailPreferencesData_serializer__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EmailPreferencesData_serializer__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EmailPreferencesData_serializer__instance_set)
    get_descriptor = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EmailPreferencesData_serializer_get_descriptor_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EmailPreferencesData_serializer_get_descriptor_set)
    childSerializers = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EmailPreferencesData_serializer_childSerializers_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EmailPreferencesData_serializer_childSerializers_set)
    deserialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EmailPreferencesData_serializer_deserialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EmailPreferencesData_serializer_deserialize_set)
    serialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EmailPreferencesData_serializer_serialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EmailPreferencesData_serializer_serialize_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EmailPreferencesData_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EmailPreferencesData_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EmailPreferencesData_serializer

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EmailPreferencesData_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EmailPreferencesData_serializer_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EmailPreferencesData_serializer)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_CreateApplicationData(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_CreateApplicationData_serializer_get)
    Companion = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_CreateApplicationData_Companion_get)
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_CreateApplicationData__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_CreateApplicationData__type_set)
    CreateApplicationData = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_CreateApplicationData_CreateApplicationData_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_CreateApplicationData_CreateApplicationData_set)
    get_appLink = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_CreateApplicationData_get_appLink_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_CreateApplicationData_get_appLink_set)
    get_companyName = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_CreateApplicationData_get_companyName_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_CreateApplicationData_get_companyName_set)
    get_emailPreferences = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_CreateApplicationData_get_emailPreferences_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_CreateApplicationData_get_emailPreferences_set)
    get_logoUrl = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_CreateApplicationData_get_logoUrl_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_CreateApplicationData_get_logoUrl_set)
    get_mailingAddress = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_CreateApplicationData_get_mailingAddress_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_CreateApplicationData_get_mailingAddress_set)
    get_name = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_CreateApplicationData_get_name_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_CreateApplicationData_get_name_set)
    get_privacyPolicy = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_CreateApplicationData_get_privacyPolicy_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_CreateApplicationData_get_privacyPolicy_set)
    get_supportContact = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_CreateApplicationData_get_supportContact_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_CreateApplicationData_get_supportContact_set)
    component1 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_CreateApplicationData_component1_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_CreateApplicationData_component1_set)
    component2 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_CreateApplicationData_component2_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_CreateApplicationData_component2_set)
    component3 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_CreateApplicationData_component3_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_CreateApplicationData_component3_set)
    component4 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_CreateApplicationData_component4_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_CreateApplicationData_component4_set)
    component5 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_CreateApplicationData_component5_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_CreateApplicationData_component5_set)
    component6 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_CreateApplicationData_component6_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_CreateApplicationData_component6_set)
    component7 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_CreateApplicationData_component7_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_CreateApplicationData_component7_set)
    component8 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_CreateApplicationData_component8_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_CreateApplicationData_component8_set)
    copy = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_CreateApplicationData_copy_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_CreateApplicationData_copy_set)
    equals = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_CreateApplicationData_equals_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_CreateApplicationData_equals_set)
    hashCode = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_CreateApplicationData_hashCode_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_CreateApplicationData_hashCode_set)
    toString = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_CreateApplicationData_toString_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_CreateApplicationData_toString_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_CreateApplicationData_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_CreateApplicationData())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_CreateApplicationData

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_CreateApplicationData in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_CreateApplicationData_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_CreateApplicationData)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_CreateApplicationData_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_CreateApplicationData_Companion__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_CreateApplicationData_Companion__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_CreateApplicationData_Companion__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_CreateApplicationData_Companion__instance_set)
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_CreateApplicationData_Companion_serializer_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_CreateApplicationData_Companion_serializer_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_CreateApplicationData_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_CreateApplicationData_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_CreateApplicationData_Companion

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_CreateApplicationData_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_CreateApplicationData_Companion_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_CreateApplicationData_Companion)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_CreateApplicationData_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_CreateApplicationData_serializer__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_CreateApplicationData_serializer__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_CreateApplicationData_serializer__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_CreateApplicationData_serializer__instance_set)
    get_descriptor = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_CreateApplicationData_serializer_get_descriptor_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_CreateApplicationData_serializer_get_descriptor_set)
    childSerializers = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_CreateApplicationData_serializer_childSerializers_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_CreateApplicationData_serializer_childSerializers_set)
    deserialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_CreateApplicationData_serializer_deserialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_CreateApplicationData_serializer_deserialize_set)
    serialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_CreateApplicationData_serializer_serialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_CreateApplicationData_serializer_serialize_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_CreateApplicationData_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_CreateApplicationData_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_CreateApplicationData_serializer

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_CreateApplicationData_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_CreateApplicationData_serializer_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_CreateApplicationData_serializer)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateSecureSettingUnlockBetweenData(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateSecureSettingUnlockBetweenData_serializer_get)
    Companion = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateSecureSettingUnlockBetweenData_Companion_get)
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateSecureSettingUnlockBetweenData__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateSecureSettingUnlockBetweenData__type_set)
    UpdateSecureSettingUnlockBetweenData = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateSecureSettingUnlockBetweenData_UpdateSecureSettingUnlockBetweenData_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateSecureSettingUnlockBetweenData_UpdateSecureSettingUnlockBetweenData_set)
    get_baseOperation = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateSecureSettingUnlockBetweenData_get_baseOperation_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateSecureSettingUnlockBetweenData_get_baseOperation_set)
    get_unlockBetween = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateSecureSettingUnlockBetweenData_get_unlockBetween_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateSecureSettingUnlockBetweenData_get_unlockBetween_set)
    component1 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateSecureSettingUnlockBetweenData_component1_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateSecureSettingUnlockBetweenData_component1_set)
    component2 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateSecureSettingUnlockBetweenData_component2_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateSecureSettingUnlockBetweenData_component2_set)
    copy = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateSecureSettingUnlockBetweenData_copy_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateSecureSettingUnlockBetweenData_copy_set)
    equals = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateSecureSettingUnlockBetweenData_equals_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateSecureSettingUnlockBetweenData_equals_set)
    hashCode = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateSecureSettingUnlockBetweenData_hashCode_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateSecureSettingUnlockBetweenData_hashCode_set)
    toString = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateSecureSettingUnlockBetweenData_toString_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateSecureSettingUnlockBetweenData_toString_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateSecureSettingUnlockBetweenData_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateSecureSettingUnlockBetweenData())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateSecureSettingUnlockBetweenData

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateSecureSettingUnlockBetweenData in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateSecureSettingUnlockBetweenData_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateSecureSettingUnlockBetweenData)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateSecureSettingUnlockBetweenData_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateSecureSettingUnlockBetweenData_Companion__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateSecureSettingUnlockBetweenData_Companion__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateSecureSettingUnlockBetweenData_Companion__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateSecureSettingUnlockBetweenData_Companion__instance_set)
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateSecureSettingUnlockBetweenData_Companion_serializer_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateSecureSettingUnlockBetweenData_Companion_serializer_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateSecureSettingUnlockBetweenData_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateSecureSettingUnlockBetweenData_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateSecureSettingUnlockBetweenData_Companion

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateSecureSettingUnlockBetweenData_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateSecureSettingUnlockBetweenData_Companion_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateSecureSettingUnlockBetweenData_Companion)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateSecureSettingUnlockBetweenData_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateSecureSettingUnlockBetweenData_serializer__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateSecureSettingUnlockBetweenData_serializer__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateSecureSettingUnlockBetweenData_serializer__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateSecureSettingUnlockBetweenData_serializer__instance_set)
    get_descriptor = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateSecureSettingUnlockBetweenData_serializer_get_descriptor_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateSecureSettingUnlockBetweenData_serializer_get_descriptor_set)
    childSerializers = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateSecureSettingUnlockBetweenData_serializer_childSerializers_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateSecureSettingUnlockBetweenData_serializer_childSerializers_set)
    deserialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateSecureSettingUnlockBetweenData_serializer_deserialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateSecureSettingUnlockBetweenData_serializer_deserialize_set)
    serialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateSecureSettingUnlockBetweenData_serializer_serialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateSecureSettingUnlockBetweenData_serializer_serialize_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateSecureSettingUnlockBetweenData_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateSecureSettingUnlockBetweenData_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateSecureSettingUnlockBetweenData_serializer

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateSecureSettingUnlockBetweenData_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateSecureSettingUnlockBetweenData_serializer_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateSecureSettingUnlockBetweenData_serializer)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UnlockBetweenData(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UnlockBetweenData_serializer_get)
    Companion = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UnlockBetweenData_Companion_get)
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UnlockBetweenData__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UnlockBetweenData__type_set)
    UnlockBetweenData = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UnlockBetweenData_UnlockBetweenData_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UnlockBetweenData_UnlockBetweenData_set)
    get_days = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UnlockBetweenData_get_days_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UnlockBetweenData_get_days_set)
    get_end = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UnlockBetweenData_get_end_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UnlockBetweenData_get_end_set)
    get_exceptions = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UnlockBetweenData_get_exceptions_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UnlockBetweenData_get_exceptions_set)
    get_start = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UnlockBetweenData_get_start_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UnlockBetweenData_get_start_set)
    get_timezone = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UnlockBetweenData_get_timezone_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UnlockBetweenData_get_timezone_set)
    component1 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UnlockBetweenData_component1_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UnlockBetweenData_component1_set)
    component2 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UnlockBetweenData_component2_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UnlockBetweenData_component2_set)
    component3 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UnlockBetweenData_component3_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UnlockBetweenData_component3_set)
    component4 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UnlockBetweenData_component4_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UnlockBetweenData_component4_set)
    component5 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UnlockBetweenData_component5_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UnlockBetweenData_component5_set)
    copy = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UnlockBetweenData_copy_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UnlockBetweenData_copy_set)
    equals = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UnlockBetweenData_equals_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UnlockBetweenData_equals_set)
    hashCode = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UnlockBetweenData_hashCode_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UnlockBetweenData_hashCode_set)
    toString = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UnlockBetweenData_toString_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UnlockBetweenData_toString_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UnlockBetweenData_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UnlockBetweenData())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UnlockBetweenData

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UnlockBetweenData in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UnlockBetweenData_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UnlockBetweenData)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UnlockBetweenData_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UnlockBetweenData_Companion__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UnlockBetweenData_Companion__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UnlockBetweenData_Companion__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UnlockBetweenData_Companion__instance_set)
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UnlockBetweenData_Companion_serializer_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UnlockBetweenData_Companion_serializer_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UnlockBetweenData_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UnlockBetweenData_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UnlockBetweenData_Companion

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UnlockBetweenData_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UnlockBetweenData_Companion_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UnlockBetweenData_Companion)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UnlockBetweenData_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UnlockBetweenData_serializer__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UnlockBetweenData_serializer__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UnlockBetweenData_serializer__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UnlockBetweenData_serializer__instance_set)
    get_descriptor = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UnlockBetweenData_serializer_get_descriptor_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UnlockBetweenData_serializer_get_descriptor_set)
    childSerializers = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UnlockBetweenData_serializer_childSerializers_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UnlockBetweenData_serializer_childSerializers_set)
    deserialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UnlockBetweenData_serializer_deserialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UnlockBetweenData_serializer_deserialize_set)
    serialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UnlockBetweenData_serializer_serialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UnlockBetweenData_serializer_serialize_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UnlockBetweenData_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UnlockBetweenData_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UnlockBetweenData_serializer

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UnlockBetweenData_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UnlockBetweenData_serializer_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UnlockBetweenData_serializer)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateSecureSettingUnlockDurationData(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateSecureSettingUnlockDurationData_serializer_get)
    Companion = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateSecureSettingUnlockDurationData_Companion_get)
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateSecureSettingUnlockDurationData__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateSecureSettingUnlockDurationData__type_set)
    UpdateSecureSettingUnlockDurationData = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateSecureSettingUnlockDurationData_UpdateSecureSettingUnlockDurationData_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateSecureSettingUnlockDurationData_UpdateSecureSettingUnlockDurationData_set)
    get_baseOperation = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateSecureSettingUnlockDurationData_get_baseOperation_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateSecureSettingUnlockDurationData_get_baseOperation_set)
    get_unlockDuration = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateSecureSettingUnlockDurationData_get_unlockDuration_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateSecureSettingUnlockDurationData_get_unlockDuration_set)
    component1 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateSecureSettingUnlockDurationData_component1_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateSecureSettingUnlockDurationData_component1_set)
    component2 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateSecureSettingUnlockDurationData_component2_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateSecureSettingUnlockDurationData_component2_set)
    copy = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateSecureSettingUnlockDurationData_copy_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateSecureSettingUnlockDurationData_copy_set)
    equals = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateSecureSettingUnlockDurationData_equals_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateSecureSettingUnlockDurationData_equals_set)
    hashCode = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateSecureSettingUnlockDurationData_hashCode_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateSecureSettingUnlockDurationData_hashCode_set)
    toString = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateSecureSettingUnlockDurationData_toString_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateSecureSettingUnlockDurationData_toString_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateSecureSettingUnlockDurationData_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateSecureSettingUnlockDurationData())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateSecureSettingUnlockDurationData

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateSecureSettingUnlockDurationData in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateSecureSettingUnlockDurationData_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateSecureSettingUnlockDurationData)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateSecureSettingUnlockDurationData_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateSecureSettingUnlockDurationData_Companion__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateSecureSettingUnlockDurationData_Companion__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateSecureSettingUnlockDurationData_Companion__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateSecureSettingUnlockDurationData_Companion__instance_set)
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateSecureSettingUnlockDurationData_Companion_serializer_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateSecureSettingUnlockDurationData_Companion_serializer_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateSecureSettingUnlockDurationData_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateSecureSettingUnlockDurationData_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateSecureSettingUnlockDurationData_Companion

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateSecureSettingUnlockDurationData_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateSecureSettingUnlockDurationData_Companion_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateSecureSettingUnlockDurationData_Companion)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateSecureSettingUnlockDurationData_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateSecureSettingUnlockDurationData_serializer__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateSecureSettingUnlockDurationData_serializer__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateSecureSettingUnlockDurationData_serializer__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateSecureSettingUnlockDurationData_serializer__instance_set)
    get_descriptor = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateSecureSettingUnlockDurationData_serializer_get_descriptor_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateSecureSettingUnlockDurationData_serializer_get_descriptor_set)
    childSerializers = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateSecureSettingUnlockDurationData_serializer_childSerializers_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateSecureSettingUnlockDurationData_serializer_childSerializers_set)
    deserialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateSecureSettingUnlockDurationData_serializer_deserialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateSecureSettingUnlockDurationData_serializer_deserialize_set)
    serialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateSecureSettingUnlockDurationData_serializer_serialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateSecureSettingUnlockDurationData_serializer_serialize_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateSecureSettingUnlockDurationData_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateSecureSettingUnlockDurationData_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateSecureSettingUnlockDurationData_serializer

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateSecureSettingUnlockDurationData_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateSecureSettingUnlockDurationData_serializer_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateSecureSettingUnlockDurationData_serializer)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RevokeAccessToLockOperationData(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RevokeAccessToLockOperationData_serializer_get)
    Companion = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RevokeAccessToLockOperationData_Companion_get)
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RevokeAccessToLockOperationData__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RevokeAccessToLockOperationData__type_set)
    RevokeAccessToLockOperationData = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RevokeAccessToLockOperationData_RevokeAccessToLockOperationData_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RevokeAccessToLockOperationData_RevokeAccessToLockOperationData_set)
    get_baseOperation = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RevokeAccessToLockOperationData_get_baseOperation_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RevokeAccessToLockOperationData_get_baseOperation_set)
    get_users = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RevokeAccessToLockOperationData_get_users_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RevokeAccessToLockOperationData_get_users_set)
    component1 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RevokeAccessToLockOperationData_component1_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RevokeAccessToLockOperationData_component1_set)
    component2 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RevokeAccessToLockOperationData_component2_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RevokeAccessToLockOperationData_component2_set)
    copy = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RevokeAccessToLockOperationData_copy_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RevokeAccessToLockOperationData_copy_set)
    equals = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RevokeAccessToLockOperationData_equals_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RevokeAccessToLockOperationData_equals_set)
    hashCode = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RevokeAccessToLockOperationData_hashCode_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RevokeAccessToLockOperationData_hashCode_set)
    toString = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RevokeAccessToLockOperationData_toString_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RevokeAccessToLockOperationData_toString_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RevokeAccessToLockOperationData_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RevokeAccessToLockOperationData())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RevokeAccessToLockOperationData

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RevokeAccessToLockOperationData in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RevokeAccessToLockOperationData_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RevokeAccessToLockOperationData)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RevokeAccessToLockOperationData_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RevokeAccessToLockOperationData_Companion__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RevokeAccessToLockOperationData_Companion__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RevokeAccessToLockOperationData_Companion__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RevokeAccessToLockOperationData_Companion__instance_set)
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RevokeAccessToLockOperationData_Companion_serializer_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RevokeAccessToLockOperationData_Companion_serializer_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RevokeAccessToLockOperationData_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RevokeAccessToLockOperationData_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RevokeAccessToLockOperationData_Companion

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RevokeAccessToLockOperationData_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RevokeAccessToLockOperationData_Companion_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RevokeAccessToLockOperationData_Companion)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RevokeAccessToLockOperationData_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RevokeAccessToLockOperationData_serializer__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RevokeAccessToLockOperationData_serializer__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RevokeAccessToLockOperationData_serializer__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RevokeAccessToLockOperationData_serializer__instance_set)
    get_descriptor = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RevokeAccessToLockOperationData_serializer_get_descriptor_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RevokeAccessToLockOperationData_serializer_get_descriptor_set)
    childSerializers = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RevokeAccessToLockOperationData_serializer_childSerializers_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RevokeAccessToLockOperationData_serializer_childSerializers_set)
    deserialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RevokeAccessToLockOperationData_serializer_deserialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RevokeAccessToLockOperationData_serializer_deserialize_set)
    serialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RevokeAccessToLockOperationData_serializer_serialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RevokeAccessToLockOperationData_serializer_serialize_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RevokeAccessToLockOperationData_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RevokeAccessToLockOperationData_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RevokeAccessToLockOperationData_serializer

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RevokeAccessToLockOperationData_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RevokeAccessToLockOperationData_serializer_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RevokeAccessToLockOperationData_serializer)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_BatchShareLockOperationData(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_BatchShareLockOperationData_serializer_get)
    Companion = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_BatchShareLockOperationData_Companion_get)
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_BatchShareLockOperationData__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_BatchShareLockOperationData__type_set)
    BatchShareLockOperationData = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_BatchShareLockOperationData_BatchShareLockOperationData_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_BatchShareLockOperationData_BatchShareLockOperationData_set)
    get_baseOperation = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_BatchShareLockOperationData_get_baseOperation_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_BatchShareLockOperationData_get_baseOperation_set)
    get_users = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_BatchShareLockOperationData_get_users_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_BatchShareLockOperationData_get_users_set)
    component1 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_BatchShareLockOperationData_component1_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_BatchShareLockOperationData_component1_set)
    component2 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_BatchShareLockOperationData_component2_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_BatchShareLockOperationData_component2_set)
    copy = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_BatchShareLockOperationData_copy_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_BatchShareLockOperationData_copy_set)
    equals = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_BatchShareLockOperationData_equals_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_BatchShareLockOperationData_equals_set)
    hashCode = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_BatchShareLockOperationData_hashCode_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_BatchShareLockOperationData_hashCode_set)
    toString = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_BatchShareLockOperationData_toString_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_BatchShareLockOperationData_toString_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_BatchShareLockOperationData_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_BatchShareLockOperationData())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_BatchShareLockOperationData

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_BatchShareLockOperationData in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_BatchShareLockOperationData_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_BatchShareLockOperationData)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_BatchShareLockOperationData_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_BatchShareLockOperationData_Companion__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_BatchShareLockOperationData_Companion__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_BatchShareLockOperationData_Companion__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_BatchShareLockOperationData_Companion__instance_set)
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_BatchShareLockOperationData_Companion_serializer_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_BatchShareLockOperationData_Companion_serializer_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_BatchShareLockOperationData_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_BatchShareLockOperationData_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_BatchShareLockOperationData_Companion

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_BatchShareLockOperationData_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_BatchShareLockOperationData_Companion_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_BatchShareLockOperationData_Companion)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_BatchShareLockOperationData_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_BatchShareLockOperationData_serializer__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_BatchShareLockOperationData_serializer__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_BatchShareLockOperationData_serializer__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_BatchShareLockOperationData_serializer__instance_set)
    get_descriptor = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_BatchShareLockOperationData_serializer_get_descriptor_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_BatchShareLockOperationData_serializer_get_descriptor_set)
    childSerializers = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_BatchShareLockOperationData_serializer_childSerializers_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_BatchShareLockOperationData_serializer_childSerializers_set)
    deserialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_BatchShareLockOperationData_serializer_deserialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_BatchShareLockOperationData_serializer_deserialize_set)
    serialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_BatchShareLockOperationData_serializer_serialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_BatchShareLockOperationData_serializer_serialize_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_BatchShareLockOperationData_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_BatchShareLockOperationData_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_BatchShareLockOperationData_serializer

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_BatchShareLockOperationData_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_BatchShareLockOperationData_serializer_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_BatchShareLockOperationData_serializer)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ShareLockOperationData(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ShareLockOperationData_serializer_get)
    Companion = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ShareLockOperationData_Companion_get)
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ShareLockOperationData__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ShareLockOperationData__type_set)
    ShareLockOperationData = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ShareLockOperationData_ShareLockOperationData_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ShareLockOperationData_ShareLockOperationData_set)
    get_baseOperation = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ShareLockOperationData_get_baseOperation_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ShareLockOperationData_get_baseOperation_set)
    get_shareLock = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ShareLockOperationData_get_shareLock_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ShareLockOperationData_get_shareLock_set)
    component1 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ShareLockOperationData_component1_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ShareLockOperationData_component1_set)
    component2 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ShareLockOperationData_component2_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ShareLockOperationData_component2_set)
    copy = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ShareLockOperationData_copy_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ShareLockOperationData_copy_set)
    equals = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ShareLockOperationData_equals_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ShareLockOperationData_equals_set)
    hashCode = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ShareLockOperationData_hashCode_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ShareLockOperationData_hashCode_set)
    toString = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ShareLockOperationData_toString_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ShareLockOperationData_toString_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ShareLockOperationData_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ShareLockOperationData())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ShareLockOperationData

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ShareLockOperationData in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ShareLockOperationData_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ShareLockOperationData)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ShareLockOperationData_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ShareLockOperationData_Companion__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ShareLockOperationData_Companion__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ShareLockOperationData_Companion__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ShareLockOperationData_Companion__instance_set)
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ShareLockOperationData_Companion_serializer_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ShareLockOperationData_Companion_serializer_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ShareLockOperationData_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ShareLockOperationData_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ShareLockOperationData_Companion

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ShareLockOperationData_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ShareLockOperationData_Companion_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ShareLockOperationData_Companion)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ShareLockOperationData_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ShareLockOperationData_serializer__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ShareLockOperationData_serializer__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ShareLockOperationData_serializer__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ShareLockOperationData_serializer__instance_set)
    get_descriptor = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ShareLockOperationData_serializer_get_descriptor_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ShareLockOperationData_serializer_get_descriptor_set)
    childSerializers = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ShareLockOperationData_serializer_childSerializers_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ShareLockOperationData_serializer_childSerializers_set)
    deserialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ShareLockOperationData_serializer_deserialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ShareLockOperationData_serializer_deserialize_set)
    serialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ShareLockOperationData_serializer_serialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ShareLockOperationData_serializer_serialize_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ShareLockOperationData_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ShareLockOperationData_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ShareLockOperationData_serializer

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ShareLockOperationData_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ShareLockOperationData_serializer_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ShareLockOperationData_serializer)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ShareLockData(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ShareLockData_serializer_get)
    Companion = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ShareLockData_Companion_get)
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ShareLockData__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ShareLockData__type_set)
    ShareLockData = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ShareLockData_ShareLockData_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ShareLockData_ShareLockData_set)
    get_end = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ShareLockData_get_end_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ShareLockData_get_end_set)
    get_start = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ShareLockData_get_start_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ShareLockData_get_start_set)
    get_targetUserId = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ShareLockData_get_targetUserId_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ShareLockData_get_targetUserId_set)
    get_targetUserPublicKey = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ShareLockData_get_targetUserPublicKey_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ShareLockData_get_targetUserPublicKey_set)
    get_targetUserRole = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ShareLockData_get_targetUserRole_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ShareLockData_get_targetUserRole_set)
    component1 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ShareLockData_component1_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ShareLockData_component1_set)
    component2 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ShareLockData_component2_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ShareLockData_component2_set)
    component3 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ShareLockData_component3_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ShareLockData_component3_set)
    component4 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ShareLockData_component4_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ShareLockData_component4_set)
    component5 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ShareLockData_component5_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ShareLockData_component5_set)
    copy = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ShareLockData_copy_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ShareLockData_copy_set)
    equals = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ShareLockData_equals_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ShareLockData_equals_set)
    hashCode = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ShareLockData_hashCode_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ShareLockData_hashCode_set)
    toString = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ShareLockData_toString_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ShareLockData_toString_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ShareLockData_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ShareLockData())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ShareLockData

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ShareLockData in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ShareLockData_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ShareLockData)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ShareLockData_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ShareLockData_Companion__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ShareLockData_Companion__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ShareLockData_Companion__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ShareLockData_Companion__instance_set)
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ShareLockData_Companion_serializer_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ShareLockData_Companion_serializer_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ShareLockData_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ShareLockData_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ShareLockData_Companion

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ShareLockData_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ShareLockData_Companion_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ShareLockData_Companion)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ShareLockData_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ShareLockData_serializer__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ShareLockData_serializer__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ShareLockData_serializer__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ShareLockData_serializer__instance_set)
    get_descriptor = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ShareLockData_serializer_get_descriptor_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ShareLockData_serializer_get_descriptor_set)
    childSerializers = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ShareLockData_serializer_childSerializers_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ShareLockData_serializer_childSerializers_set)
    deserialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ShareLockData_serializer_deserialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ShareLockData_serializer_deserialize_set)
    serialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ShareLockData_serializer_serialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ShareLockData_serializer_serialize_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ShareLockData_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ShareLockData_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ShareLockData_serializer

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ShareLockData_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ShareLockData_serializer_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ShareLockData_serializer)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_BaseOperationData(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_BaseOperationData_serializer_get)
    Companion = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_BaseOperationData_Companion_get)
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_BaseOperationData__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_BaseOperationData__type_set)
    BaseOperationData = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_BaseOperationData_BaseOperationData_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_BaseOperationData_BaseOperationData_set)
    get_expiresAt = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_BaseOperationData_get_expiresAt_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_BaseOperationData_get_expiresAt_set)
    get_issuedAt = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_BaseOperationData_get_issuedAt_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_BaseOperationData_get_issuedAt_set)
    get_jti = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_BaseOperationData_get_jti_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_BaseOperationData_get_jti_set)
    get_lockId = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_BaseOperationData_get_lockId_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_BaseOperationData_get_lockId_set)
    get_notBefore = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_BaseOperationData_get_notBefore_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_BaseOperationData_get_notBefore_set)
    get_userCertificateChain = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_BaseOperationData_get_userCertificateChain_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_BaseOperationData_get_userCertificateChain_set)
    get_userId = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_BaseOperationData_get_userId_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_BaseOperationData_get_userId_set)
    get_userPrivateKey = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_BaseOperationData_get_userPrivateKey_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_BaseOperationData_get_userPrivateKey_set)
    component1 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_BaseOperationData_component1_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_BaseOperationData_component1_set)
    component2 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_BaseOperationData_component2_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_BaseOperationData_component2_set)
    component3 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_BaseOperationData_component3_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_BaseOperationData_component3_set)
    component4 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_BaseOperationData_component4_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_BaseOperationData_component4_set)
    component5 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_BaseOperationData_component5_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_BaseOperationData_component5_set)
    component6 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_BaseOperationData_component6_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_BaseOperationData_component6_set)
    component7 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_BaseOperationData_component7_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_BaseOperationData_component7_set)
    component8 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_BaseOperationData_component8_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_BaseOperationData_component8_set)
    copy = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_BaseOperationData_copy_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_BaseOperationData_copy_set)
    equals = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_BaseOperationData_equals_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_BaseOperationData_equals_set)
    hashCode = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_BaseOperationData_hashCode_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_BaseOperationData_hashCode_set)
    toString = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_BaseOperationData_toString_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_BaseOperationData_toString_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_BaseOperationData_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_BaseOperationData())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_BaseOperationData

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_BaseOperationData in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_BaseOperationData_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_BaseOperationData)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_BaseOperationData_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_BaseOperationData_Companion__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_BaseOperationData_Companion__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_BaseOperationData_Companion__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_BaseOperationData_Companion__instance_set)
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_BaseOperationData_Companion_serializer_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_BaseOperationData_Companion_serializer_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_BaseOperationData_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_BaseOperationData_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_BaseOperationData_Companion

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_BaseOperationData_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_BaseOperationData_Companion_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_BaseOperationData_Companion)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_BaseOperationData_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_BaseOperationData_serializer__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_BaseOperationData_serializer__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_BaseOperationData_serializer__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_BaseOperationData_serializer__instance_set)
    get_descriptor = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_BaseOperationData_serializer_get_descriptor_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_BaseOperationData_serializer_get_descriptor_set)
    childSerializers = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_BaseOperationData_serializer_childSerializers_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_BaseOperationData_serializer_childSerializers_set)
    deserialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_BaseOperationData_serializer_deserialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_BaseOperationData_serializer_deserialize_set)
    serialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_BaseOperationData_serializer_serialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_BaseOperationData_serializer_serialize_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_BaseOperationData_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_BaseOperationData_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_BaseOperationData_serializer

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_BaseOperationData_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_BaseOperationData_serializer_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_BaseOperationData_serializer)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UnlockOperationData(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UnlockOperationData_serializer_get)
    Companion = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UnlockOperationData_Companion_get)
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UnlockOperationData__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UnlockOperationData__type_set)
    UnlockOperationData = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UnlockOperationData_UnlockOperationData_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UnlockOperationData_UnlockOperationData_set)
    get_baseOperation = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UnlockOperationData_get_baseOperation_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UnlockOperationData_get_baseOperation_set)
    get_directAccessEndpoints = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UnlockOperationData_get_directAccessEndpoints_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UnlockOperationData_get_directAccessEndpoints_set)
    component1 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UnlockOperationData_component1_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UnlockOperationData_component1_set)
    component2 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UnlockOperationData_component2_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UnlockOperationData_component2_set)
    copy = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UnlockOperationData_copy_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UnlockOperationData_copy_set)
    equals = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UnlockOperationData_equals_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UnlockOperationData_equals_set)
    hashCode = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UnlockOperationData_hashCode_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UnlockOperationData_hashCode_set)
    toString = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UnlockOperationData_toString_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UnlockOperationData_toString_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UnlockOperationData_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UnlockOperationData())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UnlockOperationData

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UnlockOperationData in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UnlockOperationData_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UnlockOperationData)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UnlockOperationData_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UnlockOperationData_Companion__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UnlockOperationData_Companion__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UnlockOperationData_Companion__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UnlockOperationData_Companion__instance_set)
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UnlockOperationData_Companion_serializer_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UnlockOperationData_Companion_serializer_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UnlockOperationData_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UnlockOperationData_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UnlockOperationData_Companion

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UnlockOperationData_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UnlockOperationData_Companion_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UnlockOperationData_Companion)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UnlockOperationData_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UnlockOperationData_serializer__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UnlockOperationData_serializer__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UnlockOperationData_serializer__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UnlockOperationData_serializer__instance_set)
    get_descriptor = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UnlockOperationData_serializer_get_descriptor_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UnlockOperationData_serializer_get_descriptor_set)
    childSerializers = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UnlockOperationData_serializer_childSerializers_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UnlockOperationData_serializer_childSerializers_set)
    deserialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UnlockOperationData_serializer_deserialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UnlockOperationData_serializer_deserialize_set)
    serialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UnlockOperationData_serializer_serialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UnlockOperationData_serializer_serialize_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UnlockOperationData_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UnlockOperationData_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UnlockOperationData_serializer

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UnlockOperationData_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UnlockOperationData_serializer_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UnlockOperationData_serializer)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByForeignKeysData(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByForeignKeysData_serializer_get)
    Companion = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByForeignKeysData_Companion_get)
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByForeignKeysData__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByForeignKeysData__type_set)
    GetUserPublicKeyByForeignKeysData = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByForeignKeysData_GetUserPublicKeyByForeignKeysData_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByForeignKeysData_GetUserPublicKeyByForeignKeysData_set)
    get_foreignKeys = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByForeignKeysData_get_foreignKeys_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByForeignKeysData_get_foreignKeys_set)
    component1 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByForeignKeysData_component1_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByForeignKeysData_component1_set)
    copy = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByForeignKeysData_copy_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByForeignKeysData_copy_set)
    equals = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByForeignKeysData_equals_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByForeignKeysData_equals_set)
    hashCode = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByForeignKeysData_hashCode_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByForeignKeysData_hashCode_set)
    toString = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByForeignKeysData_toString_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByForeignKeysData_toString_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByForeignKeysData_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByForeignKeysData())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByForeignKeysData

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByForeignKeysData in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByForeignKeysData_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByForeignKeysData)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByForeignKeysData_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByForeignKeysData_Companion__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByForeignKeysData_Companion__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByForeignKeysData_Companion__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByForeignKeysData_Companion__instance_set)
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByForeignKeysData_Companion_serializer_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByForeignKeysData_Companion_serializer_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByForeignKeysData_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByForeignKeysData_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByForeignKeysData_Companion

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByForeignKeysData_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByForeignKeysData_Companion_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByForeignKeysData_Companion)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByForeignKeysData_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByForeignKeysData_serializer__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByForeignKeysData_serializer__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByForeignKeysData_serializer__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByForeignKeysData_serializer__instance_set)
    get_descriptor = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByForeignKeysData_serializer_get_descriptor_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByForeignKeysData_serializer_get_descriptor_set)
    childSerializers = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByForeignKeysData_serializer_childSerializers_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByForeignKeysData_serializer_childSerializers_set)
    deserialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByForeignKeysData_serializer_deserialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByForeignKeysData_serializer_deserialize_set)
    serialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByForeignKeysData_serializer_serialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByForeignKeysData_serializer_serialize_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByForeignKeysData_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByForeignKeysData_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByForeignKeysData_serializer

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByForeignKeysData_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByForeignKeysData_serializer_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByForeignKeysData_serializer)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByLocalKeysData(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByLocalKeysData_serializer_get)
    Companion = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByLocalKeysData_Companion_get)
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByLocalKeysData__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByLocalKeysData__type_set)
    GetUserPublicKeyByLocalKeysData = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByLocalKeysData_GetUserPublicKeyByLocalKeysData_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByLocalKeysData_GetUserPublicKeyByLocalKeysData_set)
    get_localKeys = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByLocalKeysData_get_localKeys_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByLocalKeysData_get_localKeys_set)
    component1 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByLocalKeysData_component1_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByLocalKeysData_component1_set)
    copy = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByLocalKeysData_copy_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByLocalKeysData_copy_set)
    equals = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByLocalKeysData_equals_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByLocalKeysData_equals_set)
    hashCode = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByLocalKeysData_hashCode_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByLocalKeysData_hashCode_set)
    toString = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByLocalKeysData_toString_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByLocalKeysData_toString_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByLocalKeysData_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByLocalKeysData())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByLocalKeysData

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByLocalKeysData in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByLocalKeysData_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByLocalKeysData)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByLocalKeysData_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByLocalKeysData_Companion__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByLocalKeysData_Companion__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByLocalKeysData_Companion__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByLocalKeysData_Companion__instance_set)
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByLocalKeysData_Companion_serializer_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByLocalKeysData_Companion_serializer_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByLocalKeysData_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByLocalKeysData_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByLocalKeysData_Companion

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByLocalKeysData_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByLocalKeysData_Companion_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByLocalKeysData_Companion)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByLocalKeysData_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByLocalKeysData_serializer__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByLocalKeysData_serializer__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByLocalKeysData_serializer__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByLocalKeysData_serializer__instance_set)
    get_descriptor = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByLocalKeysData_serializer_get_descriptor_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByLocalKeysData_serializer_get_descriptor_set)
    childSerializers = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByLocalKeysData_serializer_childSerializers_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByLocalKeysData_serializer_childSerializers_set)
    deserialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByLocalKeysData_serializer_deserialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByLocalKeysData_serializer_deserialize_set)
    serialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByLocalKeysData_serializer_serialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByLocalKeysData_serializer_serialize_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByLocalKeysData_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByLocalKeysData_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByLocalKeysData_serializer

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByLocalKeysData_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByLocalKeysData_serializer_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByLocalKeysData_serializer)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByTelephonesData(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByTelephonesData_serializer_get)
    Companion = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByTelephonesData_Companion_get)
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByTelephonesData__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByTelephonesData__type_set)
    GetUserPublicKeyByTelephonesData = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByTelephonesData_GetUserPublicKeyByTelephonesData_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByTelephonesData_GetUserPublicKeyByTelephonesData_set)
    get_telephones = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByTelephonesData_get_telephones_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByTelephonesData_get_telephones_set)
    component1 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByTelephonesData_component1_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByTelephonesData_component1_set)
    copy = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByTelephonesData_copy_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByTelephonesData_copy_set)
    equals = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByTelephonesData_equals_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByTelephonesData_equals_set)
    hashCode = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByTelephonesData_hashCode_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByTelephonesData_hashCode_set)
    toString = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByTelephonesData_toString_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByTelephonesData_toString_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByTelephonesData_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByTelephonesData())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByTelephonesData

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByTelephonesData in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByTelephonesData_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByTelephonesData)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByTelephonesData_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByTelephonesData_Companion__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByTelephonesData_Companion__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByTelephonesData_Companion__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByTelephonesData_Companion__instance_set)
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByTelephonesData_Companion_serializer_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByTelephonesData_Companion_serializer_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByTelephonesData_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByTelephonesData_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByTelephonesData_Companion

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByTelephonesData_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByTelephonesData_Companion_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByTelephonesData_Companion)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByTelephonesData_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByTelephonesData_serializer__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByTelephonesData_serializer__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByTelephonesData_serializer__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByTelephonesData_serializer__instance_set)
    get_descriptor = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByTelephonesData_serializer_get_descriptor_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByTelephonesData_serializer_get_descriptor_set)
    childSerializers = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByTelephonesData_serializer_childSerializers_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByTelephonesData_serializer_childSerializers_set)
    deserialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByTelephonesData_serializer_deserialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByTelephonesData_serializer_deserialize_set)
    serialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByTelephonesData_serializer_serialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByTelephonesData_serializer_serialize_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByTelephonesData_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByTelephonesData_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByTelephonesData_serializer

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByTelephonesData_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByTelephonesData_serializer_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByTelephonesData_serializer)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByEmailsData(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByEmailsData_serializer_get)
    Companion = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByEmailsData_Companion_get)
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByEmailsData__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByEmailsData__type_set)
    GetUserPublicKeyByEmailsData = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByEmailsData_GetUserPublicKeyByEmailsData_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByEmailsData_GetUserPublicKeyByEmailsData_set)
    get_emails = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByEmailsData_get_emails_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByEmailsData_get_emails_set)
    component1 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByEmailsData_component1_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByEmailsData_component1_set)
    copy = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByEmailsData_copy_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByEmailsData_copy_set)
    equals = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByEmailsData_equals_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByEmailsData_equals_set)
    hashCode = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByEmailsData_hashCode_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByEmailsData_hashCode_set)
    toString = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByEmailsData_toString_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByEmailsData_toString_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByEmailsData_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByEmailsData())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByEmailsData

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByEmailsData in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByEmailsData_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByEmailsData)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByEmailsData_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByEmailsData_Companion__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByEmailsData_Companion__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByEmailsData_Companion__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByEmailsData_Companion__instance_set)
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByEmailsData_Companion_serializer_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByEmailsData_Companion_serializer_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByEmailsData_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByEmailsData_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByEmailsData_Companion

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByEmailsData_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByEmailsData_Companion_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByEmailsData_Companion)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByEmailsData_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByEmailsData_serializer__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByEmailsData_serializer__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByEmailsData_serializer__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByEmailsData_serializer__instance_set)
    get_descriptor = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByEmailsData_serializer_get_descriptor_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByEmailsData_serializer_get_descriptor_set)
    childSerializers = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByEmailsData_serializer_childSerializers_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByEmailsData_serializer_childSerializers_set)
    deserialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByEmailsData_serializer_deserialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByEmailsData_serializer_deserialize_set)
    serialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByEmailsData_serializer_serialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByEmailsData_serializer_serialize_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByEmailsData_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByEmailsData_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByEmailsData_serializer

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByEmailsData_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByEmailsData_serializer_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByEmailsData_serializer)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByIdentityData(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByIdentityData_serializer_get)
    Companion = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByIdentityData_Companion_get)
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByIdentityData__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByIdentityData__type_set)
    GetUserPublicKeyByIdentityData = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByIdentityData_GetUserPublicKeyByIdentityData_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByIdentityData_GetUserPublicKeyByIdentityData_set)
    get_identity = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByIdentityData_get_identity_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByIdentityData_get_identity_set)
    component1 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByIdentityData_component1_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByIdentityData_component1_set)
    copy = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByIdentityData_copy_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByIdentityData_copy_set)
    equals = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByIdentityData_equals_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByIdentityData_equals_set)
    hashCode = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByIdentityData_hashCode_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByIdentityData_hashCode_set)
    toString = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByIdentityData_toString_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByIdentityData_toString_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByIdentityData_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByIdentityData())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByIdentityData

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByIdentityData in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByIdentityData_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByIdentityData)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByIdentityData_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByIdentityData_Companion__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByIdentityData_Companion__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByIdentityData_Companion__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByIdentityData_Companion__instance_set)
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByIdentityData_Companion_serializer_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByIdentityData_Companion_serializer_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByIdentityData_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByIdentityData_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByIdentityData_Companion

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByIdentityData_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByIdentityData_Companion_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByIdentityData_Companion)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByIdentityData_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByIdentityData_serializer__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByIdentityData_serializer__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByIdentityData_serializer__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByIdentityData_serializer__instance_set)
    get_descriptor = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByIdentityData_serializer_get_descriptor_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByIdentityData_serializer_get_descriptor_set)
    childSerializers = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByIdentityData_serializer_childSerializers_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByIdentityData_serializer_childSerializers_set)
    deserialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByIdentityData_serializer_deserialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByIdentityData_serializer_deserialize_set)
    serialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByIdentityData_serializer_serialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByIdentityData_serializer_serialize_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByIdentityData_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByIdentityData_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByIdentityData_serializer

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByIdentityData_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByIdentityData_serializer_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByIdentityData_serializer)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByForeignKeyData(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByForeignKeyData_serializer_get)
    Companion = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByForeignKeyData_Companion_get)
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByForeignKeyData__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByForeignKeyData__type_set)
    GetUserPublicKeyByForeignKeyData = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByForeignKeyData_GetUserPublicKeyByForeignKeyData_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByForeignKeyData_GetUserPublicKeyByForeignKeyData_set)
    get_foreignKey = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByForeignKeyData_get_foreignKey_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByForeignKeyData_get_foreignKey_set)
    component1 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByForeignKeyData_component1_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByForeignKeyData_component1_set)
    copy = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByForeignKeyData_copy_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByForeignKeyData_copy_set)
    equals = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByForeignKeyData_equals_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByForeignKeyData_equals_set)
    hashCode = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByForeignKeyData_hashCode_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByForeignKeyData_hashCode_set)
    toString = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByForeignKeyData_toString_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByForeignKeyData_toString_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByForeignKeyData_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByForeignKeyData())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByForeignKeyData

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByForeignKeyData in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByForeignKeyData_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByForeignKeyData)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByForeignKeyData_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByForeignKeyData_Companion__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByForeignKeyData_Companion__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByForeignKeyData_Companion__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByForeignKeyData_Companion__instance_set)
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByForeignKeyData_Companion_serializer_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByForeignKeyData_Companion_serializer_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByForeignKeyData_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByForeignKeyData_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByForeignKeyData_Companion

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByForeignKeyData_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByForeignKeyData_Companion_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByForeignKeyData_Companion)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByForeignKeyData_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByForeignKeyData_serializer__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByForeignKeyData_serializer__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByForeignKeyData_serializer__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByForeignKeyData_serializer__instance_set)
    get_descriptor = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByForeignKeyData_serializer_get_descriptor_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByForeignKeyData_serializer_get_descriptor_set)
    childSerializers = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByForeignKeyData_serializer_childSerializers_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByForeignKeyData_serializer_childSerializers_set)
    deserialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByForeignKeyData_serializer_deserialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByForeignKeyData_serializer_deserialize_set)
    serialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByForeignKeyData_serializer_serialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByForeignKeyData_serializer_serialize_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByForeignKeyData_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByForeignKeyData_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByForeignKeyData_serializer

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByForeignKeyData_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByForeignKeyData_serializer_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByForeignKeyData_serializer)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByLocalKeyData(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByLocalKeyData_serializer_get)
    Companion = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByLocalKeyData_Companion_get)
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByLocalKeyData__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByLocalKeyData__type_set)
    GetUserPublicKeyByLocalKeyData = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByLocalKeyData_GetUserPublicKeyByLocalKeyData_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByLocalKeyData_GetUserPublicKeyByLocalKeyData_set)
    get_localKey = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByLocalKeyData_get_localKey_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByLocalKeyData_get_localKey_set)
    component1 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByLocalKeyData_component1_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByLocalKeyData_component1_set)
    copy = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByLocalKeyData_copy_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByLocalKeyData_copy_set)
    equals = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByLocalKeyData_equals_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByLocalKeyData_equals_set)
    hashCode = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByLocalKeyData_hashCode_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByLocalKeyData_hashCode_set)
    toString = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByLocalKeyData_toString_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByLocalKeyData_toString_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByLocalKeyData_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByLocalKeyData())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByLocalKeyData

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByLocalKeyData in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByLocalKeyData_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByLocalKeyData)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByLocalKeyData_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByLocalKeyData_Companion__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByLocalKeyData_Companion__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByLocalKeyData_Companion__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByLocalKeyData_Companion__instance_set)
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByLocalKeyData_Companion_serializer_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByLocalKeyData_Companion_serializer_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByLocalKeyData_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByLocalKeyData_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByLocalKeyData_Companion

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByLocalKeyData_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByLocalKeyData_Companion_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByLocalKeyData_Companion)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByLocalKeyData_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByLocalKeyData_serializer__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByLocalKeyData_serializer__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByLocalKeyData_serializer__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByLocalKeyData_serializer__instance_set)
    get_descriptor = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByLocalKeyData_serializer_get_descriptor_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByLocalKeyData_serializer_get_descriptor_set)
    childSerializers = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByLocalKeyData_serializer_childSerializers_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByLocalKeyData_serializer_childSerializers_set)
    deserialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByLocalKeyData_serializer_deserialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByLocalKeyData_serializer_deserialize_set)
    serialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByLocalKeyData_serializer_serialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByLocalKeyData_serializer_serialize_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByLocalKeyData_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByLocalKeyData_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByLocalKeyData_serializer

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByLocalKeyData_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByLocalKeyData_serializer_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByLocalKeyData_serializer)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByTelephoneData(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByTelephoneData_serializer_get)
    Companion = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByTelephoneData_Companion_get)
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByTelephoneData__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByTelephoneData__type_set)
    GetUserPublicKeyByTelephoneData = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByTelephoneData_GetUserPublicKeyByTelephoneData_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByTelephoneData_GetUserPublicKeyByTelephoneData_set)
    get_telephone = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByTelephoneData_get_telephone_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByTelephoneData_get_telephone_set)
    component1 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByTelephoneData_component1_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByTelephoneData_component1_set)
    copy = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByTelephoneData_copy_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByTelephoneData_copy_set)
    equals = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByTelephoneData_equals_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByTelephoneData_equals_set)
    hashCode = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByTelephoneData_hashCode_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByTelephoneData_hashCode_set)
    toString = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByTelephoneData_toString_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByTelephoneData_toString_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByTelephoneData_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByTelephoneData())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByTelephoneData

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByTelephoneData in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByTelephoneData_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByTelephoneData)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByTelephoneData_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByTelephoneData_Companion__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByTelephoneData_Companion__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByTelephoneData_Companion__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByTelephoneData_Companion__instance_set)
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByTelephoneData_Companion_serializer_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByTelephoneData_Companion_serializer_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByTelephoneData_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByTelephoneData_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByTelephoneData_Companion

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByTelephoneData_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByTelephoneData_Companion_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByTelephoneData_Companion)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByTelephoneData_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByTelephoneData_serializer__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByTelephoneData_serializer__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByTelephoneData_serializer__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByTelephoneData_serializer__instance_set)
    get_descriptor = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByTelephoneData_serializer_get_descriptor_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByTelephoneData_serializer_get_descriptor_set)
    childSerializers = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByTelephoneData_serializer_childSerializers_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByTelephoneData_serializer_childSerializers_set)
    deserialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByTelephoneData_serializer_deserialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByTelephoneData_serializer_deserialize_set)
    serialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByTelephoneData_serializer_serialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByTelephoneData_serializer_serialize_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByTelephoneData_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByTelephoneData_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByTelephoneData_serializer

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByTelephoneData_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByTelephoneData_serializer_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByTelephoneData_serializer)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByEmailData(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByEmailData_serializer_get)
    Companion = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByEmailData_Companion_get)
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByEmailData__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByEmailData__type_set)
    GetUserPublicKeyByEmailData = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByEmailData_GetUserPublicKeyByEmailData_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByEmailData_GetUserPublicKeyByEmailData_set)
    get_email = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByEmailData_get_email_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByEmailData_get_email_set)
    component1 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByEmailData_component1_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByEmailData_component1_set)
    copy = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByEmailData_copy_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByEmailData_copy_set)
    equals = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByEmailData_equals_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByEmailData_equals_set)
    hashCode = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByEmailData_hashCode_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByEmailData_hashCode_set)
    toString = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByEmailData_toString_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByEmailData_toString_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByEmailData_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByEmailData())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByEmailData

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByEmailData in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByEmailData_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByEmailData)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByEmailData_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByEmailData_Companion__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByEmailData_Companion__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByEmailData_Companion__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByEmailData_Companion__instance_set)
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByEmailData_Companion_serializer_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByEmailData_Companion_serializer_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByEmailData_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByEmailData_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByEmailData_Companion

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByEmailData_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByEmailData_Companion_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByEmailData_Companion)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByEmailData_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByEmailData_serializer__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByEmailData_serializer__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByEmailData_serializer__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByEmailData_serializer__instance_set)
    get_descriptor = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByEmailData_serializer_get_descriptor_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByEmailData_serializer_get_descriptor_set)
    childSerializers = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByEmailData_serializer_childSerializers_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByEmailData_serializer_childSerializers_set)
    deserialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByEmailData_serializer_deserialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByEmailData_serializer_deserialize_set)
    serialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByEmailData_serializer_serialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByEmailData_serializer_serialize_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByEmailData_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByEmailData_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByEmailData_serializer

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByEmailData_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByEmailData_serializer_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyByEmailData_serializer)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyData(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyData_serializer_get)
    Companion = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyData_Companion_get)
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyData__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyData__type_set)
    GetUserPublicKeyData = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyData_GetUserPublicKeyData_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyData_GetUserPublicKeyData_set)
    get_userEmail = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyData_get_userEmail_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyData_get_userEmail_set)
    get_visitor = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyData_get_visitor_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyData_get_visitor_set)
    component1 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyData_component1_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyData_component1_set)
    component2 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyData_component2_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyData_component2_set)
    copy = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyData_copy_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyData_copy_set)
    equals = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyData_equals_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyData_equals_set)
    hashCode = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyData_hashCode_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyData_hashCode_set)
    toString = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyData_toString_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyData_toString_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyData_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyData())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyData

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyData in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyData_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyData)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyData_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyData_Companion__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyData_Companion__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyData_Companion__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyData_Companion__instance_set)
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyData_Companion_serializer_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyData_Companion_serializer_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyData_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyData_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyData_Companion

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyData_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyData_Companion_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyData_Companion)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyData_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyData_serializer__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyData_serializer__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyData_serializer__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyData_serializer__instance_set)
    get_descriptor = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyData_serializer_get_descriptor_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyData_serializer_get_descriptor_set)
    childSerializers = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyData_serializer_childSerializers_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyData_serializer_childSerializers_set)
    deserialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyData_serializer_deserialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyData_serializer_deserialize_set)
    serialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyData_serializer_serialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyData_serializer_serialize_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyData_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyData_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyData_serializer

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyData_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyData_serializer_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUserPublicKeyData_serializer)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LocationRequirementData(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LocationRequirementData_serializer_get)
    Companion = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LocationRequirementData_Companion_get)
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LocationRequirementData__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LocationRequirementData__type_set)
    LocationRequirementData = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LocationRequirementData_LocationRequirementData_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LocationRequirementData_LocationRequirementData_set)
    get_accuracy = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LocationRequirementData_get_accuracy_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LocationRequirementData_get_accuracy_set)
    get_enabled = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LocationRequirementData_get_enabled_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LocationRequirementData_get_enabled_set)
    get_latitude = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LocationRequirementData_get_latitude_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LocationRequirementData_get_latitude_set)
    get_longitude = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LocationRequirementData_get_longitude_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LocationRequirementData_get_longitude_set)
    get_radius = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LocationRequirementData_get_radius_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LocationRequirementData_get_radius_set)
    component1 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LocationRequirementData_component1_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LocationRequirementData_component1_set)
    component2 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LocationRequirementData_component2_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LocationRequirementData_component2_set)
    component3 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LocationRequirementData_component3_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LocationRequirementData_component3_set)
    component4 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LocationRequirementData_component4_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LocationRequirementData_component4_set)
    component5 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LocationRequirementData_component5_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LocationRequirementData_component5_set)
    copy = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LocationRequirementData_copy_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LocationRequirementData_copy_set)
    equals = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LocationRequirementData_equals_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LocationRequirementData_equals_set)
    hashCode = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LocationRequirementData_hashCode_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LocationRequirementData_hashCode_set)
    toString = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LocationRequirementData_toString_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LocationRequirementData_toString_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LocationRequirementData_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LocationRequirementData())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LocationRequirementData

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LocationRequirementData in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LocationRequirementData_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LocationRequirementData)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LocationRequirementData_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LocationRequirementData_Companion__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LocationRequirementData_Companion__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LocationRequirementData_Companion__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LocationRequirementData_Companion__instance_set)
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LocationRequirementData_Companion_serializer_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LocationRequirementData_Companion_serializer_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LocationRequirementData_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LocationRequirementData_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LocationRequirementData_Companion

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LocationRequirementData_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LocationRequirementData_Companion_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LocationRequirementData_Companion)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LocationRequirementData_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LocationRequirementData_serializer__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LocationRequirementData_serializer__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LocationRequirementData_serializer__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LocationRequirementData_serializer__instance_set)
    get_descriptor = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LocationRequirementData_serializer_get_descriptor_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LocationRequirementData_serializer_get_descriptor_set)
    childSerializers = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LocationRequirementData_serializer_childSerializers_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LocationRequirementData_serializer_childSerializers_set)
    deserialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LocationRequirementData_serializer_deserialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LocationRequirementData_serializer_deserialize_set)
    serialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LocationRequirementData_serializer_serialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LocationRequirementData_serializer_serialize_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LocationRequirementData_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LocationRequirementData_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LocationRequirementData_serializer

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LocationRequirementData_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LocationRequirementData_serializer_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LocationRequirementData_serializer)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingLocationRestrictionsData(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingLocationRestrictionsData_serializer_get)
    Companion = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingLocationRestrictionsData_Companion_get)
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingLocationRestrictionsData__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingLocationRestrictionsData__type_set)
    UpdateLockSettingLocationRestrictionsData = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingLocationRestrictionsData_UpdateLockSettingLocationRestrictionsData_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingLocationRestrictionsData_UpdateLockSettingLocationRestrictionsData_set)
    get_location = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingLocationRestrictionsData_get_location_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingLocationRestrictionsData_get_location_set)
    get_lockId = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingLocationRestrictionsData_get_lockId_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingLocationRestrictionsData_get_lockId_set)
    component1 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingLocationRestrictionsData_component1_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingLocationRestrictionsData_component1_set)
    component2 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingLocationRestrictionsData_component2_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingLocationRestrictionsData_component2_set)
    copy = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingLocationRestrictionsData_copy_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingLocationRestrictionsData_copy_set)
    equals = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingLocationRestrictionsData_equals_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingLocationRestrictionsData_equals_set)
    hashCode = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingLocationRestrictionsData_hashCode_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingLocationRestrictionsData_hashCode_set)
    toString = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingLocationRestrictionsData_toString_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingLocationRestrictionsData_toString_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingLocationRestrictionsData_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingLocationRestrictionsData())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingLocationRestrictionsData

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingLocationRestrictionsData in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingLocationRestrictionsData_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingLocationRestrictionsData)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingLocationRestrictionsData_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingLocationRestrictionsData_Companion__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingLocationRestrictionsData_Companion__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingLocationRestrictionsData_Companion__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingLocationRestrictionsData_Companion__instance_set)
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingLocationRestrictionsData_Companion_serializer_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingLocationRestrictionsData_Companion_serializer_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingLocationRestrictionsData_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingLocationRestrictionsData_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingLocationRestrictionsData_Companion

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingLocationRestrictionsData_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingLocationRestrictionsData_Companion_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingLocationRestrictionsData_Companion)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingLocationRestrictionsData_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingLocationRestrictionsData_serializer__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingLocationRestrictionsData_serializer__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingLocationRestrictionsData_serializer__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingLocationRestrictionsData_serializer__instance_set)
    get_descriptor = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingLocationRestrictionsData_serializer_get_descriptor_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingLocationRestrictionsData_serializer_get_descriptor_set)
    childSerializers = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingLocationRestrictionsData_serializer_childSerializers_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingLocationRestrictionsData_serializer_childSerializers_set)
    deserialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingLocationRestrictionsData_serializer_deserialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingLocationRestrictionsData_serializer_deserialize_set)
    serialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingLocationRestrictionsData_serializer_serialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingLocationRestrictionsData_serializer_serialize_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingLocationRestrictionsData_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingLocationRestrictionsData_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingLocationRestrictionsData_serializer

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingLocationRestrictionsData_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingLocationRestrictionsData_serializer_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingLocationRestrictionsData_serializer)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_TimeRequirementData(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_TimeRequirementData_serializer_get)
    Companion = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_TimeRequirementData_Companion_get)
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_TimeRequirementData__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_TimeRequirementData__type_set)
    TimeRequirementData = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_TimeRequirementData_TimeRequirementData_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_TimeRequirementData_TimeRequirementData_set)
    get_days = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_TimeRequirementData_get_days_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_TimeRequirementData_get_days_set)
    get_end = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_TimeRequirementData_get_end_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_TimeRequirementData_get_end_set)
    get_start = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_TimeRequirementData_get_start_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_TimeRequirementData_get_start_set)
    get_timezone = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_TimeRequirementData_get_timezone_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_TimeRequirementData_get_timezone_set)
    component1 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_TimeRequirementData_component1_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_TimeRequirementData_component1_set)
    component2 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_TimeRequirementData_component2_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_TimeRequirementData_component2_set)
    component3 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_TimeRequirementData_component3_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_TimeRequirementData_component3_set)
    component4 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_TimeRequirementData_component4_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_TimeRequirementData_component4_set)
    copy = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_TimeRequirementData_copy_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_TimeRequirementData_copy_set)
    equals = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_TimeRequirementData_equals_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_TimeRequirementData_equals_set)
    hashCode = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_TimeRequirementData_hashCode_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_TimeRequirementData_hashCode_set)
    toString = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_TimeRequirementData_toString_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_TimeRequirementData_toString_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_TimeRequirementData_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_TimeRequirementData())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_TimeRequirementData

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_TimeRequirementData in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_TimeRequirementData_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_TimeRequirementData)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_TimeRequirementData_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_TimeRequirementData_Companion__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_TimeRequirementData_Companion__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_TimeRequirementData_Companion__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_TimeRequirementData_Companion__instance_set)
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_TimeRequirementData_Companion_serializer_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_TimeRequirementData_Companion_serializer_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_TimeRequirementData_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_TimeRequirementData_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_TimeRequirementData_Companion

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_TimeRequirementData_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_TimeRequirementData_Companion_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_TimeRequirementData_Companion)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_TimeRequirementData_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_TimeRequirementData_serializer__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_TimeRequirementData_serializer__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_TimeRequirementData_serializer__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_TimeRequirementData_serializer__instance_set)
    get_descriptor = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_TimeRequirementData_serializer_get_descriptor_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_TimeRequirementData_serializer_get_descriptor_set)
    childSerializers = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_TimeRequirementData_serializer_childSerializers_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_TimeRequirementData_serializer_childSerializers_set)
    deserialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_TimeRequirementData_serializer_deserialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_TimeRequirementData_serializer_deserialize_set)
    serialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_TimeRequirementData_serializer_serialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_TimeRequirementData_serializer_serialize_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_TimeRequirementData_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_TimeRequirementData_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_TimeRequirementData_serializer

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_TimeRequirementData_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_TimeRequirementData_serializer_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_TimeRequirementData_serializer)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_SetLockSettingTimeRestrictionsData(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_SetLockSettingTimeRestrictionsData_serializer_get)
    Companion = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_SetLockSettingTimeRestrictionsData_Companion_get)
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_SetLockSettingTimeRestrictionsData__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_SetLockSettingTimeRestrictionsData__type_set)
    SetLockSettingTimeRestrictionsData = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_SetLockSettingTimeRestrictionsData_SetLockSettingTimeRestrictionsData_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_SetLockSettingTimeRestrictionsData_SetLockSettingTimeRestrictionsData_set)
    get_lockId = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_SetLockSettingTimeRestrictionsData_get_lockId_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_SetLockSettingTimeRestrictionsData_get_lockId_set)
    get_times = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_SetLockSettingTimeRestrictionsData_get_times_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_SetLockSettingTimeRestrictionsData_get_times_set)
    component1 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_SetLockSettingTimeRestrictionsData_component1_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_SetLockSettingTimeRestrictionsData_component1_set)
    component2 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_SetLockSettingTimeRestrictionsData_component2_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_SetLockSettingTimeRestrictionsData_component2_set)
    copy = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_SetLockSettingTimeRestrictionsData_copy_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_SetLockSettingTimeRestrictionsData_copy_set)
    equals = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_SetLockSettingTimeRestrictionsData_equals_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_SetLockSettingTimeRestrictionsData_equals_set)
    hashCode = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_SetLockSettingTimeRestrictionsData_hashCode_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_SetLockSettingTimeRestrictionsData_hashCode_set)
    toString = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_SetLockSettingTimeRestrictionsData_toString_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_SetLockSettingTimeRestrictionsData_toString_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_SetLockSettingTimeRestrictionsData_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_SetLockSettingTimeRestrictionsData())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_SetLockSettingTimeRestrictionsData

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_SetLockSettingTimeRestrictionsData in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_SetLockSettingTimeRestrictionsData_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_SetLockSettingTimeRestrictionsData)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_SetLockSettingTimeRestrictionsData_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_SetLockSettingTimeRestrictionsData_Companion__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_SetLockSettingTimeRestrictionsData_Companion__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_SetLockSettingTimeRestrictionsData_Companion__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_SetLockSettingTimeRestrictionsData_Companion__instance_set)
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_SetLockSettingTimeRestrictionsData_Companion_serializer_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_SetLockSettingTimeRestrictionsData_Companion_serializer_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_SetLockSettingTimeRestrictionsData_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_SetLockSettingTimeRestrictionsData_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_SetLockSettingTimeRestrictionsData_Companion

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_SetLockSettingTimeRestrictionsData_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_SetLockSettingTimeRestrictionsData_Companion_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_SetLockSettingTimeRestrictionsData_Companion)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_SetLockSettingTimeRestrictionsData_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_SetLockSettingTimeRestrictionsData_serializer__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_SetLockSettingTimeRestrictionsData_serializer__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_SetLockSettingTimeRestrictionsData_serializer__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_SetLockSettingTimeRestrictionsData_serializer__instance_set)
    get_descriptor = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_SetLockSettingTimeRestrictionsData_serializer_get_descriptor_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_SetLockSettingTimeRestrictionsData_serializer_get_descriptor_set)
    childSerializers = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_SetLockSettingTimeRestrictionsData_serializer_childSerializers_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_SetLockSettingTimeRestrictionsData_serializer_childSerializers_set)
    deserialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_SetLockSettingTimeRestrictionsData_serializer_deserialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_SetLockSettingTimeRestrictionsData_serializer_deserialize_set)
    serialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_SetLockSettingTimeRestrictionsData_serializer_serialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_SetLockSettingTimeRestrictionsData_serializer_serialize_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_SetLockSettingTimeRestrictionsData_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_SetLockSettingTimeRestrictionsData_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_SetLockSettingTimeRestrictionsData_serializer

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_SetLockSettingTimeRestrictionsData_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_SetLockSettingTimeRestrictionsData_serializer_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_SetLockSettingTimeRestrictionsData_serializer)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingHiddenData(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingHiddenData_serializer_get)
    Companion = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingHiddenData_Companion_get)
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingHiddenData__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingHiddenData__type_set)
    UpdateLockSettingHiddenData = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingHiddenData_UpdateLockSettingHiddenData_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingHiddenData_UpdateLockSettingHiddenData_set)
    get_hidden = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingHiddenData_get_hidden_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingHiddenData_get_hidden_set)
    get_lockId = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingHiddenData_get_lockId_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingHiddenData_get_lockId_set)
    component1 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingHiddenData_component1_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingHiddenData_component1_set)
    component2 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingHiddenData_component2_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingHiddenData_component2_set)
    copy = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingHiddenData_copy_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingHiddenData_copy_set)
    equals = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingHiddenData_equals_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingHiddenData_equals_set)
    hashCode = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingHiddenData_hashCode_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingHiddenData_hashCode_set)
    toString = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingHiddenData_toString_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingHiddenData_toString_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingHiddenData_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingHiddenData())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingHiddenData

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingHiddenData in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingHiddenData_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingHiddenData)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingHiddenData_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingHiddenData_Companion__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingHiddenData_Companion__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingHiddenData_Companion__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingHiddenData_Companion__instance_set)
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingHiddenData_Companion_serializer_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingHiddenData_Companion_serializer_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingHiddenData_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingHiddenData_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingHiddenData_Companion

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingHiddenData_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingHiddenData_Companion_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingHiddenData_Companion)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingHiddenData_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingHiddenData_serializer__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingHiddenData_serializer__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingHiddenData_serializer__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingHiddenData_serializer__instance_set)
    get_descriptor = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingHiddenData_serializer_get_descriptor_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingHiddenData_serializer_get_descriptor_set)
    childSerializers = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingHiddenData_serializer_childSerializers_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingHiddenData_serializer_childSerializers_set)
    deserialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingHiddenData_serializer_deserialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingHiddenData_serializer_deserialize_set)
    serialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingHiddenData_serializer_serialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingHiddenData_serializer_serialize_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingHiddenData_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingHiddenData_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingHiddenData_serializer

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingHiddenData_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingHiddenData_serializer_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingHiddenData_serializer)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_SetLockSettingPermittedAddressesData(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_SetLockSettingPermittedAddressesData_serializer_get)
    Companion = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_SetLockSettingPermittedAddressesData_Companion_get)
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_SetLockSettingPermittedAddressesData__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_SetLockSettingPermittedAddressesData__type_set)
    SetLockSettingPermittedAddressesData = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_SetLockSettingPermittedAddressesData_SetLockSettingPermittedAddressesData_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_SetLockSettingPermittedAddressesData_SetLockSettingPermittedAddressesData_set)
    get_lockId = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_SetLockSettingPermittedAddressesData_get_lockId_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_SetLockSettingPermittedAddressesData_get_lockId_set)
    get_permittedAddresses = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_SetLockSettingPermittedAddressesData_get_permittedAddresses_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_SetLockSettingPermittedAddressesData_get_permittedAddresses_set)
    component1 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_SetLockSettingPermittedAddressesData_component1_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_SetLockSettingPermittedAddressesData_component1_set)
    component2 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_SetLockSettingPermittedAddressesData_component2_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_SetLockSettingPermittedAddressesData_component2_set)
    copy = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_SetLockSettingPermittedAddressesData_copy_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_SetLockSettingPermittedAddressesData_copy_set)
    equals = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_SetLockSettingPermittedAddressesData_equals_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_SetLockSettingPermittedAddressesData_equals_set)
    hashCode = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_SetLockSettingPermittedAddressesData_hashCode_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_SetLockSettingPermittedAddressesData_hashCode_set)
    toString = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_SetLockSettingPermittedAddressesData_toString_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_SetLockSettingPermittedAddressesData_toString_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_SetLockSettingPermittedAddressesData_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_SetLockSettingPermittedAddressesData())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_SetLockSettingPermittedAddressesData

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_SetLockSettingPermittedAddressesData in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_SetLockSettingPermittedAddressesData_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_SetLockSettingPermittedAddressesData)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_SetLockSettingPermittedAddressesData_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_SetLockSettingPermittedAddressesData_Companion__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_SetLockSettingPermittedAddressesData_Companion__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_SetLockSettingPermittedAddressesData_Companion__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_SetLockSettingPermittedAddressesData_Companion__instance_set)
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_SetLockSettingPermittedAddressesData_Companion_serializer_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_SetLockSettingPermittedAddressesData_Companion_serializer_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_SetLockSettingPermittedAddressesData_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_SetLockSettingPermittedAddressesData_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_SetLockSettingPermittedAddressesData_Companion

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_SetLockSettingPermittedAddressesData_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_SetLockSettingPermittedAddressesData_Companion_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_SetLockSettingPermittedAddressesData_Companion)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_SetLockSettingPermittedAddressesData_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_SetLockSettingPermittedAddressesData_serializer__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_SetLockSettingPermittedAddressesData_serializer__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_SetLockSettingPermittedAddressesData_serializer__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_SetLockSettingPermittedAddressesData_serializer__instance_set)
    get_descriptor = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_SetLockSettingPermittedAddressesData_serializer_get_descriptor_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_SetLockSettingPermittedAddressesData_serializer_get_descriptor_set)
    childSerializers = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_SetLockSettingPermittedAddressesData_serializer_childSerializers_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_SetLockSettingPermittedAddressesData_serializer_childSerializers_set)
    deserialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_SetLockSettingPermittedAddressesData_serializer_deserialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_SetLockSettingPermittedAddressesData_serializer_deserialize_set)
    serialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_SetLockSettingPermittedAddressesData_serializer_serialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_SetLockSettingPermittedAddressesData_serializer_serialize_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_SetLockSettingPermittedAddressesData_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_SetLockSettingPermittedAddressesData_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_SetLockSettingPermittedAddressesData_serializer

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_SetLockSettingPermittedAddressesData_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_SetLockSettingPermittedAddressesData_serializer_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_SetLockSettingPermittedAddressesData_serializer)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingDefaultNameData(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingDefaultNameData_serializer_get)
    Companion = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingDefaultNameData_Companion_get)
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingDefaultNameData__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingDefaultNameData__type_set)
    UpdateLockSettingDefaultNameData = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingDefaultNameData_UpdateLockSettingDefaultNameData_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingDefaultNameData_UpdateLockSettingDefaultNameData_set)
    get_lockId = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingDefaultNameData_get_lockId_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingDefaultNameData_get_lockId_set)
    get_name = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingDefaultNameData_get_name_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingDefaultNameData_get_name_set)
    component1 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingDefaultNameData_component1_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingDefaultNameData_component1_set)
    component2 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingDefaultNameData_component2_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingDefaultNameData_component2_set)
    copy = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingDefaultNameData_copy_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingDefaultNameData_copy_set)
    equals = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingDefaultNameData_equals_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingDefaultNameData_equals_set)
    hashCode = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingDefaultNameData_hashCode_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingDefaultNameData_hashCode_set)
    toString = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingDefaultNameData_toString_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingDefaultNameData_toString_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingDefaultNameData_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingDefaultNameData())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingDefaultNameData

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingDefaultNameData in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingDefaultNameData_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingDefaultNameData)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingDefaultNameData_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingDefaultNameData_Companion__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingDefaultNameData_Companion__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingDefaultNameData_Companion__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingDefaultNameData_Companion__instance_set)
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingDefaultNameData_Companion_serializer_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingDefaultNameData_Companion_serializer_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingDefaultNameData_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingDefaultNameData_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingDefaultNameData_Companion

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingDefaultNameData_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingDefaultNameData_Companion_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingDefaultNameData_Companion)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingDefaultNameData_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingDefaultNameData_serializer__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingDefaultNameData_serializer__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingDefaultNameData_serializer__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingDefaultNameData_serializer__instance_set)
    get_descriptor = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingDefaultNameData_serializer_get_descriptor_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingDefaultNameData_serializer_get_descriptor_set)
    childSerializers = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingDefaultNameData_serializer_childSerializers_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingDefaultNameData_serializer_childSerializers_set)
    deserialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingDefaultNameData_serializer_deserialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingDefaultNameData_serializer_deserialize_set)
    serialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingDefaultNameData_serializer_serialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingDefaultNameData_serializer_serialize_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingDefaultNameData_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingDefaultNameData_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingDefaultNameData_serializer

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingDefaultNameData_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingDefaultNameData_serializer_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockSettingDefaultNameData_serializer)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockColourData(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockColourData_serializer_get)
    Companion = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockColourData_Companion_get)
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockColourData__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockColourData__type_set)
    UpdateLockColourData = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockColourData_UpdateLockColourData_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockColourData_UpdateLockColourData_set)
    get_colour = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockColourData_get_colour_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockColourData_get_colour_set)
    get_lockId = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockColourData_get_lockId_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockColourData_get_lockId_set)
    component1 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockColourData_component1_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockColourData_component1_set)
    component2 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockColourData_component2_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockColourData_component2_set)
    copy = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockColourData_copy_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockColourData_copy_set)
    equals = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockColourData_equals_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockColourData_equals_set)
    hashCode = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockColourData_hashCode_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockColourData_hashCode_set)
    toString = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockColourData_toString_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockColourData_toString_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockColourData_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockColourData())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockColourData

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockColourData in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockColourData_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockColourData)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockColourData_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockColourData_Companion__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockColourData_Companion__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockColourData_Companion__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockColourData_Companion__instance_set)
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockColourData_Companion_serializer_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockColourData_Companion_serializer_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockColourData_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockColourData_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockColourData_Companion

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockColourData_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockColourData_Companion_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockColourData_Companion)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockColourData_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockColourData_serializer__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockColourData_serializer__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockColourData_serializer__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockColourData_serializer__instance_set)
    get_descriptor = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockColourData_serializer_get_descriptor_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockColourData_serializer_get_descriptor_set)
    childSerializers = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockColourData_serializer_childSerializers_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockColourData_serializer_childSerializers_set)
    deserialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockColourData_serializer_deserialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockColourData_serializer_deserialize_set)
    serialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockColourData_serializer_serialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockColourData_serializer_serialize_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockColourData_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockColourData_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockColourData_serializer

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockColourData_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockColourData_serializer_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockColourData_serializer)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockFavouriteData(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockFavouriteData_serializer_get)
    Companion = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockFavouriteData_Companion_get)
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockFavouriteData__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockFavouriteData__type_set)
    UpdateLockFavouriteData = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockFavouriteData_UpdateLockFavouriteData_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockFavouriteData_UpdateLockFavouriteData_set)
    get_favourite = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockFavouriteData_get_favourite_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockFavouriteData_get_favourite_set)
    get_lockId = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockFavouriteData_get_lockId_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockFavouriteData_get_lockId_set)
    component1 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockFavouriteData_component1_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockFavouriteData_component1_set)
    component2 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockFavouriteData_component2_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockFavouriteData_component2_set)
    copy = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockFavouriteData_copy_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockFavouriteData_copy_set)
    equals = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockFavouriteData_equals_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockFavouriteData_equals_set)
    hashCode = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockFavouriteData_hashCode_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockFavouriteData_hashCode_set)
    toString = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockFavouriteData_toString_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockFavouriteData_toString_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockFavouriteData_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockFavouriteData())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockFavouriteData

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockFavouriteData in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockFavouriteData_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockFavouriteData)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockFavouriteData_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockFavouriteData_Companion__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockFavouriteData_Companion__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockFavouriteData_Companion__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockFavouriteData_Companion__instance_set)
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockFavouriteData_Companion_serializer_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockFavouriteData_Companion_serializer_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockFavouriteData_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockFavouriteData_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockFavouriteData_Companion

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockFavouriteData_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockFavouriteData_Companion_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockFavouriteData_Companion)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockFavouriteData_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockFavouriteData_serializer__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockFavouriteData_serializer__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockFavouriteData_serializer__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockFavouriteData_serializer__instance_set)
    get_descriptor = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockFavouriteData_serializer_get_descriptor_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockFavouriteData_serializer_get_descriptor_set)
    childSerializers = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockFavouriteData_serializer_childSerializers_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockFavouriteData_serializer_childSerializers_set)
    deserialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockFavouriteData_serializer_deserialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockFavouriteData_serializer_deserialize_set)
    serialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockFavouriteData_serializer_serialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockFavouriteData_serializer_serialize_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockFavouriteData_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockFavouriteData_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockFavouriteData_serializer

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockFavouriteData_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockFavouriteData_serializer_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockFavouriteData_serializer)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockNameData(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockNameData_serializer_get)
    Companion = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockNameData_Companion_get)
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockNameData__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockNameData__type_set)
    UpdateLockNameData = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockNameData_UpdateLockNameData_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockNameData_UpdateLockNameData_set)
    get_lockId = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockNameData_get_lockId_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockNameData_get_lockId_set)
    get_name = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockNameData_get_name_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockNameData_get_name_set)
    component1 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockNameData_component1_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockNameData_component1_set)
    component2 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockNameData_component2_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockNameData_component2_set)
    copy = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockNameData_copy_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockNameData_copy_set)
    equals = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockNameData_equals_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockNameData_equals_set)
    hashCode = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockNameData_hashCode_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockNameData_hashCode_set)
    toString = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockNameData_toString_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockNameData_toString_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockNameData_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockNameData())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockNameData

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockNameData in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockNameData_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockNameData)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockNameData_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockNameData_Companion__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockNameData_Companion__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockNameData_Companion__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockNameData_Companion__instance_set)
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockNameData_Companion_serializer_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockNameData_Companion_serializer_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockNameData_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockNameData_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockNameData_Companion

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockNameData_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockNameData_Companion_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockNameData_Companion)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockNameData_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockNameData_serializer__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockNameData_serializer__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockNameData_serializer__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockNameData_serializer__instance_set)
    get_descriptor = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockNameData_serializer_get_descriptor_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockNameData_serializer_get_descriptor_set)
    childSerializers = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockNameData_serializer_childSerializers_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockNameData_serializer_childSerializers_set)
    deserialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockNameData_serializer_deserialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockNameData_serializer_deserialize_set)
    serialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockNameData_serializer_serialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockNameData_serializer_serialize_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockNameData_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockNameData_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockNameData_serializer

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockNameData_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockNameData_serializer_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateLockNameData_serializer)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetLocksForUserData(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetLocksForUserData_serializer_get)
    Companion = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetLocksForUserData_Companion_get)
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetLocksForUserData__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetLocksForUserData__type_set)
    GetLocksForUserData = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetLocksForUserData_GetLocksForUserData_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetLocksForUserData_GetLocksForUserData_set)
    get_userId = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetLocksForUserData_get_userId_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetLocksForUserData_get_userId_set)
    component1 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetLocksForUserData_component1_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetLocksForUserData_component1_set)
    copy = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetLocksForUserData_copy_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetLocksForUserData_copy_set)
    equals = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetLocksForUserData_equals_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetLocksForUserData_equals_set)
    hashCode = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetLocksForUserData_hashCode_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetLocksForUserData_hashCode_set)
    toString = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetLocksForUserData_toString_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetLocksForUserData_toString_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetLocksForUserData_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetLocksForUserData())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetLocksForUserData

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetLocksForUserData in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetLocksForUserData_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetLocksForUserData)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetLocksForUserData_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetLocksForUserData_Companion__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetLocksForUserData_Companion__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetLocksForUserData_Companion__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetLocksForUserData_Companion__instance_set)
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetLocksForUserData_Companion_serializer_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetLocksForUserData_Companion_serializer_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetLocksForUserData_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetLocksForUserData_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetLocksForUserData_Companion

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetLocksForUserData_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetLocksForUserData_Companion_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetLocksForUserData_Companion)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetLocksForUserData_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetLocksForUserData_serializer__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetLocksForUserData_serializer__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetLocksForUserData_serializer__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetLocksForUserData_serializer__instance_set)
    get_descriptor = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetLocksForUserData_serializer_get_descriptor_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetLocksForUserData_serializer_get_descriptor_set)
    childSerializers = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetLocksForUserData_serializer_childSerializers_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetLocksForUserData_serializer_childSerializers_set)
    deserialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetLocksForUserData_serializer_deserialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetLocksForUserData_serializer_deserialize_set)
    serialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetLocksForUserData_serializer_serialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetLocksForUserData_serializer_serialize_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetLocksForUserData_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetLocksForUserData_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetLocksForUserData_serializer

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetLocksForUserData_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetLocksForUserData_serializer_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetLocksForUserData_serializer)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUsersForLockData(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUsersForLockData_serializer_get)
    Companion = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUsersForLockData_Companion_get)
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUsersForLockData__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUsersForLockData__type_set)
    GetUsersForLockData = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUsersForLockData_GetUsersForLockData_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUsersForLockData_GetUsersForLockData_set)
    get_lockId = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUsersForLockData_get_lockId_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUsersForLockData_get_lockId_set)
    component1 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUsersForLockData_component1_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUsersForLockData_component1_set)
    copy = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUsersForLockData_copy_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUsersForLockData_copy_set)
    equals = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUsersForLockData_equals_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUsersForLockData_equals_set)
    hashCode = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUsersForLockData_hashCode_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUsersForLockData_hashCode_set)
    toString = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUsersForLockData_toString_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUsersForLockData_toString_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUsersForLockData_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUsersForLockData())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUsersForLockData

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUsersForLockData in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUsersForLockData_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUsersForLockData)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUsersForLockData_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUsersForLockData_Companion__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUsersForLockData_Companion__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUsersForLockData_Companion__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUsersForLockData_Companion__instance_set)
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUsersForLockData_Companion_serializer_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUsersForLockData_Companion_serializer_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUsersForLockData_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUsersForLockData_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUsersForLockData_Companion

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUsersForLockData_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUsersForLockData_Companion_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUsersForLockData_Companion)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUsersForLockData_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUsersForLockData_serializer__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUsersForLockData_serializer__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUsersForLockData_serializer__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUsersForLockData_serializer__instance_set)
    get_descriptor = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUsersForLockData_serializer_get_descriptor_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUsersForLockData_serializer_get_descriptor_set)
    childSerializers = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUsersForLockData_serializer_childSerializers_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUsersForLockData_serializer_childSerializers_set)
    deserialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUsersForLockData_serializer_deserialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUsersForLockData_serializer_deserialize_set)
    serialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUsersForLockData_serializer_serialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUsersForLockData_serializer_serialize_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUsersForLockData_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUsersForLockData_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUsersForLockData_serializer

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUsersForLockData_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUsersForLockData_serializer_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetUsersForLockData_serializer)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetAuditForUserData(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetAuditForUserData_serializer_get)
    Companion = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetAuditForUserData_Companion_get)
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetAuditForUserData__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetAuditForUserData__type_set)
    GetAuditForUserData = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetAuditForUserData_GetAuditForUserData_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetAuditForUserData_GetAuditForUserData_set)
    get_end = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetAuditForUserData_get_end_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetAuditForUserData_get_end_set)
    get_start = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetAuditForUserData_get_start_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetAuditForUserData_get_start_set)
    get_userId = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetAuditForUserData_get_userId_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetAuditForUserData_get_userId_set)
    component1 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetAuditForUserData_component1_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetAuditForUserData_component1_set)
    component2 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetAuditForUserData_component2_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetAuditForUserData_component2_set)
    component3 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetAuditForUserData_component3_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetAuditForUserData_component3_set)
    copy = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetAuditForUserData_copy_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetAuditForUserData_copy_set)
    equals = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetAuditForUserData_equals_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetAuditForUserData_equals_set)
    hashCode = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetAuditForUserData_hashCode_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetAuditForUserData_hashCode_set)
    toString = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetAuditForUserData_toString_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetAuditForUserData_toString_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetAuditForUserData_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetAuditForUserData())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetAuditForUserData

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetAuditForUserData in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetAuditForUserData_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetAuditForUserData)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetAuditForUserData_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetAuditForUserData_Companion__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetAuditForUserData_Companion__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetAuditForUserData_Companion__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetAuditForUserData_Companion__instance_set)
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetAuditForUserData_Companion_serializer_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetAuditForUserData_Companion_serializer_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetAuditForUserData_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetAuditForUserData_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetAuditForUserData_Companion

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetAuditForUserData_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetAuditForUserData_Companion_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetAuditForUserData_Companion)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetAuditForUserData_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetAuditForUserData_serializer__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetAuditForUserData_serializer__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetAuditForUserData_serializer__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetAuditForUserData_serializer__instance_set)
    get_descriptor = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetAuditForUserData_serializer_get_descriptor_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetAuditForUserData_serializer_get_descriptor_set)
    childSerializers = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetAuditForUserData_serializer_childSerializers_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetAuditForUserData_serializer_childSerializers_set)
    deserialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetAuditForUserData_serializer_deserialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetAuditForUserData_serializer_deserialize_set)
    serialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetAuditForUserData_serializer_serialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetAuditForUserData_serializer_serialize_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetAuditForUserData_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetAuditForUserData_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetAuditForUserData_serializer

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetAuditForUserData_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetAuditForUserData_serializer_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetAuditForUserData_serializer)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetLockAuditTrailData(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetLockAuditTrailData_serializer_get)
    Companion = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetLockAuditTrailData_Companion_get)
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetLockAuditTrailData__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetLockAuditTrailData__type_set)
    GetLockAuditTrailData = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetLockAuditTrailData_GetLockAuditTrailData_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetLockAuditTrailData_GetLockAuditTrailData_set)
    get_end = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetLockAuditTrailData_get_end_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetLockAuditTrailData_get_end_set)
    get_lockId = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetLockAuditTrailData_get_lockId_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetLockAuditTrailData_get_lockId_set)
    get_start = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetLockAuditTrailData_get_start_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetLockAuditTrailData_get_start_set)
    component1 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetLockAuditTrailData_component1_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetLockAuditTrailData_component1_set)
    component2 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetLockAuditTrailData_component2_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetLockAuditTrailData_component2_set)
    component3 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetLockAuditTrailData_component3_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetLockAuditTrailData_component3_set)
    copy = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetLockAuditTrailData_copy_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetLockAuditTrailData_copy_set)
    equals = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetLockAuditTrailData_equals_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetLockAuditTrailData_equals_set)
    hashCode = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetLockAuditTrailData_hashCode_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetLockAuditTrailData_hashCode_set)
    toString = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetLockAuditTrailData_toString_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetLockAuditTrailData_toString_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetLockAuditTrailData_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetLockAuditTrailData())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetLockAuditTrailData

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetLockAuditTrailData in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetLockAuditTrailData_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetLockAuditTrailData)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetLockAuditTrailData_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetLockAuditTrailData_Companion__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetLockAuditTrailData_Companion__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetLockAuditTrailData_Companion__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetLockAuditTrailData_Companion__instance_set)
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetLockAuditTrailData_Companion_serializer_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetLockAuditTrailData_Companion_serializer_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetLockAuditTrailData_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetLockAuditTrailData_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetLockAuditTrailData_Companion

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetLockAuditTrailData_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetLockAuditTrailData_Companion_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetLockAuditTrailData_Companion)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetLockAuditTrailData_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetLockAuditTrailData_serializer__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetLockAuditTrailData_serializer__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetLockAuditTrailData_serializer__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetLockAuditTrailData_serializer__instance_set)
    get_descriptor = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetLockAuditTrailData_serializer_get_descriptor_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetLockAuditTrailData_serializer_get_descriptor_set)
    childSerializers = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetLockAuditTrailData_serializer_childSerializers_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetLockAuditTrailData_serializer_childSerializers_set)
    deserialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetLockAuditTrailData_serializer_deserialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetLockAuditTrailData_serializer_deserialize_set)
    serialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetLockAuditTrailData_serializer_serialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetLockAuditTrailData_serializer_serialize_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetLockAuditTrailData_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetLockAuditTrailData_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetLockAuditTrailData_serializer

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetLockAuditTrailData_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetLockAuditTrailData_serializer_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetLockAuditTrailData_serializer)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetSingleLockData(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetSingleLockData_serializer_get)
    Companion = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetSingleLockData_Companion_get)
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetSingleLockData__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetSingleLockData__type_set)
    GetSingleLockData = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetSingleLockData_GetSingleLockData_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetSingleLockData_GetSingleLockData_set)
    get_lockId = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetSingleLockData_get_lockId_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetSingleLockData_get_lockId_set)
    component1 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetSingleLockData_component1_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetSingleLockData_component1_set)
    copy = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetSingleLockData_copy_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetSingleLockData_copy_set)
    equals = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetSingleLockData_equals_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetSingleLockData_equals_set)
    hashCode = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetSingleLockData_hashCode_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetSingleLockData_hashCode_set)
    toString = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetSingleLockData_toString_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetSingleLockData_toString_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetSingleLockData_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetSingleLockData())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetSingleLockData

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetSingleLockData in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetSingleLockData_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetSingleLockData)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetSingleLockData_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetSingleLockData_Companion__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetSingleLockData_Companion__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetSingleLockData_Companion__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetSingleLockData_Companion__instance_set)
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetSingleLockData_Companion_serializer_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetSingleLockData_Companion_serializer_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetSingleLockData_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetSingleLockData_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetSingleLockData_Companion

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetSingleLockData_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetSingleLockData_Companion_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetSingleLockData_Companion)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetSingleLockData_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetSingleLockData_serializer__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetSingleLockData_serializer__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetSingleLockData_serializer__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetSingleLockData_serializer__instance_set)
    get_descriptor = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetSingleLockData_serializer_get_descriptor_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetSingleLockData_serializer_get_descriptor_set)
    childSerializers = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetSingleLockData_serializer_childSerializers_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetSingleLockData_serializer_childSerializers_set)
    deserialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetSingleLockData_serializer_deserialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetSingleLockData_serializer_deserialize_set)
    serialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetSingleLockData_serializer_serialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetSingleLockData_serializer_serialize_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetSingleLockData_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetSingleLockData_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetSingleLockData_serializer

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetSingleLockData_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetSingleLockData_serializer_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetSingleLockData_serializer)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssistedRegisterData(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssistedRegisterData_serializer_get)
    Companion = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssistedRegisterData_Companion_get)
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssistedRegisterData__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssistedRegisterData__type_set)
    AssistedRegisterData = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssistedRegisterData_AssistedRegisterData_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssistedRegisterData_AssistedRegisterData_set)
    get_displayName = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssistedRegisterData_get_displayName_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssistedRegisterData_get_displayName_set)
    get_email = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssistedRegisterData_get_email_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssistedRegisterData_get_email_set)
    get_force = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssistedRegisterData_get_force_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssistedRegisterData_get_force_set)
    get_password = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssistedRegisterData_get_password_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssistedRegisterData_get_password_set)
    component1 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssistedRegisterData_component1_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssistedRegisterData_component1_set)
    component2 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssistedRegisterData_component2_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssistedRegisterData_component2_set)
    component3 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssistedRegisterData_component3_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssistedRegisterData_component3_set)
    component4 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssistedRegisterData_component4_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssistedRegisterData_component4_set)
    copy = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssistedRegisterData_copy_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssistedRegisterData_copy_set)
    equals = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssistedRegisterData_equals_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssistedRegisterData_equals_set)
    hashCode = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssistedRegisterData_hashCode_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssistedRegisterData_hashCode_set)
    toString = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssistedRegisterData_toString_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssistedRegisterData_toString_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssistedRegisterData_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssistedRegisterData())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssistedRegisterData

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssistedRegisterData in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssistedRegisterData_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssistedRegisterData)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssistedRegisterData_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssistedRegisterData_Companion__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssistedRegisterData_Companion__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssistedRegisterData_Companion__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssistedRegisterData_Companion__instance_set)
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssistedRegisterData_Companion_serializer_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssistedRegisterData_Companion_serializer_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssistedRegisterData_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssistedRegisterData_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssistedRegisterData_Companion

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssistedRegisterData_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssistedRegisterData_Companion_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssistedRegisterData_Companion)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssistedRegisterData_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssistedRegisterData_serializer__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssistedRegisterData_serializer__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssistedRegisterData_serializer__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssistedRegisterData_serializer__instance_set)
    get_descriptor = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssistedRegisterData_serializer_get_descriptor_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssistedRegisterData_serializer_get_descriptor_set)
    childSerializers = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssistedRegisterData_serializer_childSerializers_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssistedRegisterData_serializer_childSerializers_set)
    deserialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssistedRegisterData_serializer_deserialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssistedRegisterData_serializer_deserialize_set)
    serialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssistedRegisterData_serializer_serialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssistedRegisterData_serializer_serialize_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssistedRegisterData_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssistedRegisterData_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssistedRegisterData_serializer

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssistedRegisterData_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssistedRegisterData_serializer_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssistedRegisterData_serializer)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssistedRegisterEphemeralKeyData(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssistedRegisterEphemeralKeyData_serializer_get)
    Companion = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssistedRegisterEphemeralKeyData_Companion_get)
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssistedRegisterEphemeralKeyData__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssistedRegisterEphemeralKeyData__type_set)
    AssistedRegisterEphemeralKeyData = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssistedRegisterEphemeralKeyData_AssistedRegisterEphemeralKeyData_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssistedRegisterEphemeralKeyData_AssistedRegisterEphemeralKeyData_set)
    get_publicKey = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssistedRegisterEphemeralKeyData_get_publicKey_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssistedRegisterEphemeralKeyData_get_publicKey_set)
    component1 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssistedRegisterEphemeralKeyData_component1_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssistedRegisterEphemeralKeyData_component1_set)
    copy = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssistedRegisterEphemeralKeyData_copy_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssistedRegisterEphemeralKeyData_copy_set)
    equals = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssistedRegisterEphemeralKeyData_equals_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssistedRegisterEphemeralKeyData_equals_set)
    hashCode = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssistedRegisterEphemeralKeyData_hashCode_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssistedRegisterEphemeralKeyData_hashCode_set)
    toString = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssistedRegisterEphemeralKeyData_toString_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssistedRegisterEphemeralKeyData_toString_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssistedRegisterEphemeralKeyData_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssistedRegisterEphemeralKeyData())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssistedRegisterEphemeralKeyData

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssistedRegisterEphemeralKeyData in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssistedRegisterEphemeralKeyData_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssistedRegisterEphemeralKeyData)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssistedRegisterEphemeralKeyData_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssistedRegisterEphemeralKeyData_Companion__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssistedRegisterEphemeralKeyData_Companion__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssistedRegisterEphemeralKeyData_Companion__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssistedRegisterEphemeralKeyData_Companion__instance_set)
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssistedRegisterEphemeralKeyData_Companion_serializer_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssistedRegisterEphemeralKeyData_Companion_serializer_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssistedRegisterEphemeralKeyData_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssistedRegisterEphemeralKeyData_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssistedRegisterEphemeralKeyData_Companion

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssistedRegisterEphemeralKeyData_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssistedRegisterEphemeralKeyData_Companion_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssistedRegisterEphemeralKeyData_Companion)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssistedRegisterEphemeralKeyData_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssistedRegisterEphemeralKeyData_serializer__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssistedRegisterEphemeralKeyData_serializer__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssistedRegisterEphemeralKeyData_serializer__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssistedRegisterEphemeralKeyData_serializer__instance_set)
    get_descriptor = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssistedRegisterEphemeralKeyData_serializer_get_descriptor_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssistedRegisterEphemeralKeyData_serializer_get_descriptor_set)
    childSerializers = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssistedRegisterEphemeralKeyData_serializer_childSerializers_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssistedRegisterEphemeralKeyData_serializer_childSerializers_set)
    deserialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssistedRegisterEphemeralKeyData_serializer_deserialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssistedRegisterEphemeralKeyData_serializer_deserialize_set)
    serialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssistedRegisterEphemeralKeyData_serializer_serialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssistedRegisterEphemeralKeyData_serializer_serialize_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssistedRegisterEphemeralKeyData_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssistedRegisterEphemeralKeyData_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssistedRegisterEphemeralKeyData_serializer

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssistedRegisterEphemeralKeyData_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssistedRegisterEphemeralKeyData_serializer_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssistedRegisterEphemeralKeyData_serializer)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssistedLoginData(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssistedLoginData_serializer_get)
    Companion = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssistedLoginData_Companion_get)
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssistedLoginData__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssistedLoginData__type_set)
    AssistedLoginData = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssistedLoginData_AssistedLoginData_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssistedLoginData_AssistedLoginData_set)
    get_email = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssistedLoginData_get_email_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssistedLoginData_get_email_set)
    get_password = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssistedLoginData_get_password_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssistedLoginData_get_password_set)
    component1 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssistedLoginData_component1_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssistedLoginData_component1_set)
    component2 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssistedLoginData_component2_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssistedLoginData_component2_set)
    copy = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssistedLoginData_copy_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssistedLoginData_copy_set)
    equals = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssistedLoginData_equals_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssistedLoginData_equals_set)
    hashCode = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssistedLoginData_hashCode_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssistedLoginData_hashCode_set)
    toString = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssistedLoginData_toString_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssistedLoginData_toString_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssistedLoginData_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssistedLoginData())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssistedLoginData

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssistedLoginData in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssistedLoginData_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssistedLoginData)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssistedLoginData_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssistedLoginData_Companion__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssistedLoginData_Companion__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssistedLoginData_Companion__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssistedLoginData_Companion__instance_set)
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssistedLoginData_Companion_serializer_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssistedLoginData_Companion_serializer_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssistedLoginData_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssistedLoginData_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssistedLoginData_Companion

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssistedLoginData_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssistedLoginData_Companion_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssistedLoginData_Companion)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssistedLoginData_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssistedLoginData_serializer__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssistedLoginData_serializer__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssistedLoginData_serializer__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssistedLoginData_serializer__instance_set)
    get_descriptor = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssistedLoginData_serializer_get_descriptor_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssistedLoginData_serializer_get_descriptor_set)
    childSerializers = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssistedLoginData_serializer_childSerializers_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssistedLoginData_serializer_childSerializers_set)
    deserialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssistedLoginData_serializer_deserialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssistedLoginData_serializer_deserialize_set)
    serialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssistedLoginData_serializer_serialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssistedLoginData_serializer_serialize_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssistedLoginData_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssistedLoginData_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssistedLoginData_serializer

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssistedLoginData_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssistedLoginData_serializer_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_AssistedLoginData_serializer)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UploadPlatformLogoData(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UploadPlatformLogoData_serializer_get)
    Companion = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UploadPlatformLogoData_Companion_get)
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UploadPlatformLogoData__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UploadPlatformLogoData__type_set)
    UploadPlatformLogoData = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UploadPlatformLogoData_UploadPlatformLogoData_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UploadPlatformLogoData_UploadPlatformLogoData_set)
    get_applicationId = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UploadPlatformLogoData_get_applicationId_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UploadPlatformLogoData_get_applicationId_set)
    get_contentType = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UploadPlatformLogoData_get_contentType_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UploadPlatformLogoData_get_contentType_set)
    get_image = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UploadPlatformLogoData_get_image_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UploadPlatformLogoData_get_image_set)
    component1 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UploadPlatformLogoData_component1_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UploadPlatformLogoData_component1_set)
    component2 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UploadPlatformLogoData_component2_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UploadPlatformLogoData_component2_set)
    component3 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UploadPlatformLogoData_component3_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UploadPlatformLogoData_component3_set)
    copy = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UploadPlatformLogoData_copy_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UploadPlatformLogoData_copy_set)
    equals = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UploadPlatformLogoData_equals_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UploadPlatformLogoData_equals_set)
    hashCode = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UploadPlatformLogoData_hashCode_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UploadPlatformLogoData_hashCode_set)
    toString = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UploadPlatformLogoData_toString_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UploadPlatformLogoData_toString_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UploadPlatformLogoData_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UploadPlatformLogoData())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UploadPlatformLogoData

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UploadPlatformLogoData in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UploadPlatformLogoData_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UploadPlatformLogoData)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UploadPlatformLogoData_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UploadPlatformLogoData_Companion__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UploadPlatformLogoData_Companion__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UploadPlatformLogoData_Companion__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UploadPlatformLogoData_Companion__instance_set)
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UploadPlatformLogoData_Companion_serializer_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UploadPlatformLogoData_Companion_serializer_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UploadPlatformLogoData_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UploadPlatformLogoData_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UploadPlatformLogoData_Companion

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UploadPlatformLogoData_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UploadPlatformLogoData_Companion_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UploadPlatformLogoData_Companion)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UploadPlatformLogoData_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UploadPlatformLogoData_serializer__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UploadPlatformLogoData_serializer__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UploadPlatformLogoData_serializer__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UploadPlatformLogoData_serializer__instance_set)
    get_descriptor = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UploadPlatformLogoData_serializer_get_descriptor_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UploadPlatformLogoData_serializer_get_descriptor_set)
    childSerializers = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UploadPlatformLogoData_serializer_childSerializers_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UploadPlatformLogoData_serializer_childSerializers_set)
    deserialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UploadPlatformLogoData_serializer_deserialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UploadPlatformLogoData_serializer_deserialize_set)
    serialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UploadPlatformLogoData_serializer_serialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UploadPlatformLogoData_serializer_serialize_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UploadPlatformLogoData_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UploadPlatformLogoData_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UploadPlatformLogoData_serializer

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UploadPlatformLogoData_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UploadPlatformLogoData_serializer_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UploadPlatformLogoData_serializer)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_DeviceIdData(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_DeviceIdData_serializer_get)
    Companion = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_DeviceIdData_Companion_get)
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_DeviceIdData__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_DeviceIdData__type_set)
    DeviceIdData = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_DeviceIdData_DeviceIdData_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_DeviceIdData_DeviceIdData_set)
    get_deviceId = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_DeviceIdData_get_deviceId_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_DeviceIdData_get_deviceId_set)
    component1 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_DeviceIdData_component1_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_DeviceIdData_component1_set)
    copy = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_DeviceIdData_copy_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_DeviceIdData_copy_set)
    equals = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_DeviceIdData_equals_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_DeviceIdData_equals_set)
    hashCode = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_DeviceIdData_hashCode_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_DeviceIdData_hashCode_set)
    toString = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_DeviceIdData_toString_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_DeviceIdData_toString_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_DeviceIdData_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_DeviceIdData())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_DeviceIdData

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_DeviceIdData in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_DeviceIdData_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_DeviceIdData)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_DeviceIdData_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_DeviceIdData_Companion__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_DeviceIdData_Companion__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_DeviceIdData_Companion__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_DeviceIdData_Companion__instance_set)
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_DeviceIdData_Companion_serializer_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_DeviceIdData_Companion_serializer_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_DeviceIdData_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_DeviceIdData_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_DeviceIdData_Companion

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_DeviceIdData_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_DeviceIdData_Companion_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_DeviceIdData_Companion)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_DeviceIdData_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_DeviceIdData_serializer__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_DeviceIdData_serializer__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_DeviceIdData_serializer__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_DeviceIdData_serializer__instance_set)
    get_descriptor = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_DeviceIdData_serializer_get_descriptor_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_DeviceIdData_serializer_get_descriptor_set)
    childSerializers = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_DeviceIdData_serializer_childSerializers_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_DeviceIdData_serializer_childSerializers_set)
    deserialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_DeviceIdData_serializer_deserialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_DeviceIdData_serializer_deserialize_set)
    serialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_DeviceIdData_serializer_serialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_DeviceIdData_serializer_serialize_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_DeviceIdData_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_DeviceIdData_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_DeviceIdData_serializer

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_DeviceIdData_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_DeviceIdData_serializer_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_DeviceIdData_serializer)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EnableDoorData(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EnableDoorData_serializer_get)
    Companion = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EnableDoorData_Companion_get)
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EnableDoorData__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EnableDoorData__type_set)
    EnableDoorData = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EnableDoorData_EnableDoorData_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EnableDoorData_EnableDoorData_set)
    get_controller = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EnableDoorData_get_controller_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EnableDoorData_get_controller_set)
    get_name = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EnableDoorData_get_name_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EnableDoorData_get_name_set)
    get_siteId = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EnableDoorData_get_siteId_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EnableDoorData_get_siteId_set)
    component1 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EnableDoorData_component1_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EnableDoorData_component1_set)
    component2 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EnableDoorData_component2_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EnableDoorData_component2_set)
    component3 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EnableDoorData_component3_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EnableDoorData_component3_set)
    copy = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EnableDoorData_copy_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EnableDoorData_copy_set)
    equals = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EnableDoorData_equals_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EnableDoorData_equals_set)
    hashCode = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EnableDoorData_hashCode_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EnableDoorData_hashCode_set)
    toString = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EnableDoorData_toString_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EnableDoorData_toString_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EnableDoorData_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EnableDoorData())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EnableDoorData

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EnableDoorData in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EnableDoorData_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EnableDoorData)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EnableDoorData_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EnableDoorData_Companion__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EnableDoorData_Companion__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EnableDoorData_Companion__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EnableDoorData_Companion__instance_set)
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EnableDoorData_Companion_serializer_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EnableDoorData_Companion_serializer_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EnableDoorData_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EnableDoorData_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EnableDoorData_Companion

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EnableDoorData_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EnableDoorData_Companion_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EnableDoorData_Companion)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EnableDoorData_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EnableDoorData_serializer__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EnableDoorData_serializer__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EnableDoorData_serializer__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EnableDoorData_serializer__instance_set)
    get_descriptor = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EnableDoorData_serializer_get_descriptor_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EnableDoorData_serializer_get_descriptor_set)
    childSerializers = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EnableDoorData_serializer_childSerializers_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EnableDoorData_serializer_childSerializers_set)
    deserialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EnableDoorData_serializer_deserialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EnableDoorData_serializer_deserialize_set)
    serialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EnableDoorData_serializer_serialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EnableDoorData_serializer_serialize_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EnableDoorData_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EnableDoorData_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EnableDoorData_serializer

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EnableDoorData_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EnableDoorData_serializer_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_EnableDoorData_serializer)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetIntegrationConfigurationData(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetIntegrationConfigurationData_serializer_get)
    Companion = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetIntegrationConfigurationData_Companion_get)
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetIntegrationConfigurationData__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetIntegrationConfigurationData__type_set)
    GetIntegrationConfigurationData = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetIntegrationConfigurationData_GetIntegrationConfigurationData_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetIntegrationConfigurationData_GetIntegrationConfigurationData_set)
    get_type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetIntegrationConfigurationData_get_type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetIntegrationConfigurationData_get_type_set)
    component1 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetIntegrationConfigurationData_component1_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetIntegrationConfigurationData_component1_set)
    copy = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetIntegrationConfigurationData_copy_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetIntegrationConfigurationData_copy_set)
    equals = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetIntegrationConfigurationData_equals_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetIntegrationConfigurationData_equals_set)
    hashCode = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetIntegrationConfigurationData_hashCode_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetIntegrationConfigurationData_hashCode_set)
    toString = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetIntegrationConfigurationData_toString_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetIntegrationConfigurationData_toString_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetIntegrationConfigurationData_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetIntegrationConfigurationData())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetIntegrationConfigurationData

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetIntegrationConfigurationData in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetIntegrationConfigurationData_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetIntegrationConfigurationData)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetIntegrationConfigurationData_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetIntegrationConfigurationData_Companion__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetIntegrationConfigurationData_Companion__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetIntegrationConfigurationData_Companion__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetIntegrationConfigurationData_Companion__instance_set)
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetIntegrationConfigurationData_Companion_serializer_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetIntegrationConfigurationData_Companion_serializer_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetIntegrationConfigurationData_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetIntegrationConfigurationData_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetIntegrationConfigurationData_Companion

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetIntegrationConfigurationData_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetIntegrationConfigurationData_Companion_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetIntegrationConfigurationData_Companion)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetIntegrationConfigurationData_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetIntegrationConfigurationData_serializer__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetIntegrationConfigurationData_serializer__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetIntegrationConfigurationData_serializer__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetIntegrationConfigurationData_serializer__instance_set)
    get_descriptor = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetIntegrationConfigurationData_serializer_get_descriptor_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetIntegrationConfigurationData_serializer_get_descriptor_set)
    childSerializers = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetIntegrationConfigurationData_serializer_childSerializers_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetIntegrationConfigurationData_serializer_childSerializers_set)
    deserialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetIntegrationConfigurationData_serializer_deserialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetIntegrationConfigurationData_serializer_deserialize_set)
    serialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetIntegrationConfigurationData_serializer_serialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetIntegrationConfigurationData_serializer_serialize_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetIntegrationConfigurationData_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetIntegrationConfigurationData_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetIntegrationConfigurationData_serializer

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetIntegrationConfigurationData_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetIntegrationConfigurationData_serializer_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_GetIntegrationConfigurationData_serializer)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_FusionLoginData(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_FusionLoginData_serializer_get)
    Companion = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_FusionLoginData_Companion_get)
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_FusionLoginData__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_FusionLoginData__type_set)
    FusionLoginData = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_FusionLoginData_FusionLoginData_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_FusionLoginData_FusionLoginData_set)
    get_email = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_FusionLoginData_get_email_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_FusionLoginData_get_email_set)
    get_password = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_FusionLoginData_get_password_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_FusionLoginData_get_password_set)
    component1 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_FusionLoginData_component1_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_FusionLoginData_component1_set)
    component2 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_FusionLoginData_component2_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_FusionLoginData_component2_set)
    copy = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_FusionLoginData_copy_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_FusionLoginData_copy_set)
    equals = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_FusionLoginData_equals_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_FusionLoginData_equals_set)
    hashCode = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_FusionLoginData_hashCode_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_FusionLoginData_hashCode_set)
    toString = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_FusionLoginData_toString_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_FusionLoginData_toString_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_FusionLoginData_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_FusionLoginData())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_FusionLoginData

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_FusionLoginData in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_FusionLoginData_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_FusionLoginData)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_FusionLoginData_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_FusionLoginData_Companion__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_FusionLoginData_Companion__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_FusionLoginData_Companion__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_FusionLoginData_Companion__instance_set)
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_FusionLoginData_Companion_serializer_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_FusionLoginData_Companion_serializer_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_FusionLoginData_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_FusionLoginData_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_FusionLoginData_Companion

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_FusionLoginData_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_FusionLoginData_Companion_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_FusionLoginData_Companion)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_FusionLoginData_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_FusionLoginData_serializer__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_FusionLoginData_serializer__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_FusionLoginData_serializer__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_FusionLoginData_serializer__instance_set)
    get_descriptor = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_FusionLoginData_serializer_get_descriptor_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_FusionLoginData_serializer_get_descriptor_set)
    childSerializers = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_FusionLoginData_serializer_childSerializers_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_FusionLoginData_serializer_childSerializers_set)
    deserialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_FusionLoginData_serializer_deserialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_FusionLoginData_serializer_deserialize_set)
    serialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_FusionLoginData_serializer_serialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_FusionLoginData_serializer_serialize_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_FusionLoginData_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_FusionLoginData_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_FusionLoginData_serializer

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_FusionLoginData_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_FusionLoginData_serializer_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_FusionLoginData_serializer)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_PasswordResetVerifyData(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_PasswordResetVerifyData_serializer_get)
    Companion = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_PasswordResetVerifyData_Companion_get)
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_PasswordResetVerifyData__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_PasswordResetVerifyData__type_set)
    PasswordResetVerifyData = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_PasswordResetVerifyData_PasswordResetVerifyData_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_PasswordResetVerifyData_PasswordResetVerifyData_set)
    get_password = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_PasswordResetVerifyData_get_password_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_PasswordResetVerifyData_get_password_set)
    get_token = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_PasswordResetVerifyData_get_token_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_PasswordResetVerifyData_get_token_set)
    get_userId = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_PasswordResetVerifyData_get_userId_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_PasswordResetVerifyData_get_userId_set)
    component1 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_PasswordResetVerifyData_component1_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_PasswordResetVerifyData_component1_set)
    component2 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_PasswordResetVerifyData_component2_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_PasswordResetVerifyData_component2_set)
    component3 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_PasswordResetVerifyData_component3_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_PasswordResetVerifyData_component3_set)
    copy = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_PasswordResetVerifyData_copy_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_PasswordResetVerifyData_copy_set)
    equals = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_PasswordResetVerifyData_equals_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_PasswordResetVerifyData_equals_set)
    hashCode = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_PasswordResetVerifyData_hashCode_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_PasswordResetVerifyData_hashCode_set)
    toString = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_PasswordResetVerifyData_toString_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_PasswordResetVerifyData_toString_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_PasswordResetVerifyData_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_PasswordResetVerifyData())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_PasswordResetVerifyData

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_PasswordResetVerifyData in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_PasswordResetVerifyData_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_PasswordResetVerifyData)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_PasswordResetVerifyData_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_PasswordResetVerifyData_Companion__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_PasswordResetVerifyData_Companion__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_PasswordResetVerifyData_Companion__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_PasswordResetVerifyData_Companion__instance_set)
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_PasswordResetVerifyData_Companion_serializer_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_PasswordResetVerifyData_Companion_serializer_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_PasswordResetVerifyData_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_PasswordResetVerifyData_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_PasswordResetVerifyData_Companion

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_PasswordResetVerifyData_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_PasswordResetVerifyData_Companion_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_PasswordResetVerifyData_Companion)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_PasswordResetVerifyData_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_PasswordResetVerifyData_serializer__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_PasswordResetVerifyData_serializer__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_PasswordResetVerifyData_serializer__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_PasswordResetVerifyData_serializer__instance_set)
    get_descriptor = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_PasswordResetVerifyData_serializer_get_descriptor_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_PasswordResetVerifyData_serializer_get_descriptor_set)
    childSerializers = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_PasswordResetVerifyData_serializer_childSerializers_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_PasswordResetVerifyData_serializer_childSerializers_set)
    deserialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_PasswordResetVerifyData_serializer_deserialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_PasswordResetVerifyData_serializer_deserialize_set)
    serialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_PasswordResetVerifyData_serializer_serialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_PasswordResetVerifyData_serializer_serialize_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_PasswordResetVerifyData_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_PasswordResetVerifyData_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_PasswordResetVerifyData_serializer

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_PasswordResetVerifyData_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_PasswordResetVerifyData_serializer_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_PasswordResetVerifyData_serializer)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_PasswordResetData(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_PasswordResetData_serializer_get)
    Companion = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_PasswordResetData_Companion_get)
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_PasswordResetData__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_PasswordResetData__type_set)
    PasswordResetData = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_PasswordResetData_PasswordResetData_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_PasswordResetData_PasswordResetData_set)
    get_email = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_PasswordResetData_get_email_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_PasswordResetData_get_email_set)
    component1 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_PasswordResetData_component1_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_PasswordResetData_component1_set)
    copy = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_PasswordResetData_copy_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_PasswordResetData_copy_set)
    equals = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_PasswordResetData_equals_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_PasswordResetData_equals_set)
    hashCode = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_PasswordResetData_hashCode_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_PasswordResetData_hashCode_set)
    toString = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_PasswordResetData_toString_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_PasswordResetData_toString_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_PasswordResetData_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_PasswordResetData())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_PasswordResetData

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_PasswordResetData in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_PasswordResetData_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_PasswordResetData)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_PasswordResetData_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_PasswordResetData_Companion__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_PasswordResetData_Companion__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_PasswordResetData_Companion__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_PasswordResetData_Companion__instance_set)
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_PasswordResetData_Companion_serializer_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_PasswordResetData_Companion_serializer_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_PasswordResetData_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_PasswordResetData_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_PasswordResetData_Companion

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_PasswordResetData_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_PasswordResetData_Companion_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_PasswordResetData_Companion)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_PasswordResetData_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_PasswordResetData_serializer__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_PasswordResetData_serializer__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_PasswordResetData_serializer__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_PasswordResetData_serializer__instance_set)
    get_descriptor = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_PasswordResetData_serializer_get_descriptor_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_PasswordResetData_serializer_get_descriptor_set)
    childSerializers = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_PasswordResetData_serializer_childSerializers_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_PasswordResetData_serializer_childSerializers_set)
    deserialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_PasswordResetData_serializer_deserialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_PasswordResetData_serializer_deserialize_set)
    serialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_PasswordResetData_serializer_serialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_PasswordResetData_serializer_serialize_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_PasswordResetData_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_PasswordResetData_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_PasswordResetData_serializer

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_PasswordResetData_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_PasswordResetData_serializer_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_PasswordResetData_serializer)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_VerifyEmailData(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_VerifyEmailData_serializer_get)
    Companion = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_VerifyEmailData_Companion_get)
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_VerifyEmailData__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_VerifyEmailData__type_set)
    VerifyEmailData = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_VerifyEmailData_VerifyEmailData_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_VerifyEmailData_VerifyEmailData_set)
    get_code = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_VerifyEmailData_get_code_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_VerifyEmailData_get_code_set)
    component1 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_VerifyEmailData_component1_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_VerifyEmailData_component1_set)
    copy = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_VerifyEmailData_copy_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_VerifyEmailData_copy_set)
    equals = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_VerifyEmailData_equals_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_VerifyEmailData_equals_set)
    hashCode = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_VerifyEmailData_hashCode_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_VerifyEmailData_hashCode_set)
    toString = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_VerifyEmailData_toString_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_VerifyEmailData_toString_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_VerifyEmailData_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_VerifyEmailData())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_VerifyEmailData

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_VerifyEmailData in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_VerifyEmailData_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_VerifyEmailData)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_VerifyEmailData_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_VerifyEmailData_Companion__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_VerifyEmailData_Companion__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_VerifyEmailData_Companion__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_VerifyEmailData_Companion__instance_set)
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_VerifyEmailData_Companion_serializer_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_VerifyEmailData_Companion_serializer_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_VerifyEmailData_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_VerifyEmailData_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_VerifyEmailData_Companion

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_VerifyEmailData_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_VerifyEmailData_Companion_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_VerifyEmailData_Companion)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_VerifyEmailData_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_VerifyEmailData_serializer__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_VerifyEmailData_serializer__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_VerifyEmailData_serializer__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_VerifyEmailData_serializer__instance_set)
    get_descriptor = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_VerifyEmailData_serializer_get_descriptor_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_VerifyEmailData_serializer_get_descriptor_set)
    childSerializers = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_VerifyEmailData_serializer_childSerializers_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_VerifyEmailData_serializer_childSerializers_set)
    deserialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_VerifyEmailData_serializer_deserialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_VerifyEmailData_serializer_deserialize_set)
    serialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_VerifyEmailData_serializer_serialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_VerifyEmailData_serializer_serialize_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_VerifyEmailData_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_VerifyEmailData_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_VerifyEmailData_serializer

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_VerifyEmailData_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_VerifyEmailData_serializer_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_VerifyEmailData_serializer)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RegistrationData(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RegistrationData_serializer_get)
    Companion = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RegistrationData_Companion_get)
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RegistrationData__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RegistrationData__type_set)
    RegistrationData = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RegistrationData_RegistrationData_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RegistrationData_RegistrationData_set)
    get_displayName = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RegistrationData_get_displayName_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RegistrationData_get_displayName_set)
    get_email = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RegistrationData_get_email_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RegistrationData_get_email_set)
    get_force = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RegistrationData_get_force_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RegistrationData_get_force_set)
    get_password = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RegistrationData_get_password_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RegistrationData_get_password_set)
    get_publicKey = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RegistrationData_get_publicKey_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RegistrationData_get_publicKey_set)
    component1 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RegistrationData_component1_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RegistrationData_component1_set)
    component2 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RegistrationData_component2_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RegistrationData_component2_set)
    component3 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RegistrationData_component3_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RegistrationData_component3_set)
    component4 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RegistrationData_component4_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RegistrationData_component4_set)
    component5 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RegistrationData_component5_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RegistrationData_component5_set)
    copy = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RegistrationData_copy_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RegistrationData_copy_set)
    equals = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RegistrationData_equals_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RegistrationData_equals_set)
    hashCode = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RegistrationData_hashCode_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RegistrationData_hashCode_set)
    toString = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RegistrationData_toString_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RegistrationData_toString_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RegistrationData_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RegistrationData())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RegistrationData

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RegistrationData in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RegistrationData_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RegistrationData)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RegistrationData_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RegistrationData_Companion__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RegistrationData_Companion__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RegistrationData_Companion__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RegistrationData_Companion__instance_set)
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RegistrationData_Companion_serializer_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RegistrationData_Companion_serializer_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RegistrationData_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RegistrationData_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RegistrationData_Companion

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RegistrationData_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RegistrationData_Companion_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RegistrationData_Companion)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RegistrationData_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RegistrationData_serializer__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RegistrationData_serializer__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RegistrationData_serializer__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RegistrationData_serializer__instance_set)
    get_descriptor = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RegistrationData_serializer_get_descriptor_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RegistrationData_serializer_get_descriptor_set)
    childSerializers = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RegistrationData_serializer_childSerializers_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RegistrationData_serializer_childSerializers_set)
    deserialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RegistrationData_serializer_deserialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RegistrationData_serializer_deserialize_set)
    serialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RegistrationData_serializer_serialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RegistrationData_serializer_serialize_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RegistrationData_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RegistrationData_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RegistrationData_serializer

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RegistrationData_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RegistrationData_serializer_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RegistrationData_serializer)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LoginData(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LoginData_serializer_get)
    Companion = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LoginData_Companion_get)
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LoginData__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LoginData__type_set)
    LoginData = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LoginData_LoginData_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LoginData_LoginData_set)
    get_email = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LoginData_get_email_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LoginData_get_email_set)
    get_password = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LoginData_get_password_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LoginData_get_password_set)
    component1 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LoginData_component1_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LoginData_component1_set)
    component2 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LoginData_component2_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LoginData_component2_set)
    copy = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LoginData_copy_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LoginData_copy_set)
    equals = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LoginData_equals_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LoginData_equals_set)
    hashCode = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LoginData_hashCode_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LoginData_hashCode_set)
    toString = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LoginData_toString_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LoginData_toString_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LoginData_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LoginData())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LoginData

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LoginData in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LoginData_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LoginData)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LoginData_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LoginData_Companion__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LoginData_Companion__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LoginData_Companion__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LoginData_Companion__instance_set)
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LoginData_Companion_serializer_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LoginData_Companion_serializer_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LoginData_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LoginData_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LoginData_Companion

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LoginData_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LoginData_Companion_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LoginData_Companion)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LoginData_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LoginData_serializer__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LoginData_serializer__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LoginData_serializer__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LoginData_serializer__instance_set)
    get_descriptor = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LoginData_serializer_get_descriptor_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LoginData_serializer_get_descriptor_set)
    childSerializers = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LoginData_serializer_childSerializers_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LoginData_serializer_childSerializers_set)
    deserialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LoginData_serializer_deserialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LoginData_serializer_deserialize_set)
    serialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LoginData_serializer_serialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LoginData_serializer_serialize_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LoginData_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LoginData_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LoginData_serializer

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LoginData_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LoginData_serializer_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LoginData_serializer)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateUserDetailsData(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateUserDetailsData_serializer_get)
    Companion = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateUserDetailsData_Companion_get)
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateUserDetailsData__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateUserDetailsData__type_set)
    UpdateUserDetailsData = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateUserDetailsData_UpdateUserDetailsData_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateUserDetailsData_UpdateUserDetailsData_set)
    get_displayName = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateUserDetailsData_get_displayName_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateUserDetailsData_get_displayName_set)
    component1 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateUserDetailsData_component1_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateUserDetailsData_component1_set)
    copy = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateUserDetailsData_copy_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateUserDetailsData_copy_set)
    equals = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateUserDetailsData_equals_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateUserDetailsData_equals_set)
    hashCode = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateUserDetailsData_hashCode_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateUserDetailsData_hashCode_set)
    toString = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateUserDetailsData_toString_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateUserDetailsData_toString_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateUserDetailsData_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateUserDetailsData())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateUserDetailsData

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateUserDetailsData in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateUserDetailsData_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateUserDetailsData)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateUserDetailsData_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateUserDetailsData_Companion__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateUserDetailsData_Companion__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateUserDetailsData_Companion__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateUserDetailsData_Companion__instance_set)
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateUserDetailsData_Companion_serializer_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateUserDetailsData_Companion_serializer_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateUserDetailsData_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateUserDetailsData_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateUserDetailsData_Companion

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateUserDetailsData_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateUserDetailsData_Companion_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateUserDetailsData_Companion)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateUserDetailsData_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateUserDetailsData_serializer__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateUserDetailsData_serializer__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateUserDetailsData_serializer__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateUserDetailsData_serializer__instance_set)
    get_descriptor = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateUserDetailsData_serializer_get_descriptor_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateUserDetailsData_serializer_get_descriptor_set)
    childSerializers = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateUserDetailsData_serializer_childSerializers_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateUserDetailsData_serializer_childSerializers_set)
    deserialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateUserDetailsData_serializer_deserialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateUserDetailsData_serializer_deserialize_set)
    serialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateUserDetailsData_serializer_serialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateUserDetailsData_serializer_serialize_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateUserDetailsData_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateUserDetailsData_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateUserDetailsData_serializer

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateUserDetailsData_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateUserDetailsData_serializer_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_UpdateUserDetailsData_serializer)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ChangePasswordData(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ChangePasswordData_serializer_get)
    Companion = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ChangePasswordData_Companion_get)
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ChangePasswordData__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ChangePasswordData__type_set)
    ChangePasswordData = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ChangePasswordData_ChangePasswordData_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ChangePasswordData_ChangePasswordData_set)
    get_newPassword = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ChangePasswordData_get_newPassword_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ChangePasswordData_get_newPassword_set)
    get_oldPassword = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ChangePasswordData_get_oldPassword_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ChangePasswordData_get_oldPassword_set)
    component1 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ChangePasswordData_component1_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ChangePasswordData_component1_set)
    component2 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ChangePasswordData_component2_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ChangePasswordData_component2_set)
    copy = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ChangePasswordData_copy_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ChangePasswordData_copy_set)
    equals = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ChangePasswordData_equals_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ChangePasswordData_equals_set)
    hashCode = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ChangePasswordData_hashCode_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ChangePasswordData_hashCode_set)
    toString = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ChangePasswordData_toString_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ChangePasswordData_toString_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ChangePasswordData_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ChangePasswordData())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ChangePasswordData

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ChangePasswordData in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ChangePasswordData_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ChangePasswordData)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ChangePasswordData_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ChangePasswordData_Companion__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ChangePasswordData_Companion__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ChangePasswordData_Companion__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ChangePasswordData_Companion__instance_set)
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ChangePasswordData_Companion_serializer_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ChangePasswordData_Companion_serializer_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ChangePasswordData_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ChangePasswordData_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ChangePasswordData_Companion

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ChangePasswordData_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ChangePasswordData_Companion_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ChangePasswordData_Companion)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ChangePasswordData_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ChangePasswordData_serializer__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ChangePasswordData_serializer__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ChangePasswordData_serializer__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ChangePasswordData_serializer__instance_set)
    get_descriptor = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ChangePasswordData_serializer_get_descriptor_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ChangePasswordData_serializer_get_descriptor_set)
    childSerializers = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ChangePasswordData_serializer_childSerializers_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ChangePasswordData_serializer_childSerializers_set)
    deserialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ChangePasswordData_serializer_deserialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ChangePasswordData_serializer_deserialize_set)
    serialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ChangePasswordData_serializer_serialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ChangePasswordData_serializer_serialize_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ChangePasswordData_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ChangePasswordData_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ChangePasswordData_serializer

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ChangePasswordData_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ChangePasswordData_serializer_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ChangePasswordData_serializer)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_VerifyEphemeralKeyRegistrationData(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_VerifyEphemeralKeyRegistrationData_serializer_get)
    Companion = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_VerifyEphemeralKeyRegistrationData_Companion_get)
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_VerifyEphemeralKeyRegistrationData__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_VerifyEphemeralKeyRegistrationData__type_set)
    VerifyEphemeralKeyRegistrationData = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_VerifyEphemeralKeyRegistrationData_VerifyEphemeralKeyRegistrationData_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_VerifyEphemeralKeyRegistrationData_VerifyEphemeralKeyRegistrationData_set)
    get_code = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_VerifyEphemeralKeyRegistrationData_get_code_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_VerifyEphemeralKeyRegistrationData_get_code_set)
    get_privateKey = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_VerifyEphemeralKeyRegistrationData_get_privateKey_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_VerifyEphemeralKeyRegistrationData_get_privateKey_set)
    component1 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_VerifyEphemeralKeyRegistrationData_component1_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_VerifyEphemeralKeyRegistrationData_component1_set)
    component2 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_VerifyEphemeralKeyRegistrationData_component2_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_VerifyEphemeralKeyRegistrationData_component2_set)
    copy = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_VerifyEphemeralKeyRegistrationData_copy_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_VerifyEphemeralKeyRegistrationData_copy_set)
    equals = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_VerifyEphemeralKeyRegistrationData_equals_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_VerifyEphemeralKeyRegistrationData_equals_set)
    hashCode = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_VerifyEphemeralKeyRegistrationData_hashCode_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_VerifyEphemeralKeyRegistrationData_hashCode_set)
    toString = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_VerifyEphemeralKeyRegistrationData_toString_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_VerifyEphemeralKeyRegistrationData_toString_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_VerifyEphemeralKeyRegistrationData_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_VerifyEphemeralKeyRegistrationData())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_VerifyEphemeralKeyRegistrationData

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_VerifyEphemeralKeyRegistrationData in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_VerifyEphemeralKeyRegistrationData_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_VerifyEphemeralKeyRegistrationData)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_VerifyEphemeralKeyRegistrationData_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_VerifyEphemeralKeyRegistrationData_Companion__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_VerifyEphemeralKeyRegistrationData_Companion__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_VerifyEphemeralKeyRegistrationData_Companion__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_VerifyEphemeralKeyRegistrationData_Companion__instance_set)
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_VerifyEphemeralKeyRegistrationData_Companion_serializer_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_VerifyEphemeralKeyRegistrationData_Companion_serializer_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_VerifyEphemeralKeyRegistrationData_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_VerifyEphemeralKeyRegistrationData_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_VerifyEphemeralKeyRegistrationData_Companion

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_VerifyEphemeralKeyRegistrationData_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_VerifyEphemeralKeyRegistrationData_Companion_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_VerifyEphemeralKeyRegistrationData_Companion)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_VerifyEphemeralKeyRegistrationData_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_VerifyEphemeralKeyRegistrationData_serializer__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_VerifyEphemeralKeyRegistrationData_serializer__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_VerifyEphemeralKeyRegistrationData_serializer__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_VerifyEphemeralKeyRegistrationData_serializer__instance_set)
    get_descriptor = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_VerifyEphemeralKeyRegistrationData_serializer_get_descriptor_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_VerifyEphemeralKeyRegistrationData_serializer_get_descriptor_set)
    childSerializers = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_VerifyEphemeralKeyRegistrationData_serializer_childSerializers_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_VerifyEphemeralKeyRegistrationData_serializer_childSerializers_set)
    deserialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_VerifyEphemeralKeyRegistrationData_serializer_deserialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_VerifyEphemeralKeyRegistrationData_serializer_deserialize_set)
    serialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_VerifyEphemeralKeyRegistrationData_serializer_serialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_VerifyEphemeralKeyRegistrationData_serializer_serialize_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_VerifyEphemeralKeyRegistrationData_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_VerifyEphemeralKeyRegistrationData_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_VerifyEphemeralKeyRegistrationData_serializer

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_VerifyEphemeralKeyRegistrationData_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_VerifyEphemeralKeyRegistrationData_serializer_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_VerifyEphemeralKeyRegistrationData_serializer)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RegisterEphemeralKeyWithSecondaryAuthenticationData(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RegisterEphemeralKeyWithSecondaryAuthenticationData_serializer_get)
    Companion = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RegisterEphemeralKeyWithSecondaryAuthenticationData_Companion_get)
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RegisterEphemeralKeyWithSecondaryAuthenticationData__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RegisterEphemeralKeyWithSecondaryAuthenticationData__type_set)
    RegisterEphemeralKeyWithSecondaryAuthenticationData = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RegisterEphemeralKeyWithSecondaryAuthenticationData_RegisterEphemeralKeyWithSecondaryAuthenticationData_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RegisterEphemeralKeyWithSecondaryAuthenticationData_RegisterEphemeralKeyWithSecondaryAuthenticationData_set)
    get_method = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RegisterEphemeralKeyWithSecondaryAuthenticationData_get_method_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RegisterEphemeralKeyWithSecondaryAuthenticationData_get_method_set)
    get_publicKey = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RegisterEphemeralKeyWithSecondaryAuthenticationData_get_publicKey_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RegisterEphemeralKeyWithSecondaryAuthenticationData_get_publicKey_set)
    component1 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RegisterEphemeralKeyWithSecondaryAuthenticationData_component1_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RegisterEphemeralKeyWithSecondaryAuthenticationData_component1_set)
    component2 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RegisterEphemeralKeyWithSecondaryAuthenticationData_component2_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RegisterEphemeralKeyWithSecondaryAuthenticationData_component2_set)
    copy = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RegisterEphemeralKeyWithSecondaryAuthenticationData_copy_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RegisterEphemeralKeyWithSecondaryAuthenticationData_copy_set)
    equals = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RegisterEphemeralKeyWithSecondaryAuthenticationData_equals_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RegisterEphemeralKeyWithSecondaryAuthenticationData_equals_set)
    hashCode = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RegisterEphemeralKeyWithSecondaryAuthenticationData_hashCode_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RegisterEphemeralKeyWithSecondaryAuthenticationData_hashCode_set)
    toString = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RegisterEphemeralKeyWithSecondaryAuthenticationData_toString_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RegisterEphemeralKeyWithSecondaryAuthenticationData_toString_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RegisterEphemeralKeyWithSecondaryAuthenticationData_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RegisterEphemeralKeyWithSecondaryAuthenticationData())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RegisterEphemeralKeyWithSecondaryAuthenticationData

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RegisterEphemeralKeyWithSecondaryAuthenticationData in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RegisterEphemeralKeyWithSecondaryAuthenticationData_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RegisterEphemeralKeyWithSecondaryAuthenticationData)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RegisterEphemeralKeyWithSecondaryAuthenticationData_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RegisterEphemeralKeyWithSecondaryAuthenticationData_Companion__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RegisterEphemeralKeyWithSecondaryAuthenticationData_Companion__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RegisterEphemeralKeyWithSecondaryAuthenticationData_Companion__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RegisterEphemeralKeyWithSecondaryAuthenticationData_Companion__instance_set)
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RegisterEphemeralKeyWithSecondaryAuthenticationData_Companion_serializer_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RegisterEphemeralKeyWithSecondaryAuthenticationData_Companion_serializer_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RegisterEphemeralKeyWithSecondaryAuthenticationData_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RegisterEphemeralKeyWithSecondaryAuthenticationData_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RegisterEphemeralKeyWithSecondaryAuthenticationData_Companion

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RegisterEphemeralKeyWithSecondaryAuthenticationData_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RegisterEphemeralKeyWithSecondaryAuthenticationData_Companion_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RegisterEphemeralKeyWithSecondaryAuthenticationData_Companion)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RegisterEphemeralKeyWithSecondaryAuthenticationData_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RegisterEphemeralKeyWithSecondaryAuthenticationData_serializer__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RegisterEphemeralKeyWithSecondaryAuthenticationData_serializer__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RegisterEphemeralKeyWithSecondaryAuthenticationData_serializer__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RegisterEphemeralKeyWithSecondaryAuthenticationData_serializer__instance_set)
    get_descriptor = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RegisterEphemeralKeyWithSecondaryAuthenticationData_serializer_get_descriptor_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RegisterEphemeralKeyWithSecondaryAuthenticationData_serializer_get_descriptor_set)
    childSerializers = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RegisterEphemeralKeyWithSecondaryAuthenticationData_serializer_childSerializers_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RegisterEphemeralKeyWithSecondaryAuthenticationData_serializer_childSerializers_set)
    deserialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RegisterEphemeralKeyWithSecondaryAuthenticationData_serializer_deserialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RegisterEphemeralKeyWithSecondaryAuthenticationData_serializer_deserialize_set)
    serialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RegisterEphemeralKeyWithSecondaryAuthenticationData_serializer_serialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RegisterEphemeralKeyWithSecondaryAuthenticationData_serializer_serialize_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RegisterEphemeralKeyWithSecondaryAuthenticationData_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RegisterEphemeralKeyWithSecondaryAuthenticationData_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RegisterEphemeralKeyWithSecondaryAuthenticationData_serializer

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RegisterEphemeralKeyWithSecondaryAuthenticationData_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RegisterEphemeralKeyWithSecondaryAuthenticationData_serializer_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RegisterEphemeralKeyWithSecondaryAuthenticationData_serializer)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RegisterEphemeralKeyData(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RegisterEphemeralKeyData_serializer_get)
    Companion = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RegisterEphemeralKeyData_Companion_get)
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RegisterEphemeralKeyData__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RegisterEphemeralKeyData__type_set)
    RegisterEphemeralKeyData = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RegisterEphemeralKeyData_RegisterEphemeralKeyData_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RegisterEphemeralKeyData_RegisterEphemeralKeyData_set)
    get_publicKey = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RegisterEphemeralKeyData_get_publicKey_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RegisterEphemeralKeyData_get_publicKey_set)
    component1 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RegisterEphemeralKeyData_component1_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RegisterEphemeralKeyData_component1_set)
    copy = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RegisterEphemeralKeyData_copy_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RegisterEphemeralKeyData_copy_set)
    equals = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RegisterEphemeralKeyData_equals_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RegisterEphemeralKeyData_equals_set)
    hashCode = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RegisterEphemeralKeyData_hashCode_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RegisterEphemeralKeyData_hashCode_set)
    toString = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RegisterEphemeralKeyData_toString_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RegisterEphemeralKeyData_toString_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RegisterEphemeralKeyData_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RegisterEphemeralKeyData())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RegisterEphemeralKeyData

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RegisterEphemeralKeyData in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RegisterEphemeralKeyData_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RegisterEphemeralKeyData)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RegisterEphemeralKeyData_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RegisterEphemeralKeyData_Companion__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RegisterEphemeralKeyData_Companion__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RegisterEphemeralKeyData_Companion__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RegisterEphemeralKeyData_Companion__instance_set)
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RegisterEphemeralKeyData_Companion_serializer_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RegisterEphemeralKeyData_Companion_serializer_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RegisterEphemeralKeyData_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RegisterEphemeralKeyData_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RegisterEphemeralKeyData_Companion

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RegisterEphemeralKeyData_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RegisterEphemeralKeyData_Companion_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RegisterEphemeralKeyData_Companion)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RegisterEphemeralKeyData_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RegisterEphemeralKeyData_serializer__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RegisterEphemeralKeyData_serializer__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RegisterEphemeralKeyData_serializer__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RegisterEphemeralKeyData_serializer__instance_set)
    get_descriptor = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RegisterEphemeralKeyData_serializer_get_descriptor_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RegisterEphemeralKeyData_serializer_get_descriptor_set)
    childSerializers = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RegisterEphemeralKeyData_serializer_childSerializers_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RegisterEphemeralKeyData_serializer_childSerializers_set)
    deserialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RegisterEphemeralKeyData_serializer_deserialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RegisterEphemeralKeyData_serializer_deserialize_set)
    serialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RegisterEphemeralKeyData_serializer_serialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RegisterEphemeralKeyData_serializer_serialize_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RegisterEphemeralKeyData_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RegisterEphemeralKeyData_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RegisterEphemeralKeyData_serializer

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RegisterEphemeralKeyData_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RegisterEphemeralKeyData_serializer_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RegisterEphemeralKeyData_serializer)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RefreshTokenData(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RefreshTokenData_serializer_get)
    Companion = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RefreshTokenData_Companion_get)
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RefreshTokenData__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RefreshTokenData__type_set)
    RefreshTokenData = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RefreshTokenData_RefreshTokenData_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RefreshTokenData_RefreshTokenData_set)
    get_refreshToken = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RefreshTokenData_get_refreshToken_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RefreshTokenData_get_refreshToken_set)
    component1 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RefreshTokenData_component1_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RefreshTokenData_component1_set)
    copy = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RefreshTokenData_copy_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RefreshTokenData_copy_set)
    equals = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RefreshTokenData_equals_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RefreshTokenData_equals_set)
    hashCode = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RefreshTokenData_hashCode_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RefreshTokenData_hashCode_set)
    toString = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RefreshTokenData_toString_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RefreshTokenData_toString_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RefreshTokenData_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RefreshTokenData())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RefreshTokenData

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RefreshTokenData in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RefreshTokenData_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RefreshTokenData)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RefreshTokenData_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RefreshTokenData_Companion__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RefreshTokenData_Companion__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RefreshTokenData_Companion__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RefreshTokenData_Companion__instance_set)
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RefreshTokenData_Companion_serializer_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RefreshTokenData_Companion_serializer_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RefreshTokenData_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RefreshTokenData_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RefreshTokenData_Companion

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RefreshTokenData_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RefreshTokenData_Companion_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RefreshTokenData_Companion)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RefreshTokenData_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RefreshTokenData_serializer__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RefreshTokenData_serializer__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RefreshTokenData_serializer__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RefreshTokenData_serializer__instance_set)
    get_descriptor = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RefreshTokenData_serializer_get_descriptor_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RefreshTokenData_serializer_get_descriptor_set)
    childSerializers = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RefreshTokenData_serializer_childSerializers_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RefreshTokenData_serializer_childSerializers_set)
    deserialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RefreshTokenData_serializer_deserialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RefreshTokenData_serializer_deserialize_set)
    serialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RefreshTokenData_serializer_serialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RefreshTokenData_serializer_serialize_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RefreshTokenData_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RefreshTokenData_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RefreshTokenData_serializer

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RefreshTokenData_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RefreshTokenData_serializer_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_RefreshTokenData_serializer)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    CreateApplication = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_CreateApplication_get)
    EmailPreferences = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_EmailPreferences_get)
    EmailCallToAction = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_EmailCallToAction_get)
    AuthKey = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_AuthKey_get)
    RsaKey = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_RsaKey_get)
    EcKey = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_EcKey_get)
    Ed25519Key = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_Ed25519Key_get)
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform__instance_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_Ed25519Key(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    Builder = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_Ed25519Key_Builder_get)
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_Ed25519Key__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_Ed25519Key__type_set)
    Ed25519Key = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_Ed25519Key_Ed25519Key_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_Ed25519Key_Ed25519Key_set)
    get_alg = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_Ed25519Key_get_alg_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_Ed25519Key_get_alg_set)
    get_crv = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_Ed25519Key_get_crv_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_Ed25519Key_get_crv_set)
    get_d = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_Ed25519Key_get_d_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_Ed25519Key_get_d_set)
    get_kid = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_Ed25519Key_get_kid_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_Ed25519Key_get_kid_set)
    get_kty = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_Ed25519Key_get_kty_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_Ed25519Key_get_kty_set)
    get_use = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_Ed25519Key_get_use_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_Ed25519Key_get_use_set)
    get_x = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_Ed25519Key_get_x_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_Ed25519Key_get_x_set)
    component1 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_Ed25519Key_component1_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_Ed25519Key_component1_set)
    component2 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_Ed25519Key_component2_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_Ed25519Key_component2_set)
    component3 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_Ed25519Key_component3_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_Ed25519Key_component3_set)
    component4 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_Ed25519Key_component4_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_Ed25519Key_component4_set)
    component5 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_Ed25519Key_component5_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_Ed25519Key_component5_set)
    component6 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_Ed25519Key_component6_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_Ed25519Key_component6_set)
    component7 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_Ed25519Key_component7_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_Ed25519Key_component7_set)
    copy = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_Ed25519Key_copy_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_Ed25519Key_copy_set)
    equals = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_Ed25519Key_equals_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_Ed25519Key_equals_set)
    hashCode = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_Ed25519Key_hashCode_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_Ed25519Key_hashCode_set)
    toString = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_Ed25519Key_toString_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_Ed25519Key_toString_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_Ed25519Key_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_Ed25519Key())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_Ed25519Key

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_Ed25519Key in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_Ed25519Key_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_Ed25519Key)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_Ed25519Key_Builder(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_Ed25519Key_Builder__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_Ed25519Key_Builder__type_set)
    Builder = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_Ed25519Key_Builder_Builder_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_Ed25519Key_Builder_Builder_set)
    build = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_Ed25519Key_Builder_build_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_Ed25519Key_Builder_build_set)
    setAlg = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_Ed25519Key_Builder_setAlg_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_Ed25519Key_Builder_setAlg_set)
    setCrv = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_Ed25519Key_Builder_setCrv_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_Ed25519Key_Builder_setCrv_set)
    setD = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_Ed25519Key_Builder_setD_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_Ed25519Key_Builder_setD_set)
    setKid = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_Ed25519Key_Builder_setKid_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_Ed25519Key_Builder_setKid_set)
    setKty = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_Ed25519Key_Builder_setKty_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_Ed25519Key_Builder_setKty_set)
    setUse = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_Ed25519Key_Builder_setUse_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_Ed25519Key_Builder_setUse_set)
    setX = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_Ed25519Key_Builder_setX_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_Ed25519Key_Builder_setX_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_Ed25519Key_Builder_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_Ed25519Key_Builder())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_Ed25519Key_Builder

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_Ed25519Key_Builder in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_Ed25519Key_Builder_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_Ed25519Key_Builder)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_EcKey(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    Builder = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_EcKey_Builder_get)
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_EcKey__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_EcKey__type_set)
    EcKey = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_EcKey_EcKey_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_EcKey_EcKey_set)
    get_alg = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_EcKey_get_alg_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_EcKey_get_alg_set)
    get_crv = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_EcKey_get_crv_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_EcKey_get_crv_set)
    get_d = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_EcKey_get_d_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_EcKey_get_d_set)
    get_kid = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_EcKey_get_kid_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_EcKey_get_kid_set)
    get_kty = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_EcKey_get_kty_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_EcKey_get_kty_set)
    get_use = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_EcKey_get_use_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_EcKey_get_use_set)
    get_x = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_EcKey_get_x_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_EcKey_get_x_set)
    get_y = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_EcKey_get_y_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_EcKey_get_y_set)
    component1 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_EcKey_component1_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_EcKey_component1_set)
    component2 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_EcKey_component2_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_EcKey_component2_set)
    component3 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_EcKey_component3_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_EcKey_component3_set)
    component4 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_EcKey_component4_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_EcKey_component4_set)
    component5 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_EcKey_component5_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_EcKey_component5_set)
    component6 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_EcKey_component6_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_EcKey_component6_set)
    component7 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_EcKey_component7_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_EcKey_component7_set)
    component8 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_EcKey_component8_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_EcKey_component8_set)
    copy = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_EcKey_copy_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_EcKey_copy_set)
    equals = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_EcKey_equals_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_EcKey_equals_set)
    hashCode = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_EcKey_hashCode_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_EcKey_hashCode_set)
    toString = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_EcKey_toString_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_EcKey_toString_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_EcKey_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_EcKey())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_EcKey

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_EcKey in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_EcKey_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_EcKey)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_EcKey_Builder(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_EcKey_Builder__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_EcKey_Builder__type_set)
    Builder = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_EcKey_Builder_Builder_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_EcKey_Builder_Builder_set)
    build = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_EcKey_Builder_build_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_EcKey_Builder_build_set)
    setAlg = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_EcKey_Builder_setAlg_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_EcKey_Builder_setAlg_set)
    setCrv = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_EcKey_Builder_setCrv_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_EcKey_Builder_setCrv_set)
    setD = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_EcKey_Builder_setD_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_EcKey_Builder_setD_set)
    setKid = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_EcKey_Builder_setKid_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_EcKey_Builder_setKid_set)
    setKty = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_EcKey_Builder_setKty_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_EcKey_Builder_setKty_set)
    setUse = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_EcKey_Builder_setUse_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_EcKey_Builder_setUse_set)
    setX = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_EcKey_Builder_setX_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_EcKey_Builder_setX_set)
    setY = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_EcKey_Builder_setY_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_EcKey_Builder_setY_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_EcKey_Builder_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_EcKey_Builder())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_EcKey_Builder

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_EcKey_Builder in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_EcKey_Builder_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_EcKey_Builder)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_RsaKey(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    Builder = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_RsaKey_Builder_get)
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_RsaKey__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_RsaKey__type_set)
    RsaKey = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_RsaKey_RsaKey_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_RsaKey_RsaKey_set)
    get_alg = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_RsaKey_get_alg_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_RsaKey_get_alg_set)
    get_d = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_RsaKey_get_d_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_RsaKey_get_d_set)
    get_dp = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_RsaKey_get_dp_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_RsaKey_get_dp_set)
    get_dq = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_RsaKey_get_dq_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_RsaKey_get_dq_set)
    get_e = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_RsaKey_get_e_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_RsaKey_get_e_set)
    get_kid = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_RsaKey_get_kid_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_RsaKey_get_kid_set)
    get_kty = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_RsaKey_get_kty_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_RsaKey_get_kty_set)
    get_n = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_RsaKey_get_n_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_RsaKey_get_n_set)
    get_p = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_RsaKey_get_p_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_RsaKey_get_p_set)
    get_q = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_RsaKey_get_q_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_RsaKey_get_q_set)
    get_qi = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_RsaKey_get_qi_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_RsaKey_get_qi_set)
    get_use = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_RsaKey_get_use_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_RsaKey_get_use_set)
    component1 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_RsaKey_component1_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_RsaKey_component1_set)
    component10 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_RsaKey_component10_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_RsaKey_component10_set)
    component11 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_RsaKey_component11_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_RsaKey_component11_set)
    component12 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_RsaKey_component12_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_RsaKey_component12_set)
    component2 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_RsaKey_component2_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_RsaKey_component2_set)
    component3 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_RsaKey_component3_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_RsaKey_component3_set)
    component4 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_RsaKey_component4_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_RsaKey_component4_set)
    component5 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_RsaKey_component5_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_RsaKey_component5_set)
    component6 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_RsaKey_component6_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_RsaKey_component6_set)
    component7 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_RsaKey_component7_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_RsaKey_component7_set)
    component8 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_RsaKey_component8_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_RsaKey_component8_set)
    component9 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_RsaKey_component9_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_RsaKey_component9_set)
    copy = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_RsaKey_copy_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_RsaKey_copy_set)
    equals = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_RsaKey_equals_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_RsaKey_equals_set)
    hashCode = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_RsaKey_hashCode_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_RsaKey_hashCode_set)
    toString = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_RsaKey_toString_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_RsaKey_toString_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_RsaKey_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_RsaKey())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_RsaKey

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_RsaKey in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_RsaKey_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_RsaKey)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_RsaKey_Builder(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_RsaKey_Builder__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_RsaKey_Builder__type_set)
    Builder = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_RsaKey_Builder_Builder_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_RsaKey_Builder_Builder_set)
    build = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_RsaKey_Builder_build_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_RsaKey_Builder_build_set)
    setAlg = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_RsaKey_Builder_setAlg_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_RsaKey_Builder_setAlg_set)
    setD = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_RsaKey_Builder_setD_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_RsaKey_Builder_setD_set)
    setDp = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_RsaKey_Builder_setDp_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_RsaKey_Builder_setDp_set)
    setDq = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_RsaKey_Builder_setDq_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_RsaKey_Builder_setDq_set)
    setE = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_RsaKey_Builder_setE_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_RsaKey_Builder_setE_set)
    setKid = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_RsaKey_Builder_setKid_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_RsaKey_Builder_setKid_set)
    setKty = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_RsaKey_Builder_setKty_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_RsaKey_Builder_setKty_set)
    setN = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_RsaKey_Builder_setN_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_RsaKey_Builder_setN_set)
    setP = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_RsaKey_Builder_setP_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_RsaKey_Builder_setP_set)
    setQ = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_RsaKey_Builder_setQ_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_RsaKey_Builder_setQ_set)
    setQi = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_RsaKey_Builder_setQi_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_RsaKey_Builder_setQi_set)
    setUse = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_RsaKey_Builder_setUse_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_RsaKey_Builder_setUse_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_RsaKey_Builder_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_RsaKey_Builder())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_RsaKey_Builder

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_RsaKey_Builder in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_RsaKey_Builder_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_RsaKey_Builder)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_AuthKey(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_AuthKey__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_AuthKey__type_set)
    get_alg = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_AuthKey_get_alg_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_AuthKey_get_alg_set)
    get_kid = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_AuthKey_get_kid_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_AuthKey_get_kid_set)
    get_kty = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_AuthKey_get_kty_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_AuthKey_get_kty_set)
    get_use = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_AuthKey_get_use_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_AuthKey_get_use_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_AuthKey_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_AuthKey())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_AuthKey

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_AuthKey in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_AuthKey_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_AuthKey)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_EmailCallToAction(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    Builder = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_EmailCallToAction_Builder_get)
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_EmailCallToAction__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_EmailCallToAction__type_set)
    EmailCallToAction = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_EmailCallToAction_EmailCallToAction_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_EmailCallToAction_EmailCallToAction_set)
    get_actionTarget = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_EmailCallToAction_get_actionTarget_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_EmailCallToAction_get_actionTarget_set)
    get_actionText = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_EmailCallToAction_get_actionText_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_EmailCallToAction_get_actionText_set)
    get_headline = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_EmailCallToAction_get_headline_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_EmailCallToAction_get_headline_set)
    component1 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_EmailCallToAction_component1_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_EmailCallToAction_component1_set)
    component2 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_EmailCallToAction_component2_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_EmailCallToAction_component2_set)
    component3 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_EmailCallToAction_component3_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_EmailCallToAction_component3_set)
    copy = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_EmailCallToAction_copy_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_EmailCallToAction_copy_set)
    equals = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_EmailCallToAction_equals_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_EmailCallToAction_equals_set)
    hashCode = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_EmailCallToAction_hashCode_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_EmailCallToAction_hashCode_set)
    toString = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_EmailCallToAction_toString_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_EmailCallToAction_toString_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_EmailCallToAction_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_EmailCallToAction())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_EmailCallToAction

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_EmailCallToAction in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_EmailCallToAction_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_EmailCallToAction)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_EmailCallToAction_Builder(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_EmailCallToAction_Builder__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_EmailCallToAction_Builder__type_set)
    Builder = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_EmailCallToAction_Builder_Builder_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_EmailCallToAction_Builder_Builder_set)
    build = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_EmailCallToAction_Builder_build_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_EmailCallToAction_Builder_build_set)
    setActionTarget = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_EmailCallToAction_Builder_setActionTarget_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_EmailCallToAction_Builder_setActionTarget_set)
    setActionText = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_EmailCallToAction_Builder_setActionText_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_EmailCallToAction_Builder_setActionText_set)
    setHeadline = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_EmailCallToAction_Builder_setHeadline_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_EmailCallToAction_Builder_setHeadline_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_EmailCallToAction_Builder_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_EmailCallToAction_Builder())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_EmailCallToAction_Builder

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_EmailCallToAction_Builder in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_EmailCallToAction_Builder_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_EmailCallToAction_Builder)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_EmailPreferences(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    Builder = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_EmailPreferences_Builder_get)
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_EmailPreferences__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_EmailPreferences__type_set)
    EmailPreferences = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_EmailPreferences_EmailPreferences_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_EmailPreferences_EmailPreferences_set)
    get_callToAction = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_EmailPreferences_get_callToAction_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_EmailPreferences_get_callToAction_set)
    get_onlySendEssentialEmails = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_EmailPreferences_get_onlySendEssentialEmails_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_EmailPreferences_get_onlySendEssentialEmails_set)
    get_primaryColour = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_EmailPreferences_get_primaryColour_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_EmailPreferences_get_primaryColour_set)
    get_secondaryColour = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_EmailPreferences_get_secondaryColour_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_EmailPreferences_get_secondaryColour_set)
    get_senderEmail = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_EmailPreferences_get_senderEmail_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_EmailPreferences_get_senderEmail_set)
    get_senderName = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_EmailPreferences_get_senderName_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_EmailPreferences_get_senderName_set)
    component1 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_EmailPreferences_component1_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_EmailPreferences_component1_set)
    component2 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_EmailPreferences_component2_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_EmailPreferences_component2_set)
    component3 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_EmailPreferences_component3_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_EmailPreferences_component3_set)
    component4 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_EmailPreferences_component4_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_EmailPreferences_component4_set)
    component5 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_EmailPreferences_component5_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_EmailPreferences_component5_set)
    component6 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_EmailPreferences_component6_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_EmailPreferences_component6_set)
    copy = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_EmailPreferences_copy_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_EmailPreferences_copy_set)
    equals = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_EmailPreferences_equals_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_EmailPreferences_equals_set)
    hashCode = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_EmailPreferences_hashCode_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_EmailPreferences_hashCode_set)
    toString = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_EmailPreferences_toString_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_EmailPreferences_toString_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_EmailPreferences_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_EmailPreferences())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_EmailPreferences

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_EmailPreferences in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_EmailPreferences_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_EmailPreferences)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_EmailPreferences_Builder(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_EmailPreferences_Builder__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_EmailPreferences_Builder__type_set)
    Builder = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_EmailPreferences_Builder_Builder_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_EmailPreferences_Builder_Builder_set)
    build = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_EmailPreferences_Builder_build_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_EmailPreferences_Builder_build_set)
    setCallToAction = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_EmailPreferences_Builder_setCallToAction_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_EmailPreferences_Builder_setCallToAction_set)
    setOnlySendEssentialEmails = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_EmailPreferences_Builder_setOnlySendEssentialEmails_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_EmailPreferences_Builder_setOnlySendEssentialEmails_set)
    setPrimaryColour = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_EmailPreferences_Builder_setPrimaryColour_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_EmailPreferences_Builder_setPrimaryColour_set)
    setSecondaryColour = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_EmailPreferences_Builder_setSecondaryColour_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_EmailPreferences_Builder_setSecondaryColour_set)
    setSenderEmail = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_EmailPreferences_Builder_setSenderEmail_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_EmailPreferences_Builder_setSenderEmail_set)
    setSenderName = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_EmailPreferences_Builder_setSenderName_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_EmailPreferences_Builder_setSenderName_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_EmailPreferences_Builder_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_EmailPreferences_Builder())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_EmailPreferences_Builder

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_EmailPreferences_Builder in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_EmailPreferences_Builder_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_EmailPreferences_Builder)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_CreateApplication(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    Builder = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_CreateApplication_Builder_get)
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_CreateApplication__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_CreateApplication__type_set)
    CreateApplication = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_CreateApplication_CreateApplication_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_CreateApplication_CreateApplication_set)
    get_appLink = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_CreateApplication_get_appLink_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_CreateApplication_get_appLink_set)
    get_companyName = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_CreateApplication_get_companyName_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_CreateApplication_get_companyName_set)
    get_emailPreferences = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_CreateApplication_get_emailPreferences_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_CreateApplication_get_emailPreferences_set)
    get_logoUrl = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_CreateApplication_get_logoUrl_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_CreateApplication_get_logoUrl_set)
    get_mailingAddress = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_CreateApplication_get_mailingAddress_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_CreateApplication_get_mailingAddress_set)
    get_name = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_CreateApplication_get_name_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_CreateApplication_get_name_set)
    get_privacyPolicy = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_CreateApplication_get_privacyPolicy_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_CreateApplication_get_privacyPolicy_set)
    get_supportContact = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_CreateApplication_get_supportContact_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_CreateApplication_get_supportContact_set)
    component1 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_CreateApplication_component1_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_CreateApplication_component1_set)
    component2 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_CreateApplication_component2_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_CreateApplication_component2_set)
    component3 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_CreateApplication_component3_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_CreateApplication_component3_set)
    component4 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_CreateApplication_component4_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_CreateApplication_component4_set)
    component5 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_CreateApplication_component5_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_CreateApplication_component5_set)
    component6 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_CreateApplication_component6_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_CreateApplication_component6_set)
    component7 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_CreateApplication_component7_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_CreateApplication_component7_set)
    component8 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_CreateApplication_component8_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_CreateApplication_component8_set)
    copy = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_CreateApplication_copy_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_CreateApplication_copy_set)
    equals = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_CreateApplication_equals_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_CreateApplication_equals_set)
    hashCode = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_CreateApplication_hashCode_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_CreateApplication_hashCode_set)
    toString = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_CreateApplication_toString_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_CreateApplication_toString_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_CreateApplication_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_CreateApplication())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_CreateApplication

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_CreateApplication in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_CreateApplication_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_CreateApplication)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_CreateApplication_Builder(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_CreateApplication_Builder__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_CreateApplication_Builder__type_set)
    Builder = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_CreateApplication_Builder_Builder_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_CreateApplication_Builder_Builder_set)
    build = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_CreateApplication_Builder_build_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_CreateApplication_Builder_build_set)
    setAppLink = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_CreateApplication_Builder_setAppLink_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_CreateApplication_Builder_setAppLink_set)
    setCompanyName = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_CreateApplication_Builder_setCompanyName_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_CreateApplication_Builder_setCompanyName_set)
    setEmailPreferences = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_CreateApplication_Builder_setEmailPreferences_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_CreateApplication_Builder_setEmailPreferences_set)
    setLogoUrl = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_CreateApplication_Builder_setLogoUrl_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_CreateApplication_Builder_setLogoUrl_set)
    setMailingAddress = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_CreateApplication_Builder_setMailingAddress_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_CreateApplication_Builder_setMailingAddress_set)
    setName = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_CreateApplication_Builder_setName_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_CreateApplication_Builder_setName_set)
    setPrivacyPolicy = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_CreateApplication_Builder_setPrivacyPolicy_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_CreateApplication_Builder_setPrivacyPolicy_set)
    setSupportContact = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_CreateApplication_Builder_setSupportContact_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_CreateApplication_Builder_setSupportContact_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_CreateApplication_Builder_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_CreateApplication_Builder())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_CreateApplication_Builder

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_CreateApplication_Builder in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_CreateApplication_Builder_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Platform_CreateApplication_Builder)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    TimeRequirement = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_TimeRequirement_get)
    LocationRequirement = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_LocationRequirement_get)
    UnlockBetween = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_UnlockBetween_get)
    UnlockOperation = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_UnlockOperation_get)
    ShareLockOperation = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_ShareLockOperation_get)
    ShareLock = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_ShareLock_get)
    BatchShareLockOperation = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_BatchShareLockOperation_get)
    RevokeAccessToLockOperation = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_RevokeAccessToLockOperation_get)
    UpdateSecureSettingUnlockDuration = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_UpdateSecureSettingUnlockDuration_get)
    UpdateSecureSettingUnlockBetween = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_UpdateSecureSettingUnlockBetween_get)
    BaseOperation = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_BaseOperation_get)
    Operation = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_Operation_get)
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations__instance_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_Operation(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_Operation__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_Operation__type_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_Operation_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_Operation())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_Operation

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_Operation in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_Operation_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_Operation)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_BaseOperation(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    Builder = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_BaseOperation_Builder_get)
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_BaseOperation__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_BaseOperation__type_set)
    BaseOperation = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_BaseOperation_BaseOperation_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_BaseOperation_BaseOperation_set)
    get_expiresAt = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_BaseOperation_get_expiresAt_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_BaseOperation_get_expiresAt_set)
    get_issuedAt = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_BaseOperation_get_issuedAt_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_BaseOperation_get_issuedAt_set)
    get_jti = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_BaseOperation_get_jti_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_BaseOperation_get_jti_set)
    get_lockId = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_BaseOperation_get_lockId_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_BaseOperation_get_lockId_set)
    get_notBefore = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_BaseOperation_get_notBefore_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_BaseOperation_get_notBefore_set)
    get_userCertificateChain = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_BaseOperation_get_userCertificateChain_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_BaseOperation_get_userCertificateChain_set)
    get_userId = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_BaseOperation_get_userId_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_BaseOperation_get_userId_set)
    get_userPrivateKey = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_BaseOperation_get_userPrivateKey_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_BaseOperation_get_userPrivateKey_set)
    component1 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_BaseOperation_component1_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_BaseOperation_component1_set)
    component2 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_BaseOperation_component2_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_BaseOperation_component2_set)
    component3 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_BaseOperation_component3_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_BaseOperation_component3_set)
    component4 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_BaseOperation_component4_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_BaseOperation_component4_set)
    component5 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_BaseOperation_component5_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_BaseOperation_component5_set)
    component6 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_BaseOperation_component6_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_BaseOperation_component6_set)
    component7 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_BaseOperation_component7_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_BaseOperation_component7_set)
    component8 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_BaseOperation_component8_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_BaseOperation_component8_set)
    copy = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_BaseOperation_copy_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_BaseOperation_copy_set)
    equals = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_BaseOperation_equals_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_BaseOperation_equals_set)
    hashCode = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_BaseOperation_hashCode_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_BaseOperation_hashCode_set)
    toString = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_BaseOperation_toString_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_BaseOperation_toString_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_BaseOperation_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_BaseOperation())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_BaseOperation

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_BaseOperation in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_BaseOperation_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_BaseOperation)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_BaseOperation_Builder(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_BaseOperation_Builder__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_BaseOperation_Builder__type_set)
    Builder = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_BaseOperation_Builder_Builder_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_BaseOperation_Builder_Builder_set)
    build = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_BaseOperation_Builder_build_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_BaseOperation_Builder_build_set)
    setExpiresAt = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_BaseOperation_Builder_setExpiresAt_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_BaseOperation_Builder_setExpiresAt_set)
    setIssuedAt = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_BaseOperation_Builder_setIssuedAt_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_BaseOperation_Builder_setIssuedAt_set)
    setJti = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_BaseOperation_Builder_setJti_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_BaseOperation_Builder_setJti_set)
    setLockId = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_BaseOperation_Builder_setLockId_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_BaseOperation_Builder_setLockId_set)
    setNotBefore = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_BaseOperation_Builder_setNotBefore_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_BaseOperation_Builder_setNotBefore_set)
    setUserCertificateChain = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_BaseOperation_Builder_setUserCertificateChain_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_BaseOperation_Builder_setUserCertificateChain_set)
    setUserId = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_BaseOperation_Builder_setUserId_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_BaseOperation_Builder_setUserId_set)
    setUserPrivateKey = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_BaseOperation_Builder_setUserPrivateKey_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_BaseOperation_Builder_setUserPrivateKey_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_BaseOperation_Builder_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_BaseOperation_Builder())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_BaseOperation_Builder

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_BaseOperation_Builder in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_BaseOperation_Builder_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_BaseOperation_Builder)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_UpdateSecureSettingUnlockBetween(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    Builder = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_UpdateSecureSettingUnlockBetween_Builder_get)
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_UpdateSecureSettingUnlockBetween__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_UpdateSecureSettingUnlockBetween__type_set)
    UpdateSecureSettingUnlockBetween = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_UpdateSecureSettingUnlockBetween_UpdateSecureSettingUnlockBetween_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_UpdateSecureSettingUnlockBetween_UpdateSecureSettingUnlockBetween_set)
    get_baseOperation = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_UpdateSecureSettingUnlockBetween_get_baseOperation_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_UpdateSecureSettingUnlockBetween_get_baseOperation_set)
    get_unlockBetween = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_UpdateSecureSettingUnlockBetween_get_unlockBetween_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_UpdateSecureSettingUnlockBetween_get_unlockBetween_set)
    component1 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_UpdateSecureSettingUnlockBetween_component1_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_UpdateSecureSettingUnlockBetween_component1_set)
    component2 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_UpdateSecureSettingUnlockBetween_component2_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_UpdateSecureSettingUnlockBetween_component2_set)
    copy = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_UpdateSecureSettingUnlockBetween_copy_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_UpdateSecureSettingUnlockBetween_copy_set)
    equals = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_UpdateSecureSettingUnlockBetween_equals_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_UpdateSecureSettingUnlockBetween_equals_set)
    hashCode = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_UpdateSecureSettingUnlockBetween_hashCode_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_UpdateSecureSettingUnlockBetween_hashCode_set)
    toString = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_UpdateSecureSettingUnlockBetween_toString_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_UpdateSecureSettingUnlockBetween_toString_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_UpdateSecureSettingUnlockBetween_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_UpdateSecureSettingUnlockBetween())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_UpdateSecureSettingUnlockBetween

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_UpdateSecureSettingUnlockBetween in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_UpdateSecureSettingUnlockBetween_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_UpdateSecureSettingUnlockBetween)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_UpdateSecureSettingUnlockBetween_Builder(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_UpdateSecureSettingUnlockBetween_Builder__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_UpdateSecureSettingUnlockBetween_Builder__type_set)
    Builder = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_UpdateSecureSettingUnlockBetween_Builder_Builder_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_UpdateSecureSettingUnlockBetween_Builder_Builder_set)
    build = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_UpdateSecureSettingUnlockBetween_Builder_build_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_UpdateSecureSettingUnlockBetween_Builder_build_set)
    setBaseOperation = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_UpdateSecureSettingUnlockBetween_Builder_setBaseOperation_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_UpdateSecureSettingUnlockBetween_Builder_setBaseOperation_set)
    setUnlockBetween = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_UpdateSecureSettingUnlockBetween_Builder_setUnlockBetween_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_UpdateSecureSettingUnlockBetween_Builder_setUnlockBetween_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_UpdateSecureSettingUnlockBetween_Builder_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_UpdateSecureSettingUnlockBetween_Builder())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_UpdateSecureSettingUnlockBetween_Builder

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_UpdateSecureSettingUnlockBetween_Builder in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_UpdateSecureSettingUnlockBetween_Builder_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_UpdateSecureSettingUnlockBetween_Builder)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_UpdateSecureSettingUnlockDuration(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    Builder = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_UpdateSecureSettingUnlockDuration_Builder_get)
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_UpdateSecureSettingUnlockDuration__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_UpdateSecureSettingUnlockDuration__type_set)
    UpdateSecureSettingUnlockDuration = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_UpdateSecureSettingUnlockDuration_UpdateSecureSettingUnlockDuration_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_UpdateSecureSettingUnlockDuration_UpdateSecureSettingUnlockDuration_set)
    get_baseOperation = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_UpdateSecureSettingUnlockDuration_get_baseOperation_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_UpdateSecureSettingUnlockDuration_get_baseOperation_set)
    get_unlockDuration = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_UpdateSecureSettingUnlockDuration_get_unlockDuration_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_UpdateSecureSettingUnlockDuration_get_unlockDuration_set)
    component1 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_UpdateSecureSettingUnlockDuration_component1_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_UpdateSecureSettingUnlockDuration_component1_set)
    component2 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_UpdateSecureSettingUnlockDuration_component2_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_UpdateSecureSettingUnlockDuration_component2_set)
    copy = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_UpdateSecureSettingUnlockDuration_copy_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_UpdateSecureSettingUnlockDuration_copy_set)
    equals = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_UpdateSecureSettingUnlockDuration_equals_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_UpdateSecureSettingUnlockDuration_equals_set)
    hashCode = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_UpdateSecureSettingUnlockDuration_hashCode_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_UpdateSecureSettingUnlockDuration_hashCode_set)
    toString = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_UpdateSecureSettingUnlockDuration_toString_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_UpdateSecureSettingUnlockDuration_toString_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_UpdateSecureSettingUnlockDuration_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_UpdateSecureSettingUnlockDuration())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_UpdateSecureSettingUnlockDuration

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_UpdateSecureSettingUnlockDuration in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_UpdateSecureSettingUnlockDuration_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_UpdateSecureSettingUnlockDuration)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_UpdateSecureSettingUnlockDuration_Builder(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_UpdateSecureSettingUnlockDuration_Builder__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_UpdateSecureSettingUnlockDuration_Builder__type_set)
    Builder = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_UpdateSecureSettingUnlockDuration_Builder_Builder_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_UpdateSecureSettingUnlockDuration_Builder_Builder_set)
    build = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_UpdateSecureSettingUnlockDuration_Builder_build_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_UpdateSecureSettingUnlockDuration_Builder_build_set)
    setBaseOperation = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_UpdateSecureSettingUnlockDuration_Builder_setBaseOperation_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_UpdateSecureSettingUnlockDuration_Builder_setBaseOperation_set)
    setUnlockDuration = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_UpdateSecureSettingUnlockDuration_Builder_setUnlockDuration_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_UpdateSecureSettingUnlockDuration_Builder_setUnlockDuration_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_UpdateSecureSettingUnlockDuration_Builder_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_UpdateSecureSettingUnlockDuration_Builder())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_UpdateSecureSettingUnlockDuration_Builder

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_UpdateSecureSettingUnlockDuration_Builder in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_UpdateSecureSettingUnlockDuration_Builder_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_UpdateSecureSettingUnlockDuration_Builder)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_RevokeAccessToLockOperation(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    Builder = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_RevokeAccessToLockOperation_Builder_get)
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_RevokeAccessToLockOperation__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_RevokeAccessToLockOperation__type_set)
    RevokeAccessToLockOperation = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_RevokeAccessToLockOperation_RevokeAccessToLockOperation_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_RevokeAccessToLockOperation_RevokeAccessToLockOperation_set)
    get_baseOperation = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_RevokeAccessToLockOperation_get_baseOperation_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_RevokeAccessToLockOperation_get_baseOperation_set)
    get_users = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_RevokeAccessToLockOperation_get_users_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_RevokeAccessToLockOperation_get_users_set)
    component1 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_RevokeAccessToLockOperation_component1_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_RevokeAccessToLockOperation_component1_set)
    component2 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_RevokeAccessToLockOperation_component2_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_RevokeAccessToLockOperation_component2_set)
    copy = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_RevokeAccessToLockOperation_copy_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_RevokeAccessToLockOperation_copy_set)
    equals = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_RevokeAccessToLockOperation_equals_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_RevokeAccessToLockOperation_equals_set)
    hashCode = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_RevokeAccessToLockOperation_hashCode_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_RevokeAccessToLockOperation_hashCode_set)
    toString = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_RevokeAccessToLockOperation_toString_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_RevokeAccessToLockOperation_toString_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_RevokeAccessToLockOperation_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_RevokeAccessToLockOperation())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_RevokeAccessToLockOperation

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_RevokeAccessToLockOperation in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_RevokeAccessToLockOperation_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_RevokeAccessToLockOperation)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_RevokeAccessToLockOperation_Builder(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_RevokeAccessToLockOperation_Builder__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_RevokeAccessToLockOperation_Builder__type_set)
    Builder = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_RevokeAccessToLockOperation_Builder_Builder_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_RevokeAccessToLockOperation_Builder_Builder_set)
    build = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_RevokeAccessToLockOperation_Builder_build_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_RevokeAccessToLockOperation_Builder_build_set)
    setBaseOperation = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_RevokeAccessToLockOperation_Builder_setBaseOperation_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_RevokeAccessToLockOperation_Builder_setBaseOperation_set)
    setUsers = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_RevokeAccessToLockOperation_Builder_setUsers_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_RevokeAccessToLockOperation_Builder_setUsers_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_RevokeAccessToLockOperation_Builder_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_RevokeAccessToLockOperation_Builder())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_RevokeAccessToLockOperation_Builder

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_RevokeAccessToLockOperation_Builder in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_RevokeAccessToLockOperation_Builder_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_RevokeAccessToLockOperation_Builder)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_BatchShareLockOperation(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    Builder = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_BatchShareLockOperation_Builder_get)
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_BatchShareLockOperation__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_BatchShareLockOperation__type_set)
    BatchShareLockOperation = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_BatchShareLockOperation_BatchShareLockOperation_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_BatchShareLockOperation_BatchShareLockOperation_set)
    get_baseOperation = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_BatchShareLockOperation_get_baseOperation_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_BatchShareLockOperation_get_baseOperation_set)
    get_users = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_BatchShareLockOperation_get_users_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_BatchShareLockOperation_get_users_set)
    component1 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_BatchShareLockOperation_component1_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_BatchShareLockOperation_component1_set)
    component2 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_BatchShareLockOperation_component2_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_BatchShareLockOperation_component2_set)
    copy = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_BatchShareLockOperation_copy_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_BatchShareLockOperation_copy_set)
    equals = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_BatchShareLockOperation_equals_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_BatchShareLockOperation_equals_set)
    hashCode = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_BatchShareLockOperation_hashCode_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_BatchShareLockOperation_hashCode_set)
    toString = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_BatchShareLockOperation_toString_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_BatchShareLockOperation_toString_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_BatchShareLockOperation_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_BatchShareLockOperation())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_BatchShareLockOperation

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_BatchShareLockOperation in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_BatchShareLockOperation_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_BatchShareLockOperation)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_BatchShareLockOperation_Builder(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_BatchShareLockOperation_Builder__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_BatchShareLockOperation_Builder__type_set)
    Builder = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_BatchShareLockOperation_Builder_Builder_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_BatchShareLockOperation_Builder_Builder_set)
    build = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_BatchShareLockOperation_Builder_build_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_BatchShareLockOperation_Builder_build_set)
    setBaseOperation = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_BatchShareLockOperation_Builder_setBaseOperation_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_BatchShareLockOperation_Builder_setBaseOperation_set)
    setUsers = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_BatchShareLockOperation_Builder_setUsers_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_BatchShareLockOperation_Builder_setUsers_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_BatchShareLockOperation_Builder_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_BatchShareLockOperation_Builder())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_BatchShareLockOperation_Builder

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_BatchShareLockOperation_Builder in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_BatchShareLockOperation_Builder_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_BatchShareLockOperation_Builder)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_ShareLock(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    Builder = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_ShareLock_Builder_get)
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_ShareLock__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_ShareLock__type_set)
    ShareLock = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_ShareLock_ShareLock_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_ShareLock_ShareLock_set)
    get_end = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_ShareLock_get_end_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_ShareLock_get_end_set)
    get_start = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_ShareLock_get_start_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_ShareLock_get_start_set)
    get_targetUserId = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_ShareLock_get_targetUserId_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_ShareLock_get_targetUserId_set)
    get_targetUserPublicKey = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_ShareLock_get_targetUserPublicKey_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_ShareLock_get_targetUserPublicKey_set)
    get_targetUserRole = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_ShareLock_get_targetUserRole_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_ShareLock_get_targetUserRole_set)
    component1 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_ShareLock_component1_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_ShareLock_component1_set)
    component2 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_ShareLock_component2_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_ShareLock_component2_set)
    component3 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_ShareLock_component3_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_ShareLock_component3_set)
    component4 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_ShareLock_component4_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_ShareLock_component4_set)
    component5 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_ShareLock_component5_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_ShareLock_component5_set)
    copy = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_ShareLock_copy_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_ShareLock_copy_set)
    equals = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_ShareLock_equals_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_ShareLock_equals_set)
    hashCode = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_ShareLock_hashCode_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_ShareLock_hashCode_set)
    toString = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_ShareLock_toString_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_ShareLock_toString_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_ShareLock_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_ShareLock())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_ShareLock

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_ShareLock in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_ShareLock_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_ShareLock)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_ShareLock_Builder(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_ShareLock_Builder__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_ShareLock_Builder__type_set)
    Builder = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_ShareLock_Builder_Builder_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_ShareLock_Builder_Builder_set)
    build = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_ShareLock_Builder_build_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_ShareLock_Builder_build_set)
    setEnd = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_ShareLock_Builder_setEnd_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_ShareLock_Builder_setEnd_set)
    setStart = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_ShareLock_Builder_setStart_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_ShareLock_Builder_setStart_set)
    setTargetUserId = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_ShareLock_Builder_setTargetUserId_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_ShareLock_Builder_setTargetUserId_set)
    setTargetUserPublicKey = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_ShareLock_Builder_setTargetUserPublicKey_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_ShareLock_Builder_setTargetUserPublicKey_set)
    setTargetUserRole = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_ShareLock_Builder_setTargetUserRole_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_ShareLock_Builder_setTargetUserRole_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_ShareLock_Builder_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_ShareLock_Builder())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_ShareLock_Builder

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_ShareLock_Builder in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_ShareLock_Builder_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_ShareLock_Builder)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_ShareLockOperation(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    Builder = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_ShareLockOperation_Builder_get)
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_ShareLockOperation__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_ShareLockOperation__type_set)
    ShareLockOperation = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_ShareLockOperation_ShareLockOperation_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_ShareLockOperation_ShareLockOperation_set)
    get_baseOperation = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_ShareLockOperation_get_baseOperation_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_ShareLockOperation_get_baseOperation_set)
    get_shareLock = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_ShareLockOperation_get_shareLock_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_ShareLockOperation_get_shareLock_set)
    component1 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_ShareLockOperation_component1_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_ShareLockOperation_component1_set)
    component2 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_ShareLockOperation_component2_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_ShareLockOperation_component2_set)
    copy = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_ShareLockOperation_copy_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_ShareLockOperation_copy_set)
    equals = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_ShareLockOperation_equals_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_ShareLockOperation_equals_set)
    hashCode = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_ShareLockOperation_hashCode_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_ShareLockOperation_hashCode_set)
    toString = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_ShareLockOperation_toString_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_ShareLockOperation_toString_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_ShareLockOperation_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_ShareLockOperation())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_ShareLockOperation

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_ShareLockOperation in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_ShareLockOperation_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_ShareLockOperation)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_ShareLockOperation_Builder(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_ShareLockOperation_Builder__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_ShareLockOperation_Builder__type_set)
    Builder = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_ShareLockOperation_Builder_Builder_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_ShareLockOperation_Builder_Builder_set)
    build = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_ShareLockOperation_Builder_build_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_ShareLockOperation_Builder_build_set)
    setBaseOperation = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_ShareLockOperation_Builder_setBaseOperation_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_ShareLockOperation_Builder_setBaseOperation_set)
    setShareLock = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_ShareLockOperation_Builder_setShareLock_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_ShareLockOperation_Builder_setShareLock_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_ShareLockOperation_Builder_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_ShareLockOperation_Builder())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_ShareLockOperation_Builder

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_ShareLockOperation_Builder in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_ShareLockOperation_Builder_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_ShareLockOperation_Builder)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_UnlockOperation(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    Builder = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_UnlockOperation_Builder_get)
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_UnlockOperation__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_UnlockOperation__type_set)
    UnlockOperation = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_UnlockOperation_UnlockOperation_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_UnlockOperation_UnlockOperation_set)
    get_baseOperation = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_UnlockOperation_get_baseOperation_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_UnlockOperation_get_baseOperation_set)
    get_directAccessEndpoints = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_UnlockOperation_get_directAccessEndpoints_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_UnlockOperation_get_directAccessEndpoints_set)
    component1 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_UnlockOperation_component1_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_UnlockOperation_component1_set)
    component2 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_UnlockOperation_component2_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_UnlockOperation_component2_set)
    copy = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_UnlockOperation_copy_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_UnlockOperation_copy_set)
    equals = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_UnlockOperation_equals_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_UnlockOperation_equals_set)
    hashCode = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_UnlockOperation_hashCode_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_UnlockOperation_hashCode_set)
    toString = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_UnlockOperation_toString_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_UnlockOperation_toString_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_UnlockOperation_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_UnlockOperation())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_UnlockOperation

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_UnlockOperation in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_UnlockOperation_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_UnlockOperation)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_UnlockOperation_Builder(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_UnlockOperation_Builder__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_UnlockOperation_Builder__type_set)
    Builder = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_UnlockOperation_Builder_Builder_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_UnlockOperation_Builder_Builder_set)
    build = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_UnlockOperation_Builder_build_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_UnlockOperation_Builder_build_set)
    setBaseOperation = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_UnlockOperation_Builder_setBaseOperation_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_UnlockOperation_Builder_setBaseOperation_set)
    setDirectAccessEndpoints = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_UnlockOperation_Builder_setDirectAccessEndpoints_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_UnlockOperation_Builder_setDirectAccessEndpoints_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_UnlockOperation_Builder_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_UnlockOperation_Builder())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_UnlockOperation_Builder

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_UnlockOperation_Builder in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_UnlockOperation_Builder_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_UnlockOperation_Builder)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_UnlockBetween(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    Builder = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_UnlockBetween_Builder_get)
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_UnlockBetween__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_UnlockBetween__type_set)
    UnlockBetween = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_UnlockBetween_UnlockBetween_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_UnlockBetween_UnlockBetween_set)
    get_days = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_UnlockBetween_get_days_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_UnlockBetween_get_days_set)
    get_end = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_UnlockBetween_get_end_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_UnlockBetween_get_end_set)
    get_exceptions = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_UnlockBetween_get_exceptions_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_UnlockBetween_get_exceptions_set)
    get_start = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_UnlockBetween_get_start_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_UnlockBetween_get_start_set)
    get_timezone = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_UnlockBetween_get_timezone_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_UnlockBetween_get_timezone_set)
    component1 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_UnlockBetween_component1_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_UnlockBetween_component1_set)
    component2 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_UnlockBetween_component2_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_UnlockBetween_component2_set)
    component3 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_UnlockBetween_component3_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_UnlockBetween_component3_set)
    component4 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_UnlockBetween_component4_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_UnlockBetween_component4_set)
    component5 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_UnlockBetween_component5_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_UnlockBetween_component5_set)
    copy = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_UnlockBetween_copy_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_UnlockBetween_copy_set)
    equals = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_UnlockBetween_equals_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_UnlockBetween_equals_set)
    hashCode = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_UnlockBetween_hashCode_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_UnlockBetween_hashCode_set)
    toString = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_UnlockBetween_toString_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_UnlockBetween_toString_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_UnlockBetween_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_UnlockBetween())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_UnlockBetween

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_UnlockBetween in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_UnlockBetween_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_UnlockBetween)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_UnlockBetween_Builder(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_UnlockBetween_Builder__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_UnlockBetween_Builder__type_set)
    Builder = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_UnlockBetween_Builder_Builder_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_UnlockBetween_Builder_Builder_set)
    build = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_UnlockBetween_Builder_build_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_UnlockBetween_Builder_build_set)
    setDays = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_UnlockBetween_Builder_setDays_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_UnlockBetween_Builder_setDays_set)
    setEnd = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_UnlockBetween_Builder_setEnd_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_UnlockBetween_Builder_setEnd_set)
    setExceptions = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_UnlockBetween_Builder_setExceptions_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_UnlockBetween_Builder_setExceptions_set)
    setStart = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_UnlockBetween_Builder_setStart_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_UnlockBetween_Builder_setStart_set)
    setTimezone = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_UnlockBetween_Builder_setTimezone_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_UnlockBetween_Builder_setTimezone_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_UnlockBetween_Builder_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_UnlockBetween_Builder())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_UnlockBetween_Builder

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_UnlockBetween_Builder in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_UnlockBetween_Builder_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_UnlockBetween_Builder)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_LocationRequirement(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    Builder = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_LocationRequirement_Builder_get)
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_LocationRequirement__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_LocationRequirement__type_set)
    LocationRequirement = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_LocationRequirement_LocationRequirement_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_LocationRequirement_LocationRequirement_set)
    get_accuracy = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_LocationRequirement_get_accuracy_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_LocationRequirement_get_accuracy_set)
    get_enabled = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_LocationRequirement_get_enabled_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_LocationRequirement_get_enabled_set)
    get_latitude = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_LocationRequirement_get_latitude_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_LocationRequirement_get_latitude_set)
    get_longitude = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_LocationRequirement_get_longitude_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_LocationRequirement_get_longitude_set)
    get_radius = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_LocationRequirement_get_radius_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_LocationRequirement_get_radius_set)
    component1 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_LocationRequirement_component1_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_LocationRequirement_component1_set)
    component2 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_LocationRequirement_component2_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_LocationRequirement_component2_set)
    component3 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_LocationRequirement_component3_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_LocationRequirement_component3_set)
    component4 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_LocationRequirement_component4_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_LocationRequirement_component4_set)
    component5 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_LocationRequirement_component5_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_LocationRequirement_component5_set)
    copy = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_LocationRequirement_copy_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_LocationRequirement_copy_set)
    equals = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_LocationRequirement_equals_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_LocationRequirement_equals_set)
    hashCode = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_LocationRequirement_hashCode_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_LocationRequirement_hashCode_set)
    toString = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_LocationRequirement_toString_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_LocationRequirement_toString_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_LocationRequirement_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_LocationRequirement())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_LocationRequirement

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_LocationRequirement in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_LocationRequirement_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_LocationRequirement)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_LocationRequirement_Builder(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_LocationRequirement_Builder__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_LocationRequirement_Builder__type_set)
    Builder = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_LocationRequirement_Builder_Builder_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_LocationRequirement_Builder_Builder_set)
    build = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_LocationRequirement_Builder_build_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_LocationRequirement_Builder_build_set)
    setAccuracy = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_LocationRequirement_Builder_setAccuracy_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_LocationRequirement_Builder_setAccuracy_set)
    setEnabled = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_LocationRequirement_Builder_setEnabled_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_LocationRequirement_Builder_setEnabled_set)
    setLatitude = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_LocationRequirement_Builder_setLatitude_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_LocationRequirement_Builder_setLatitude_set)
    setLongitude = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_LocationRequirement_Builder_setLongitude_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_LocationRequirement_Builder_setLongitude_set)
    setRadius = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_LocationRequirement_Builder_setRadius_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_LocationRequirement_Builder_setRadius_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_LocationRequirement_Builder_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_LocationRequirement_Builder())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_LocationRequirement_Builder

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_LocationRequirement_Builder in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_LocationRequirement_Builder_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_LocationRequirement_Builder)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_TimeRequirement(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    Builder = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_TimeRequirement_Builder_get)
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_TimeRequirement__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_TimeRequirement__type_set)
    TimeRequirement = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_TimeRequirement_TimeRequirement_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_TimeRequirement_TimeRequirement_set)
    get_days = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_TimeRequirement_get_days_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_TimeRequirement_get_days_set)
    get_end = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_TimeRequirement_get_end_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_TimeRequirement_get_end_set)
    get_start = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_TimeRequirement_get_start_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_TimeRequirement_get_start_set)
    get_timezone = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_TimeRequirement_get_timezone_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_TimeRequirement_get_timezone_set)
    component1 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_TimeRequirement_component1_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_TimeRequirement_component1_set)
    component2 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_TimeRequirement_component2_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_TimeRequirement_component2_set)
    component3 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_TimeRequirement_component3_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_TimeRequirement_component3_set)
    component4 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_TimeRequirement_component4_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_TimeRequirement_component4_set)
    copy = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_TimeRequirement_copy_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_TimeRequirement_copy_set)
    equals = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_TimeRequirement_equals_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_TimeRequirement_equals_set)
    hashCode = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_TimeRequirement_hashCode_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_TimeRequirement_hashCode_set)
    toString = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_TimeRequirement_toString_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_TimeRequirement_toString_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_TimeRequirement_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_TimeRequirement())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_TimeRequirement

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_TimeRequirement in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_TimeRequirement_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_TimeRequirement)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_TimeRequirement_Builder(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_TimeRequirement_Builder__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_TimeRequirement_Builder__type_set)
    Builder = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_TimeRequirement_Builder_Builder_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_TimeRequirement_Builder_Builder_set)
    build = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_TimeRequirement_Builder_build_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_TimeRequirement_Builder_build_set)
    setDays = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_TimeRequirement_Builder_setDays_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_TimeRequirement_Builder_setDays_set)
    setEnd = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_TimeRequirement_Builder_setEnd_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_TimeRequirement_Builder_setEnd_set)
    setStart = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_TimeRequirement_Builder_setStart_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_TimeRequirement_Builder_setStart_set)
    setTimezone = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_TimeRequirement_Builder_setTimezone_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_TimeRequirement_Builder_setTimezone_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_TimeRequirement_Builder_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_TimeRequirement_Builder())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_TimeRequirement_Builder

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_TimeRequirement_Builder in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_TimeRequirement_Builder_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_LockOperations_TimeRequirement_Builder)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    LockController = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_LockController_get)
    AlpetaController = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AlpetaController_get)
    AmagController = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AmagController_get)
    AssaAbloyController = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AssaAbloyController_get)
    AvigilonController = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AvigilonController_get)
    AxisController = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AxisController_get)
    CCureController = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_CCureController_get)
    DemoController = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_DemoController_get)
    GallagherController = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_GallagherController_get)
    GenetecController = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_GenetecController_get)
    LenelController = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_LenelController_get)
    MitrefinchController = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_MitrefinchController_get)
    PaxtonNet2Controller = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_PaxtonNet2Controller_get)
    Paxton10Controller = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_Paxton10Controller_get)
    IntegraV1Controller = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_IntegraV1Controller_get)
    IntegraV2Controller = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_IntegraV2Controller_get)
    PacController = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_PacController_get)
    DataSource = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_DataSource_get)
    TdsiExgardeController = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_TdsiExgardeController_get)
    TdsiGardisController = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_TdsiGardisController_get)
    ZktecoController = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_ZktecoController_get)
    ZktecoEntityType = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_ZktecoEntityType_get)
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion__instance_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_ZktecoEntityType(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    DOOR = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_ZktecoEntityType_DOOR_get)
    FLOOR = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_ZktecoEntityType_FLOOR_get)
    Companion = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_ZktecoEntityType_Companion_get)
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_ZktecoEntityType__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_ZktecoEntityType__type_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_ZktecoEntityType_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_ZktecoEntityType())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_ZktecoEntityType

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_ZktecoEntityType in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_ZktecoEntityType_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_ZktecoEntityType)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_ZktecoEntityType_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_ZktecoEntityType_Companion__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_ZktecoEntityType_Companion__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_ZktecoEntityType_Companion__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_ZktecoEntityType_Companion__instance_set)
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_ZktecoEntityType_Companion_serializer_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_ZktecoEntityType_Companion_serializer_set)
    serializer_ = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_ZktecoEntityType_Companion_serializer__get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_ZktecoEntityType_Companion_serializer__set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_ZktecoEntityType_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_ZktecoEntityType_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_ZktecoEntityType_Companion

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_ZktecoEntityType_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_ZktecoEntityType_Companion_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_ZktecoEntityType_Companion)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_ZktecoEntityType_FLOOR(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    get = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_ZktecoEntityType_FLOOR_get_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_ZktecoEntityType_FLOOR_get_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_ZktecoEntityType_FLOOR_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_ZktecoEntityType_FLOOR())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_ZktecoEntityType_FLOOR

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_ZktecoEntityType_FLOOR in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_ZktecoEntityType_FLOOR_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_ZktecoEntityType_FLOOR)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_ZktecoEntityType_DOOR(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    get = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_ZktecoEntityType_DOOR_get_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_ZktecoEntityType_DOOR_get_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_ZktecoEntityType_DOOR_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_ZktecoEntityType_DOOR())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_ZktecoEntityType_DOOR

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_ZktecoEntityType_DOOR in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_ZktecoEntityType_DOOR_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_ZktecoEntityType_DOOR)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_ZktecoController(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_ZktecoController_serializer_get)
    Companion = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_ZktecoController_Companion_get)
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_ZktecoController__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_ZktecoController__type_set)
    ZktecoController = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_ZktecoController_ZktecoController_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_ZktecoController_ZktecoController_set)
    get_baseUrl = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_ZktecoController_get_baseUrl_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_ZktecoController_get_baseUrl_set)
    get_clientSecret = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_ZktecoController_get_clientSecret_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_ZktecoController_get_clientSecret_set)
    get_doorId = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_ZktecoController_get_doorId_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_ZktecoController_get_doorId_set)
    get_entityType = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_ZktecoController_get_entityType_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_ZktecoController_get_entityType_set)
    component1 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_ZktecoController_component1_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_ZktecoController_component1_set)
    component2 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_ZktecoController_component2_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_ZktecoController_component2_set)
    component3 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_ZktecoController_component3_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_ZktecoController_component3_set)
    component4 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_ZktecoController_component4_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_ZktecoController_component4_set)
    copy = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_ZktecoController_copy_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_ZktecoController_copy_set)
    equals = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_ZktecoController_equals_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_ZktecoController_equals_set)
    hashCode = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_ZktecoController_hashCode_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_ZktecoController_hashCode_set)
    toString = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_ZktecoController_toString_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_ZktecoController_toString_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_ZktecoController_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_ZktecoController())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_ZktecoController

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_ZktecoController in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_ZktecoController_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_ZktecoController)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_ZktecoController_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_ZktecoController_Companion__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_ZktecoController_Companion__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_ZktecoController_Companion__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_ZktecoController_Companion__instance_set)
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_ZktecoController_Companion_serializer_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_ZktecoController_Companion_serializer_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_ZktecoController_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_ZktecoController_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_ZktecoController_Companion

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_ZktecoController_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_ZktecoController_Companion_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_ZktecoController_Companion)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_ZktecoController_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_ZktecoController_serializer__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_ZktecoController_serializer__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_ZktecoController_serializer__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_ZktecoController_serializer__instance_set)
    get_descriptor = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_ZktecoController_serializer_get_descriptor_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_ZktecoController_serializer_get_descriptor_set)
    childSerializers = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_ZktecoController_serializer_childSerializers_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_ZktecoController_serializer_childSerializers_set)
    deserialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_ZktecoController_serializer_deserialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_ZktecoController_serializer_deserialize_set)
    serialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_ZktecoController_serializer_serialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_ZktecoController_serializer_serialize_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_ZktecoController_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_ZktecoController_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_ZktecoController_serializer

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_ZktecoController_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_ZktecoController_serializer_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_ZktecoController_serializer)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_TdsiGardisController(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_TdsiGardisController_serializer_get)
    Companion = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_TdsiGardisController_Companion_get)
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_TdsiGardisController__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_TdsiGardisController__type_set)
    TdsiGardisController = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_TdsiGardisController_TdsiGardisController_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_TdsiGardisController_TdsiGardisController_set)
    get_doorId = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_TdsiGardisController_get_doorId_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_TdsiGardisController_get_doorId_set)
    get_host = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_TdsiGardisController_get_host_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_TdsiGardisController_get_host_set)
    get_password = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_TdsiGardisController_get_password_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_TdsiGardisController_get_password_set)
    get_username = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_TdsiGardisController_get_username_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_TdsiGardisController_get_username_set)
    component1 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_TdsiGardisController_component1_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_TdsiGardisController_component1_set)
    component2 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_TdsiGardisController_component2_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_TdsiGardisController_component2_set)
    component3 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_TdsiGardisController_component3_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_TdsiGardisController_component3_set)
    component4 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_TdsiGardisController_component4_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_TdsiGardisController_component4_set)
    copy = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_TdsiGardisController_copy_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_TdsiGardisController_copy_set)
    equals = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_TdsiGardisController_equals_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_TdsiGardisController_equals_set)
    hashCode = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_TdsiGardisController_hashCode_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_TdsiGardisController_hashCode_set)
    toString = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_TdsiGardisController_toString_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_TdsiGardisController_toString_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_TdsiGardisController_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_TdsiGardisController())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_TdsiGardisController

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_TdsiGardisController in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_TdsiGardisController_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_TdsiGardisController)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_TdsiGardisController_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_TdsiGardisController_Companion__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_TdsiGardisController_Companion__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_TdsiGardisController_Companion__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_TdsiGardisController_Companion__instance_set)
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_TdsiGardisController_Companion_serializer_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_TdsiGardisController_Companion_serializer_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_TdsiGardisController_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_TdsiGardisController_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_TdsiGardisController_Companion

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_TdsiGardisController_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_TdsiGardisController_Companion_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_TdsiGardisController_Companion)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_TdsiGardisController_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_TdsiGardisController_serializer__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_TdsiGardisController_serializer__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_TdsiGardisController_serializer__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_TdsiGardisController_serializer__instance_set)
    get_descriptor = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_TdsiGardisController_serializer_get_descriptor_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_TdsiGardisController_serializer_get_descriptor_set)
    childSerializers = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_TdsiGardisController_serializer_childSerializers_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_TdsiGardisController_serializer_childSerializers_set)
    deserialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_TdsiGardisController_serializer_deserialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_TdsiGardisController_serializer_deserialize_set)
    serialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_TdsiGardisController_serializer_serialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_TdsiGardisController_serializer_serialize_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_TdsiGardisController_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_TdsiGardisController_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_TdsiGardisController_serializer

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_TdsiGardisController_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_TdsiGardisController_serializer_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_TdsiGardisController_serializer)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_TdsiExgardeController(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_TdsiExgardeController_serializer_get)
    Companion = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_TdsiExgardeController_Companion_get)
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_TdsiExgardeController__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_TdsiExgardeController__type_set)
    TdsiExgardeController = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_TdsiExgardeController_TdsiExgardeController_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_TdsiExgardeController_TdsiExgardeController_set)
    get_dbUrl = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_TdsiExgardeController_get_dbUrl_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_TdsiExgardeController_get_dbUrl_set)
    get_doorId = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_TdsiExgardeController_get_doorId_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_TdsiExgardeController_get_doorId_set)
    get_password = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_TdsiExgardeController_get_password_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_TdsiExgardeController_get_password_set)
    get_username = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_TdsiExgardeController_get_username_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_TdsiExgardeController_get_username_set)
    component1 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_TdsiExgardeController_component1_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_TdsiExgardeController_component1_set)
    component2 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_TdsiExgardeController_component2_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_TdsiExgardeController_component2_set)
    component3 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_TdsiExgardeController_component3_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_TdsiExgardeController_component3_set)
    component4 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_TdsiExgardeController_component4_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_TdsiExgardeController_component4_set)
    copy = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_TdsiExgardeController_copy_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_TdsiExgardeController_copy_set)
    equals = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_TdsiExgardeController_equals_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_TdsiExgardeController_equals_set)
    hashCode = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_TdsiExgardeController_hashCode_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_TdsiExgardeController_hashCode_set)
    toString = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_TdsiExgardeController_toString_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_TdsiExgardeController_toString_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_TdsiExgardeController_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_TdsiExgardeController())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_TdsiExgardeController

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_TdsiExgardeController in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_TdsiExgardeController_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_TdsiExgardeController)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_TdsiExgardeController_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_TdsiExgardeController_Companion__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_TdsiExgardeController_Companion__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_TdsiExgardeController_Companion__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_TdsiExgardeController_Companion__instance_set)
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_TdsiExgardeController_Companion_serializer_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_TdsiExgardeController_Companion_serializer_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_TdsiExgardeController_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_TdsiExgardeController_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_TdsiExgardeController_Companion

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_TdsiExgardeController_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_TdsiExgardeController_Companion_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_TdsiExgardeController_Companion)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_TdsiExgardeController_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_TdsiExgardeController_serializer__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_TdsiExgardeController_serializer__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_TdsiExgardeController_serializer__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_TdsiExgardeController_serializer__instance_set)
    get_descriptor = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_TdsiExgardeController_serializer_get_descriptor_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_TdsiExgardeController_serializer_get_descriptor_set)
    childSerializers = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_TdsiExgardeController_serializer_childSerializers_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_TdsiExgardeController_serializer_childSerializers_set)
    deserialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_TdsiExgardeController_serializer_deserialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_TdsiExgardeController_serializer_deserialize_set)
    serialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_TdsiExgardeController_serializer_serialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_TdsiExgardeController_serializer_serialize_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_TdsiExgardeController_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_TdsiExgardeController_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_TdsiExgardeController_serializer

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_TdsiExgardeController_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_TdsiExgardeController_serializer_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_TdsiExgardeController_serializer)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_DataSource(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_DataSource_serializer_get)
    Companion = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_DataSource_Companion_get)
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_DataSource__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_DataSource__type_set)
    DataSource = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_DataSource_DataSource_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_DataSource_DataSource_set)
    get_driverClass = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_DataSource_get_driverClass_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_DataSource_get_driverClass_set)
    get_password = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_DataSource_get_password_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_DataSource_get_password_set)
    get_url = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_DataSource_get_url_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_DataSource_get_url_set)
    get_user = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_DataSource_get_user_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_DataSource_get_user_set)
    component1 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_DataSource_component1_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_DataSource_component1_set)
    component2 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_DataSource_component2_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_DataSource_component2_set)
    component3 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_DataSource_component3_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_DataSource_component3_set)
    component4 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_DataSource_component4_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_DataSource_component4_set)
    copy = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_DataSource_copy_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_DataSource_copy_set)
    equals = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_DataSource_equals_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_DataSource_equals_set)
    hashCode = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_DataSource_hashCode_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_DataSource_hashCode_set)
    toString = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_DataSource_toString_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_DataSource_toString_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_DataSource_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_DataSource())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_DataSource

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_DataSource in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_DataSource_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_DataSource)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_DataSource_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_DataSource_Companion__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_DataSource_Companion__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_DataSource_Companion__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_DataSource_Companion__instance_set)
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_DataSource_Companion_serializer_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_DataSource_Companion_serializer_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_DataSource_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_DataSource_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_DataSource_Companion

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_DataSource_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_DataSource_Companion_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_DataSource_Companion)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_DataSource_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_DataSource_serializer__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_DataSource_serializer__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_DataSource_serializer__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_DataSource_serializer__instance_set)
    get_descriptor = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_DataSource_serializer_get_descriptor_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_DataSource_serializer_get_descriptor_set)
    childSerializers = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_DataSource_serializer_childSerializers_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_DataSource_serializer_childSerializers_set)
    deserialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_DataSource_serializer_deserialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_DataSource_serializer_deserialize_set)
    serialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_DataSource_serializer_serialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_DataSource_serializer_serialize_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_DataSource_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_DataSource_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_DataSource_serializer

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_DataSource_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_DataSource_serializer_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_DataSource_serializer)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_PacController(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_PacController_serializer_get)
    Companion = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_PacController_Companion_get)
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_PacController__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_PacController__type_set)
    PacController = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_PacController_PacController_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_PacController_PacController_set)
    get_controllerSerial = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_PacController_get_controllerSerial_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_PacController_get_controllerSerial_set)
    get_dataSource = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_PacController_get_dataSource_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_PacController_get_dataSource_set)
    get_outputChannel = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_PacController_get_outputChannel_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_PacController_get_outputChannel_set)
    component1 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_PacController_component1_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_PacController_component1_set)
    component2 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_PacController_component2_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_PacController_component2_set)
    component3 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_PacController_component3_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_PacController_component3_set)
    copy = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_PacController_copy_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_PacController_copy_set)
    equals = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_PacController_equals_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_PacController_equals_set)
    hashCode = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_PacController_hashCode_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_PacController_hashCode_set)
    toString = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_PacController_toString_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_PacController_toString_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_PacController_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_PacController())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_PacController

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_PacController in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_PacController_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_PacController)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_PacController_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_PacController_Companion__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_PacController_Companion__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_PacController_Companion__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_PacController_Companion__instance_set)
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_PacController_Companion_serializer_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_PacController_Companion_serializer_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_PacController_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_PacController_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_PacController_Companion

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_PacController_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_PacController_Companion_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_PacController_Companion)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_PacController_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_PacController_serializer__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_PacController_serializer__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_PacController_serializer__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_PacController_serializer__instance_set)
    get_descriptor = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_PacController_serializer_get_descriptor_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_PacController_serializer_get_descriptor_set)
    childSerializers = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_PacController_serializer_childSerializers_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_PacController_serializer_childSerializers_set)
    deserialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_PacController_serializer_deserialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_PacController_serializer_deserialize_set)
    serialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_PacController_serializer_serialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_PacController_serializer_serialize_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_PacController_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_PacController_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_PacController_serializer

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_PacController_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_PacController_serializer_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_PacController_serializer)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_IntegraV2Controller(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_IntegraV2Controller_serializer_get)
    Companion = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_IntegraV2Controller_Companion_get)
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_IntegraV2Controller__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_IntegraV2Controller__type_set)
    IntegraV2Controller = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_IntegraV2Controller_IntegraV2Controller_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_IntegraV2Controller_IntegraV2Controller_set)
    get_baseUrl = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_IntegraV2Controller_get_baseUrl_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_IntegraV2Controller_get_baseUrl_set)
    get_cardholderId = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_IntegraV2Controller_get_cardholderId_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_IntegraV2Controller_get_cardholderId_set)
    get_controllerId = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_IntegraV2Controller_get_controllerId_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_IntegraV2Controller_get_controllerId_set)
    get_pinCode = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_IntegraV2Controller_get_pinCode_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_IntegraV2Controller_get_pinCode_set)
    get_sessionId = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_IntegraV2Controller_get_sessionId_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_IntegraV2Controller_get_sessionId_set)
    component1 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_IntegraV2Controller_component1_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_IntegraV2Controller_component1_set)
    component2 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_IntegraV2Controller_component2_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_IntegraV2Controller_component2_set)
    component3 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_IntegraV2Controller_component3_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_IntegraV2Controller_component3_set)
    component4 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_IntegraV2Controller_component4_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_IntegraV2Controller_component4_set)
    component5 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_IntegraV2Controller_component5_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_IntegraV2Controller_component5_set)
    copy = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_IntegraV2Controller_copy_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_IntegraV2Controller_copy_set)
    equals = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_IntegraV2Controller_equals_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_IntegraV2Controller_equals_set)
    hashCode = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_IntegraV2Controller_hashCode_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_IntegraV2Controller_hashCode_set)
    toString = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_IntegraV2Controller_toString_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_IntegraV2Controller_toString_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_IntegraV2Controller_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_IntegraV2Controller())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_IntegraV2Controller

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_IntegraV2Controller in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_IntegraV2Controller_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_IntegraV2Controller)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_IntegraV2Controller_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_IntegraV2Controller_Companion__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_IntegraV2Controller_Companion__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_IntegraV2Controller_Companion__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_IntegraV2Controller_Companion__instance_set)
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_IntegraV2Controller_Companion_serializer_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_IntegraV2Controller_Companion_serializer_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_IntegraV2Controller_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_IntegraV2Controller_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_IntegraV2Controller_Companion

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_IntegraV2Controller_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_IntegraV2Controller_Companion_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_IntegraV2Controller_Companion)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_IntegraV2Controller_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_IntegraV2Controller_serializer__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_IntegraV2Controller_serializer__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_IntegraV2Controller_serializer__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_IntegraV2Controller_serializer__instance_set)
    get_descriptor = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_IntegraV2Controller_serializer_get_descriptor_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_IntegraV2Controller_serializer_get_descriptor_set)
    childSerializers = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_IntegraV2Controller_serializer_childSerializers_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_IntegraV2Controller_serializer_childSerializers_set)
    deserialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_IntegraV2Controller_serializer_deserialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_IntegraV2Controller_serializer_deserialize_set)
    serialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_IntegraV2Controller_serializer_serialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_IntegraV2Controller_serializer_serialize_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_IntegraV2Controller_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_IntegraV2Controller_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_IntegraV2Controller_serializer

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_IntegraV2Controller_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_IntegraV2Controller_serializer_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_IntegraV2Controller_serializer)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_IntegraV1Controller(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_IntegraV1Controller_serializer_get)
    Companion = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_IntegraV1Controller_Companion_get)
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_IntegraV1Controller__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_IntegraV1Controller__type_set)
    IntegraV1Controller = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_IntegraV1Controller_IntegraV1Controller_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_IntegraV1Controller_IntegraV1Controller_set)
    get_controllerId = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_IntegraV1Controller_get_controllerId_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_IntegraV1Controller_get_controllerId_set)
    get_password = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_IntegraV1Controller_get_password_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_IntegraV1Controller_get_password_set)
    get_username = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_IntegraV1Controller_get_username_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_IntegraV1Controller_get_username_set)
    component1 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_IntegraV1Controller_component1_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_IntegraV1Controller_component1_set)
    component2 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_IntegraV1Controller_component2_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_IntegraV1Controller_component2_set)
    component3 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_IntegraV1Controller_component3_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_IntegraV1Controller_component3_set)
    copy = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_IntegraV1Controller_copy_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_IntegraV1Controller_copy_set)
    equals = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_IntegraV1Controller_equals_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_IntegraV1Controller_equals_set)
    hashCode = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_IntegraV1Controller_hashCode_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_IntegraV1Controller_hashCode_set)
    toString = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_IntegraV1Controller_toString_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_IntegraV1Controller_toString_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_IntegraV1Controller_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_IntegraV1Controller())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_IntegraV1Controller

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_IntegraV1Controller in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_IntegraV1Controller_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_IntegraV1Controller)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_IntegraV1Controller_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_IntegraV1Controller_Companion__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_IntegraV1Controller_Companion__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_IntegraV1Controller_Companion__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_IntegraV1Controller_Companion__instance_set)
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_IntegraV1Controller_Companion_serializer_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_IntegraV1Controller_Companion_serializer_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_IntegraV1Controller_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_IntegraV1Controller_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_IntegraV1Controller_Companion

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_IntegraV1Controller_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_IntegraV1Controller_Companion_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_IntegraV1Controller_Companion)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_IntegraV1Controller_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_IntegraV1Controller_serializer__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_IntegraV1Controller_serializer__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_IntegraV1Controller_serializer__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_IntegraV1Controller_serializer__instance_set)
    get_descriptor = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_IntegraV1Controller_serializer_get_descriptor_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_IntegraV1Controller_serializer_get_descriptor_set)
    childSerializers = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_IntegraV1Controller_serializer_childSerializers_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_IntegraV1Controller_serializer_childSerializers_set)
    deserialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_IntegraV1Controller_serializer_deserialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_IntegraV1Controller_serializer_deserialize_set)
    serialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_IntegraV1Controller_serializer_serialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_IntegraV1Controller_serializer_serialize_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_IntegraV1Controller_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_IntegraV1Controller_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_IntegraV1Controller_serializer

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_IntegraV1Controller_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_IntegraV1Controller_serializer_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_IntegraV1Controller_serializer)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_Paxton10Controller(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_Paxton10Controller_serializer_get)
    Companion = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_Paxton10Controller_Companion_get)
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_Paxton10Controller__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_Paxton10Controller__type_set)
    Paxton10Controller = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_Paxton10Controller_Paxton10Controller_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_Paxton10Controller_Paxton10Controller_set)
    get_applianceId = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_Paxton10Controller_get_applianceId_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_Paxton10Controller_get_applianceId_set)
    get_baseUrl = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_Paxton10Controller_get_baseUrl_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_Paxton10Controller_get_baseUrl_set)
    get_password = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_Paxton10Controller_get_password_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_Paxton10Controller_get_password_set)
    get_username = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_Paxton10Controller_get_username_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_Paxton10Controller_get_username_set)
    component1 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_Paxton10Controller_component1_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_Paxton10Controller_component1_set)
    component2 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_Paxton10Controller_component2_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_Paxton10Controller_component2_set)
    component3 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_Paxton10Controller_component3_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_Paxton10Controller_component3_set)
    component4 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_Paxton10Controller_component4_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_Paxton10Controller_component4_set)
    copy = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_Paxton10Controller_copy_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_Paxton10Controller_copy_set)
    equals = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_Paxton10Controller_equals_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_Paxton10Controller_equals_set)
    hashCode = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_Paxton10Controller_hashCode_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_Paxton10Controller_hashCode_set)
    toString = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_Paxton10Controller_toString_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_Paxton10Controller_toString_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_Paxton10Controller_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_Paxton10Controller())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_Paxton10Controller

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_Paxton10Controller in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_Paxton10Controller_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_Paxton10Controller)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_Paxton10Controller_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_Paxton10Controller_Companion__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_Paxton10Controller_Companion__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_Paxton10Controller_Companion__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_Paxton10Controller_Companion__instance_set)
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_Paxton10Controller_Companion_serializer_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_Paxton10Controller_Companion_serializer_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_Paxton10Controller_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_Paxton10Controller_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_Paxton10Controller_Companion

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_Paxton10Controller_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_Paxton10Controller_Companion_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_Paxton10Controller_Companion)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_Paxton10Controller_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_Paxton10Controller_serializer__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_Paxton10Controller_serializer__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_Paxton10Controller_serializer__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_Paxton10Controller_serializer__instance_set)
    get_descriptor = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_Paxton10Controller_serializer_get_descriptor_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_Paxton10Controller_serializer_get_descriptor_set)
    childSerializers = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_Paxton10Controller_serializer_childSerializers_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_Paxton10Controller_serializer_childSerializers_set)
    deserialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_Paxton10Controller_serializer_deserialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_Paxton10Controller_serializer_deserialize_set)
    serialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_Paxton10Controller_serializer_serialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_Paxton10Controller_serializer_serialize_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_Paxton10Controller_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_Paxton10Controller_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_Paxton10Controller_serializer

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_Paxton10Controller_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_Paxton10Controller_serializer_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_Paxton10Controller_serializer)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_PaxtonNet2Controller(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_PaxtonNet2Controller_serializer_get)
    Companion = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_PaxtonNet2Controller_Companion_get)
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_PaxtonNet2Controller__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_PaxtonNet2Controller__type_set)
    PaxtonNet2Controller = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_PaxtonNet2Controller_PaxtonNet2Controller_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_PaxtonNet2Controller_PaxtonNet2Controller_set)
    get_address = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_PaxtonNet2Controller_get_address_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_PaxtonNet2Controller_get_address_set)
    get_host = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_PaxtonNet2Controller_get_host_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_PaxtonNet2Controller_get_host_set)
    get_output = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_PaxtonNet2Controller_get_output_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_PaxtonNet2Controller_get_output_set)
    get_password = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_PaxtonNet2Controller_get_password_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_PaxtonNet2Controller_get_password_set)
    get_username = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_PaxtonNet2Controller_get_username_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_PaxtonNet2Controller_get_username_set)
    component1 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_PaxtonNet2Controller_component1_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_PaxtonNet2Controller_component1_set)
    component2 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_PaxtonNet2Controller_component2_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_PaxtonNet2Controller_component2_set)
    component3 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_PaxtonNet2Controller_component3_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_PaxtonNet2Controller_component3_set)
    component4 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_PaxtonNet2Controller_component4_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_PaxtonNet2Controller_component4_set)
    component5 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_PaxtonNet2Controller_component5_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_PaxtonNet2Controller_component5_set)
    copy = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_PaxtonNet2Controller_copy_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_PaxtonNet2Controller_copy_set)
    equals = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_PaxtonNet2Controller_equals_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_PaxtonNet2Controller_equals_set)
    hashCode = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_PaxtonNet2Controller_hashCode_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_PaxtonNet2Controller_hashCode_set)
    toString = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_PaxtonNet2Controller_toString_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_PaxtonNet2Controller_toString_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_PaxtonNet2Controller_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_PaxtonNet2Controller())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_PaxtonNet2Controller

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_PaxtonNet2Controller in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_PaxtonNet2Controller_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_PaxtonNet2Controller)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_PaxtonNet2Controller_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_PaxtonNet2Controller_Companion__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_PaxtonNet2Controller_Companion__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_PaxtonNet2Controller_Companion__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_PaxtonNet2Controller_Companion__instance_set)
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_PaxtonNet2Controller_Companion_serializer_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_PaxtonNet2Controller_Companion_serializer_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_PaxtonNet2Controller_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_PaxtonNet2Controller_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_PaxtonNet2Controller_Companion

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_PaxtonNet2Controller_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_PaxtonNet2Controller_Companion_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_PaxtonNet2Controller_Companion)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_PaxtonNet2Controller_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_PaxtonNet2Controller_serializer__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_PaxtonNet2Controller_serializer__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_PaxtonNet2Controller_serializer__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_PaxtonNet2Controller_serializer__instance_set)
    get_descriptor = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_PaxtonNet2Controller_serializer_get_descriptor_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_PaxtonNet2Controller_serializer_get_descriptor_set)
    childSerializers = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_PaxtonNet2Controller_serializer_childSerializers_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_PaxtonNet2Controller_serializer_childSerializers_set)
    deserialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_PaxtonNet2Controller_serializer_deserialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_PaxtonNet2Controller_serializer_deserialize_set)
    serialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_PaxtonNet2Controller_serializer_serialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_PaxtonNet2Controller_serializer_serialize_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_PaxtonNet2Controller_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_PaxtonNet2Controller_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_PaxtonNet2Controller_serializer

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_PaxtonNet2Controller_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_PaxtonNet2Controller_serializer_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_PaxtonNet2Controller_serializer)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_MitrefinchController(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_MitrefinchController_serializer_get)
    Companion = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_MitrefinchController_Companion_get)
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_MitrefinchController__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_MitrefinchController__type_set)
    MitrefinchController = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_MitrefinchController_MitrefinchController_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_MitrefinchController_MitrefinchController_set)
    get_host = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_MitrefinchController_get_host_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_MitrefinchController_get_host_set)
    get_output = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_MitrefinchController_get_output_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_MitrefinchController_get_output_set)
    component1 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_MitrefinchController_component1_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_MitrefinchController_component1_set)
    component2 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_MitrefinchController_component2_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_MitrefinchController_component2_set)
    copy = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_MitrefinchController_copy_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_MitrefinchController_copy_set)
    equals = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_MitrefinchController_equals_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_MitrefinchController_equals_set)
    hashCode = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_MitrefinchController_hashCode_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_MitrefinchController_hashCode_set)
    toString = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_MitrefinchController_toString_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_MitrefinchController_toString_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_MitrefinchController_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_MitrefinchController())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_MitrefinchController

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_MitrefinchController in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_MitrefinchController_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_MitrefinchController)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_MitrefinchController_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_MitrefinchController_Companion__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_MitrefinchController_Companion__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_MitrefinchController_Companion__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_MitrefinchController_Companion__instance_set)
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_MitrefinchController_Companion_serializer_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_MitrefinchController_Companion_serializer_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_MitrefinchController_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_MitrefinchController_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_MitrefinchController_Companion

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_MitrefinchController_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_MitrefinchController_Companion_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_MitrefinchController_Companion)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_MitrefinchController_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_MitrefinchController_serializer__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_MitrefinchController_serializer__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_MitrefinchController_serializer__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_MitrefinchController_serializer__instance_set)
    get_descriptor = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_MitrefinchController_serializer_get_descriptor_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_MitrefinchController_serializer_get_descriptor_set)
    childSerializers = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_MitrefinchController_serializer_childSerializers_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_MitrefinchController_serializer_childSerializers_set)
    deserialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_MitrefinchController_serializer_deserialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_MitrefinchController_serializer_deserialize_set)
    serialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_MitrefinchController_serializer_serialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_MitrefinchController_serializer_serialize_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_MitrefinchController_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_MitrefinchController_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_MitrefinchController_serializer

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_MitrefinchController_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_MitrefinchController_serializer_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_MitrefinchController_serializer)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_LenelController(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_LenelController_serializer_get)
    Companion = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_LenelController_Companion_get)
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_LenelController__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_LenelController__type_set)
    LenelController = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_LenelController_LenelController_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_LenelController_LenelController_set)
    get_baseUrl = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_LenelController_get_baseUrl_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_LenelController_get_baseUrl_set)
    get_directoryId = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_LenelController_get_directoryId_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_LenelController_get_directoryId_set)
    get_panelId = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_LenelController_get_panelId_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_LenelController_get_panelId_set)
    get_password = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_LenelController_get_password_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_LenelController_get_password_set)
    get_readerId = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_LenelController_get_readerId_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_LenelController_get_readerId_set)
    get_username = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_LenelController_get_username_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_LenelController_get_username_set)
    component1 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_LenelController_component1_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_LenelController_component1_set)
    component2 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_LenelController_component2_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_LenelController_component2_set)
    component3 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_LenelController_component3_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_LenelController_component3_set)
    component4 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_LenelController_component4_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_LenelController_component4_set)
    component5 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_LenelController_component5_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_LenelController_component5_set)
    component6 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_LenelController_component6_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_LenelController_component6_set)
    copy = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_LenelController_copy_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_LenelController_copy_set)
    equals = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_LenelController_equals_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_LenelController_equals_set)
    hashCode = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_LenelController_hashCode_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_LenelController_hashCode_set)
    toString = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_LenelController_toString_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_LenelController_toString_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_LenelController_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_LenelController())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_LenelController

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_LenelController in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_LenelController_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_LenelController)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_LenelController_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_LenelController_Companion__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_LenelController_Companion__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_LenelController_Companion__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_LenelController_Companion__instance_set)
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_LenelController_Companion_serializer_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_LenelController_Companion_serializer_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_LenelController_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_LenelController_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_LenelController_Companion

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_LenelController_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_LenelController_Companion_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_LenelController_Companion)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_LenelController_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_LenelController_serializer__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_LenelController_serializer__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_LenelController_serializer__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_LenelController_serializer__instance_set)
    get_descriptor = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_LenelController_serializer_get_descriptor_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_LenelController_serializer_get_descriptor_set)
    childSerializers = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_LenelController_serializer_childSerializers_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_LenelController_serializer_childSerializers_set)
    deserialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_LenelController_serializer_deserialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_LenelController_serializer_deserialize_set)
    serialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_LenelController_serializer_serialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_LenelController_serializer_serialize_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_LenelController_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_LenelController_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_LenelController_serializer

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_LenelController_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_LenelController_serializer_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_LenelController_serializer)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_GenetecController(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_GenetecController_serializer_get)
    Companion = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_GenetecController_Companion_get)
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_GenetecController__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_GenetecController__type_set)
    GenetecController = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_GenetecController_GenetecController_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_GenetecController_GenetecController_set)
    get_baseUrl = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_GenetecController_get_baseUrl_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_GenetecController_get_baseUrl_set)
    get_doorId = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_GenetecController_get_doorId_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_GenetecController_get_doorId_set)
    get_password = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_GenetecController_get_password_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_GenetecController_get_password_set)
    get_username = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_GenetecController_get_username_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_GenetecController_get_username_set)
    component1 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_GenetecController_component1_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_GenetecController_component1_set)
    component2 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_GenetecController_component2_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_GenetecController_component2_set)
    component3 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_GenetecController_component3_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_GenetecController_component3_set)
    component4 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_GenetecController_component4_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_GenetecController_component4_set)
    copy = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_GenetecController_copy_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_GenetecController_copy_set)
    equals = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_GenetecController_equals_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_GenetecController_equals_set)
    hashCode = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_GenetecController_hashCode_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_GenetecController_hashCode_set)
    toString = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_GenetecController_toString_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_GenetecController_toString_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_GenetecController_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_GenetecController())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_GenetecController

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_GenetecController in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_GenetecController_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_GenetecController)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_GenetecController_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_GenetecController_Companion__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_GenetecController_Companion__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_GenetecController_Companion__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_GenetecController_Companion__instance_set)
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_GenetecController_Companion_serializer_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_GenetecController_Companion_serializer_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_GenetecController_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_GenetecController_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_GenetecController_Companion

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_GenetecController_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_GenetecController_Companion_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_GenetecController_Companion)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_GenetecController_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_GenetecController_serializer__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_GenetecController_serializer__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_GenetecController_serializer__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_GenetecController_serializer__instance_set)
    get_descriptor = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_GenetecController_serializer_get_descriptor_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_GenetecController_serializer_get_descriptor_set)
    childSerializers = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_GenetecController_serializer_childSerializers_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_GenetecController_serializer_childSerializers_set)
    deserialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_GenetecController_serializer_deserialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_GenetecController_serializer_deserialize_set)
    serialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_GenetecController_serializer_serialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_GenetecController_serializer_serialize_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_GenetecController_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_GenetecController_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_GenetecController_serializer

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_GenetecController_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_GenetecController_serializer_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_GenetecController_serializer)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_GallagherController(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_GallagherController_serializer_get)
    Companion = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_GallagherController_Companion_get)
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_GallagherController__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_GallagherController__type_set)
    GallagherController = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_GallagherController_GallagherController_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_GallagherController_GallagherController_set)
    get_apiKey = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_GallagherController_get_apiKey_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_GallagherController_get_apiKey_set)
    get_baseUrl = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_GallagherController_get_baseUrl_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_GallagherController_get_baseUrl_set)
    get_doorId = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_GallagherController_get_doorId_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_GallagherController_get_doorId_set)
    component1 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_GallagherController_component1_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_GallagherController_component1_set)
    component2 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_GallagherController_component2_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_GallagherController_component2_set)
    component3 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_GallagherController_component3_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_GallagherController_component3_set)
    copy = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_GallagherController_copy_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_GallagherController_copy_set)
    equals = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_GallagherController_equals_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_GallagherController_equals_set)
    hashCode = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_GallagherController_hashCode_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_GallagherController_hashCode_set)
    toString = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_GallagherController_toString_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_GallagherController_toString_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_GallagherController_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_GallagherController())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_GallagherController

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_GallagherController in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_GallagherController_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_GallagherController)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_GallagherController_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_GallagherController_Companion__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_GallagherController_Companion__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_GallagherController_Companion__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_GallagherController_Companion__instance_set)
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_GallagherController_Companion_serializer_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_GallagherController_Companion_serializer_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_GallagherController_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_GallagherController_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_GallagherController_Companion

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_GallagherController_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_GallagherController_Companion_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_GallagherController_Companion)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_GallagherController_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_GallagherController_serializer__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_GallagherController_serializer__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_GallagherController_serializer__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_GallagherController_serializer__instance_set)
    get_descriptor = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_GallagherController_serializer_get_descriptor_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_GallagherController_serializer_get_descriptor_set)
    childSerializers = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_GallagherController_serializer_childSerializers_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_GallagherController_serializer_childSerializers_set)
    deserialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_GallagherController_serializer_deserialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_GallagherController_serializer_deserialize_set)
    serialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_GallagherController_serializer_serialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_GallagherController_serializer_serialize_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_GallagherController_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_GallagherController_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_GallagherController_serializer

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_GallagherController_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_GallagherController_serializer_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_GallagherController_serializer)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_DemoController(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_DemoController_serializer_get)
    Companion = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_DemoController_Companion_get)
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_DemoController__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_DemoController__type_set)
    DemoController = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_DemoController_DemoController_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_DemoController_DemoController_set)
    get_port = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_DemoController_get_port_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_DemoController_get_port_set)
    component1 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_DemoController_component1_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_DemoController_component1_set)
    copy = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_DemoController_copy_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_DemoController_copy_set)
    equals = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_DemoController_equals_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_DemoController_equals_set)
    hashCode = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_DemoController_hashCode_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_DemoController_hashCode_set)
    toString = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_DemoController_toString_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_DemoController_toString_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_DemoController_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_DemoController())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_DemoController

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_DemoController in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_DemoController_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_DemoController)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_DemoController_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_DemoController_Companion__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_DemoController_Companion__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_DemoController_Companion__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_DemoController_Companion__instance_set)
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_DemoController_Companion_serializer_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_DemoController_Companion_serializer_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_DemoController_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_DemoController_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_DemoController_Companion

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_DemoController_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_DemoController_Companion_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_DemoController_Companion)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_DemoController_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_DemoController_serializer__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_DemoController_serializer__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_DemoController_serializer__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_DemoController_serializer__instance_set)
    get_descriptor = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_DemoController_serializer_get_descriptor_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_DemoController_serializer_get_descriptor_set)
    childSerializers = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_DemoController_serializer_childSerializers_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_DemoController_serializer_childSerializers_set)
    deserialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_DemoController_serializer_deserialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_DemoController_serializer_deserialize_set)
    serialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_DemoController_serializer_serialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_DemoController_serializer_serialize_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_DemoController_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_DemoController_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_DemoController_serializer

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_DemoController_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_DemoController_serializer_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_DemoController_serializer)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_CCureController(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_CCureController_serializer_get)
    Companion = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_CCureController_Companion_get)
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_CCureController__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_CCureController__type_set)
    CCureController = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_CCureController_CCureController_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_CCureController_CCureController_set)
    get_baseUrl = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_CCureController_get_baseUrl_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_CCureController_get_baseUrl_set)
    get_doorId = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_CCureController_get_doorId_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_CCureController_get_doorId_set)
    get_doorType = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_CCureController_get_doorType_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_CCureController_get_doorType_set)
    get_password = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_CCureController_get_password_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_CCureController_get_password_set)
    get_username = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_CCureController_get_username_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_CCureController_get_username_set)
    component1 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_CCureController_component1_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_CCureController_component1_set)
    component2 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_CCureController_component2_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_CCureController_component2_set)
    component3 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_CCureController_component3_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_CCureController_component3_set)
    component4 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_CCureController_component4_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_CCureController_component4_set)
    component5 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_CCureController_component5_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_CCureController_component5_set)
    copy = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_CCureController_copy_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_CCureController_copy_set)
    equals = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_CCureController_equals_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_CCureController_equals_set)
    hashCode = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_CCureController_hashCode_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_CCureController_hashCode_set)
    toString = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_CCureController_toString_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_CCureController_toString_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_CCureController_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_CCureController())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_CCureController

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_CCureController in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_CCureController_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_CCureController)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_CCureController_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_CCureController_Companion__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_CCureController_Companion__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_CCureController_Companion__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_CCureController_Companion__instance_set)
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_CCureController_Companion_serializer_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_CCureController_Companion_serializer_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_CCureController_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_CCureController_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_CCureController_Companion

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_CCureController_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_CCureController_Companion_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_CCureController_Companion)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_CCureController_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_CCureController_serializer__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_CCureController_serializer__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_CCureController_serializer__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_CCureController_serializer__instance_set)
    get_descriptor = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_CCureController_serializer_get_descriptor_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_CCureController_serializer_get_descriptor_set)
    childSerializers = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_CCureController_serializer_childSerializers_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_CCureController_serializer_childSerializers_set)
    deserialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_CCureController_serializer_deserialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_CCureController_serializer_deserialize_set)
    serialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_CCureController_serializer_serialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_CCureController_serializer_serialize_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_CCureController_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_CCureController_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_CCureController_serializer

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_CCureController_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_CCureController_serializer_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_CCureController_serializer)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AxisController(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AxisController_serializer_get)
    Companion = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AxisController_Companion_get)
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AxisController__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AxisController__type_set)
    AxisController = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AxisController_AxisController_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AxisController_AxisController_set)
    get_baseUrl = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AxisController_get_baseUrl_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AxisController_get_baseUrl_set)
    get_doorIdentifier = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AxisController_get_doorIdentifier_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AxisController_get_doorIdentifier_set)
    component1 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AxisController_component1_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AxisController_component1_set)
    component2 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AxisController_component2_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AxisController_component2_set)
    copy = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AxisController_copy_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AxisController_copy_set)
    equals = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AxisController_equals_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AxisController_equals_set)
    hashCode = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AxisController_hashCode_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AxisController_hashCode_set)
    toString = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AxisController_toString_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AxisController_toString_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AxisController_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AxisController())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AxisController

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AxisController in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AxisController_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AxisController)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AxisController_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AxisController_Companion__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AxisController_Companion__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AxisController_Companion__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AxisController_Companion__instance_set)
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AxisController_Companion_serializer_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AxisController_Companion_serializer_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AxisController_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AxisController_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AxisController_Companion

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AxisController_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AxisController_Companion_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AxisController_Companion)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AxisController_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AxisController_serializer__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AxisController_serializer__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AxisController_serializer__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AxisController_serializer__instance_set)
    get_descriptor = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AxisController_serializer_get_descriptor_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AxisController_serializer_get_descriptor_set)
    childSerializers = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AxisController_serializer_childSerializers_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AxisController_serializer_childSerializers_set)
    deserialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AxisController_serializer_deserialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AxisController_serializer_deserialize_set)
    serialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AxisController_serializer_serialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AxisController_serializer_serialize_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AxisController_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AxisController_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AxisController_serializer

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AxisController_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AxisController_serializer_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AxisController_serializer)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AvigilonController(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AvigilonController_serializer_get)
    Companion = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AvigilonController_Companion_get)
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AvigilonController__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AvigilonController__type_set)
    AvigilonController = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AvigilonController_AvigilonController_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AvigilonController_AvigilonController_set)
    get_baseUrl = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AvigilonController_get_baseUrl_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AvigilonController_get_baseUrl_set)
    get_doorId = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AvigilonController_get_doorId_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AvigilonController_get_doorId_set)
    get_password = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AvigilonController_get_password_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AvigilonController_get_password_set)
    get_username = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AvigilonController_get_username_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AvigilonController_get_username_set)
    component1 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AvigilonController_component1_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AvigilonController_component1_set)
    component2 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AvigilonController_component2_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AvigilonController_component2_set)
    component3 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AvigilonController_component3_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AvigilonController_component3_set)
    component4 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AvigilonController_component4_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AvigilonController_component4_set)
    copy = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AvigilonController_copy_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AvigilonController_copy_set)
    equals = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AvigilonController_equals_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AvigilonController_equals_set)
    hashCode = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AvigilonController_hashCode_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AvigilonController_hashCode_set)
    toString = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AvigilonController_toString_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AvigilonController_toString_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AvigilonController_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AvigilonController())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AvigilonController

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AvigilonController in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AvigilonController_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AvigilonController)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AvigilonController_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AvigilonController_Companion__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AvigilonController_Companion__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AvigilonController_Companion__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AvigilonController_Companion__instance_set)
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AvigilonController_Companion_serializer_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AvigilonController_Companion_serializer_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AvigilonController_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AvigilonController_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AvigilonController_Companion

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AvigilonController_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AvigilonController_Companion_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AvigilonController_Companion)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AvigilonController_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AvigilonController_serializer__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AvigilonController_serializer__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AvigilonController_serializer__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AvigilonController_serializer__instance_set)
    get_descriptor = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AvigilonController_serializer_get_descriptor_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AvigilonController_serializer_get_descriptor_set)
    childSerializers = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AvigilonController_serializer_childSerializers_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AvigilonController_serializer_childSerializers_set)
    deserialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AvigilonController_serializer_deserialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AvigilonController_serializer_deserialize_set)
    serialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AvigilonController_serializer_serialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AvigilonController_serializer_serialize_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AvigilonController_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AvigilonController_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AvigilonController_serializer

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AvigilonController_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AvigilonController_serializer_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AvigilonController_serializer)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AssaAbloyController(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AssaAbloyController_serializer_get)
    Companion = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AssaAbloyController_Companion_get)
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AssaAbloyController__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AssaAbloyController__type_set)
    AssaAbloyController = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AssaAbloyController_AssaAbloyController_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AssaAbloyController_AssaAbloyController_set)
    get_baseUrl = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AssaAbloyController_get_baseUrl_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AssaAbloyController_get_baseUrl_set)
    get_doorId = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AssaAbloyController_get_doorId_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AssaAbloyController_get_doorId_set)
    component1 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AssaAbloyController_component1_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AssaAbloyController_component1_set)
    component2 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AssaAbloyController_component2_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AssaAbloyController_component2_set)
    copy = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AssaAbloyController_copy_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AssaAbloyController_copy_set)
    equals = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AssaAbloyController_equals_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AssaAbloyController_equals_set)
    hashCode = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AssaAbloyController_hashCode_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AssaAbloyController_hashCode_set)
    toString = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AssaAbloyController_toString_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AssaAbloyController_toString_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AssaAbloyController_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AssaAbloyController())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AssaAbloyController

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AssaAbloyController in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AssaAbloyController_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AssaAbloyController)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AssaAbloyController_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AssaAbloyController_Companion__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AssaAbloyController_Companion__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AssaAbloyController_Companion__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AssaAbloyController_Companion__instance_set)
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AssaAbloyController_Companion_serializer_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AssaAbloyController_Companion_serializer_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AssaAbloyController_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AssaAbloyController_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AssaAbloyController_Companion

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AssaAbloyController_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AssaAbloyController_Companion_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AssaAbloyController_Companion)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AssaAbloyController_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AssaAbloyController_serializer__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AssaAbloyController_serializer__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AssaAbloyController_serializer__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AssaAbloyController_serializer__instance_set)
    get_descriptor = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AssaAbloyController_serializer_get_descriptor_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AssaAbloyController_serializer_get_descriptor_set)
    childSerializers = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AssaAbloyController_serializer_childSerializers_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AssaAbloyController_serializer_childSerializers_set)
    deserialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AssaAbloyController_serializer_deserialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AssaAbloyController_serializer_deserialize_set)
    serialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AssaAbloyController_serializer_serialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AssaAbloyController_serializer_serialize_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AssaAbloyController_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AssaAbloyController_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AssaAbloyController_serializer

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AssaAbloyController_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AssaAbloyController_serializer_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AssaAbloyController_serializer)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AmagController(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AmagController_serializer_get)
    Companion = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AmagController_Companion_get)
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AmagController__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AmagController__type_set)
    AmagController = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AmagController_AmagController_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AmagController_AmagController_set)
    get_baseUrl = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AmagController_get_baseUrl_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AmagController_get_baseUrl_set)
    get_doorId = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AmagController_get_doorId_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AmagController_get_doorId_set)
    get_password = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AmagController_get_password_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AmagController_get_password_set)
    get_username = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AmagController_get_username_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AmagController_get_username_set)
    component1 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AmagController_component1_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AmagController_component1_set)
    component2 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AmagController_component2_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AmagController_component2_set)
    component3 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AmagController_component3_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AmagController_component3_set)
    component4 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AmagController_component4_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AmagController_component4_set)
    copy = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AmagController_copy_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AmagController_copy_set)
    equals = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AmagController_equals_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AmagController_equals_set)
    hashCode = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AmagController_hashCode_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AmagController_hashCode_set)
    toString = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AmagController_toString_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AmagController_toString_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AmagController_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AmagController())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AmagController

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AmagController in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AmagController_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AmagController)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AmagController_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AmagController_Companion__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AmagController_Companion__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AmagController_Companion__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AmagController_Companion__instance_set)
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AmagController_Companion_serializer_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AmagController_Companion_serializer_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AmagController_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AmagController_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AmagController_Companion

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AmagController_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AmagController_Companion_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AmagController_Companion)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AmagController_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AmagController_serializer__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AmagController_serializer__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AmagController_serializer__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AmagController_serializer__instance_set)
    get_descriptor = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AmagController_serializer_get_descriptor_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AmagController_serializer_get_descriptor_set)
    childSerializers = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AmagController_serializer_childSerializers_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AmagController_serializer_childSerializers_set)
    deserialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AmagController_serializer_deserialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AmagController_serializer_deserialize_set)
    serialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AmagController_serializer_serialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AmagController_serializer_serialize_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AmagController_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AmagController_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AmagController_serializer

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AmagController_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AmagController_serializer_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AmagController_serializer)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AlpetaController(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AlpetaController_serializer_get)
    Companion = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AlpetaController_Companion_get)
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AlpetaController__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AlpetaController__type_set)
    AlpetaController = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AlpetaController_AlpetaController_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AlpetaController_AlpetaController_set)
    get_baseUrl = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AlpetaController_get_baseUrl_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AlpetaController_get_baseUrl_set)
    get_doorId = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AlpetaController_get_doorId_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AlpetaController_get_doorId_set)
    get_password = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AlpetaController_get_password_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AlpetaController_get_password_set)
    get_username = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AlpetaController_get_username_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AlpetaController_get_username_set)
    component1 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AlpetaController_component1_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AlpetaController_component1_set)
    component2 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AlpetaController_component2_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AlpetaController_component2_set)
    component3 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AlpetaController_component3_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AlpetaController_component3_set)
    component4 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AlpetaController_component4_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AlpetaController_component4_set)
    copy = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AlpetaController_copy_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AlpetaController_copy_set)
    equals = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AlpetaController_equals_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AlpetaController_equals_set)
    hashCode = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AlpetaController_hashCode_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AlpetaController_hashCode_set)
    toString = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AlpetaController_toString_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AlpetaController_toString_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AlpetaController_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AlpetaController())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AlpetaController

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AlpetaController in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AlpetaController_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AlpetaController)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AlpetaController_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AlpetaController_Companion__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AlpetaController_Companion__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AlpetaController_Companion__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AlpetaController_Companion__instance_set)
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AlpetaController_Companion_serializer_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AlpetaController_Companion_serializer_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AlpetaController_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AlpetaController_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AlpetaController_Companion

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AlpetaController_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AlpetaController_Companion_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AlpetaController_Companion)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AlpetaController_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AlpetaController_serializer__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AlpetaController_serializer__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AlpetaController_serializer__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AlpetaController_serializer__instance_set)
    get_descriptor = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AlpetaController_serializer_get_descriptor_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AlpetaController_serializer_get_descriptor_set)
    childSerializers = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AlpetaController_serializer_childSerializers_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AlpetaController_serializer_childSerializers_set)
    deserialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AlpetaController_serializer_deserialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AlpetaController_serializer_deserialize_set)
    serialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AlpetaController_serializer_serialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AlpetaController_serializer_serialize_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AlpetaController_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AlpetaController_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AlpetaController_serializer

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AlpetaController_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AlpetaController_serializer_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_AlpetaController_serializer)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_LockController(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    Companion = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_LockController_Companion_get)
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_LockController__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_LockController__type_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_LockController_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_LockController())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_LockController

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_LockController in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_LockController_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_LockController)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_LockController_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_LockController_Companion__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_LockController_Companion__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_LockController_Companion__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_LockController_Companion__instance_set)
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_LockController_Companion_serializer_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_LockController_Companion_serializer_set)
    serializer_ = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_LockController_Companion_serializer__get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_LockController_Companion_serializer__set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_LockController_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_LockController_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_LockController_Companion

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_LockController_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_LockController_Companion_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Fusion_LockController_Companion)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Crypto(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    KeyPair = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Crypto_KeyPair_get)
    EncodedKeyPair = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Crypto_EncodedKeyPair_get)
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Crypto__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Crypto__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Crypto__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Crypto__instance_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Crypto_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Crypto())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Crypto

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Crypto in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Crypto_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Crypto)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Crypto_EncodedKeyPair(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Crypto_EncodedKeyPair_serializer_get)
    Companion = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Crypto_EncodedKeyPair_Companion_get)
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Crypto_EncodedKeyPair__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Crypto_EncodedKeyPair__type_set)
    EncodedKeyPair = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Crypto_EncodedKeyPair_EncodedKeyPair_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Crypto_EncodedKeyPair_EncodedKeyPair_set)
    get_private = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Crypto_EncodedKeyPair_get_private_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Crypto_EncodedKeyPair_get_private_set)
    get_public = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Crypto_EncodedKeyPair_get_public_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Crypto_EncodedKeyPair_get_public_set)
    component1 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Crypto_EncodedKeyPair_component1_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Crypto_EncodedKeyPair_component1_set)
    component2 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Crypto_EncodedKeyPair_component2_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Crypto_EncodedKeyPair_component2_set)
    copy = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Crypto_EncodedKeyPair_copy_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Crypto_EncodedKeyPair_copy_set)
    equals = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Crypto_EncodedKeyPair_equals_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Crypto_EncodedKeyPair_equals_set)
    hashCode = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Crypto_EncodedKeyPair_hashCode_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Crypto_EncodedKeyPair_hashCode_set)
    toString = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Crypto_EncodedKeyPair_toString_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Crypto_EncodedKeyPair_toString_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Crypto_EncodedKeyPair_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Crypto_EncodedKeyPair())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Crypto_EncodedKeyPair

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Crypto_EncodedKeyPair in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Crypto_EncodedKeyPair_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Crypto_EncodedKeyPair)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Crypto_EncodedKeyPair_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Crypto_EncodedKeyPair_Companion__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Crypto_EncodedKeyPair_Companion__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Crypto_EncodedKeyPair_Companion__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Crypto_EncodedKeyPair_Companion__instance_set)
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Crypto_EncodedKeyPair_Companion_serializer_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Crypto_EncodedKeyPair_Companion_serializer_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Crypto_EncodedKeyPair_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Crypto_EncodedKeyPair_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Crypto_EncodedKeyPair_Companion

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Crypto_EncodedKeyPair_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Crypto_EncodedKeyPair_Companion_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Crypto_EncodedKeyPair_Companion)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Crypto_EncodedKeyPair_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Crypto_EncodedKeyPair_serializer__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Crypto_EncodedKeyPair_serializer__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Crypto_EncodedKeyPair_serializer__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Crypto_EncodedKeyPair_serializer__instance_set)
    get_descriptor = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Crypto_EncodedKeyPair_serializer_get_descriptor_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Crypto_EncodedKeyPair_serializer_get_descriptor_set)
    childSerializers = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Crypto_EncodedKeyPair_serializer_childSerializers_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Crypto_EncodedKeyPair_serializer_childSerializers_set)
    deserialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Crypto_EncodedKeyPair_serializer_deserialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Crypto_EncodedKeyPair_serializer_deserialize_set)
    serialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Crypto_EncodedKeyPair_serializer_serialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Crypto_EncodedKeyPair_serializer_serialize_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Crypto_EncodedKeyPair_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Crypto_EncodedKeyPair_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Crypto_EncodedKeyPair_serializer

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Crypto_EncodedKeyPair_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Crypto_EncodedKeyPair_serializer_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Crypto_EncodedKeyPair_serializer)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Crypto_KeyPair(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Crypto_KeyPair__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Crypto_KeyPair__type_set)
    KeyPair = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Crypto_KeyPair_KeyPair_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Crypto_KeyPair_KeyPair_set)
    get_private = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Crypto_KeyPair_get_private_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Crypto_KeyPair_get_private_set)
    get_public = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Crypto_KeyPair_get_public_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Crypto_KeyPair_get_public_set)
    component1 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Crypto_KeyPair_component1_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Crypto_KeyPair_component1_set)
    component2 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Crypto_KeyPair_component2_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Crypto_KeyPair_component2_set)
    copy = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Crypto_KeyPair_copy_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Crypto_KeyPair_copy_set)
    equals = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Crypto_KeyPair_equals_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Crypto_KeyPair_equals_set)
    hashCode = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Crypto_KeyPair_hashCode_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Crypto_KeyPair_hashCode_set)
    toString = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Crypto_KeyPair_toString_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Crypto_KeyPair_toString_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Crypto_KeyPair_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Crypto_KeyPair())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Crypto_KeyPair

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Crypto_KeyPair in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Crypto_KeyPair_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Crypto_KeyPair)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Context(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    OperationContextData = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Context_OperationContextData_get)
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Context__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Context__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Context__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Context__instance_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Context_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Context())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Context

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Context in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Context_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Context)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Context_OperationContextData(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Context_OperationContextData_serializer_get)
    Companion = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Context_OperationContextData_Companion_get)
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Context_OperationContextData__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Context_OperationContextData__type_set)
    OperationContextData = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Context_OperationContextData_OperationContextData_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Context_OperationContextData_OperationContextData_set)
    get_userCertificateChain = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Context_OperationContextData_get_userCertificateChain_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Context_OperationContextData_get_userCertificateChain_set)
    get_userId = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Context_OperationContextData_get_userId_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Context_OperationContextData_get_userId_set)
    get_userPrivateKey = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Context_OperationContextData_get_userPrivateKey_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Context_OperationContextData_get_userPrivateKey_set)
    get_userPublicKey = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Context_OperationContextData_get_userPublicKey_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Context_OperationContextData_get_userPublicKey_set)
    component1 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Context_OperationContextData_component1_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Context_OperationContextData_component1_set)
    component2 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Context_OperationContextData_component2_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Context_OperationContextData_component2_set)
    component3 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Context_OperationContextData_component3_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Context_OperationContextData_component3_set)
    component4 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Context_OperationContextData_component4_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Context_OperationContextData_component4_set)
    copy = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Context_OperationContextData_copy_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Context_OperationContextData_copy_set)
    equals = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Context_OperationContextData_equals_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Context_OperationContextData_equals_set)
    hashCode = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Context_OperationContextData_hashCode_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Context_OperationContextData_hashCode_set)
    toString = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Context_OperationContextData_toString_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Context_OperationContextData_toString_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Context_OperationContextData_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Context_OperationContextData())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Context_OperationContextData

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Context_OperationContextData in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Context_OperationContextData_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Context_OperationContextData)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Context_OperationContextData_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Context_OperationContextData_Companion__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Context_OperationContextData_Companion__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Context_OperationContextData_Companion__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Context_OperationContextData_Companion__instance_set)
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Context_OperationContextData_Companion_serializer_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Context_OperationContextData_Companion_serializer_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Context_OperationContextData_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Context_OperationContextData_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Context_OperationContextData_Companion

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Context_OperationContextData_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Context_OperationContextData_Companion_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Context_OperationContextData_Companion)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Context_OperationContextData_serializer(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Context_OperationContextData_serializer__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Context_OperationContextData_serializer__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Context_OperationContextData_serializer__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Context_OperationContextData_serializer__instance_set)
    get_descriptor = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Context_OperationContextData_serializer_get_descriptor_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Context_OperationContextData_serializer_get_descriptor_set)
    childSerializers = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Context_OperationContextData_serializer_childSerializers_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Context_OperationContextData_serializer_childSerializers_set)
    deserialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Context_OperationContextData_serializer_deserialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Context_OperationContextData_serializer_deserialize_set)
    serialize = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Context_OperationContextData_serializer_serialize_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Context_OperationContextData_serializer_serialize_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Context_OperationContextData_serializer_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Context_OperationContextData_serializer())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Context_OperationContextData_serializer

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Context_OperationContextData_serializer in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Context_OperationContextData_serializer_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_Context_OperationContextData_serializer)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ApiEnvironment(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    DEV = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ApiEnvironment_DEV_get)
    STAGING = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ApiEnvironment_STAGING_get)
    PROD = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ApiEnvironment_PROD_get)
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ApiEnvironment__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ApiEnvironment__type_set)
    get_cloudHost = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ApiEnvironment_get_cloudHost_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ApiEnvironment_get_cloudHost_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ApiEnvironment_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ApiEnvironment())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ApiEnvironment

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ApiEnvironment in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ApiEnvironment_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ApiEnvironment)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ApiEnvironment_PROD(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    get = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ApiEnvironment_PROD_get_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ApiEnvironment_PROD_get_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ApiEnvironment_PROD_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ApiEnvironment_PROD())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ApiEnvironment_PROD

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ApiEnvironment_PROD in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ApiEnvironment_PROD_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ApiEnvironment_PROD)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ApiEnvironment_STAGING(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    get = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ApiEnvironment_STAGING_get_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ApiEnvironment_STAGING_get_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ApiEnvironment_STAGING_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ApiEnvironment_STAGING())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ApiEnvironment_STAGING

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ApiEnvironment_STAGING in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ApiEnvironment_STAGING_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ApiEnvironment_STAGING)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ApiEnvironment_DEV(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    get = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ApiEnvironment_DEV_get_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ApiEnvironment_DEV_get_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ApiEnvironment_DEV_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ApiEnvironment_DEV())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ApiEnvironment_DEV

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ApiEnvironment_DEV in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ApiEnvironment_DEV_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_data_ApiEnvironment_DEV)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    AuditEvent = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_AuditEvent_get)
    CapabilityStatus = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_CapabilityStatus_get)
    CapabilityType = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_CapabilityType_get)
    TwoFactorMethod = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_TwoFactorMethod_get)
    UserRole = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_UserRole_get)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_UserRole(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    ADMIN = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_UserRole_ADMIN_get)
    USER = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_UserRole_USER_get)
    Companion = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_UserRole_Companion_get)
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_UserRole__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_UserRole__type_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_UserRole_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_UserRole())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_UserRole

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_UserRole in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_UserRole_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_UserRole)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_UserRole_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_UserRole_Companion__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_UserRole_Companion__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_UserRole_Companion__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_UserRole_Companion__instance_set)
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_UserRole_Companion_serializer_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_UserRole_Companion_serializer_set)
    serializer_ = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_UserRole_Companion_serializer__get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_UserRole_Companion_serializer__set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_UserRole_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_UserRole_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_UserRole_Companion

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_UserRole_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_UserRole_Companion_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_UserRole_Companion)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_UserRole_USER(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    get = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_UserRole_USER_get_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_UserRole_USER_get_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_UserRole_USER_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_UserRole_USER())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_UserRole_USER

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_UserRole_USER in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_UserRole_USER_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_UserRole_USER)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_UserRole_ADMIN(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    get = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_UserRole_ADMIN_get_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_UserRole_ADMIN_get_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_UserRole_ADMIN_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_UserRole_ADMIN())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_UserRole_ADMIN

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_UserRole_ADMIN in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_UserRole_ADMIN_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_UserRole_ADMIN)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_TwoFactorMethod(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    EMAIL = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_TwoFactorMethod_EMAIL_get)
    TELEPHONE = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_TwoFactorMethod_TELEPHONE_get)
    SMS = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_TwoFactorMethod_SMS_get)
    Companion = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_TwoFactorMethod_Companion_get)
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_TwoFactorMethod__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_TwoFactorMethod__type_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_TwoFactorMethod_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_TwoFactorMethod())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_TwoFactorMethod

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_TwoFactorMethod in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_TwoFactorMethod_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_TwoFactorMethod)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_TwoFactorMethod_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_TwoFactorMethod_Companion__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_TwoFactorMethod_Companion__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_TwoFactorMethod_Companion__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_TwoFactorMethod_Companion__instance_set)
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_TwoFactorMethod_Companion_serializer_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_TwoFactorMethod_Companion_serializer_set)
    serializer_ = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_TwoFactorMethod_Companion_serializer__get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_TwoFactorMethod_Companion_serializer__set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_TwoFactorMethod_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_TwoFactorMethod_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_TwoFactorMethod_Companion

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_TwoFactorMethod_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_TwoFactorMethod_Companion_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_TwoFactorMethod_Companion)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_TwoFactorMethod_SMS(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    get = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_TwoFactorMethod_SMS_get_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_TwoFactorMethod_SMS_get_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_TwoFactorMethod_SMS_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_TwoFactorMethod_SMS())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_TwoFactorMethod_SMS

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_TwoFactorMethod_SMS in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_TwoFactorMethod_SMS_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_TwoFactorMethod_SMS)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_TwoFactorMethod_TELEPHONE(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    get = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_TwoFactorMethod_TELEPHONE_get_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_TwoFactorMethod_TELEPHONE_get_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_TwoFactorMethod_TELEPHONE_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_TwoFactorMethod_TELEPHONE())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_TwoFactorMethod_TELEPHONE

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_TwoFactorMethod_TELEPHONE in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_TwoFactorMethod_TELEPHONE_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_TwoFactorMethod_TELEPHONE)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_TwoFactorMethod_EMAIL(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    get = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_TwoFactorMethod_EMAIL_get_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_TwoFactorMethod_EMAIL_get_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_TwoFactorMethod_EMAIL_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_TwoFactorMethod_EMAIL())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_TwoFactorMethod_EMAIL

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_TwoFactorMethod_EMAIL in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_TwoFactorMethod_EMAIL_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_TwoFactorMethod_EMAIL)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_CapabilityType(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    CONFIGURABLE_UNLOCK_DURATION = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_CapabilityType_CONFIGURABLE_UNLOCK_DURATION_get)
    OPEN_HOURS = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_CapabilityType_OPEN_HOURS_get)
    BATCH_SHARING_25 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_CapabilityType_BATCH_SHARING_25_get)
    Companion = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_CapabilityType_Companion_get)
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_CapabilityType__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_CapabilityType__type_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_CapabilityType_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_CapabilityType())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_CapabilityType

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_CapabilityType in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_CapabilityType_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_CapabilityType)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_CapabilityType_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_CapabilityType_Companion__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_CapabilityType_Companion__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_CapabilityType_Companion__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_CapabilityType_Companion__instance_set)
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_CapabilityType_Companion_serializer_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_CapabilityType_Companion_serializer_set)
    serializer_ = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_CapabilityType_Companion_serializer__get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_CapabilityType_Companion_serializer__set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_CapabilityType_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_CapabilityType_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_CapabilityType_Companion

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_CapabilityType_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_CapabilityType_Companion_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_CapabilityType_Companion)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_CapabilityType_BATCH_SHARING_25(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    get = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_CapabilityType_BATCH_SHARING_25_get_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_CapabilityType_BATCH_SHARING_25_get_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_CapabilityType_BATCH_SHARING_25_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_CapabilityType_BATCH_SHARING_25())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_CapabilityType_BATCH_SHARING_25

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_CapabilityType_BATCH_SHARING_25 in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_CapabilityType_BATCH_SHARING_25_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_CapabilityType_BATCH_SHARING_25)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_CapabilityType_OPEN_HOURS(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    get = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_CapabilityType_OPEN_HOURS_get_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_CapabilityType_OPEN_HOURS_get_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_CapabilityType_OPEN_HOURS_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_CapabilityType_OPEN_HOURS())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_CapabilityType_OPEN_HOURS

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_CapabilityType_OPEN_HOURS in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_CapabilityType_OPEN_HOURS_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_CapabilityType_OPEN_HOURS)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_CapabilityType_CONFIGURABLE_UNLOCK_DURATION(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    get = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_CapabilityType_CONFIGURABLE_UNLOCK_DURATION_get_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_CapabilityType_CONFIGURABLE_UNLOCK_DURATION_get_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_CapabilityType_CONFIGURABLE_UNLOCK_DURATION_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_CapabilityType_CONFIGURABLE_UNLOCK_DURATION())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_CapabilityType_CONFIGURABLE_UNLOCK_DURATION

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_CapabilityType_CONFIGURABLE_UNLOCK_DURATION in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_CapabilityType_CONFIGURABLE_UNLOCK_DURATION_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_CapabilityType_CONFIGURABLE_UNLOCK_DURATION)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_CapabilityStatus(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    SUPPORTED = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_CapabilityStatus_SUPPORTED_get)
    UNSUPPORTED = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_CapabilityStatus_UNSUPPORTED_get)
    Companion = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_CapabilityStatus_Companion_get)
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_CapabilityStatus__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_CapabilityStatus__type_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_CapabilityStatus_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_CapabilityStatus())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_CapabilityStatus

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_CapabilityStatus in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_CapabilityStatus_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_CapabilityStatus)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_CapabilityStatus_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_CapabilityStatus_Companion__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_CapabilityStatus_Companion__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_CapabilityStatus_Companion__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_CapabilityStatus_Companion__instance_set)
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_CapabilityStatus_Companion_serializer_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_CapabilityStatus_Companion_serializer_set)
    serializer_ = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_CapabilityStatus_Companion_serializer__get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_CapabilityStatus_Companion_serializer__set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_CapabilityStatus_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_CapabilityStatus_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_CapabilityStatus_Companion

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_CapabilityStatus_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_CapabilityStatus_Companion_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_CapabilityStatus_Companion)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_CapabilityStatus_UNSUPPORTED(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    get = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_CapabilityStatus_UNSUPPORTED_get_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_CapabilityStatus_UNSUPPORTED_get_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_CapabilityStatus_UNSUPPORTED_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_CapabilityStatus_UNSUPPORTED())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_CapabilityStatus_UNSUPPORTED

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_CapabilityStatus_UNSUPPORTED in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_CapabilityStatus_UNSUPPORTED_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_CapabilityStatus_UNSUPPORTED)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_CapabilityStatus_SUPPORTED(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    get = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_CapabilityStatus_SUPPORTED_get_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_CapabilityStatus_SUPPORTED_get_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_CapabilityStatus_SUPPORTED_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_CapabilityStatus_SUPPORTED())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_CapabilityStatus_SUPPORTED

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_CapabilityStatus_SUPPORTED in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_CapabilityStatus_SUPPORTED_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_CapabilityStatus_SUPPORTED)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_AuditEvent(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    DOOR_OPEN = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_AuditEvent_DOOR_OPEN_get)
    DOOR_CLOSE = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_AuditEvent_DOOR_CLOSE_get)
    DOOR_UNLOCK = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_AuditEvent_DOOR_UNLOCK_get)
    DOOR_LOCK = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_AuditEvent_DOOR_LOCK_get)
    OWNER_ASSIGNED = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_AuditEvent_OWNER_ASSIGNED_get)
    DEVICE_CONNECTED = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_AuditEvent_DEVICE_CONNECTED_get)
    DEVICE_DISCONNECTED = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_AuditEvent_DEVICE_DISCONNECTED_get)
    LOCK_SHARED = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_AuditEvent_LOCK_SHARED_get)
    LOCK_REVOKED = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_AuditEvent_LOCK_REVOKED_get)
    USER_PROMOTED = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_AuditEvent_USER_PROMOTED_get)
    USER_DEMOTED = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_AuditEvent_USER_DEMOTED_get)
    SETTING_CHANGED = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_AuditEvent_SETTING_CHANGED_get)
    TILE_ASSOCIATED = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_AuditEvent_TILE_ASSOCIATED_get)
    TILE_DISASSOCIATED = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_AuditEvent_TILE_DISASSOCIATED_get)
    DEVICE_DECOMMISSIONED = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_AuditEvent_DEVICE_DECOMMISSIONED_get)
    Companion = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_AuditEvent_Companion_get)
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_AuditEvent__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_AuditEvent__type_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_AuditEvent_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_AuditEvent())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_AuditEvent

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_AuditEvent in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_AuditEvent_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_AuditEvent)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_AuditEvent_Companion(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_AuditEvent_Companion__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_AuditEvent_Companion__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_AuditEvent_Companion__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_AuditEvent_Companion__instance_set)
    serializer = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_AuditEvent_Companion_serializer_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_AuditEvent_Companion_serializer_set)
    serializer_ = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_AuditEvent_Companion_serializer__get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_AuditEvent_Companion_serializer__set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_AuditEvent_Companion_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_AuditEvent_Companion())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_AuditEvent_Companion

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_AuditEvent_Companion in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_AuditEvent_Companion_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_AuditEvent_Companion)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_AuditEvent_DEVICE_DECOMMISSIONED(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    get = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_AuditEvent_DEVICE_DECOMMISSIONED_get_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_AuditEvent_DEVICE_DECOMMISSIONED_get_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_AuditEvent_DEVICE_DECOMMISSIONED_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_AuditEvent_DEVICE_DECOMMISSIONED())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_AuditEvent_DEVICE_DECOMMISSIONED

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_AuditEvent_DEVICE_DECOMMISSIONED in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_AuditEvent_DEVICE_DECOMMISSIONED_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_AuditEvent_DEVICE_DECOMMISSIONED)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_AuditEvent_TILE_DISASSOCIATED(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    get = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_AuditEvent_TILE_DISASSOCIATED_get_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_AuditEvent_TILE_DISASSOCIATED_get_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_AuditEvent_TILE_DISASSOCIATED_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_AuditEvent_TILE_DISASSOCIATED())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_AuditEvent_TILE_DISASSOCIATED

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_AuditEvent_TILE_DISASSOCIATED in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_AuditEvent_TILE_DISASSOCIATED_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_AuditEvent_TILE_DISASSOCIATED)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_AuditEvent_TILE_ASSOCIATED(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    get = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_AuditEvent_TILE_ASSOCIATED_get_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_AuditEvent_TILE_ASSOCIATED_get_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_AuditEvent_TILE_ASSOCIATED_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_AuditEvent_TILE_ASSOCIATED())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_AuditEvent_TILE_ASSOCIATED

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_AuditEvent_TILE_ASSOCIATED in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_AuditEvent_TILE_ASSOCIATED_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_AuditEvent_TILE_ASSOCIATED)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_AuditEvent_SETTING_CHANGED(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    get = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_AuditEvent_SETTING_CHANGED_get_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_AuditEvent_SETTING_CHANGED_get_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_AuditEvent_SETTING_CHANGED_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_AuditEvent_SETTING_CHANGED())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_AuditEvent_SETTING_CHANGED

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_AuditEvent_SETTING_CHANGED in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_AuditEvent_SETTING_CHANGED_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_AuditEvent_SETTING_CHANGED)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_AuditEvent_USER_DEMOTED(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    get = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_AuditEvent_USER_DEMOTED_get_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_AuditEvent_USER_DEMOTED_get_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_AuditEvent_USER_DEMOTED_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_AuditEvent_USER_DEMOTED())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_AuditEvent_USER_DEMOTED

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_AuditEvent_USER_DEMOTED in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_AuditEvent_USER_DEMOTED_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_AuditEvent_USER_DEMOTED)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_AuditEvent_USER_PROMOTED(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    get = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_AuditEvent_USER_PROMOTED_get_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_AuditEvent_USER_PROMOTED_get_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_AuditEvent_USER_PROMOTED_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_AuditEvent_USER_PROMOTED())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_AuditEvent_USER_PROMOTED

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_AuditEvent_USER_PROMOTED in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_AuditEvent_USER_PROMOTED_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_AuditEvent_USER_PROMOTED)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_AuditEvent_LOCK_REVOKED(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    get = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_AuditEvent_LOCK_REVOKED_get_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_AuditEvent_LOCK_REVOKED_get_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_AuditEvent_LOCK_REVOKED_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_AuditEvent_LOCK_REVOKED())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_AuditEvent_LOCK_REVOKED

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_AuditEvent_LOCK_REVOKED in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_AuditEvent_LOCK_REVOKED_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_AuditEvent_LOCK_REVOKED)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_AuditEvent_LOCK_SHARED(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    get = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_AuditEvent_LOCK_SHARED_get_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_AuditEvent_LOCK_SHARED_get_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_AuditEvent_LOCK_SHARED_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_AuditEvent_LOCK_SHARED())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_AuditEvent_LOCK_SHARED

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_AuditEvent_LOCK_SHARED in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_AuditEvent_LOCK_SHARED_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_AuditEvent_LOCK_SHARED)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_AuditEvent_DEVICE_DISCONNECTED(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    get = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_AuditEvent_DEVICE_DISCONNECTED_get_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_AuditEvent_DEVICE_DISCONNECTED_get_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_AuditEvent_DEVICE_DISCONNECTED_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_AuditEvent_DEVICE_DISCONNECTED())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_AuditEvent_DEVICE_DISCONNECTED

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_AuditEvent_DEVICE_DISCONNECTED in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_AuditEvent_DEVICE_DISCONNECTED_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_AuditEvent_DEVICE_DISCONNECTED)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_AuditEvent_DEVICE_CONNECTED(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    get = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_AuditEvent_DEVICE_CONNECTED_get_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_AuditEvent_DEVICE_CONNECTED_get_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_AuditEvent_DEVICE_CONNECTED_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_AuditEvent_DEVICE_CONNECTED())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_AuditEvent_DEVICE_CONNECTED

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_AuditEvent_DEVICE_CONNECTED in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_AuditEvent_DEVICE_CONNECTED_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_AuditEvent_DEVICE_CONNECTED)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_AuditEvent_OWNER_ASSIGNED(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    get = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_AuditEvent_OWNER_ASSIGNED_get_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_AuditEvent_OWNER_ASSIGNED_get_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_AuditEvent_OWNER_ASSIGNED_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_AuditEvent_OWNER_ASSIGNED())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_AuditEvent_OWNER_ASSIGNED

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_AuditEvent_OWNER_ASSIGNED in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_AuditEvent_OWNER_ASSIGNED_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_AuditEvent_OWNER_ASSIGNED)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_AuditEvent_DOOR_LOCK(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    get = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_AuditEvent_DOOR_LOCK_get_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_AuditEvent_DOOR_LOCK_get_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_AuditEvent_DOOR_LOCK_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_AuditEvent_DOOR_LOCK())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_AuditEvent_DOOR_LOCK

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_AuditEvent_DOOR_LOCK in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_AuditEvent_DOOR_LOCK_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_AuditEvent_DOOR_LOCK)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_AuditEvent_DOOR_UNLOCK(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    get = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_AuditEvent_DOOR_UNLOCK_get_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_AuditEvent_DOOR_UNLOCK_get_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_AuditEvent_DOOR_UNLOCK_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_AuditEvent_DOOR_UNLOCK())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_AuditEvent_DOOR_UNLOCK

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_AuditEvent_DOOR_UNLOCK in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_AuditEvent_DOOR_UNLOCK_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_AuditEvent_DOOR_UNLOCK)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_AuditEvent_DOOR_CLOSE(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    get = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_AuditEvent_DOOR_CLOSE_get_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_AuditEvent_DOOR_CLOSE_get_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_AuditEvent_DOOR_CLOSE_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_AuditEvent_DOOR_CLOSE())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_AuditEvent_DOOR_CLOSE

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_AuditEvent_DOOR_CLOSE in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_AuditEvent_DOOR_CLOSE_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_AuditEvent_DOOR_CLOSE)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_AuditEvent_DOOR_OPEN(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    get = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_AuditEvent_DOOR_OPEN_get_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_AuditEvent_DOOR_OPEN_get_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_AuditEvent_DOOR_OPEN_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_AuditEvent_DOOR_OPEN())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_AuditEvent_DOOR_OPEN

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_AuditEvent_DOOR_OPEN in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_AuditEvent_DOOR_OPEN_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_model_common_AuditEvent_DOOR_OPEN)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    BadRequestException = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_BadRequestException_get)
    UnauthorizedException = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_UnauthorizedException_get)
    ForbiddenException = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_ForbiddenException_get)
    NotFoundException = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_NotFoundException_get)
    MethodNotAllowedException = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_MethodNotAllowedException_get)
    NotAcceptableException = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_NotAcceptableException_get)
    ConflictException = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_ConflictException_get)
    GoneException = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_GoneException_get)
    LockedException = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_LockedException_get)
    TooEarlyException = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_TooEarlyException_get)
    TooManyRequestsException = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_TooManyRequestsException_get)
    InternalServerErrorException = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_InternalServerErrorException_get)
    ServiceUnavailableException = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_ServiceUnavailableException_get)
    GatewayTimeoutException = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_GatewayTimeoutException_get)
    SdkException = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_SdkException_get)
    MissingContextFieldException = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_MissingContextFieldException_get)
    MissingAndroidContextException = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_MissingAndroidContextException_get)
    BatchShareFailedException = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_BatchShareFailedException_get)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_BatchShareFailedException(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_BatchShareFailedException__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_BatchShareFailedException__type_set)
    BatchShareFailedException = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_BatchShareFailedException_BatchShareFailedException_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_BatchShareFailedException_BatchShareFailedException_set)
    get_message = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_BatchShareFailedException_get_message_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_BatchShareFailedException_get_message_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_BatchShareFailedException_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_BatchShareFailedException())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_BatchShareFailedException

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_BatchShareFailedException in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_BatchShareFailedException_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_BatchShareFailedException)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_MissingAndroidContextException(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_MissingAndroidContextException__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_MissingAndroidContextException__type_set)
    MissingAndroidContextException = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_MissingAndroidContextException_MissingAndroidContextException_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_MissingAndroidContextException_MissingAndroidContextException_set)
    get_message = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_MissingAndroidContextException_get_message_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_MissingAndroidContextException_get_message_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_MissingAndroidContextException_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_MissingAndroidContextException())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_MissingAndroidContextException

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_MissingAndroidContextException in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_MissingAndroidContextException_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_MissingAndroidContextException)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_MissingContextFieldException(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_MissingContextFieldException__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_MissingContextFieldException__type_set)
    MissingContextFieldException = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_MissingContextFieldException_MissingContextFieldException_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_MissingContextFieldException_MissingContextFieldException_set)
    get_message = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_MissingContextFieldException_get_message_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_MissingContextFieldException_get_message_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_MissingContextFieldException_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_MissingContextFieldException())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_MissingContextFieldException

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_MissingContextFieldException in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_MissingContextFieldException_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_MissingContextFieldException)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_SdkException(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_SdkException__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_SdkException__type_set)
    SdkException = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_SdkException_SdkException_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_SdkException_SdkException_set)
    get_message = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_SdkException_get_message_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_SdkException_get_message_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_SdkException_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_SdkException())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_SdkException

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_SdkException in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_SdkException_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_SdkException)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_GatewayTimeoutException(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_GatewayTimeoutException__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_GatewayTimeoutException__type_set)
    GatewayTimeoutException = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_GatewayTimeoutException_GatewayTimeoutException_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_GatewayTimeoutException_GatewayTimeoutException_set)
    get_message = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_GatewayTimeoutException_get_message_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_GatewayTimeoutException_get_message_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_GatewayTimeoutException_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_GatewayTimeoutException())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_GatewayTimeoutException

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_GatewayTimeoutException in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_GatewayTimeoutException_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_GatewayTimeoutException)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_ServiceUnavailableException(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_ServiceUnavailableException__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_ServiceUnavailableException__type_set)
    ServiceUnavailableException = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_ServiceUnavailableException_ServiceUnavailableException_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_ServiceUnavailableException_ServiceUnavailableException_set)
    get_message = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_ServiceUnavailableException_get_message_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_ServiceUnavailableException_get_message_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_ServiceUnavailableException_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_ServiceUnavailableException())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_ServiceUnavailableException

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_ServiceUnavailableException in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_ServiceUnavailableException_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_ServiceUnavailableException)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_InternalServerErrorException(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_InternalServerErrorException__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_InternalServerErrorException__type_set)
    InternalServerErrorException = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_InternalServerErrorException_InternalServerErrorException_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_InternalServerErrorException_InternalServerErrorException_set)
    get_message = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_InternalServerErrorException_get_message_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_InternalServerErrorException_get_message_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_InternalServerErrorException_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_InternalServerErrorException())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_InternalServerErrorException

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_InternalServerErrorException in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_InternalServerErrorException_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_InternalServerErrorException)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_TooManyRequestsException(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_TooManyRequestsException__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_TooManyRequestsException__type_set)
    TooManyRequestsException = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_TooManyRequestsException_TooManyRequestsException_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_TooManyRequestsException_TooManyRequestsException_set)
    get_message = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_TooManyRequestsException_get_message_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_TooManyRequestsException_get_message_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_TooManyRequestsException_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_TooManyRequestsException())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_TooManyRequestsException

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_TooManyRequestsException in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_TooManyRequestsException_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_TooManyRequestsException)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_TooEarlyException(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_TooEarlyException__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_TooEarlyException__type_set)
    TooEarlyException = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_TooEarlyException_TooEarlyException_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_TooEarlyException_TooEarlyException_set)
    get_message = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_TooEarlyException_get_message_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_TooEarlyException_get_message_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_TooEarlyException_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_TooEarlyException())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_TooEarlyException

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_TooEarlyException in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_TooEarlyException_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_TooEarlyException)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_LockedException(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_LockedException__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_LockedException__type_set)
    LockedException = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_LockedException_LockedException_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_LockedException_LockedException_set)
    get_message = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_LockedException_get_message_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_LockedException_get_message_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_LockedException_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_LockedException())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_LockedException

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_LockedException in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_LockedException_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_LockedException)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_GoneException(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_GoneException__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_GoneException__type_set)
    GoneException = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_GoneException_GoneException_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_GoneException_GoneException_set)
    get_message = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_GoneException_get_message_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_GoneException_get_message_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_GoneException_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_GoneException())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_GoneException

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_GoneException in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_GoneException_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_GoneException)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_ConflictException(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_ConflictException__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_ConflictException__type_set)
    ConflictException = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_ConflictException_ConflictException_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_ConflictException_ConflictException_set)
    get_message = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_ConflictException_get_message_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_ConflictException_get_message_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_ConflictException_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_ConflictException())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_ConflictException

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_ConflictException in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_ConflictException_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_ConflictException)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_NotAcceptableException(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_NotAcceptableException__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_NotAcceptableException__type_set)
    NotAcceptableException = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_NotAcceptableException_NotAcceptableException_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_NotAcceptableException_NotAcceptableException_set)
    get_message = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_NotAcceptableException_get_message_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_NotAcceptableException_get_message_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_NotAcceptableException_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_NotAcceptableException())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_NotAcceptableException

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_NotAcceptableException in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_NotAcceptableException_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_NotAcceptableException)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_MethodNotAllowedException(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_MethodNotAllowedException__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_MethodNotAllowedException__type_set)
    MethodNotAllowedException = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_MethodNotAllowedException_MethodNotAllowedException_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_MethodNotAllowedException_MethodNotAllowedException_set)
    get_message = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_MethodNotAllowedException_get_message_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_MethodNotAllowedException_get_message_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_MethodNotAllowedException_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_MethodNotAllowedException())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_MethodNotAllowedException

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_MethodNotAllowedException in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_MethodNotAllowedException_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_MethodNotAllowedException)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_NotFoundException(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_NotFoundException__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_NotFoundException__type_set)
    NotFoundException = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_NotFoundException_NotFoundException_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_NotFoundException_NotFoundException_set)
    get_message = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_NotFoundException_get_message_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_NotFoundException_get_message_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_NotFoundException_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_NotFoundException())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_NotFoundException

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_NotFoundException in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_NotFoundException_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_NotFoundException)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_ForbiddenException(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_ForbiddenException__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_ForbiddenException__type_set)
    ForbiddenException = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_ForbiddenException_ForbiddenException_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_ForbiddenException_ForbiddenException_set)
    get_message = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_ForbiddenException_get_message_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_ForbiddenException_get_message_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_ForbiddenException_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_ForbiddenException())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_ForbiddenException

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_ForbiddenException in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_ForbiddenException_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_ForbiddenException)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_UnauthorizedException(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_UnauthorizedException__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_UnauthorizedException__type_set)
    UnauthorizedException = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_UnauthorizedException_UnauthorizedException_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_UnauthorizedException_UnauthorizedException_set)
    get_message = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_UnauthorizedException_get_message_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_UnauthorizedException_get_message_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_UnauthorizedException_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_UnauthorizedException())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_UnauthorizedException

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_UnauthorizedException in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_UnauthorizedException_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_UnauthorizedException)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_BadRequestException(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_BadRequestException__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_BadRequestException__type_set)
    BadRequestException = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_BadRequestException_BadRequestException_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_BadRequestException_BadRequestException_set)
    get_message = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_BadRequestException_get_message_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_BadRequestException_get_message_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_BadRequestException_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_BadRequestException())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_BadRequestException

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_BadRequestException in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_BadRequestException_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_exceptions_BadRequestException)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_crypto(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    CryptoManager = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_crypto_CryptoManager_get)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_crypto_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_crypto())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_crypto

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_crypto in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_crypto_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_crypto)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_crypto_CryptoManager(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_crypto_CryptoManager__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_crypto_CryptoManager__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_crypto_CryptoManager__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_crypto_CryptoManager__instance_set)
    generateEncodedKeyPair_ = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_crypto_CryptoManager_generateEncodedKeyPair__get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_crypto_CryptoManager_generateEncodedKeyPair__set)
    generateKeyPair = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_crypto_CryptoManager_generateKeyPair_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_crypto_CryptoManager_generateKeyPair_set)
    isCertificateAboutToExpire = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_crypto_CryptoManager_isCertificateAboutToExpire_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_crypto_CryptoManager_isCertificateAboutToExpire_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_crypto_CryptoManager_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_crypto_CryptoManager())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_crypto_CryptoManager

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_crypto_CryptoManager in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_crypto_CryptoManager_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_crypto_CryptoManager)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_context(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    ContextManager = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_context_ContextManager_get)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_context_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_context())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_context

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_context in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_context_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_context)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_context_ContextManager(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_context_ContextManager__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_context_ContextManager__type_set)
    clearContext_ = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_context_ContextManager_clearContext__get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_context_ContextManager_clearContext__set)
    getApiEnvironment_ = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_context_ContextManager_getApiEnvironment__get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_context_ContextManager_getApiEnvironment__set)
    getCertificateChain = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_context_ContextManager_getCertificateChain_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_context_ContextManager_getCertificateChain_set)
    getCloudAuthToken_ = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_context_ContextManager_getCloudAuthToken__get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_context_ContextManager_getCloudAuthToken__set)
    getCloudRefreshToken_ = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_context_ContextManager_getCloudRefreshToken__get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_context_ContextManager_getCloudRefreshToken__set)
    getFusionAuthToken_ = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_context_ContextManager_getFusionAuthToken__get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_context_ContextManager_getFusionAuthToken__set)
    getFusionHost_ = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_context_ContextManager_getFusionHost__get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_context_ContextManager_getFusionHost__set)
    getKeyPair = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_context_ContextManager_getKeyPair_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_context_ContextManager_getKeyPair_set)
    getUserEmail_ = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_context_ContextManager_getUserEmail__get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_context_ContextManager_getUserEmail__set)
    getUserId_ = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_context_ContextManager_getUserId__get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_context_ContextManager_getUserId__set)
    isCertificateChainAboutToExpire_ = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_context_ContextManager_isCertificateChainAboutToExpire__get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_context_ContextManager_isCertificateChainAboutToExpire__set)
    isCloudAuthTokenAboutToExpire_ = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_context_ContextManager_isCloudAuthTokenAboutToExpire__get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_context_ContextManager_isCloudAuthTokenAboutToExpire__set)
    isKeyPairValid_ = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_context_ContextManager_isKeyPairValid__get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_context_ContextManager_isKeyPairValid__set)
    setApiEnvironment = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_context_ContextManager_setApiEnvironment_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_context_ContextManager_setApiEnvironment_set)
    setCertificateChain = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_context_ContextManager_setCertificateChain_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_context_ContextManager_setCertificateChain_set)
    setCloudAuthToken_ = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_context_ContextManager_setCloudAuthToken__get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_context_ContextManager_setCloudAuthToken__set)
    setCloudRefreshToken_ = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_context_ContextManager_setCloudRefreshToken__get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_context_ContextManager_setCloudRefreshToken__set)
    setFusionAuthToken_ = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_context_ContextManager_setFusionAuthToken__get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_context_ContextManager_setFusionAuthToken__set)
    setFusionHost_ = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_context_ContextManager_setFusionHost__get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_context_ContextManager_setFusionHost__set)
    setKeyPair = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_context_ContextManager_setKeyPair_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_context_ContextManager_setKeyPair_set)
    setOperationContext = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_context_ContextManager_setOperationContext_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_context_ContextManager_setOperationContext_set)
    setOperationContextJson_ = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_context_ContextManager_setOperationContextJson__get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_context_ContextManager_setOperationContextJson__set)
    setUserEmail_ = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_context_ContextManager_setUserEmail__get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_context_ContextManager_setUserEmail__set)
    setUserId_ = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_context_ContextManager_setUserId__get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_context_ContextManager_setUserId__set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_context_ContextManager_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_context_ContextManager())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_context_ContextManager

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_context_ContextManager in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_context_ContextManager_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_context_ContextManager)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_config(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    SdkConfig = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_config_SdkConfig_get)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_config_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_config())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_config

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_config in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_config_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_config)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_config_SdkConfig(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    Builder = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_config_SdkConfig_Builder_get)
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_config_SdkConfig__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_config_SdkConfig__type_set)
    SdkConfig = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_config_SdkConfig_SdkConfig_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_config_SdkConfig_SdkConfig_set)
    get_apiEnvironment = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_config_SdkConfig_get_apiEnvironment_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_config_SdkConfig_get_apiEnvironment_set)
    get_cloudAuthToken = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_config_SdkConfig_get_cloudAuthToken_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_config_SdkConfig_get_cloudAuthToken_set)
    get_cloudRefreshToken = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_config_SdkConfig_get_cloudRefreshToken_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_config_SdkConfig_get_cloudRefreshToken_set)
    get_fusionHost = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_config_SdkConfig_get_fusionHost_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_config_SdkConfig_get_fusionHost_set)
    get_secureStorage = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_config_SdkConfig_get_secureStorage_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_config_SdkConfig_get_secureStorage_set)
    component1 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_config_SdkConfig_component1_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_config_SdkConfig_component1_set)
    component2 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_config_SdkConfig_component2_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_config_SdkConfig_component2_set)
    component3 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_config_SdkConfig_component3_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_config_SdkConfig_component3_set)
    component4 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_config_SdkConfig_component4_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_config_SdkConfig_component4_set)
    component5 = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_config_SdkConfig_component5_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_config_SdkConfig_component5_set)
    copy = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_config_SdkConfig_copy_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_config_SdkConfig_copy_set)
    equals = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_config_SdkConfig_equals_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_config_SdkConfig_equals_set)
    hashCode = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_config_SdkConfig_hashCode_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_config_SdkConfig_hashCode_set)
    toString = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_config_SdkConfig_toString_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_config_SdkConfig_toString_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_config_SdkConfig_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_config_SdkConfig())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_config_SdkConfig

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_config_SdkConfig in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_config_SdkConfig_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_config_SdkConfig)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_config_SdkConfig_Builder(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_config_SdkConfig_Builder__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_config_SdkConfig_Builder__type_set)
    Builder = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_config_SdkConfig_Builder_Builder_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_config_SdkConfig_Builder_Builder_set)
    build = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_config_SdkConfig_Builder_build_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_config_SdkConfig_Builder_build_set)
    setApiEnvironment = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_config_SdkConfig_Builder_setApiEnvironment_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_config_SdkConfig_Builder_setApiEnvironment_set)
    setApplicationContext = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_config_SdkConfig_Builder_setApplicationContext_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_config_SdkConfig_Builder_setApplicationContext_set)
    setCloudAuthToken = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_config_SdkConfig_Builder_setCloudAuthToken_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_config_SdkConfig_Builder_setCloudAuthToken_set)
    setCloudRefreshToken = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_config_SdkConfig_Builder_setCloudRefreshToken_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_config_SdkConfig_Builder_setCloudRefreshToken_set)
    setFusionHost = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_config_SdkConfig_Builder_setFusionHost_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_config_SdkConfig_Builder_setFusionHost_set)
    setSecureStorageOverride = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_config_SdkConfig_Builder_setSecureStorageOverride_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_config_SdkConfig_Builder_setSecureStorageOverride_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_config_SdkConfig_Builder_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_config_SdkConfig_Builder())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_config_SdkConfig_Builder

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_config_SdkConfig_Builder in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_config_SdkConfig_Builder_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_config_SdkConfig_Builder)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    AccountApi = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_AccountApi_get)
    AccountlessApi = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_AccountlessApi_get)
    FusionApi = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_FusionApi_get)
    HelperApi = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_HelperApi_get)
    LockOperationsApi = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_LockOperationsApi_get)
    PlatformApi = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_PlatformApi_get)
    SitesApi = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_SitesApi_get)
    TilesApi = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_TilesApi_get)
    account = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_account_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_account_set)
    accountless = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_accountless_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_accountless_set)
    fusion = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_fusion_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_fusion_set)
    helper = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_helper_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_helper_set)
    lockOperations = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_lockOperations_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_lockOperations_set)
    platform = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_platform_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_platform_set)
    sites = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_sites_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_sites_set)
    tiles = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_tiles_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_tiles_set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_TilesApi(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_TilesApi__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_TilesApi__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_TilesApi__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_TilesApi__instance_set)
    associateMultipleLocks_ = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_TilesApi_associateMultipleLocks__get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_TilesApi_associateMultipleLocks__set)
    getLocksBelongingToTile_ = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_TilesApi_getLocksBelongingToTile__get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_TilesApi_getLocksBelongingToTile__set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_TilesApi_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_TilesApi())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_TilesApi

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_TilesApi in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_TilesApi_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_TilesApi)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_SitesApi(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_SitesApi__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_SitesApi__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_SitesApi__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_SitesApi__instance_set)
    getLocksForSite_ = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_SitesApi_getLocksForSite__get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_SitesApi_getLocksForSite__set)
    getUsersForSite_ = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_SitesApi_getUsersForSite__get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_SitesApi_getUsersForSite__set)
    listSites_ = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_SitesApi_listSites__get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_SitesApi_listSites__set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_SitesApi_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_SitesApi())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_SitesApi

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_SitesApi in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_SitesApi_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_SitesApi)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_PlatformApi(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_PlatformApi__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_PlatformApi__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_PlatformApi__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_PlatformApi__instance_set)
    addApplicationOwner_ = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_PlatformApi_addApplicationOwner__get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_PlatformApi_addApplicationOwner__set)
    addAuthIssuer_ = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_PlatformApi_addAuthIssuer__get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_PlatformApi_addAuthIssuer__set)
    addAuthKey_ = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_PlatformApi_addAuthKey__get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_PlatformApi_addAuthKey__set)
    addCorsDomain_ = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_PlatformApi_addCorsDomain__get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_PlatformApi_addCorsDomain__set)
    createApplication_ = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_PlatformApi_createApplication__get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_PlatformApi_createApplication__set)
    deleteApplication_ = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_PlatformApi_deleteApplication__get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_PlatformApi_deleteApplication__set)
    deleteAuthIssuer_ = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_PlatformApi_deleteAuthIssuer__get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_PlatformApi_deleteAuthIssuer__set)
    getApplication_ = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_PlatformApi_getApplication__get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_PlatformApi_getApplication__set)
    getApplicationOwnersDetails_ = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_PlatformApi_getApplicationOwnersDetails__get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_PlatformApi_getApplicationOwnersDetails__set)
    getLogoUploadUrl_ = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_PlatformApi_getLogoUploadUrl__get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_PlatformApi_getLogoUploadUrl__set)
    listApplications_ = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_PlatformApi_listApplications__get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_PlatformApi_listApplications__set)
    removeApplicationOwner_ = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_PlatformApi_removeApplicationOwner__get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_PlatformApi_removeApplicationOwner__set)
    removeCorsDomain_ = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_PlatformApi_removeCorsDomain__get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_PlatformApi_removeCorsDomain__set)
    updateApplicationAppLink_ = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_PlatformApi_updateApplicationAppLink__get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_PlatformApi_updateApplicationAppLink__set)
    updateApplicationCompanyName_ = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_PlatformApi_updateApplicationCompanyName__get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_PlatformApi_updateApplicationCompanyName__set)
    updateApplicationEmailPreferences_ = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_PlatformApi_updateApplicationEmailPreferences__get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_PlatformApi_updateApplicationEmailPreferences__set)
    updateApplicationLogoUrl_ = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_PlatformApi_updateApplicationLogoUrl__get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_PlatformApi_updateApplicationLogoUrl__set)
    updateApplicationMailingAddress_ = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_PlatformApi_updateApplicationMailingAddress__get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_PlatformApi_updateApplicationMailingAddress__set)
    updateApplicationName_ = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_PlatformApi_updateApplicationName__get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_PlatformApi_updateApplicationName__set)
    updateApplicationPrivacyPolicy_ = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_PlatformApi_updateApplicationPrivacyPolicy__get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_PlatformApi_updateApplicationPrivacyPolicy__set)
    updateApplicationSupportContact_ = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_PlatformApi_updateApplicationSupportContact__get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_PlatformApi_updateApplicationSupportContact__set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_PlatformApi_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_PlatformApi())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_PlatformApi

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_PlatformApi in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_PlatformApi_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_PlatformApi)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_LockOperationsApi(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_LockOperationsApi__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_LockOperationsApi__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_LockOperationsApi__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_LockOperationsApi__instance_set)
    batchShareLock_ = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_LockOperationsApi_batchShareLock__get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_LockOperationsApi_batchShareLock__set)
    getAuditForUser_ = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_LockOperationsApi_getAuditForUser__get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_LockOperationsApi_getAuditForUser__set)
    getLockAuditTrail_ = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_LockOperationsApi_getLockAuditTrail__get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_LockOperationsApi_getLockAuditTrail__set)
    getLocksForUser_ = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_LockOperationsApi_getLocksForUser__get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_LockOperationsApi_getLocksForUser__set)
    getPinnedLocks_ = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_LockOperationsApi_getPinnedLocks__get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_LockOperationsApi_getPinnedLocks__set)
    getShareableLocks_ = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_LockOperationsApi_getShareableLocks__get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_LockOperationsApi_getShareableLocks__set)
    getSingleLock_ = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_LockOperationsApi_getSingleLock__get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_LockOperationsApi_getSingleLock__set)
    getUserPublicKey_ = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_LockOperationsApi_getUserPublicKey__get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_LockOperationsApi_getUserPublicKey__set)
    getUserPublicKeyByEmail_ = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_LockOperationsApi_getUserPublicKeyByEmail__get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_LockOperationsApi_getUserPublicKeyByEmail__set)
    getUserPublicKeyByEmails_ = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_LockOperationsApi_getUserPublicKeyByEmails__get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_LockOperationsApi_getUserPublicKeyByEmails__set)
    getUserPublicKeyByForeignKey_ = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_LockOperationsApi_getUserPublicKeyByForeignKey__get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_LockOperationsApi_getUserPublicKeyByForeignKey__set)
    getUserPublicKeyByForeignKeys_ = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_LockOperationsApi_getUserPublicKeyByForeignKeys__get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_LockOperationsApi_getUserPublicKeyByForeignKeys__set)
    getUserPublicKeyByIdentity_ = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_LockOperationsApi_getUserPublicKeyByIdentity__get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_LockOperationsApi_getUserPublicKeyByIdentity__set)
    getUserPublicKeyByLocalKey_ = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_LockOperationsApi_getUserPublicKeyByLocalKey__get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_LockOperationsApi_getUserPublicKeyByLocalKey__set)
    getUserPublicKeyByLocalKeys_ = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_LockOperationsApi_getUserPublicKeyByLocalKeys__get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_LockOperationsApi_getUserPublicKeyByLocalKeys__set)
    getUserPublicKeyByTelephone_ = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_LockOperationsApi_getUserPublicKeyByTelephone__get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_LockOperationsApi_getUserPublicKeyByTelephone__set)
    getUserPublicKeyByTelephones_ = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_LockOperationsApi_getUserPublicKeyByTelephones__get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_LockOperationsApi_getUserPublicKeyByTelephones__set)
    getUsersForLock_ = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_LockOperationsApi_getUsersForLock__get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_LockOperationsApi_getUsersForLock__set)
    revokeAccessToLock_ = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_LockOperationsApi_revokeAccessToLock__get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_LockOperationsApi_revokeAccessToLock__set)
    setLockSettingPermittedAddresses_ = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_LockOperationsApi_setLockSettingPermittedAddresses__get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_LockOperationsApi_setLockSettingPermittedAddresses__set)
    setLockSettingTimeRestrictions_ = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_LockOperationsApi_setLockSettingTimeRestrictions__get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_LockOperationsApi_setLockSettingTimeRestrictions__set)
    shareLock_ = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_LockOperationsApi_shareLock__get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_LockOperationsApi_shareLock__set)
    unlock_ = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_LockOperationsApi_unlock__get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_LockOperationsApi_unlock__set)
    updateLockColour_ = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_LockOperationsApi_updateLockColour__get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_LockOperationsApi_updateLockColour__set)
    updateLockFavourite_ = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_LockOperationsApi_updateLockFavourite__get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_LockOperationsApi_updateLockFavourite__set)
    updateLockName_ = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_LockOperationsApi_updateLockName__get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_LockOperationsApi_updateLockName__set)
    updateLockSettingDefaultName_ = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_LockOperationsApi_updateLockSettingDefaultName__get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_LockOperationsApi_updateLockSettingDefaultName__set)
    updateLockSettingHidden_ = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_LockOperationsApi_updateLockSettingHidden__get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_LockOperationsApi_updateLockSettingHidden__set)
    updateLockSettingLocationRestrictions_ = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_LockOperationsApi_updateLockSettingLocationRestrictions__get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_LockOperationsApi_updateLockSettingLocationRestrictions__set)
    updateSecureSettingUnlockBetween_ = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_LockOperationsApi_updateSecureSettingUnlockBetween__get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_LockOperationsApi_updateSecureSettingUnlockBetween__set)
    updateSecureSettingUnlockDuration_ = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_LockOperationsApi_updateSecureSettingUnlockDuration__get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_LockOperationsApi_updateSecureSettingUnlockDuration__set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_LockOperationsApi_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_LockOperationsApi())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_LockOperationsApi

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_LockOperationsApi in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_LockOperationsApi_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_LockOperationsApi)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_HelperApi(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_HelperApi__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_HelperApi__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_HelperApi__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_HelperApi__instance_set)
    assistedLogin_ = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_HelperApi_assistedLogin__get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_HelperApi_assistedLogin__set)
    assistedRegister_ = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_HelperApi_assistedRegister__get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_HelperApi_assistedRegister__set)
    assistedRegisterEphemeralKey_ = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_HelperApi_assistedRegisterEphemeralKey__get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_HelperApi_assistedRegisterEphemeralKey__set)
    uploadPlatformLogo_ = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_HelperApi_uploadPlatformLogo__get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_HelperApi_uploadPlatformLogo__set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_HelperApi_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_HelperApi())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_HelperApi

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_HelperApi in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_HelperApi_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_HelperApi)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_FusionApi(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_FusionApi__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_FusionApi__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_FusionApi__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_FusionApi__instance_set)
    deleteDoor_ = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_FusionApi_deleteDoor__get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_FusionApi_deleteDoor__set)
    enableDoor_ = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_FusionApi_enableDoor__get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_FusionApi_enableDoor__set)
    getDoorStatus_ = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_FusionApi_getDoorStatus__get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_FusionApi_getDoorStatus__set)
    getIntegrationConfiguration_ = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_FusionApi_getIntegrationConfiguration__get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_FusionApi_getIntegrationConfiguration__set)
    getIntegrationType_ = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_FusionApi_getIntegrationType__get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_FusionApi_getIntegrationType__set)
    login = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_FusionApi_login_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_FusionApi_login_set)
    startDoor_ = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_FusionApi_startDoor__get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_FusionApi_startDoor__set)
    stopDoor_ = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_FusionApi_stopDoor__get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_FusionApi_stopDoor__set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_FusionApi_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_FusionApi())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_FusionApi

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_FusionApi in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_FusionApi_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_FusionApi)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_AccountlessApi(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_AccountlessApi__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_AccountlessApi__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_AccountlessApi__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_AccountlessApi__instance_set)
    login_ = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_AccountlessApi_login__get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_AccountlessApi_login__set)
    passwordReset_ = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_AccountlessApi_passwordReset__get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_AccountlessApi_passwordReset__set)
    passwordResetVerify_ = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_AccountlessApi_passwordResetVerify__get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_AccountlessApi_passwordResetVerify__set)
    registration_ = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_AccountlessApi_registration__get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_AccountlessApi_registration__set)
    verifyEmail_ = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_AccountlessApi_verifyEmail__get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_AccountlessApi_verifyEmail__set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_AccountlessApi_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_AccountlessApi())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_AccountlessApi

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_AccountlessApi in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_AccountlessApi_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_AccountlessApi)
class Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_AccountApi(object):
    thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
    __repr__ = _swig_repr
    _type = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_AccountApi__type_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_AccountApi__type_set)
    _instance = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_AccountApi__instance_get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_AccountApi__instance_set)
    changePassword_ = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_AccountApi_changePassword__get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_AccountApi_changePassword__set)
    deleteAccount_ = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_AccountApi_deleteAccount__get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_AccountApi_deleteAccount__set)
    getUserDetails_ = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_AccountApi_getUserDetails__get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_AccountApi_getUserDetails__set)
    logout_ = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_AccountApi_logout__get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_AccountApi_logout__set)
    refreshToken_ = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_AccountApi_refreshToken__get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_AccountApi_refreshToken__set)
    registerEphemeralKey_ = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_AccountApi_registerEphemeralKey__get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_AccountApi_registerEphemeralKey__set)
    registerEphemeralKeyWithSecondaryAuthentication_ = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_AccountApi_registerEphemeralKeyWithSecondaryAuthentication__get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_AccountApi_registerEphemeralKeyWithSecondaryAuthentication__set)
    reverifyEmail_ = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_AccountApi_reverifyEmail__get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_AccountApi_reverifyEmail__set)
    updateUserDetails_ = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_AccountApi_updateUserDetails__get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_AccountApi_updateUserDetails__set)
    verifyEphemeralKeyRegistration_ = property(_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_AccountApi_verifyEphemeralKeyRegistration__get, _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_AccountApi_verifyEphemeralKeyRegistration__set)

    def __init__(self):
        _doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_AccountApi_swiginit(self, _doordeck_headless_sdk.new_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_AccountApi())
    __swig_destroy__ = _doordeck_headless_sdk.delete_Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_AccountApi

# Register Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_AccountApi in _doordeck_headless_sdk:
_doordeck_headless_sdk.Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_AccountApi_swigregister(Doordeck_Headless_Sdk_ExportedSymbols_kotlin_root_com_doordeck_multiplatform_sdk_api_AccountApi)

def Doordeck_Headless_Sdk_symbols():
    return _doordeck_headless_sdk.Doordeck_Headless_Sdk_symbols()

